Добро пожаловать в EMS SQL Manager for MySQL!

SQL Manager for MySQL – это мощнейший инструмент для разработки и администрирования серверов баз данных MySQL. SQL Manager for MySQL гарантированно работает с любыми версиями MySQL, начиная с версии 4.1 и заканчивая версией 9 включительно. SQL Manager for MySQL поддерживает все самые новые функции MySQL, включая представления, хранимые процедуры и функции, внешние ключи для таблиц InnoDB и так далее. Целый набор мощных инструментов и утилит SQL Manager for MySQL удовлетворит все потребности опытных пользователей. Современный, максимально комфортный графический интерфейс и грамотная система мастеров настроек предельно просты и будут понятны даже начинающему пользователю.

Посетите наш веб-сайт для получения более подробной информации: https://www.sqlmanager.ru

Характеристики продукта

  • Cовместимость со всеми версиями MySQL, начиная с 4.1 по 9; MariaDB, начиная с 5.1 и выше
  • Быстрая навигация и управление базами данных
  • Элементарное управление всеми объектами MySQL
  • Эффективные инструменты управления данными
  • Эффективное управление параметрами безопасности
  • Великолепные графические и текстовые инструменты для построения запросов
  • Впечатляющие возможности импорта и экспорта данных
  • Конструктор отчетов с понятным мастером создания отчетов
  • Вспомогательные инструменты для того, чтобы сделать Вашу работу с сервером MySQL простой и удобной
  • Мощный визуальный конструктор баз данных
  • Удобные мастера для выполнения сервисов MySQL
  • Современный графический интерфейс пользователя
  • Другие функциональные особенности

Домашняя страница: | https://www.sqlmanager.ru/products/mysql/manager
Служба поддержки: | https://www.sqlmanager.ru/support
Регистрация: | https://www.sqlmanager.ru/products/mysql/manager/buy


Hовости

SQL Manager for MySQL
  • На главную
  • « Назад
  • Вперед »

Новости

Версия | Дата выпуска
SQL Manager for MySQL 5.9.3 | 26.03.2025

  • Выпущена 64-битная версия SQL Manager for MySQL.
  • Добавлена поддержка запуска на Windows 11 ARM.
  • Исправлено масштабирование всплывающих подсказок в Редакторе SQL.
  • Исправлено отображение значений переменных в подсказках при отладке функций.
  • Размеры списка автозавершения кода теперь сохраняются.
  • Исправлена ошибка при отладке функции, в которой используются переменные и синонимы с одинаковым именем.
  • Исправлена информация о внешних ключах в отчетах для таблиц.
  • Улучшена поддержка MySQL 9.
  • Другие изменения и улучшения.

Смотрите также:

Предыдущие версии


Системные требования

  • Microsoft Windows XP, Microsoft Windows Server 2003, Microsoft Windows Server 2008, Microsoft Windows Server 2008 R2, Microsoft Windows Server 2012, Microsoft Windows Server 2012 R2, Microsoft Windows Server 2016, Microsoft Windows Vista, Microsoft Windows 7, Microsoft Windows 8/8.1, Microsoft Windows 10, Microsoft Windows 11, Windows 11 ARM
  • 512 Мбайт ОЗУ (рекомендуется 1024 Мбайт или более)
  • 200 Мбайт свободного пространства на жестком диске для установки программы
  • Возможность соединения с локальным или удаленным сервером MySQL
  • Поддерживаемые версии сервера MySQL: с 4.1 по 9, MariaDB c 5.1 и выше
  • Microsoft Visual C++ Redistributable 2015-2022


Сравнительная таблица характеристик

Бесплатная Lite версия SQL Manager for MySQL не включает все особенности Full версии и имеет ограничение числа баз данных, которые могут быть зарегистрированы. Некоторые функции и инструменты в Lite версии недоступны.

Полная сравнительная таблица характеристик

Важно: Если у вас установлена Lite версия программы, то Вы можете активировать все возможности Full версии. Эти возможности будут доступны для работы в течение тридцати дней.

Для получения более подробной информации об активации смотрите на странице Активация режима полной версии.

 | Full version | Lite version
Поддержка MySQL, MariaDB, Percona Server for MySQL, Amazon RDS for MySQL/MariaDB, Amazon Aurora
Поддержка всех объектов MySQL (таблиц, представлений, UDF, хранимых процедур и функций, триггеров и событий) | + | +
Поддержка всех возможностей и особенностей MySQL | + | +
Поддержка данных UTF8 | + | +
Современный графический интерфейс пользователя
Настройки внешнего вида программы в стиле Office 11 или Windows XP | + | +
Эффективная система мастеров | + | +
Улучшенный проводник баз данных для более простого управления объектами MySQL | + | +
Панель инструментов для легкого переключения между окнами по принципу панели задач Windows | + | +
Навигационная панель c "горячими клавишами" для большинства окон программы | + | +
Возможность сохранения всех настроек программы | + | +
Настраиваемые панели инструментов для всех окон приложения | + | +
Полностью настраиваемый интерфейс программы | + | +
Мощный модуль настройки внешнего вида системы | + | +
Локализуемый пользовательский интерфейс | + | +
Быстрая навигация и управление базами данных
Соединение с несколькими серверами/базами данных одновременно | + | До 5
Доступ к серверу MySQL по HTTP туннелю | + | +
Доступ к серверу MySQL по SSH туннелю | + | -
Соединение с базами данных с использованием SSL сертификатов | + | +
Возможность регистрации баз данных для работы только с требуемыми базами | + | +
Создание "проектов" для работы только с выбранными объектами базы данных | + | +
Создание пользовательских закладок быстрого доступа для любого узла дерева базы данных | + | +
Одновременная работа с несколькими выбранными объектами | + | +
Возможность группировки зарегистрированных баз данных по принадлежности к серверу | + | +
Элементарное управление всеми объектами MySQL
Возможность создавать и удалять базы данных | + | +
Копирование любых объектов баз данных | + | +
Управление таблицами и их подобъектами: полями, индексами, внешними ключами и триггерами | + | +
Управление представлениями, хранимыми функциями и процедурами, задаваемыми пользователем функциями (UDF), запланированными событиями | + | +
Отладка процедур, функций, триггеров и событий | + | -
Возможность переименовывания объектов | + | +
Просмотр зависимостей между объектами | + | +
Эффективные инструменты управления данными
Мощный редактор BLOB-полей с различными режимами просмотра данных | + | -
Отображение данных и работа с двумя связанными таблицами одновременно | + | -
Отображение данных в табличном и карточном виде | + | -
Возможность копировать и вставлять выбранные записи | + | -
Экспорт данных в сценарии SQL в виде выражения INSERT | + | -
Поддержка запросов, возвращающих несколько наборов данных | + | +
Отображение, редактирование, группировка, сортировка и фильтрация любых данных из зарегистрированной базы данных | + | +
Эффективное управление параметрами безопасности
Функциональный менеджер для управления пользователями и их привилегиями | + | +
Менеджер настроек прав пользователей, отображающий все права для объектов базы данных в форме таблицы | + | +
Великолепные графические и текстовые инструменты для построения запросов
Визуальный конструктор для построения сложных SQL запросов | + | -
Многооконный редактор SQL с функцией автозавершения кода и подсветкой синтаксиса | + | +
Исполнение больших скриптов SQL (с помощью редактора скриптов SQL) | + | +
SQL Formatter (Вызывается из контекстного меню редактора SQL) | + | -
Избранные запросы (Возможность легко сохранять и возвращаться к часто выполняемым запросам) | + | +
Конструктор отчетов с понятным мастером создания отчетов
Управление отчетами аналогично управлению объектами базы данных: доступ к отчетам осуществляется напрямую из дерева Проводника БД | + | -
Мастер создания отчетов позволяет создавать отчеты всего за пару шагов | + | -
Впечатляющие возможности импорта и экспорта данных
Частичное или полное копирование метаданных и данных из одной базы данных в другую | + | -
Экспорт данных в наиболее популярные форматы: MS Excel, MS Word, MS Access, HTML, PDF, TXT, CSV, DBF, XML, ODF и т.д. | + | -
Импорт данных из файлов MS Excel, MS Access, DBF, XML, ODF, TXT and CSV | + | -
Экспорт табличных данных в виде PHP страницы | + | -
Мощный визуальный конструктор баз данных
Два типа аннотаций для диаграмм (IDEF1x и IE) | + | -
Функциональный инструмент навигации | + | -
Инструмент обратного проектирования | + | -
Создание нескольких страниц для разделения одной диаграммы на различные предметные области | + | -
Возможности создания, редактирования и удаления таблиц и их полей, визуального установления отношений между таблицами | + | -
Виртуальные объекты, такие как комментарии, и виртуальные связи | + | -
Вывод диаграммы на печать или сохранение ее в виде изображения | + | -
Широкие возможности настройки внешнего вида конструктора | + | -
Удобные мастера для работы с сервисами MySQL
Дамп базы данных | + | +
Восстановление базы данных | + | +
Резервное копирование таблиц | + | -
Восстановление таблиц из резервной копии | + | -
Анализ таблиц | + | -
Проверка таблиц | + | -
Восстановление таблиц | + | -
Оптимизация таблиц | + | -
Изменение механизма хранения таблиц | + | -
Вспомогательные инструменты для того, чтобы сделать Вашу работу с сервером MySQL простой и удобной
Извлечение метаданных в текстовые файлы или в редактор SQL скриптов | + | +
Мощный модуль печати метаданных для создания настраиваемых отчетов о метаданных | + | -
Генератор HTML отчетов для быстрого создания подробных отчетов о Вашей базе данных | + | -
SQL Monitor | + | +
Сравнение и синхронизация структур баз данных | + | -
Инструмент "Свойства сервера" для просмотра и изменения системных переменных, для просмотра информации о состоянии сервера | + | -
Другие функциональные особенности
Клавиатурные шаблоны | + | +
Список запланированных действий "To-do" | + | +
Менеджер внешних инструментов | + | +


Установка

Установка программы

  • загрузите установочный файл программы со страницы загрузки,
  • полученный файл извлеките из архива в нужную директорию (например, c:\unzipped),
  • откройте файл setup.exe и следуйте инструкциям мастера установки,
  • после завершения процесса установки найдите ярлыки программы в Пуск->Программы->EMS.

Часто задаваемые вопросы по установке ПО

Обновление программы

  • загрузите установочный файл программы со страницы загрузки сайта,
  • полученный файл извлеките из архива в нужную директорию (например, c:\unzipped),
  • закройте программу SQL Manager for MySQL, если она запущена,
  • откройте файл setup.exe и следуйте инструкциям мастера обновления.

Вы можете обновить версию программы, используя SQL Direct.

Смотрите также:

Часто задаваемые вопросы


Приобретение

Для приобретения наших продуктов на территории Российской Федерации вы можете использовать форму он-лайн оплаты платежной картой либо запросить счёт для безналичной оплаты путем банковского перевода.

Выбор типа лицензии, количества лет Сопровождения и способа оплаты происходит на странице покупки продукта.

Пожалуйста, учтите, что все наши программные продукты доставляются только электронными средствами (Electronic Software Delivery).

После приобретения мы отправим вам регистрационный ключ электронной почтой. Регистрационная информация будет так же доступна зарегистрированным пользователям на нашем сайте.

Программа EMS по Сопровождению ПО - это выгодная для клиента комплексная программа, включающая в себя техническую поддержку, обновления ПО и много других преимуществ. Имея действующую подписку на Сопровождение ПО, Вы автоматически получаете последние версии программ EMS сразу после их выпуска без дополнительных затрат. Это позволит Вам и Вашей компании идти в ногу с новейшими разработками в области программного обеспечения, пользоваться улучшенными версиями программ и проще отслеживать имеющиеся у Вас лицензии на ПО.

Как участник Программы EMS по Сопровождению ПО, Вы имеете право получать:

  • Техническую поддержку опытных специалистов
  • Консультации по вопросам работы ПО
  • Бесплатные обновления и релизы с улучшениями ПО в течение подписки на Сопровождение ПО
  • Доступ к персональной учетной записи клиента EMS
  • Возобновление подписки на Сопровождение ПО в режиме онлайн
  • Эксклюзивные заблаговременные уведомления о специальных предложениях
  • Эксклюзивные предложения ТОЛЬКО для владельцев подписки на Сопровождение ПО.

Подробнее об услуге сопровождения читайте на странице https://www.sqlmanager.ru/support/faq#maintenance.

Если у вас остались вопросы - вы можете найти ответы на них в разделе FAQ или обратиться в службу поддержки по адресу sales@sqlmanager.ru.


Регистрация

Если Вы не зарегистрировали свою копию программы SQL Manager for MySQL, то Вы можете сделать это, нажав кнопку Register Now в окне, открывающемся при выборе пункта главного меню программы Help | About.

Welcome to SQL Manager - About

В появившемся окне укажите регистрационное имя - в поле Registration name, и ключ - в поле Registration Key.

Welcome to SQL Manager - Register product

Чтобы зарегистрировать только что приобретенную копию программы необходимо выполнить следующие действия:

  • получить уведомительное письмо с регистрационной информацией из Digital River.
  • ввести Registration Name и Registration Key из этого письма.
  • убедиться, что регистрация прошла успешно. Для этого необходимо открыть окно About SQL Manager for MySQL, выбрав пункт главного меню Help | About. В этом окне должны отображаться введенные вами Registration Name и Registration Key.

После введения правильного регистрационного ключа появляется информационное окно, сообщающее о том, что Вы теперь имеете право пользоваться программой.

Смотрите также:

Приобретение


Предыдущие версии

11.03.2024 | Выпущен SQL Manager for MySQL 5.9.2
09.08.2022 | Выпущен SQL Manager for MySQL 5.9.1
20.10.2021 | Выпущен SQL Manager for MySQL 5.9
17.12.2019 | Выпущен SQL Manager for MySQL 5.8
21.12.2018 | Выпущен SQL Manager for MySQL 5.7.2
10.07.2018 | Выпущен SQL Manager for MySQL 5.7.1
15.02.2018 | Выпущен SQL Manager for MySQL 5.7
21.08.2017 | Выпущен SQL Manager for MySQL 5.6.4
21.12.2016 | Выпущен SQL Manager for MySQL 5.6.3
26.10.2016 | Выпущен SQL Manager for MySQL 5.6.2
16.08.2016 | Выпущен SQL Manager for MySQL 5.6.1
02.06.2016 | Выпущен SQL Manager for MySQL 5.6
02.09.2015 | Выпущен SQL Manager for MySQL 5.5.3
26.06.2015 | Выпущен SQL Manager for MySQL 5.5.2
06.04.2015 | Выпущен SQL Manager for MySQL 5.5.1
09.02.2015 | Выпущен SQL Manager for MySQL 5.5
23.09.2013 | Выпущен SQL Manager for MySQL 5.4
27.04.2012 | Выпущен SQL Manager for MySQL 5.3.0.1
19.01.2012 | Выпущен SQL Manager for MySQL 5.2.0.1
03.08.2011 | Выпущен SQL Manager for MySQL 5.1.0.1
07.06.2011 | Выпущен SQL Manager 2011 for MySQL 5.0.0.1
23.08.2010 | Выпущен SQL Manager 2010 for MySQL 4.6.0.1
19.06.2009 | Выпущен SQL Manager 2010 for MySQL 4.5.0.1
22.08.2008 | Выпущен SQL Manager 2007 for MySQL 4.4.0.4
26.02.2008 | Выпущен SQL Manager 2007 for MySQL 4.3.0.1
02.11.2007 | Выпущен SQL Manager 2007 for MySQL 4.2.0.1
07.06.2007 | Выпущен SQL Manager 2007 for MySQL 4.1
19.04.2007 | Выпущен SQL Manager 2007 for MySQL
20.06.2006 | Выпущен SQL Manager 2005 for MySQL 3.7
28.03.2006 | Выпущен SQL Manager 2005 for MySQL 3.6.5
02.02.2006 | Выпущен SQL Manager 2005 for MySQL 3.6.

11.03.2024 Выпущен SQL Manager for MySQL 5.9.2

1. Добавлена поддержка выражений в значениях по умолчанию колонок таблиц сервера MySQL.

2. Добавлена поддержка приватных ключей PuTTY в формате PPK3.

3. Улучшена поддержка PHP 8.x в emsproxy.php.

4. В Конструкторе запросов исправлена ошибка при использовании оператора CASE.

5. Исправлена ошибка при отладке функции, в которой используются переменные и колонки с одинаковыми именами.

6. В HTML-отчете исправлены пути для триггеров.

7. Исправлены ошибки при работе с сервером в SQL режиме с ANSI_QUOTES.

8. Исправлен DEFINER в DDL функции для MySQL 8.1 и выше.

9. Исправлена ошибка при отладке функций с большим количеством переменных.

10. Исправлено сохранение настроек Конструктора БД.

11. Другие изменения и улучшения.

09.08.2022 Выпущен SQL Manager for MySQL 5.9.1

1. В BLOB-редакторе добавлена вкладка JSON для соответствующего типа данных.

2. Исправлена ошибка импорта данных с пропуском колонок из DBF файла.

3. В редакторе таблиц для столбцов исправлена установка размерности и значения по умолчанию.

4. В некоторых конфигурациях при соединении с сервером с отключенным SSL выдавалась ошибка. Исправлено.

5. Учётные записи с различающимися 'host_name' не отображались в списке пользователей. Исправлено.

6. Исправлено отображение DDL таблицы с составными ключами.

7. В SQL Script исправлено автоопределение кодировки файла.

8. Исправлено отображение имен и типов в диалоге ввода значений параметров.

9. В редакторе функций исправлено отображение тела функции, состоящее из одного выражения.

10. Другие изменения и улучшения.

20.10.2021 Выпущен SQL Manager for MySQL 5.9

1. Добавлены новые режимы подключения с использованием SSL: Preferred, Required, Verify CA, Verify Identity.

2. Добавлена поддержка приватных ключей типа ECDSA, Ed25519 формата Putty.

3. Добавлена поддержка метода аутентификации "Keyboard-interactive" для SSH.

4. В Бесплатной версии убрано ограничение на размер базы данных.

5. Исправлено назначение прав пользователю и установка лимитов.

6. Процесс оставался запущенным после закрытия программы во время длительного получении информации об обновлениях. Исправлено.

7. Исправлена работа редактора таблиц с длинными именами объектов.

8. В некоторых случаях при переключении на вкладку данных выдавалась ошибка Out of memory. Исправлено.

9. Исправлено применение кодировки символов при получении данных о процедурах.

10. Исправлены ошибки отображения значений по умолчанию.

11. Исправлены ошибки при редактировании секционированных таблиц.

12. Исправлена ошибка обновления событий на сервере с отключенным планировщиком событий.

13. Множество других исправлений и улучшений.

17.12.2019 Выпущен SQL Manager for MySQL 5.8

1. Добавлена возможность выделения цветом редакторов, относящихся к определенной БД.

2. Добавлена возможность указания алиаса сервера.

3. Обновлена библиотека для туннелирования SSH с поддержкой ключей ECDSA и Ed25519.

4. Добавлена поддержка синтаксиса для запросов WITH.

5. Исправлено отображение зависимых объектов в редакторах объектов.

6. Исправлена ошибка при отзыве всех разрешений на объект в Grant manager.

7. В Мастере копирования БД исправлены ошибки при работе с триггерами.

8. Исправлено отображение символов эмодзи в просмотрщике данных.

9. В некоторых случаях в Мастере импорта данных не отображался прогресс выполнения. Исправлено.

10. Другие изменения и улучшения.

21.12.2018 Выпущен SQL Manager for MySQL 5.7.2

  1. Добавлена поддержка плагина аутентификации 'caching_sha2_password' для MySQL сервера 8.0.
  2. Теперь можно изменять размер у окна ввода параметров для процедур.
  3. Добавлена опция отключения запросов Ping в Мониторе SQL.
  4. В отладчике процедур неправильно отображались значения параметров типа DATE. Исправлено.
  5. Не менялся порядок открытых окон в программе. Исправлено.
  6. В некоторых случаях при закрытии Конструктора запросов выдавались сообщения об ошибках. Исправлено.
  7. Исправлена ошибка сохранения настроек при включенной локализации.
  8. Неверно отображались описания колонок, которые содержали национальные символы. Исправлено.
  9. Исправлены ошибки при обновлении привилегий пользователей.
  10. Не восстанавливалось содержимое Редактора SQL при использовании опции 'Same queries for all databases'.
  11. Другие изменения и улучшения.

10.07.2018 Выпущен SQL Manager for MySQL 5.7.1

1. Улучшена поддержка мониторов с высоким разрешением и систем с увеличенным размером шрифта.

2. Улучшена поддержка темной темы.

3. Исправлено использование шифрованного соединения (SSL) без задания сертификатов и ключей.

4. В Мастере экспорта данных не отображались колонки типа Datetime. Исправлено.

5. Исправлен поиск по дереву объектов.

6. Исправлена выгрузка процедур и функций, содержащих цикл REPEAT.

7. В некоторых случаях при использовании Query Builder для представлений появлялась ошибка. Исправлено.

8. Исправлены ошибки замены текста в редакторах.

9. При включенной опции восстановления рабочего стола не открывался SQL Editor. Исправлено.

10. В некоторых случаях не работало отключение транзакций для данных. Исправлено.

11. Исправлена ошибка печати диаграммы в Visual Database Designer.

12. Множество других исправлений и улучшений.

15.02.2018 Выпущен SQL Manager for MySQL 5.7

  1. Обновлены иконки в программе.

  2. Добавлена поддержка темной визуальной темы.

  3. Реализована поддержка Юникода для имен объектов.
  4. Добавлена поддержка экспорта и импорта файлов Access 2016.
  5. Мастер экспорта в PHP теперь использует для доступа к базам данных интерфейс PHP Data Objects (PDO).
  6. Данные типа BLOB и бинарные данные экспортируются в виде Base64 и строк HEX для текстовых форматов.
  7. В некоторых случаях Мастер копирования объектов не копировал данные. Исправлено.
  8. Исправлена подсветка синтаксиса для процедур и функций.
  9. Исправления в автодополнении ключевых слов.
  10. Исправлено отображение времени в греческой локали.
  11. Множество других улучшений и изменений.

21.08.2017 Выпущен SQL Manager for MySQL 5.6.4

  1. Добавлена поддержка MySQL версии 8.0.
  2. Добавлена поддержка вычислимых (Generated) полей.
  3. Добавлена поддержка сообщений SIGNAL в редакторе процедур и функций.
  4. Добавлена опция удаления данных из целевых таблиц в мастере "Copy Database".
  5. Исправлена ошибка при построении дерева зависимостей для процедур, ссылающихся на объекты другой базы данных.
  6. Исправлена ошибка получения объектов Scheduled Events для пользователей с ограниченными правами.
  7. Исправлена ошибка экспорта привилегий пользователя в "Grant Manager".
  8. Исправлена ошибка вставки данных для таблиц с полями, имеющими значение по умолчанию.
  9. В некоторых случаях при выборе файла в мастере Import Data возникала ошибка. Исправлено.
  10. Другие изменения и улучшения.

21.12.2016 Выпущен SQL Manager for MySQL 5.6.3

  1. В модуле реализации HTTP-туннеля добавлена возможность подключения к серверу через настраиваемые сокеты.
  2. Исправлена ошибка при появлении всплывающих подсказок.
  3. Исправлена ошибка выполнения оператора LOAD DATA в Редакторе SQL.
  4. Исправлена ошибка импорта данных в режиме Update.
  5. Исправлена ошибка "Out of memory" при использовании Duplicate Wizard.
  6. В заголовке окон редакторов объектов отсутствовала информация о подключении. Исправлено.
  7. При использовании транзакций зависали долго выполняющиеся запросы. Исправлено.
  8. Другие изменения и улучшения.

26.10.2016 Выпущен SQL Manager for MySQL 5.6.2

  1. Поддержка PHP 7.x в модуле обслуживания HTTP-туннелирования.
  2. Оптимизировано получение данных об объектах в мастере Copy Database.
  3. Исправлена ошибка при вызове диалога автодополнения кода в редакторе.
  4. Исправлено отображение значений типа Time на вкладке данных.
  5. Исправлено сохранение размера навигационных панелей в редакторах объектов.
  6. Исправлено отображение DDL триггеров в Print Metadata.
  7. Исправлено копирование значений типа Date в буфер обмена.
  8. Исправлена ошибка "SELECT command denied" при изменении процедуры пользователем с ограниченными правами.
  9. Исправлены ошибки в мастере Compare Databases при сравнении таблиц с автоинкрементными полями.
  10. Другие изменения и улучшения.

16.08.2016 Выпущен SQL Manager for MySQL 5.6.1

  1. Поддержка последних версий OpenSSH.
  2. Добавлены горячие клавиши для поиска объектов в дереве DB Explorer.
  3. Исправлена ошибка "SELECT command denied" при создании новой процедуры.
  4. Исправлена ошибка импорта данных типа Decimal из файлов MS Excel.
  5. Исправлено выполнение команды Explain для выделенного текста в SQL Editor.
  6. Исправлена ошибка Access Violation, возникавшая при сравнении БД в некоторых случаях.
  7. Исправлен экспорт автоинкрементных полей с произвольной сортировкой.
  8. Изменена горячая клавиша по умолчанию для команды "Set to Null" в просмотрщике данных.
  9. Другие изменения и улучшения.

02.06.2016 Выпущен SQL Manager for MySQL 5.6

  1. Добавлена поддержка типа JSON.
  2. SQL Editor. Добавлена возможность отображения результатов для нескольких запросов.
  3. Добавлены таймауты для подключения и ожидания блокировки изменения метаданных.
  4. Оптимизированы поиск и замена текста в редакторах SQL.
  5. В Extract Database и Copy database добавлена возможность выбора триггеров отдельно от таблиц.
  6. Поддержка последних версий OpenSSH.
  7. Исключены лишние операции Connect/Disconnect при подключении к БД.
  8. Исправлено применение кодировки базы по умолчанию.
  9. Исправлены ошибки отображения данных в BLOB Editor.
  10. Устранено появление повторного запроса на сохранение в SQL Editor/SQL Script.
  11. Исправлены ошибки при переименовании вкладок Визуального Конструктора БД.
  12. Исправлена ошибка при использовании типа ENUM для возвращаемого значения функции.
  13. Исправлена ошибка назначения привилегий для объектов с точкой в имени.
  14. При выполнении форматирования в функции удалялся весь текст кроме комментариев. Исправлено.
  15. Исправлена ошибка при копировании нулевых дат в буфер обмена.
  16. Множество других улучшений и исправлений.

02.09.2015 Выпущен SQL Manager for MySQL 5.5.3

  1. Исправлена критическая ошибка при использовании фильтра.
  2. При вызове предпросмотра в Query Builder выдавалась ошибка. Исправлено.
  3. Исправлено несвоевременное появление окна автозавершения кода при редактировании текста.
  4. Исправлена сортировка полей в редакторе таблиц.
  5. При подключении к БД с использованием SSH туннеля пассфраза запрашивалась дважды. Исправлено.
  6. Исправлено сохранение размеров окон в режиме Floating Windows.
  7. Исправлено дублирование таблицы с данными при использовании подключения через SSH-туннель.
  8. При выполнении запросов с использованием некоторых функций для работы с датами выдавалась ошибка. Исправлено.
  9. При экспорте результата запроса не учитывались ограничения. Исправлено.
  10. В отчеты добавлено название документа для поддержки печати через PDF-принтеры.
  11. Другие улучшения и исправления.

26.06.2015 Выпущен SQL Manager for MySQL 5.5.2

  1. Исправлена генерация скрипта определения (DDL) для таблиц с точкой в имени.
  2. Исправлена ошибка доступа к процедурам у пользователей с ограниченными правами.
  3. Критическая ошибка при запуске на некоторых версиях Windows. Исправлено.
  4. Не работал вызов предпросмотра в диалоге печати для представлений.
  5. Исправлен размер окон визардов при увеличенном размере шрифтов (DPI).
  6. В скрипте сравнения БД исправлен порядок скриптов для добавления полей в таблицу.
  7. Исправлено отображение зависимостей в редакторе процедур.
  8. В SQL Script исправлено позиционирование курсора мышкой в тексте с табуляцией.
  9. Исключено сравнение свойства AUTO_INCREMENT таблиц в мастере Database Comparer.
  10. В отладчике процедур исправлена инициализация параметров типа DateTime.
  11. При использовании транзакций не работала вставка данных в таблицу из процедуры. Исправлено.
  12. Исправлено сравнение индексов в Database Comparer.
  13. Исправлен импорт данных в юникоде из файлов Excel (.xlsx).
  14. Другие исправления и улучшения.

06.04.2015 Выпущен SQL Manager for MySQL 5.5.1

  1. Автодополнение в редакторе не работало в некоторых случаях. Исправлено.
  2. Исправлено сохранение/восстановление размеров окон редакторов объектов.
  3. Возникала ошибка обновления объектов при подключении с ограниченными правами. Исправлено.
  4. Исправлена отрисовка элементов управления при увеличенном DPI шрифтов.
  5. Исправлена попытка некорректного применения взаимоисключающих опций.
  6. Возникали ошибки при загрузке сохранненых уровней табличного представления данных. Исправлено.
  7. Исправлен экспорт полей типа 'date' в формат XLS.
  8. Исправлено неверное логирование выполнения запросов в SQL Editor.
  9. Исправлены ошибки при отображении недопустимых дат.
  10. При запуске программы в режиме Floating Windows возникали ошибки. Исправлено.
  11. Испралена ошибка при повторном выполненим запросов в модальном Query Builder.
  12. Другие испраления и улучшения.

09.02.2015 Выпущен SQL Manager for MySQL 5.5

1. Добавлен сервис восстановления базы данных из файлов дампа.

2. Реализована поддержка микросекунд для TIME, DATETIME и TIMESSTAMP в редакторах и в табличном представлении данных.

3. Оптимизирован экспорт больших объемов данных.

4. Оптимизирована работа с БД с большим количеством объектов.

5. Возможность переименования таблиц, процедур и функций в редакторах.

6. Возможность задания значений по умолчанию как CURRENT_TIMESTAMP и ON UPDATE CURRENT_TIMESTAMP для DATETIME.

7. Генерация ALTER TABLE ... RENAME INDEX скрипта для переименования индекса вместо DROP/CREATE для MySQL 5.7 и выше.

8. Добавлены границы страниц на диаграмме Visual Database Designer.

9. Исправлено сохранение и восстановление настроек представления данных в SQL Editor.

10. Не работало сохранение запросов SQL Editor через Мастер сохранения настроек. Исправлено.

11. Не работала подсветка синтаксиса для больших скриптов. Исправлено.

12. Для таблиц, не поддерживающих транзакции, теперь не происходит попытки старта транзакции, что предотвращает блокировку метаданных.

13. Прочие исправления и улучшения.

23.09.2013 Выпущен SQL Manager for MySQL 5.4

  1. Добавлена возможность резервного копирования БД через mysqldump.
  2. Появилась поддержка хранилищ PBXT, Aria, SphinxSE в редакторе таблиц для серверов MariaDB.
  3. В администраторе прав для таблиц добавлены привилегии TRIGGER, CREATE VIEW, SHOW VIEW.
  4. Увеличена скорость экспорта данных.
  5. В режиме плавающих окон (Floating windows) не открывался Визуальный конструктор баз данных. Исправлено.
  6. Исправлено применение форматов локали для данных в табличном представлении.
  7. При получении зависимостей для триггера возникала ошибка. Исправлено.
  8. При очистке таблицы происходило зависание. Исправлено.
  9. При редактирование скриптов с длинными комментариями происходили ошибки. Исправлено.
  10. В некоторых случаях некорректно работал импорт из файлов Excel, Access и CSV. Исправлено.
  11. Исправлено отображение больших значений типа BIGINT в табличном представлении.
  12. Мастер извлечения баз данных. Триггеры теперь выгружаются в конце скрипта.
  13. При экспорте данных в файлы Excel вместо пробелов появлялись неверные символы. Исправлено.
  14. Исправлен ввод специальных символов испанского языка.
  15. Появилась поддержка увеличенного шрифта системы в редакторе таблиц.
  16. При редактировании процедур пользователями с ограниченными правами возникала ошибка. Исправлено.
  17. Не отображались результаты для запросов с комментариями в конце. Исправлено.
  18. Множество улучшений и исправлений.

27.04.2012 Выпущен SQL Manager for MySQL 5.3.0.1

  1. Добавлена возможность обновления и редактирования процедур при ограниченных правах к таблице "mysql.proc".
  2. В инструменте сравнения баз данных (Database Comparer) реализовано сравнение всех свойств индексов.
  3. SQL Монитор. Опция записывания событий SQL монитора в файл не работала. Исправлено.
  4. Таблицы в Unix-серверах, имеющие разные регистры, отображались некорректно. Исправлено.
  5. Редактор индексов.
  • Не менялся комментарий для существующего индекса. Исправлено.
  • При попытке изменить первичный индекс возникала ошибка. Исправлено.
  6. Открытие Менеджера служб сервера в немецкой локализации приводило к ошибке (Instance Manager). Исправлено.
  7. Редактор полей. На некоторых версиях сервера при попытке убрать опцию «Первичный ключ» скрипт изменения полей генерировался с ошибкой. Исправлено.
  8. Прочие улучшения и исправления

19.01.2012 Выпущен SQL Manager for MySQL 5.2.0.1

  1. Добавлена возможность обновления информации о процедурах и функциях через системные таблицы базы данных information_schema.
  2. Усовершенствован модуль Export as PHP Page:
    • появилась возможность экспорта представлений и запросов,
    • в параметры безопасности (Security options) добавлен тип авторизации на сервере MySql,
    • добавлена возможность работы при установленном параметре PHP short_open_tag в NO.
  3. В модуле Database Comparer усовершенствован алгоритм генерации скриптов и вычисления последовательности скриптов.
  4. В модуле Duplicate Object реализовано копирование через INSERT INTO … SELECT FROM.
  5. Изменена форма добавления/редактирования индексов, добавлена поддержка свойств индексов, такие как HASH, BTREE, SPATIAL, KEY_BLOCK_SIZE, PARSER, COMMENT.
  6. В редакторе пользователей добавлено свойство MAX_USER_CONNECTIONS.
  7. В редакторе процедур и функций добавлена форма редактирования параметров.
  8. Прочие улучшения и дополнения.

03.08.2011 Выпущен SQL Manager for MySQL 5.1.0.1

  1. Добавлена возможность автоматической регистрации новой базы данных после ее копирования с помощью Мастера копирования базы данных.
  2. Управление пользователями. Добавлена возможность фильтрации по типам привилегий.
  3. Дерево зависимостей теперь анализирует зависимости всего сервера.
  4. Добавлена возможность очистки истории вводимых параметров.
  5. Свойства сервера. При просмотре списка процессов теперь можно завершать запрос, связанный с этим процессом.
  6. Другие незначительные изменения и исправления.

07.06.2011 Выпущен SQL Manager 2011 for MySQL 5.0.0.1

  1. Добавлена возможность отладки процедур, функций, триггеров и назначенных событий.
  2. Добавлена поддержка соединения с базой данных с использованием SSL сертификатов.
  3. Добавлена возможность соединения через именованные каналы (named pipe).
  4. Добавлена поддержка объектов: PARTITIONS, TABLESPACE, LOGFILE GROUP и SERVERS.
  5. Добавлен Database Comparer. C его помощью можно получить SQL скрипт для синхронизации структуры баз данных.
  6. Database Registration Manager. Позволяет быстро добавить регистрации новых БД и удалить регистрации несуществующих БД.
  7. Добавлена возможность группового копирования объектов в DB Explorer методом Drag And Drop.
  8. Добавлена поддержка нестандартных значений дат и времени (MySQL invalid dates) при отображении в вводе данных, так же добавлен ввод даты и времени по формату.
  9. Добавлена возможность создавать процедуры, представления и функции на основе таблицы (через контекстное меню таблицы).
  10. Добавлен сервис с возможностью группового изменения типа таблиц.
  11. В Load Data Wizard добавлена поддержка команды LOAD XML и реализована конструкция исключения SET.
  12. Добавлена опция для поддержания соединения “Ping database every seconds” в Database Registration Info
  13. В Проводнике баз данных Триггеры вынесены отдельной веткой.
  14. Добавлена возможность переименовывать базы данных из DB Explorer и через инструмент Database Properties.
  15. Добавлена возможность отключения от всех подключенных баз данных.
  16. Появилась возможность задавать сочетания клавиш не только для команд редактора SQL, но и для других команд (Environment Options | Global Shortcuts).
  17. SQL Formatter позволяет теперь форматировать DDL операторы (statements).
  18. Добавлена возможность создавать шаблоны для новых имен объектов.
  19. Добавлена история входных параметров процедур.
  20. Прочие улучшения и дополнения.

23.08.2010 Выпущен SQL Manager 2010 for MySQL 4.6.0.1

  1. Соединение с сервером в случае обрыва SSH туннеля теперь восстанавливается автоматически.
  2. Управление правами:
  • Добавлена возможность назначения прав CREATE TRIGGER и DROP TRIGGER.
  • Исправлена ошибка отображения прав типа GRANT SELECT ON `with\_underscore`.
  3. Добавлен просмотр полей geometry в BLOB Editor.
  4. Мастер сохранения настроек. Добавлена возможность сохранения избранных запросов.
  5. Исправлена ошибка при повторном импорте файлов MS Office 2007 и Open Office форматов в windows 7 32/64 bit.
  6. Не экспортировалось первое поле при экспорте списка полей из датафрэйма. Исправлено.
  7. В сетке данных добавлена возможность отображения Column Summary.
  8. Экспорт данных. Исправлена ошибка "MS Access ошибка Application uses a value of the wrong type." при экспорте некоторых TEXT полей.
  9. Другие исправления и улучшения.

19.06.2009 Выпущен SQL Manager 2010 for MySQL 4.5.0.1

  1. Добавлен поиск по метаданным - Search in Metadata.
  2. Добавлена поддержка Windows 7.
  3. Редактор хранимых функций. При перекомпиляции процедуры теперь заново создаются заданные для нее привилегии.
  4. Редактор данных. Set to Now теперь принудительно не отсылает данные для новых и редактируемых записей.
  5. Редактор процедур.
  • Не работало запоминание значений параметров при выполнении процедуры, если хотя бы один из параметров имел тип BIGINT. Исправлено.
  • Если при выполнении процедуры с параметром типа BIGINT вводилось значение больше чем 2147483648, то возникала ошибка. Исправлено.
  6. Мастер экспорта в виде SQL скрипта. При генерации скрипта для SQL Server не генерировался DLL для таблицы. Исправлено.
  7. Мастер экспорта данных. На Windows Vista x64 при экспорте данных в формат ODF Spreadsheets возникала ошибка "Cannot create basic structure". Исправлено.
  8. Редактирование поля типа SET иногда могло приводить к потере значения по умолчанию. Исправлено.
  9. Значения полей по умолчанию типа BIT(1) DEFAULT '\0' определялось некорректно. Исправлено.
  10. Редактор полей. Не сохранялось значение по умолчанию при обновлении current_timestamp для полей типа TIMESTAMP. Исправлено.
  11. Другие исправления и улучшения.

22 августа 2008 года выпущен SQL Manager 2007 for MySQL вер. 4.4.0.4

  1. Редактор таблиц.
  • При подключении через HTTP тоннель теперь доступна фильтрация данных.
  • проводник теперь корректно отображает юникодные данные.
  • Добавлена частичная поддержка полей типа OpenGIS.
  • Для полей типа DOUBLE игнорировалась отключение опции "Use dimension". Исправлено.
  2. Мастер копирования баз данных. При копировании баз данных между серверами отличных версий теперь учитываются ограничения на длину комментариев к таблицам и полям.
  3. Мастер извлечения баз данных.
  • При включенных опциях "Add DELIMITER statements" и "Generate DROP IF EXISTS statements for objects" результирующий скрипт получался ошибочным из-за неверной подстановки разделителя для DROP выражения. Исправлено.
  • Извлечение структуры базы с циркулярными зависимостями между таблицами теперь происходит корректно.
  • При значении опции "Records in block" равном 1 комментарии перед каждой извлеченной записью теперь не добавляются.
  • При значении опции "Client Charset" равном "Windows Charset" в выражение SET NAMES теперь подставляется верный чарсет.
  4. Мастер копирования объекта. При копировании представления имя представления в генерируемом скрипте оставалось исходным. Исправлено.
  5. Мастер экспорта данных. Файлы, получаемые при экспорте в формат Excel 2007 при открытии вызывали ошибку "Excel found unreadable content in 'libri.xlsx". Исправлено.
  6. Редактор триггеров. В случае отсутствия у пользователя прав выборки на таблицу mysql.user при попытке редактирования триггеров возникала ошибка. Исправлено.
  7. Редактор процедур.
  • Процедуры с метками в телах типа

main: BEGIN

…..

END main

теперь редактируются корректно.

  • При выполнении процедур значения параметров типа OUT всегда отображались как NULL.
  8. Редактор запросов. Иногда переставали работать сочетания Ctrl+C и Ctrl+V. Исправлено.
  9. В некоторых случаях не работала опция "Restore Desktop on connection".
  10. Другие мелкие исправления и улучшения.

26 февраля 2008года выпущен SQL Manager 2007 for MySQL вер. 4.3.0.1

  1. Проводник баз данных .
  • Добавлена панель поиска для поиска объектов в дереве объектов, отображающемся в проводнике баз данных.
  • Список окон доступен теперь как вкладка проводника баз данных;
  2. Добавлена поддержка UTF8 для метаданных.
  • компиляция процедур, функций и триггеров, содержащих национальные символы, теперь корректна вне зависимости от настроек операционной системы.
  • национальные символы в полях типа ENUM теперь отображаются корректно.
  3. Появилась возможность автоматического восстановления потерянного соединения с базой данных. Опция Automatically reconnect when connection is lost в Регистрационной информации базы данных.
  4. Добавлена функция поиска опций.
  5. Редактор таблиц. Добавлена поддержка таблиц типа FEDERATED.
  6. Мастер извлечения баз данных.
  • Увеличена скорость работы для больших баз данных.
  • Появилась возможность опционально добавлять директивы delimiter при извлечении процедур и триггеров. Опция Add DELIMITER statements for stored routines and triggers.
  • Для добавления или отключения комментариев создана опция Insert Comments.
  7. Мастер импорта данных.
  • Появилась возможность автоматического сопоставления полей таблицы колонкам текстовых данных.
  • Теперь можно указать кодировку CSV и TXT файлов при импорте.
  • При импорте из DBF файла выбор параметра ANSI или OEM не влиял на результат. Исправлено.
  8. Визуальный конструктор баз данных.
  • Добавилась возможность отображать имена внешних ключей на диаграмме. Опция Draw FOREIGN KEY name.
  • Добавилась функция Materialize Virtual Relation - создать внешний ключ на основании виртуального ключа.
  • Размер полей таблиц теперь отображается на диаграмме.
  • При удалении внешних ключей теперь запрашивается подтверждение.
  9. Восстановление таблиц. Теперь можно вручную вводить имена отсутствующих в базе данных таблиц для восстановления.
  10. Мастер экспорта данных.
  • При экспорте результата выполнения запроса, созданного в Редакторе запросов и Визуальном конструкторе запросов можно добавить текст самого запроса в верхний колонтитул получаемого файла с помощью кнопки Add query text to Header.
  • При экспорте большого числа записей (более 1000000) возникала ошибка "Out of Memory". Исправлено.
  11. Редактор триггеров
  • Добавилась возможность добавления и изменения DEFINER для триггера.
  • Не работал Code Completion после имени таблицы и точки. Исправлено.
  12. Значения полей типа unsigned bigint и unsigned int, превышающие 2147483647 теперь отображаются и редактируются корректно.
  13. Просмотр в виде таблицы и Просмотр в виде формы.
  • Нулевая дата 0000-00-00 теперь отображается и редактируется корректно.
  • появилась возможность редактирования времени во всем поддерживаемом MySQL диапазоне ' от -838:59:59' до '838:59:59'. Для этого нужно выбрать формат 'hhh:nn:ss' для отображения времени (Environment options | Grid | Color & Format | Time Fields).
  14. Редактор запросов.
  • При включенной опции Group Undo откат происходит более логично.
  • Улучшен Code Folding для сложных запросов.
  • Редактор теперь работает значительно быстрее. Функции подсвечивания объектов и гиперссылки теперь не отключаются при работе с большими скриптами.
  15. Редактор процедур. Возникала ошибка при компиляции процедур с именами длиннее чем 60 символов. Исправлено.
  16. Мастер сохранения данных. Не работали шаблоны. Исправлено.
  17. Не работала опция Execute from file для файлов в кодировке UNICODE. Исправлено.
  18. Некоторые другие улучшения и исправления.

02.11.2007 SQL Manager for MySQL версии 4.2.0.1 выпущен

  1. Улучшена система построения зависимостей на вкладке просмотра зависимостей объекта в редакторах объектов.
  2. SQL Editor. Значительно улучшена система Code Completion. Добавлена подсветка служебных слов появившихся в MySQL 6.0.
  3. При выбранной в Windows корейской локализации строковые данные таблиц и запросов иногда отображались некорректно.
  4. Create Database. При выборе UTF8 в поле Character Set возникала ошибка. Исправлено.
  5. View Editor. При выборе Edit with Query Builder иногда происходило аварийное завершение программы. Исправлено.
  6. Extract Database. При извлечении процедур и функций в ряде случаев пустые комментарии извлекались неправильно. Исправлено.
  7. Доработана немецкая локализация продукта.
  8. Добавлена русская локализация продукта.
  9. Добавлена польская локализация продукта.
  10. Некоторые другие улучшения и исправления.

Выпущен SQL Manager 2007 for MySQL версии 4.1

Что нового в SQL Manager 2007 for MySQL?

  1. Редактор SQL. Добавлена подсказка, отображающая параметры для введенных процедур и функций. Принудительный вызов подсказки - Ctrl+Shift+Space.
  2. Редактор Процедур, Редактор Функций. Появилась возможность разворачивать SQL редактор определения процедуры во все окно.
  3. Редактор BLOB полей теперь позволяет просматривать поля типа TEXT.
  4. Существенно увеличена скорость работы инструмента Извлечение базы данных.
  5. Все мастера теперь спрашивают подтверждения при повторном нажатии клавиши.

Исправлено

  1. При соединении с базой данных через HTTP туннель, в редакторе таблицы при переходе на закладку Данные происходила ошибка при отображении данных. Исправлено
  2. Исправлена ошибка "Illegal mix of collation", возникающая при выполнении некоторых SQL команд на серверах MySQL версий 4.1 - 5.0. Исправлено
  3. Печать метаданных. При выборе размера бумаги Letter, при попытке печати метаданных происходила ошибка. Исправлено
  4. SQL Script. Выполнение последовательности команд вида
    OPTIMIZE TABLE table1, table2;
    FLUSH TABLES;
    вызывало ошибку "out of sync". Исправлено
  5. Сервисы|Оптимизация таблиц. Происходила ошибка при попытке оптимизации InnoDB таблиц на серверах MySQL версий 5.0. Исправлено
  6. Извлечение базы данных. При включенной опции "Login prompt before connection" при попытке извлечения данных происходила ошибка. Исправлено
  7. При регистрации программа больше не удаляет регистрационную информацию старой версии SQL Manager 2005.
  8. Версия Lite. SQL Manager Direct не запускался при запуске приложения. Исправлено
  9. Редактор SQL. При раскладке "США-Международная" и "DA - Danish" не печатались кавычки. Исправлено
  10. Редактор SQL. Открытый файл не сохранялся при нажатии "Сохранить в файл". Исправлено
  11. Редактор SQL. В некоторых случаях не появлялся список полей для алиаса таблицы. Исправлено
  12. Добавлено сочетание клавиш Ctrl+W для закрытия активного окна. Исправлено
  13. Некоторые другие улучшения и исправления.

Выпущен SQL Manager 2007 for MySQL

Что нового в SQL Manager 2007 for MySQL?

  1. Поддержка UTF8 в редакторе SQL, конструкторе запросов, в табличном виде, мастером экспорта/импорта данных.
  2. Теперь вы можете продолжать работу с SQL Manager в то время, как в редакторе SQL или в конструкторе запросов производится выполнение запроса, либо запрашиваются данные таблицы или представления в редакторе. Выполнение затянувшегося запроса по желанию можно прервать.
  3. Все Мастера, включая Мастер экспорта/импорта данных, извлечения, копирования базы данных теперь выполняются в фоновом режиме, а вы в это время можете продолжать работать с программой.
  4. Новый улучшенный редактор SQL наподобие Visual Studio 2005 с функцией Code Folding, поддержкой UNICODE.
  5. Улучшенный Мастер импорта данных позволяет импортировать данные до 10 раз быстрее. Добавилась возможность импорта данных из файлов форматов HTML, XML Document, Open Document Format (OpenOffice), Open XML Format (MS Word 2007, MS Excel 2007).
  6. Улучшенный Мастер копирования базы данных работает быстрее и позволяет копировать базы данных и объекты между серверами разных версий. Копирование объектов производится теперь с учетом зависимостей между ними.
  7. Улучшенный Мастер извлечения базы данных работает быстрее, позволяет задавать версию сервера, для которого нужно сгенерировать скрипт, и учитывает зависимости между объектами.
  8. Поддержка запросов, возвращающих несколько наборов данных.
  9. В Проводнике БД появилось меню генерации типовых SQL команд для объектов базы данных (Script to SQL Editor, Script to Clipboard). Теперь вы можете легко получить такие SQL команды как CREATE, ALERT, DROP, SELECT и др. для каждого объекта базы данных.
  10. Теперь вы можете сохранять свои запросы в папках Избранные запросы в Проводнике БД; в этом случае запросы могут храниться либо локально в реестре (и быть доступными только для вас), либо в специальной таблице базы данных (и быть доступными части либо всем пользователям вашей базы).
  11. Улучшен Визуальный конструктор базы данных, добавлены новые объекты, такие как комментарии и виртуальные связи. Появилась возможность добавления в диаграммы Процедур, Функций и Представлений. Выбор уровня детализации отображения объектов (отображать только имена объектов, либо поля и параметры).
  12. Улучшенный Мастер экспорта данных теперь работает быстрее. Добавилась возможность выгрузки данных в форматы XML Document, Open Document Format (OpenOffice), Open XML Format (MS Word 2007, MS Excel 2007).
  13. Новый инструмент Дерево зависимостей позволяет просматривать зависимости между объектами базы данных.
  14. Улучшенный инструмент Свойства сервера. Разбивка переменных на группы, возможность модификации системных переменных. Вывод информации сервера, состояние InnoDB, и общий журнал запросов.
  15. Добавлено окно Свойств базы данных (Database Properties) с показом и возможностью изменения опций базы данных, выводом краткой информации об объектах базы и ее размере.
  16. Улучшенный Редактор таблиц. Добавлена возможность просмотра и изменения свойств таблицы на новой закладке, а также просмотр Статуса таблицы.
  17. Параметры соединения и опции отображения данных, которые влияют на скорость работы с базой, перенесены в Регистрационную Информацию базы данных и могут настраиваться для каждой базы индивидуально для достижения максимального удобствᐰ работы.
  18. В Проводнике БД хосты теперь именуются с учетом выбранного типа соединения: SSH или HTTP туннелирования.
  19. SSH туннелирование теперь позволяет задавать секретный ключ.
  20. SQL Скрипт. Добавлена возможность запускать выделенные запросы и запросы, находящиеся под курсором.
  21. Улучшенная система построения отчетов.
  22. Множество других улучшений и исправлений

Выпущен SQL Manager 2005 for MySQL вер. 3.7

Что нового в SQL Manager 2005 for MySQL версии 3.7?

  1. Добавлена поддержка запланированных событий (Scheduled Events) для MySQL 5.1.6
  2. Export as SQL Script. Теперь можно выбирать, для какого DBMS сервера генерировать сценарий.
  3. SQL Editor.
  • Добавлена возможность импортировать данные в запрос, если он поддерживает вставку данных.
  • Возможность переименовывать и перемещать закладки.
  • Время выполнения запроса теперь показывается в формате часы:минуты:секунды.
  • Иногда при выполнении запросов в SQL Editor возникала ошибка Range Check Error.
  4. DB Explorer. Добавлена команда Add to Projects. Теперь объекты в проекты можно добавлять не только перетаскиванием, но и посредством выбора в открывающейся по этой команде форме.
  5. Теперь поддерживается работа туннеля HTTP по протоколу HTTPS.
  6. Теперь для использования Services нет необходимости предварительно соединяться с базой данных при помощи DB Explorer.
  7. Добавлена поддержка систем хранения данных myttNDBCluster и myttBlackHole.
  8. Обновлен список Character sets и Collations в Create Database Wizard.
  9. Размер и положение окон редакторов новых объектов теперь сохраняется.
  10. Grid. Добавлены пункты контекстного меню Expand All и Collapse All.
  11. Положение элементов управления в панелях инструментов теперь не сбрасывается после установки новой версии программы. Сбросить их можно, использую соответствующую команду в меню Windows, или кнопкой на форме Environment Options.
  12. Visual Database Designer. Стиль контекстного меню не менялся в соответствии с текущей визуальной схемой.
  13. Уменьшена загрузка процессора при использовании программы совместно с некоторыми другими программами.

Исправлено

  1. Определения представлений и триггеров обрезались до 8K. Исправлено
  2. Table Editor. Исправлена работа сервиса Truncate table.
  3. В запросах вычисляемые поля типа sum() считались строковыми. Исправлено
  4. Неверное форматирование тела представления с полями вида concat(ucase(`staff`.`pref_surname`), ', ', `staff`.`pref_name`) AS `person`. Исправлено
  5. Неверно обновляется свойство UNIQUE для полей, что приводит к ошибке при их перестановке. Исправлено
  6. Исправлена ошибка при редактировании индексов вида UNIQUE KEY `name` (`surname`(5),`name`,`patronymic`)
  7. При добавлении нового отчета через Create Report Wizard на некоторых версиях сервера MySQL происходила ошибка. Исправлено
  8. Исправлена ошибка получения значений по умолчанию для BIT полей.
  9. Function Editor возвращал результат NULL как пустую строку. Исправлено
  10. Не сохранялся размер и положение окон. Исправлено
  11. Database Registration Info. При сохранении не проверялась уникальность псевдонимов БД. Исправлено
  12. Группировка в Table Editor в некоторых случаях работала некорректно. Исправлено
  13. Устранена ошибка при установке фильтра для поля типа TEXT.
  14. Исправлена контекстная помощь в Report Designer.
  15. EMS Direct. Некоторые символы нелатинского алфавита отображались неверно. Исправлено
  16. Server Properties дважды выдавал запрос на соединение с БД. Исправлено
  17. Naming Rules не сохранялись после выхода из программы. Исправлено
  18. Restore Service выдавал ошибку при выборе Non-registered database, Create new database. Исправлено
  19. Query Builder. После редактирования текста запроса на закладке Edit, функция создания представления (CREATE VIEW) использовала устаревший запрос с закладки Builder. Исправлено
  20. Прочие улучшения и исправления.

Выпущен SQL Manager 2005 for MySQL ver.3.6.5

Что нового в SQL Manager 2005 for MySQL версии 3.6.5?

  1. SQL Editor. Реализовано переназначение клавиш для различных команд и операций в соответствии с вашими предпочтениями.
  2. Query Builder. поддержка запросов с участием таблиц из разных баз данных, расположенных на одном сервере.
  3. Create Table. Добавлена поддержка комментариев для таблицы.
  4. Server Properties. Теперь поддерживается соединение с использованием SSH и HTTP туннелей.
  5. Добавлена опция "Write only successfully executed SQL statements to log" (Database Registration Info / Logs).
  6. SQL Editor.
  • Добавлена возможность выполнения выражения SQL под курсором.
  • Добавлены команды Next Bookmark, Previous Bookmark.
  7. Extract Database.
  • Добавлена опция "Use tables selected on the previous step" для извлечения данных таблиц, выбранных для извлечения их структуры.
  • Индикатор прогресса теперь отображает количество извлеченных записей для таблиц.
  • Исправлена ошибка при извлечении процедур и функций в случае отсутствия у пользователя прав на их просмотр.
  • Теперь созданный скрипт корректно вставляет значение 0 для автоинкрементных полей.
  8. Copy Database.
  • Добавлена опция "Use tables selected on the previous step" для копирования данных таблиц, выбранных для копирования их структуры.
  • Индикатор прогресса теперь отображает количество скопированных записей для таблиц.
  • Добавлена опция "Use compressed protocol".
  9. Create Database Wizard. Имя создаваемой базы данных теперь заключается в кавычки.
  10. Data Import.
  • Теперь при отключенных транзакциях в режиме "Commit changes manually" по завершении импорта запрашивается действие над транзакцией (Commit или Rollback).
  • Возможность менять размер диалогового окна.
  • Игнорировалась установка Generator Value и Constant Value при задании формата импортируемых полей. Ошибка исправлена.
  • При задании части полей для импорта, в оставшиеся поля производилась вставка пустых строк, что приводило к тому, что значения по умолчанию, определенные в таблице для полей, не применялись. Ошибка исправлена.
  11. Procedure Editor.

Поддержка в телах процедур конструкций вида:

procd:BEGIN
...
END procd

Исправлено

  1. Procedure Editor. Исправлена ошибка при создании процедуры с параметрами вида:
    param2 ENUM('a','b','c')
  2. Если у пользователя не было прав на mysql.proc,то параметры функций не обновлялись. Исправлено
  3. Сервис Optimize tables для InnoDB таблиц на MySQL 5.x теперь выполняется без ошибок.
  4. Исправлена ошибка получения значений по умолчанию для полей типа BIT(n).
  5. SQL Editor.
  • Исправлена ошибка "Division by zero" при выполнении Explain для неверного запроса.
  • В некоторых редких случаях пропадал текст с начала строки при использовании инструмента автозавершения кода при включенной опции "Trim trailing spaces". Исправлено
  6. Visual Database Designer. Если таблица не выделена, но выделено поле, то пункт контекстного меню Drop Table работал некорректно. Исправлено
  7. SQL Script. Добавлено подтверждение на прерывание выполнения скрипта.
  8. DB Explorer. Контекстное меню не скрывалось при переключении на другое приложение. Исправлено
  9. Table Editor, View Editor. При экспорте списков подобъектов, строки длиной более 32 символа обрезались. Исправлено
  10. Прочие незначительные улучшения и исправления ошибок.

Выпущен SQL Manager 2005 for MySQL ver.3.6.

Что нового в SQL Manager 2005 for MySQL версии 3.6?

  1. SQL Formatter. Форматирует SELECT, INSERT, UPDATE, DELETE запросы. (Доступен через контекстное меню редактора.)
  2. SQL Script.
  • Теперь показывается прогресс выполнения скрипта и есть возможность остановить выполнение.
  • Появилась возможность открывать несколько окон одновременно.
  • Исправлена ошибка, вызывавшая зависание при редактирование скрипта большого размера (> 10MБ) при включенной опции 'Enable Parsing'.
  3. Теперь вы можете задать настройки соединения с хостом при установке соединения в User Manager, Grant Manager and SQL Script. Также теперь они (перечисленные инструменты) работают корректно при использовании HTTP и SSH tunneling.
  4. SQL Editor.
  • Добавлена опция 'Don't save queries automatically for the next session'. При включенной опции появилась возможность создать и сохранить набор запросов для каждой базы, который будет считываться автоматически при запуске SQL Editor. При отключенной - сохраняются запросы последнего сеанса.
  • Теперь нет ограничения на размер редактируемых скриптов.
  5. Поддержка типов данных BOOLEAN and BIT(M).
  6. Truncate tables теперь можно выполнить для нескольких выделенных таблиц в DB Explorer.
  7. Visual Query Builder теперь сохраняет запрос между сессиями.
  8. Table Editor
  • Кнопка 'Refresh' теперь отображает изменения, сохраненные другими транзакциями (приложениями).
  • Функция 'Reorder fields' теперь работает корректно для InnoDB таблиц с внешними ключами.
  9. Grid.
  • Теперь 'Set to Empty String' и другие подобные команды при выполнении не выполняют немедленного сохранения записи в таблицу.
  • При вставке записей из буфера обмена теперь можно задать соответствия столбцов данных из clipboard со столбцами данных запроса.
  • 'Copy to clipboard' теперь использует символы табуляции в качестве разделителей (для вставки в Excel).
  • Form View. Увеличен редактор Memo полей (настраивается на закладке Grid / Advanced в окне Environment Options).
  10. Extract Database. Добавлена опция 'Generate USE statement'.
  11. Data Export Wizard.
  • Добавлена опция 'Allow captions'.
  • Кнопка 'Finish' теперь доступна на любом шаге мастера.
  12. Procedure Editor. Теперь отображаются значения выходных параметров.
  13. Теперь вы можете вызвать диалог Table Properties для выбранной таблицы в DB Explorer при помощи пункта 'Object Properties' всплывающего меню или про помощи одноименной кнопки на панели инструментов.
  14. Blob View: Добавлена опция 'Word Wrap' для режима просмотра в виде текста.
  15. Теперь вы можете запустить Grant Manager без предварительного соединения с базой данных.
  16. Trigger Editor. Автозавершение кода теперь отображает список полей таблиц для old. и new.
  17. Поддержка опции 'Binary flag for char and varchar fields' (для MySQL версий 3.23-4.0).
  18. Опции баз данных сохраняются сразу после изменения, а не в конце работы программы, как ранее, и аварийное завершение работы программы или системы не приводит более к потере изменений, сделанных за сессию.
  19. Report Designer и Report Editor теперь поддерживают соединение с базой данных через HTTP-туннель.
  20. Column Editor. Сохраняет значение Size при изменении типа Char на Varchar и наоборот.
  21. Duplicate Object, модальный Visual Query Builder. Теперь эти окна могут менять размер.

Исправлено

  1. Долго закрывался Table Editor при числе таблиц в базе данных более 1000. Исправлено.
  2. Сортировка по полям типа Bigint при включенной опции 'SQL sort mode' работала неверно. Исправлено.
  3. В функции Автозавершения кода - не выдавались поля для таблиц и представлений. Исправлено.
  4. Print Metadata. 'Show all objects' button не работало. Исправлено.
  5. Procedure Editor. Нажатие на 'Execute' приводило к двойному выполнению запроса. Исправлено.
  6. View Editor. При создании нового представления с названием, содержащим заглавные буквы, выдавалась ошибка. Исправлено.
  7. Тип Decimal(10, 2) отображался как Decimal(10, 0) при соединении через HTTP. Исправлено.
  8. Возникала ошибка при обновлении процедур и функций в DB Explorer, если пользователь не имел права на доступ к 'mysql.proc'. Исправлено.
  9. Другие улучшения и исправления.


Часто задаваемые вопросы

Также Вы можете просмотреть Часто задаваемые вопросы на сайте компании, по адресу http://sqlmanager.net/ru/products/mysql/manager/faq.

Содержание

  • Что такое EMS SQL Manager for MySQL?
  • В чем основное различие между полной и Lite версиями SQL Manager for MySQL?
  • Что мне необходимо для начала работы с EMS SQL Manager for MySQL?
  • Чем отличаются функции Импорт/Экспорт в SQL Manager for MySQL от утилит Data Export/Import for MySQL?
  • В чем различие между модулем Конструктора Запросов в SQL Manager for MySQL и утилитой SQL Query for MySQL?
  • Чем отличается встроенная в SQL Manager for MySQL функция "Извлечение базы данных" от утилиты DB Extract for MySQL?
  • Не могу модифицировать DDL. Почему?
  • Как мне настроить форматы данных в сетке данных?
  • Когда я создаю таблицу типа `TestTable`, то она сохраняется как `testtable`. Это неверно!
  • Как я могу создать отчет?
  • Я пытаюсь создать отчет в Конструкторе Отчетов/Report Designer, но не могу получить доступ к данным таблицы: список 'Band data source' пуст.
  • Что такое SSH-туннель?
  • Я не могу отладить соединение с сервером MySQL через SSH. Какие значения нужно вводить в поля закладки SSH во время регистрации базы данных?
  • Что такое HTTP-туннель?
  • Как повысить скорость работы с большими таблицами?
  • Моя таблица содержит около 1000 записей и большое количество полей. Ее открытие в закладке "Данные" занимает слишком много времени.
  • У меня в таблице более миллиона записей, однако, в сетке данных отображаются только 1000. В чем проблема?
  • Мне нужно внести некоторые изменения в объекты моей тестовой базы данных, а затем те же изменения проделать и в основной. Может быть, в SQL Manager for MySQL для этого есть специальные инструменты?
  • Я пытаюсь экспортировать таблицу, но поля LONGTEXT не экспортируются.
  • Чем отличаются функции “Извлечение базы данных” и “Экспортировать как SQL-скрипт”?
  • Как мне изменить директорию, в которую будут сохраняться экспортированные данные?
  • Почему я не могу соединиться с локальным MySQL сервером?
  • Когда я пытаюсь зарегистрировать базу данных, я получаю следующее сообщение: Access denied for myuser@myhost.mydomain. Почему так происходит?
  • Я нахожусь за файерволом (роутером). Я могу использовать SQL Manager для управления удаленным MySQL сервером?
  • Почему я не могу соединиться с удаленным MySQL сервером?
  • Я пытаюсь зарегистрировать базу данных MySQL расположенную на веб-сервере, но получаю ошибку. Из своих PHP скриптов я работаю с этой базой без каких-либо проблем, используя тот же логин-пароль. Как я могу получить доступ к базе данных моего сайта с помощью SQL Manager?
  • Я пытаюсь связаться с удаленным хостом MySQL, но получаю сообщение: "Host not allowed to connect to server". В чем причина?
  • Я зарегистрировал базу данных, но при попытке ее открыть появляется сообщение “dynamic library libmysql.dll not found”.
  • При попытке соединения с MySQL 4.1.x. я получаю сообщение "Bad Handshake". Вообще, этот продукт поддерживает 4.1.x.?
  • Я пытался создать внешний ключ для таблицы InnoDB, но получил сообщение об ошибке "Can't create table ... (error: 150)". Что случилось?
  • Я работаю под MS Windows, но мой удаленный MySQL сервер работает на LINUX. Могу ли я работать с этим сервером, используя SQL Manager?
  • При каждой попытке подключения к удаленной базе MySQL на Linux-сервере, я получаю сообщение об ошибке 'Lost connection to MySQL server during query'. В чем дело?
  • Я не вижу в дереве объектов своих процедур и функций, но они есть в БД. Как мне это исправить?
  • Я не могу найти возможность создания внешнего ключа. Как мне создать внешний ключ?
  • Я не могу подключиться к БД хостинг-провайдера, хотя с помощью PHPMyAdmin установить соединение с БД удается.
  • Моя база данных имеет кодировку “Greek”. В сетке данных все данные отображаются как «?????????». В чем ошибка?
  • Можно ли как-то восстановить мои запросы/настройки/регистрации БД со старого или неисправного HDD, на котором был установлен SQL Manager.

В:

Что такое EMS SQL Manager for MySQL?

О:

EMS SQL Manager for MySQL - это мощный инструмент для разработки и администрирования серверов баз данных MySQL. SQL Manager for MySQL гарантированно работает с любыми версиями MySQL, начиная с версии 4.1 и заканчивая версией 5.6 включительно. SQL Manager for MySQL поддерживает все самые новые функции MySQL, включая представления, хранимые процедуры и функции, внешние ключи для таблиц InnoDB и так далее. Целый набор мощных инструментов и утилит SQL Manager for MySQL удовлетворит все потребности опытных пользователей. Современный, максимально комфортный графический интерфейс и грамотная система мастеров настроек предельно просты и будут понятны даже начинающему пользователю.

Наверх

В:

В чем основное различие между полной и Lite версиями SQL Manager for MySQL?

О:

Эти версии продукта SQL Manager for MySQL отличаются функциональностью и стоимостью. Вы можете сравнить характеристики всех версий на странице с Таблицей характеристик, а зарегистрировать SQL Manager for MySQL - на странице Покупки.

Наверх

В:

Что мне необходимо для начала работы с EMS SQL Manager for MySQL?

О:

Во-первых, Вы должны иметь возможность подключиться к локальному или удаленному серверу MySQL ( https://www.mysql.com/downloads/ ). Загрузка бесплатна. Во-вторых, Вам нужен компьютер, удовлетворяющий системным требованиям SQL Manager for MySQL.

Наверх

В:

Чем отличаются функции Импорт/Экспорт в SQL Manager for MySQL от утилит Data Export/Import for MySQL?

О:

Утилиты Data Export/Import for MySQL включают в себя несколько дополнительных возможностей, не поддерживаемых SQL Manager for MySQL, например:

экспорт/импорт данных из/в нескольких таблиц сразу;

экспорт/импорт данных из/в таблиц, выбранных из различных баз данных на одном хосте;

консольная утилита для экспорта/импорта с использованием файла конфигурации, содержащего все настройки.

Наверх

В:

В чем различие между модулем Конструктора Запросов в SQL Manager for MySQL и утилитой SQL Query for MySQL?

О:

Во-первых, EMS SQL Query for MySQL работает гораздо быстрее, т.к это отдельное приложение. Кроме того, SQL Query for MySQL предлагает дополнительные функции для построения запросов, например:

функция хранения истории запросов, позволяющая произвести "откат" к любому отредактированному запросу;

различные улучшения интерфейса для более простой и эффективной работы.

Наверх

В:

Чем отличается встроенная в SQL Manager for MySQL функция "Извлечение базы данных" от утилиты DB Extract for MySQL?

О:

DB Extract for MySQL включает в себя некоторые дополнительные функции, которые недоступны в SQL Manager for MySQL, например:

извлечение метаданных из различных баз данных, расположенных на одном сервере;

консольное приложение для упрощения процесса извлечения;

большая скорость работы.

Наверх

В:

Не могу модифицировать DDL. Почему?

О:

Закладки DDL в Редакторе Таблиц и Редактор UDF имеют параметры "только чтение/read only". Они отображают SQL-текст операций, которые Вы переносите из таблиц в закладки "Поля", "Индексы" или через UDF. Чтобы модифицировать этот текст, необходимо скопировать его в буфер обмена, а затем изменять его, используя Редактор Сценариев SQL.

Наверх

В:

Как мне настроить форматы данных в сетке данных?

О:

Настроить все отображаемые форматы (integer, float, date, time и date/time) можно в окне "Настройки окружения".

Наверх

В:

Когда я создаю таблицу типа `TestTable`, то она сохраняется как `testtable`. Это неверно!

О:

Вероятней всего, что значение переменной “lower_case_table_names” равно 1. За дополнительной информацией об этой переменной обращайтесь: http://dev.mysql.com/doc/mysql/en/Name_case_sensitivity.html.

Наверх

В:

Как я могу создать отчет?

О:

Вы можете использовать для создания отчета Мастер Создания Отчетов ("Создать->Отчет") или Конструктор отчетов ("Инструменты->Конструктор отчетов"). Чтобы создать простейший отчет на основе запроса, вам нужно выбрать "Master Data band" на втором шаге мастера, дважды щелкнуть на нем, либо щелкнуть на "Edit" кнопке и задать запрос для вашего отчета. После этого настроить необязательные опции на оставшихся шагах и нажать "Готово".

Наверх

В:

Я пытаюсь создать отчет в Конструкторе Отчетов/Report Designer, но не могу получить доступ к данным таблицы: список 'Band data source' пуст.

О:

Чтобы получить источник данных в отчете, Вам нужно добавить диалоговую форму в отчет (меню 'Редактировать/Edit' 'Добавить форму диалога/Add dialog form' Конструктора Отчетов), затем поместить в нее базу данных и компоненты запроса из левой панели конструктора и установить связь и параметры запроса. После этого запрос должен появиться в списках источников данных.

Наверх

В:

Что такое SSH-туннель?

О:

SSH (Secure Shell Host) протокол используется для повышения компьютерной безопасности при работе Unix-системами в Internet. SSH использует несколько алгоритмов шифрования разной степени надежности. Распространенность SSH связана еще и с тем, что многие Linux-подобные ОС (например, FreeBSD) включают в стандартную комплектацию SSH сервер. Для получения дополнительной информации вы можете посетить http://openssh.org. Опция SHH туннель в SQL Manager представляет собой средство организации безопасного доступа к MySQL серверам при работе по небезопасным каналам связи. Также вы можете использовать SSH туннель для доступа к удаленным MySQL серверам, если по каким-либо причинам порт 3306 закрыт для внешних подключений. Соединение через SSH туннель выглядит следующим образом. Сначала устанавливается соединение и производится процедура аутентификации между встроенным в SQL Manager SSH клиентом и удаленным SSH сервером, затем вся исходящая и входящая информация между программой и MySQL сервером передается через SSH сервер с использованием коммуникационного порта (обычно 22), а SSH сервер транслирует информацию уже непосредственно MySQL серверу. Чтобы зарегистрировать базу данных, соединение к которой должно выполняться с использованием SSH туннеля, вы должны задать следующие параметры при регистрации базы данных в SQL Manager for MySQL:

На первом шаге: Хост - имя хоста, где расположен сервер MySQL с точки зрения сервера SSH. Если SSH и MySQL сервера установлены на одной машине, то он совпадает с хостом SSH, или он может быть 'localhost'. Порт - порт сервера MySQL, его значение по умолчанию 3306. Пользователь - имя пользователя сервера MySQL. Пароль - пароль пользователя MySQL. Имейте в виду, что имя хоста MySQL должно быть задано относительно сервера SSH. Например, если MySQL и SSH сервера установлены на одном компьютере, Вы должны указать localhost в качестве имени хоста вместо имени внешнего хоста или IP адреса. Далее выберите опцию "Использовать туннелирование" и "SSH туннель".

На втором шаге:SSH хост - хост, где активирован сервер SSH.SSH порт - порт, где активирован сервер SSH.SSH пользователь - пользователь Linux машины. (Это пользователь Linux. Это не пользователь сервера MySQL.)SSH пароль - пароль пользователя Linux.

Наверх

В:

Я не могу отладить соединение с сервером MySQL через SSH. Какие значения нужно вводить в поля закладки SSH во время регистрации базы данных?

О:

Для того чтобы правильно установить соединение через SSH, необходимо задать следующие параметры: На закладке SSH:Хост SSH/SSH Host - это хост, где запущен сервер SSH. Порт/Port - номер порта, где запущен сервер SSH. Имя пользователя SSH/SSH User Name - это имя пользователя на сервере. (Пользователь сервера Linux. Это не имя пользователя сервера MySQL!) Пароль/Password - это пароль пользователя сервера Linux.

На закладке Connection properties/General page: Хост/Host - это хост, на котором расположен сервер MySQL с точки зрения сервера SSH. Если серверы SSH и MySQL находятся на одном компьютере, хост равен SSH Host, либо может быть локальным 'localhost'. Порт/Port - порт MySQL сервера на удаленном хосте (Remote Host), по умолчанию равен 3306. Имя пользователя/User Name - имя пользователя на сервере MySQL. Пароль/Password - это пароль пользователя на сервере MySQL.

Наверх

В:

Что такое HTTP-туннель?

О:

HTTP туннелирование - это способ, при котором соединение и передача данных между программой и MySQL сервером происходит через протоколы HTTP/HTTPS, используя порт 80, через который работает обычный веб-браузер. Этот способ подходит для соединения с MySQL, расположенным на удаленным сервере хостинг провайдера, когда прямое соединение невозможно из соображений безопасности. Соединение через HTTP туннель выглядит следующим образом: все исходящие запросы и команды с клиентских программ кодируются и передаются по протоколу HTTP/HTTPS, используя порт 80, специальному скрипту, который декодирует их и передает MySQL серверу на обработку, и возвращает обратно результат. Для использования этого способа на удаленном сервере должен быть установлен HTTP сервер (например, Apache) и PHP с подключенным расширением MySQL. Как правило, это программное обеспечение предлагают все хостинг-провайдеры, предоставляющие услуги хостинга на Linux платформах. Кроме того, вы должны разместить наш emsproxy.php скрипт на вашем веб-сервере так, чтобы иметь к нему доступ извне (например, поместить его в каталог, где находятся ваши остальные PHP скрипты). Если ваш веб-сервер удовлетворяет данным требованиям и скрипт установлен правильно, то при открытии http://<your_webserver_name>/emsproxy.php в веб-браузере вы увидите “EmsProxy v1.31” (версия может меняться). Чтобы зарегистрировать базу данных, соединение к которой должно выполняться с использованием HTTP туннеля, вы должны задать следующие параметры в Мастере Регистрации Баз Данных в SQL Manager for MySQL:

На первом шаге: Хост - это хост, где расположен MySQL сервер с точки зрения HTTP сервера. Обычно HTTP и MySQL сервер расположены на одной машине и являются 'localhost'. Порт - это порт MySQL сервера на удаленном узле, по умолчанию он 3306.Пользователь - это имя пользователя на MySQL сервере. Пароль - это пароль пользователя на MySQL сервере. Далее выберите опцию "Использовать туннелирование" и "SSH туннель".

На втором шаге:URL - это адрес, где находится скрипт emsproxy.php (например, http://mywebserver /emsproxy.php).

Наверх

В:

Как повысить скорость работы с большими таблицами?

О:

В целях повышения скорости работы и удобства Сетка Данных позволяет производить гибкую настройку многих параметров отображения данных. Ниже приведены наиболее важные из них (пункт меню "Настройки/Настройки окружения"). На закладке Сетка:
- Ограничения в редакторах. При включении опции "Выбирать все записи из таблицы" Вы будете иметь возможность видеть все записи таблицы без дополнительных запросов к серверу, однако для больших таблиц или при низкоскоростном канале связи возможны значительные задержки при получении данных, также входящий трафик может быть большим. Режим рекомендуется при работе с базами данных, расположенными локально либо в частной сети. Режим "Выбирать только" ограничивает максимальное число записей, возвращаемых в результате запроса. Режим обусловлен тем, что человек не способен осмысленно просмотреть огромный объем информации за один раз. Для запроса и отображения следующей порции данных служит кнопка "Далее" в панели инструментов "Сетка Данных". Данный режим значительно ускоряет просмотр данных таблицы, предотвращает зависание и разрыв соединения при таймауте. Рекомендуется для работы с большими таблицами, при низкоскоростных каналах связи и когда объем трафика имеет значение. Данный режим включен по умолчанию. При данном режиме очень полезны опции "Использовать сортировку SQL" и "Использовать фильтр SQL".

На странице "Сетка/Настройки данных":

- Режим сетки по умолчанию. Данная опция определяет, будут ли все строки запроса загружаться в Сетку сразу ("Загружать все строки"), либо по мере необходимости ("Загружать видимые строки"), т.е. когда пользователь пролистывает данные в таблице. Первый режим увеличивает время открытия результата запроса, но уменьшает задержки при пролистывании. При втором режиме время открытия результата запроса минимально, но возникают задержки при навигации по сетке.

- Также очень полезная опция при включенном режиме - "Выбирать только", но она увеличивает трафик. При отключенной опции фильтрация выполняется на клиенте без участия сервера, но только в уже загруженных данных. Т.е. если указано "Выбирать только 1000 записей", то фильтр будет выбирать только из этих записей.

Для максимальной производительности при работе с большими таблицами мы рекомендуем установить следующие значения для опций:

- Выбирать только - Включено

- Загружать все строки - Включено

Наверх

В:

Моя таблица содержит около 1000 записей и большое количество полей. Ее открытие в закладке "Данные" занимает слишком много времени.

О:

Вероятно, у вас включена опция "Автоподбор ширины столбца" на закладке "Сетка" диалога "Настройки/Настройки окружения". Попробуйте отключить ее.

Наверх

В:

У меня в таблице более миллиона записей, однако, в сетке данных отображаются только 1000. В чем проблема?

О:

Пожалуйста, выберите опцию "Выбрать все записи из таблицы" на закладке "Опции данных" диалога "База данных/Регистрационная информация базы данных". Для того чтобы установить этот режим по умолчанию для всех новых баз данных, вы можете выбрать опцию "Выбрать все записи из таблицы" на закладке “Опции данных” в меню “Настройки/Настройки окружения”.

Наверх

В:

Мне нужно внести некоторые изменения в объекты моей тестовой базы данных, а затем те же изменения проделать и в основной. Может быть, в SQL Manager for MySQL для этого есть специальные инструменты?

О:

Диалог "Регистрационная информация базы данных" содержит закладку "Журналы регистрации", в которой Вы можете разрешить протоколирование всех изменений метаданных в базе данных, а также протоколирование выражений SQL, выполняемых в Редакторе SQL. Вы должны включить опцию "Включить регистрацию изменений метаданных" для вашей тестовой базы данных, произвести необходимые модификации в базе, затем выполнить получившийся журнал метаданных на вашей основной базе данных.

Наверх

В:

Я пытаюсь экспортировать таблицу, но поля LONGTEXT не экспортируются.

О:

По умолчанию поля типов TEXT, LONGTEXT не экспортируются. Вы должны вручную выбирать эти поля в закладке "Поля/Columns".

Наверх

В:

Чем отличаются функции “Извлечение базы данных” и “Экспортировать как SQL-скрипт”?

О:

Функция “Экспортировать как SQL-скрипт” предназначена для экспорта табличных данных, которые будут вставлены в другую базу данных, отличную от сервера MySQL (SQL Server, Oracle, PostgreSQL etc.). Функция “Извлечение базы данных” используется для копирования данных в таблицы сервера MySQL.

Наверх

В:

Как мне изменить директорию, в которую будут сохраняться экспортированные данные?

О:

Для смены директории выполните следующие действия:

Щелкните правой клавишей мыши на необходимой базе данных в Проводнике БД и левой клавишей на "Регистрационная информация базы данных" во всплывающем меню (этот пункт Вы можете найти также в основном меню "База данных"). Откроется форма с параметрами базы данных.

Щелкните левой клавишей на закладке "Каталоги".

В секции "Каталог по умолчанию для экспортируемых данных" Вы можете выбрать директорию для экспорта файла.

Наверх

В:

Почему я не могу соединиться с локальным MySQL сервером?

О:

Есть несколько причин, по которым вы не можете соединиться с локальной базой данных. Если при попытке соединения выдается ошибка "Can't connect to MySQL server on 'localhost' (10061)", то вероятно, MySQL сервер установлен некорректно или сервис (обычно с именем mysql) не запущен. Чтобы проверить, запущен ли сервис, откройте Пуск->Панель управления->Администрирование->Службы и найдите службу с именем MySQL. Если вы не можете ее найти, то вам нужно попытаться повторно установить MySQL; если же вы ее нашли, то запустите ее кнопкой "Запустить", либо используя пункт "Пуск" контекстного меню. Если появляется ошибка вида "Access denied for user 'root'@'localhost' (using password: YES)", то проверьте правильность ввода пароля пользователя root, если вы меняли его при установке. Если вы установили MySQL со значениями по умолчанию, то вы должны использовать имя пользователя root с пустым паролем и порт 3306 для соединения с сервером (более подробная информация: http://dev.mysql.com/doc/refman/5.1/en/can-not-connect-to-server.html ).

Наверх

В:

Когда я пытаюсь зарегистрировать базу данных, я получаю следующее сообщение: Access denied for myuser@myhost.mydomain. Почему так происходит?

О:

MySQL сервер использует для аутентификации клиента его логин ('myuser' в вашем случае) и имя хоста, с которого он пытается установить подключение (myhost.mydomain в вашем случае). В вашем случае причина в том, что ваш пользователь 'myuser' с хоста 'myhost.mydomain' не имеет полномочий для доступа к вашему MySQL серверу. Вполне вероятно, что вы успешно соединялись с вашей базой с теми же параметрами (имя пользователя и пароль) в своих PHP скриптах, либо с помощью phpMyAdmin, но в этом случае MySQL сервер распознает вас как пользователя 'myuser' с хоста 'localhost', который имеет необходимые полномочия, и разрешает вам доступ. Для решения этой проблемы вы должны дать необходимые полномочия пользователю myuser@ myhost.mydomain. Вы можете сделать это с помощью phpMyAdmin, либо, выполнив на сервере sql команды: /*!50003 CREATE USER 'myuser'@ 'myhost.mydomain'*/; GRANT ALL PRIVILEGES ON *.* TO 'myuser'@ 'myhost.mydomain' IDENTIFIED BY 'user_password'; Либо обратитесь к вашему системному администратору. ( https://dev.mysql.com/doc/refman/8.4/en/privileges-provided.html )

Наверх

В:

Я нахожусь за файерволом (роутером). Я могу использовать SQL Manager для управления удаленным MySQL сервером?

О:

Если из-за политики безопасности, принятой у вас в корпоративной сети или хостинг провайдером, вы не можете соединиться с вашим MySQL сервером напрямую через TCP/IP (например, этому мешает firewall), то для этой цели вы можете использовать опцию SSH или HTTP туннель в SQL Manager.

Наверх

В:

Почему я не могу соединиться с удаленным MySQL сервером?

О:

Есть несколько причин, по которым вы не можете соединиться с удаленной базой данных. Если появляется ошибка "Can't connect to MySQL server on 'some host' (10061)", то возможно вы должны проверить правильность ввода имени хоста и порта, а также запущен ли удаленный сервер. В ряде случаев бывает, что порт, через который происходит соединение с MySQL сервером (обычно 3306), закрыт из соображений безопасности локальным firewall, корпоративным firewall или firewall на удаленном сервере. Часто бывает, что порт на удаленном сервере закрыт ISP, или поддержка протокола TCP/IP отключена на MySQL сервере. Выясните это у вашего системного администратора или ISP. Чтобы обойти это ограничение, вы можете использовать SSH и HTTP туннели (50, 55). Если появляется ошибка вида “Access denied for user: root@somehost.somedomain” или "Host not allowed to connect to server", то причиной этого является отсутствие прав у пользователя для доступа к базе данных.

Наверх

В:

Я пытаюсь зарегистрировать базу данных MySQL расположенную на веб-сервере, но получаю ошибку. Из своих PHP скриптов я работаю с этой базой без каких-либо проблем, используя тот же логин-пароль. Как я могу получить доступ к базе данных моего сайта с помощью SQL Manager?

О:

Наиболее вероятные причины этой ошибки: порт 3306, который используется MySQL, закрыт файерволом, установленным в вашей сети или у хостинг-провайдера, либо протокол TCP отключен на удаленном MySQL сервере, либо ваш пользователь и хост, с которыми вы пытаетесь произвести соединение, не имеет необходимых для этого полномочий.

Наверх

В:

Я пытаюсь связаться с удаленным хостом MySQL, но получаю сообщение: "Host not allowed to connect to server". В чем причина?

О:

Данная ошибка вызвана отсутствием прав у вашего хоста на соединение с удаленным MySQL сервером. Пожалуйста, свяжитесь с вашим системным администратором или, если у вас есть доступ к MySQL серверу с GRANT привилегией, вы можете использовать оператор GRANT, чтобы добавить нового пользователя. Например, чтобы открыть полный доступ пользователю с вашего хоста, можно выполнить команду: /*!50003 CREATE USER 'user'@'user_host'*/; GRANT ALL PRIVILEGES ON *.* TO 'user'@'user_host' IDENTIFIED BY ' user_password '; (http://dev.mysql.com/doc/refman/5.1/en/privileges.html)

Наверх

В:

Я зарегистрировал базу данных, но при попытке ее открыть появляется сообщение “dynamic library libmysql.dll not found”.

О:

Причина ошибки в том, что программа не может найти клиентскую библиотеку libmysql.dll, необходимую для работы с сервером. Данный файл libmysql.dll входит в комплект установки SQL Manager. Вероятно. Вероятно, вы случайно удалили этот файл либо перенесли исполняемый файл программы в другую папку. Для решения данной проблемы вы должны переустановить SQL Manager (все настройки будут сохранены), либо скопировать libmysql.dll из установочной папки в папку, где находится исполняемый файл.

Наверх

В:

При попытке соединения с MySQL 4.1.x. я получаю сообщение "Bad Handshake". Вообще, этот продукт поддерживает 4.1.x.?

О:

Скорей всего, Вы используете старую версию библиотеки libmySQL.dll. Используйте клиентскую библиотеку из нашего установочного пакета. Попробуйте переустановить приложение.

Наверх

В:

Я пытался создать внешний ключ для таблицы InnoDB, но получил сообщение об ошибке "Can't create table ... (error: 150)". Что случилось?

О:

Данная ошибка означает, что определение внешнего ключа для измененной таблицы было сформировано неверно. Например, связанный столбец не появляется как первый столбец в некотором индексе, ни в родительской, ни в дочерней таблице, или типы соответствующих полей в родительской и дочерней таблицах не совпадают. Вы можете использовать SHOW ENGINE INNODB STATUS для того, чтобы вывести подробное объяснение последней ошибки внешнего ключа InnoDB на сервере.

Наверх

В:

Я работаю под MS Windows, но мой удаленный MySQL сервер работает на LINUX. Могу ли я работать с этим сервером, используя SQL Manager?

О:

Да, это возможно. Под какой ОС работает MySQL сервер, не имеет никакого значения. Главное - это то, что сам SQL Manager работает исключительно под управлением MS WINDOWS.

Наверх

В:

При каждой попытке подключения к удаленной базе MySQL на Linux-сервере, я получаю сообщение об ошибке 'Lost connection to MySQL server during query'. В чем дело?

О:

Эта ошибка появляется в том случае, если Ваш Linux glibc требует больше, чем 128Кб размер стека для разрешения имени хоста. В основном, это происходит на системах с RedHat 8.0 и версией сервера MySQL ниже 4.0.10, но иногда встречается и на других конфигурациях. Чтобы решить эту проблему, добавьте/отредактируйте следующую строку в секции [mysqld] файла конфигурации MySQL: set-variable = thread_stack=192k # значение должно быть 192K или выше.

Наверх

В:

Я не вижу в дереве объектов своих процедур и функций, но они есть в БД. Как мне это исправить?

О:

Такая ситуация может возникнуть, если у Вас нет прав на извлечение данных из таблицы 'mysql.proc'. Обратитесь к администратору Вашего MySQL для назначения необходимых прав. Если изменять настройки привилегий нельзя и Вы используете MySQL 5.5 или выше, то попробуйте включить опцию 'Use INFORMATION_SCHEMA database to refresh metadata' диалога 'Database Registration Info -> Options'.

Наверх

В:

Я не могу найти возможность создания внешнего ключа. Как мне создать внешний ключ?

О:

Помните, что внешние ключи поддерживаются не для всех механизмов хранения таблиц сервера MySQL. Если для Вашей таблицы задан механизм хранения, поддерживающий внешние ключи, например, InnoDB, то в редакторе должна быть доступна вкладка 'Foreign Keys'. Переключитесь на нее и выберите пункт навигационной панели 'Add new foreign key'.

Наверх

В:

Я не могу подключиться к БД хостинг-провайдера, хотя с помощью PHPMyAdmin установить соединение с БД удается.

О:

Если Вы хотите подключиться к серверу MySQL Вашего хостинг-провайдера через Интернет, пожалуйста учтите, что наша программа устанавливает прямое TCP/IP подключение на порт сервера, в то время как большинство хостинг-провайдеров не разрешают такие удаленные подключения. Когда Вы подключаетесь к Вашей БД через CPanel, PHPMyAdmin или Ваши бэкэнд-скрипты (PHP, ASP и т.п.), то фактически подключение создается HTTP-сервером к MySQL серверу. В большинстве случаев это локальное подключение или подключение внутри подсети хостинг провайдера. Ваш Интернет браузер просто получает обработанные данные у HTTP-сервера в этом случае.

Для установки подключения к Вашей БД Вы должны выяснить (связываясь с Вашим хостинг-провайдером или изучив предоставляемую им документацию) поддерживают ли они прямое подключение на порт 3306 (порт MySQL по умолчанию) с машин удаленных пользователей. Если это не поддерживается, Вы должны выяснить, предоставляют ли они возможность подключения к удаленному серверу через SSH. Если да, то Вы можете использовать возможность SSH-туннелирования в SQL Manager, задавая параметры SSH авторизации, предоставленные Вашим хостинг провайдером.

Если вышеописанные способы подключения не доступны, Вы можете использовать возможность HTTP-туннелирования в SQL Manager. Для подключения этим способом, Вы должны сделать следущее.

1) Загрузить скрипт ‘emsproxy.php’ (который входит в дистрибутив SQL Manager) в корневую директорию Вашего сайта, используя доступный Вам FTP-аккаунт. Запустите Ваш браузер и укажите в строке адреса путь к загруженному 'emsproxy.php' (например: http://mysite.com/emsproxy.php). Вы должны увидеть страницу с сообщением 'The ‘emsproxy.php script is installed correctly'. Это значит, что скрипт работает корректно.

2) Запустите SQL Manager.

3) На первом шаге мастера 'Register Database' укажите параметры подключения к Вашей MySQL БД, как Вы указываете их в PHPMyAdmin или в Ваших скриптах (например, укажите 'localhost' а поле 'Host'), включите опции 'Use tunneling' и 'HTTP tunneling'. Нажмите кнопку 'Next'.

4) Укажите URL-путь к загруженному скрипту 'emsproxy.php' как Вы указывали это в браузере (пункт 1).

5) Нажмите кнопку 'Next'.

6) Укажите имя Вашей БД (выбор БД может быть недоступен, если у Вас ограничены права на сервере) и нажмите кнопку 'Finish'.

Наверх

В:

Моя база данных имеет кодировку 'Greek'. В сетке данных все данные отображаются как «?????????». В чем ошибка?

О:

Чаще всего данные отображаются таким образом в случае, если реальная кодировка данных не соответствует кодировке полей БД. Например, греческие символы хранится в поле, для которого задана кодировка latin1. Если это так, то задайте значение ‘Windows charset’ в поле ‘Client charset’ диалога ‘Database Registration Info’. Если в этом случае данные отображаются корректно, то этот режим можно использовать в качестве временного решения, но необходимо помнить, что это неверная настройка БД – некорректно будут работать серверные сравнения и сортировки данных. Мы рекомендуем Вам обратиться в нашу техническую поддержку в этом случае.

Наверх

В:

Можно ли как-то восстановить мои запросы/настройки/регистрации БД со старого или неисправного HDD, на котором был установлен SQL Manager.

О:

SQL Manager for MySQL хранит все свои настройки в реестре Windows. Это означает, что единственный способ перенести их – получить доступ к реестру Windows. Сделать это можно, загрузив ОС со старого HDD (если это возможно) либо открыв файл реестра специальной программой-редактором. Если это удалось, то можно выгрузить ветку 'HKEY_CURRENT_USER\Software\EMS\MySQL Manager' в *.REG файл, перенести этот файл на новую систему и добавить информацию в реестр с помощью двойного щелчка мыши по файлу.

Наверх


Сопутствующие продукты

MySQL

Microsoft SQL Server

PostgreSQL

InterBase / FireBird

Oracle

IBM DB2

Tools & components

MySQL

 | SQL Management Studio for MySQL EMS SQL Management Studio for MySQL это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio for MySQL объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | SQL Manager for MySQL EMS SQL Manager for MySQL – это мощный графический инструмент для разработки и администрирования серверов баз данных MySQL. Простой и удобный графический интерфейс позволяет быстро и просто создавать и редактировать объекты баз данных MySQL, визуально проектировать сами базы данных, выполнять сценарии MySQL и использовать другие службы, которые сделают Вашу работу с MySQL приятной и легкой.
dataexport | Data Export for MySQL EMS Data Export for MySQL – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных MySQL в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for MySQL располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for MySQL EMS Data Import for MySQL - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных MySQL.
datapump | Data Pump for MySQL EMS Data Pump™ for MySQL – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных MySQL®. Теперь перенос данных при помощи Data Pump for MySQL стал настолько прост, насколько это возможно!
datagenerator | Data Generator for MySQL EMS Data Generator for MySQL – это мощная утилита для мгновенной генерации тестовых данных для различных таблиц баз данных MySQL. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом
dbcomparer | DB Comparer for MySQL EMS DB Comparer™ for MySQL – это мощное приложение, предназначенное для сравнения баз данных MySQL®, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий.
extract | DB Extract for MySQL EMS DB Extract™ for MySQL – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract™ for MySQL позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for MySQL EMS SQL Query for MySQL - это утилита для быстрого и простого построения SQL запросов к базам данных MySQL®. Используйте визуальное построение запросов вкупе с непосредственным редактированием текста запросов. Простой и удобный графический интерфейс позволяет соединяться с базами данных, выбирать таблицы и поля запроса, устанавливать критерии отбора и группировки и многое другое.
datacomparer | Data Comparer for MySQL EMS Data Comparer™ for MySQL – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer™ for MySQL Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматический сценарий для их устранения.
 | Наверх

Microsoft SQL Server

 | SQL Management Studio for SQL Server SQL Management Studio - это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio for SQL Server объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | EMS SQL Backup for SQL Server EMS SQL Backup for SQL Server - это простой в использовании и одновременно мощный инструмент для выполнения задач резервного копирования и восстановления на всем множестве SQL серверов Вашего предприятия. EMS SQL Backup может выполнять и другие задачи по регулярному обслуживанию SQL сервера, такие как обновление статистики, реиндексация, усечение БД, проверка целостности БД и др.
sqladmin | SQL Administrator for SQL Server EMS SQL Administrator for SQL Server - это набор инструментов для эффективного администрирования SQL Server. Продукт содержит почти полный набор средств, необходимых для администрирования SQL Server. Программа предназначена для работы администраторов баз данных и позволяет выполнять задачи по администрированию максимально просто, быстро и эффективно.
 | SQL Manager for SQL Server EMS SQL Manager for SQL Server – это мощный инструмент для разработки и администрирования Microsoft SQL Server и MSDE. При помощи EMS SQL Manager for SQL Server Вы можете быстро и очень просто создавать и редактировать объекты баз данных, запускать сценарии SQL, управлять настройками пользователей, создавать визуальные SQL-запросы, а также эффективно работать с метаданными и выполнять многое другое.
dataexport | Data Export for SQL Server EMS Data Export for SQL Server – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных Microsoft SQL в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for SQL Server располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for SQL Server EMS Data Import for SQL Server - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных SQL Server.
datapump | Data Pump for SQL Server EMS Data Pump™ for SQL Server – это мощное приложение для переноса баз данных и импортирования таблиц из любых ADO-совместимых источников (например, MS Access или любая другая ADO-совместимая база данных) в базы данных Microsoft™ SQL. Теперь перенос данных при помощи Data Pump for SQL Server стал настолько прост, насколько это возможно!
datagenerator | Data Generator for SQL Server EMS Data Generator™ for SQL Server – это мощное приложение для мгновенной генерации тестовых данных для различных таблиц баз данных Microsoft® SQL. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
dbcomparer | DB Comparer for SQL Server EMS DB Comparer™ for SQL Server – это мощное приложение, предназначенное для сравнения баз данных Microsoft® SQL, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий.
extract | DB Extract for SQL Server EMS DB Extract™ for SQL Server – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract™ for SQL Server позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for SQL Server EMS SQL Query™ for SQL Server – это специализированная утилита для простого и быстрого создания запросов к базам данных Microsoft® SQL. SQL Query™ for SQL Server позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
datacomparer | Data Comparer for SQL Server EMS Data Comparer™ for SQL Server – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer™ for SQL Server Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматически сравниваемый сценарий для их устранения.
 | Наверх

PostgreSQL

 | SQL Management Studio for PostgreSQL EMS SQL Management Studio for PostgreSQL - это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio for PostgreSQL объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | EMS SQL Backup for PostgreSQL EMS SQL Backup for PostgreSQL — это простой в использовании визуальный инструмент для создания резервных копий для нескольких серверов PostgreSQL из единой консоли. Вы можете создавать автоматизированные задачи резервного копирования на основе расписаний и хранить их в локальных или удаленных папках или облачных хранилищах.
 | SQL Manager for PostgreSQL EMS PostgreSQL Manager™ – это мощный графический инструмент для разработки и администрирования серверов баз данных PostgreSQL. PostgreSQL Manager позволяет быстро и легко создавать и редактировать объекты баз данных PostgreSQL, выполнять сценарии SQL, визуально проектировать базы данных, создавать запросы SQL, искать, извлекать и распечатывать метаданные, а также многое другое.
dataexport | Data Export for PostgreSQL EMS Data Export for PostgreSQL – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных PostgreSQL в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for PostgreSQL располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for PostgreSQL EMS Data Import for PostgreSQL - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных PostgreSQL.
datapump | Data Pump for PostgreSQL EMS Data Pump™ for PostgreSQL – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных PostgreSQL®. Теперь перенос данных при помощи Data Pump for PostgreSQL стал настолько прост, насколько это возможно!
datagenerator | Data Generator for PostgreSQL EMS Data Generator™ for PostgreSQL – это мощная утилита для мгновенной генерации тестовых данных для различных таблиц баз данных Microsoft® SQL. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
dbcomparer | DB Comparer for PostgreSQL EMS DB Comparer™ for PostgreSQL – это мощное приложение, предназначенное для сравнения баз данных PostgreSQL®, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий.
extract | DB Extract for PostgreSQL EMS DB Extract™ for PostgreSQL – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract for PostgreSQL позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for PostgreSQL EMS SQL Query™ for PostgreSQL – это специализированная утилита для простого и быстрого создания запросов к базам данных PostgreSQL®. SQL Query for PostgreSQL позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
datacomparer | Data Comparer for PostgreSQL EMS Data Comparer™ for PostgreSQL – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer™ for PostgreSQL Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматический сценарий для их устранения.
 | Наверх

InterBase / Firebird

 | SQL Management Studio for InterBase/Firebird EMS SQL Management Studio for InterBase and Firebird это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | SQL Manager for InterBase/Firebird EMS SQL Manager™ for InterBase/Firebird – это мощный графический инструмент для разработки и администрирования серверов баз данных InterBase/Firebird®. Простой и понятный интерфейс упрощает работу с объектами базы данных, позволяет управлять данными, создавать запросы SQL. Богатый инструментарий пакета включает в себя такие приложения как Visual Database Designer, Stored Procedure Debugger, Graphical Plan Analyzer. А Export Data и Import Data позволяют быстро выполнять функции импорта/экспорта в большинство популярных офисных форматов.
dataexport | Data Export for InterBase/Firebird EMS Data Export for InterBase/Firebird – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных Interbase/Firebird в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for InterBase/Firebird располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for InterBase/Firebird EMS Data Import for InterBase/Firebird - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных InterBase/Firebird.
datapump | Data Pump for InterBase/Firebird EMS Data Pump™ for InterBase/Firebird – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных InterBase/Firebird®. Теперь перенос данных при помощи Data Pump for InterBase/Firebird стал настолько прост, насколько это возможно!
datagenerator | Data Generator for InterBase/Firebird EMS Data Generator™ for InterBase/Firebird – это мощная утилита для мгновенной генерации тестовых данных для различных таблиц баз данных InterBase/Firebird ®. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
dbcomparer | DB Comparer for InterBase/Firebird EMS DB Comparer™ for InterBase/Firebird – это мощное приложение, предназначенное для сравнения баз данных InterBase/Firebird®, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий. Полностью настраиваемые параметры сравнения баз данных и другие полезные функции сделают Вашу работу с нашим продуктом максимально комфортной.
extract | DB Extract for InterBase/Firebird EMS DB Extract for InterBase/Firebird – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract for InterBase/Firebird позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for InterBase/Firebird EMS SQL Query for InterBase/Firebird™ – это специализированная утилита для простого и быстрого создания запросов к базам данных InterBase/Firebird®. SQL Query for InterBase/Firebird позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
datacomparer | Data Comparer for InterBase/Firebird EMS Data Comparer™ for InterBase/Firebird – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer™ for InterBase/Firebird Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматический сценарий для их устранения.
 | Наверх

Oracle

 | SQL Management Studio for Oracle EMS SQL Management Studio for Oracle - это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio for Oracle объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | SQL Manager for Oracle EMS SQL Manager™ for Oracle – это мощный графический инструмент для разработки и администрирования серверов баз данных Oracle. Простой и удобный графический интерфейс позволяет быстро и легко создавать и редактировать объекты баз данных Oracle, визуально проектировать сами базы данных, выполнять сценарии Oracle и использовать другие службы, которые сделают Вашу работу с Oracle приятной и легкой.
dataexport | Data Export for Oracle EMS Data Export for Oracle – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных Oracle в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for Oracle располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for Oracle EMS Data Import 2007 for Oracle - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных Oracle.
datapump | Data Pump for Oracle EMS Data Pump™ for Oracle – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных Oracle®. Теперь перенос данных при помощи Data Pump for Oracle стал настолько прост, насколько это возможно!
datagenerator | Data Generator for Oracle EMS Data Generator™ for Oracle – это мощное приложение для мгновенной генерации тестовых данных для различных таблиц баз данных Oracle. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
dbcomparer | DB Comparer for Oracle EMS DB Comparer for Oracle – это мощное приложение, предназначенное для сравнения баз данных Oracle, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий.
extract | DB Extract for Oracle EMS DB Extract for Oracle – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract for Oracle позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for Oracle EMS SQL Query™ for Oracle – это специализированная утилита для простого и быстрого создания запросов к базам данных Oracle. SQL Query™ for Oracle Server позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
datacomparer | Data Comparer for Oracle EMS Data Comparer for Oracle – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer for Oracle Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматический сценарий для их устранения.
 | Наверх

IBM DB2

 | SQL Manager for DB2 EMS SQL Manager 2007 for DB2 – это мощнейший инструмент для разработки и администрирования серверов баз данных DB2. Простой и дружественный графический интерфейс позволяет легко создавать и редактировать объекты DB2, визуально разрабатывать базы данных, запускать скрипты SQL. Многочисленные инструменты, доступные в программе, значительно облегчат вашу работу с базами данных DB2.
dataexport | Data Export for DB2 EMS Data Export for DB2 – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных DB2 в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for DB2 располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for DB2 EMS Data Import 2007 for DB2 - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных DB2.
datapump | Data Pump for DB2 EMS Data Pump™ for DB2 – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных IBM®DB2. Теперь перенос данных при помощи Data Pump™ for DB2 стал настолько прост, насколько это возможно!
datagenerator | Data Generator for DB2 EMS Data Generator™ for DB2– это мощное приложение для мгновенной генерации тестовых данных для различных таблиц баз данных DB2. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
extract | DB Extract for DB2 EMS DB Extract for DB2 – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for DB2 EMS SQL Query™ for DB2 – это специализированная утилита для простого и быстрого создания запросов к базам данных IBM®DB2. SQL Query™ for DB2 Server позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
 | Наверх

Tools & components

advancedexport | Advanced Data Export Advanced Data Export VCL - это набор компонентов для Borland Delphi и C++ Builder, позволяющий сохранять Ваши данные в самых популярных форматах для дальнейшего просмотра, обработки, распечатки или публикации их в сети Интернет. Вы можете экспортировать данные в MS Access, MS Excel, MS Word (RTF), Open XML Format, Open Document Format (ODF), HTML, XML, PDF, TXT, DBF, CSV и многие другие! Больше не нужно тратить свое время на утомительный процесс перевода данных - Advanced Data Export быстро справится с этой задачей и выдаст результат в желаемом формате.
advancedexport | Advanced Data Export .NET Advanced Data Export .NET - это набор компонентов для Microsoft Visual Studio .NET позволяющий сохранять Ваши данные в самых популярных форматах для дальнейшего просмотра, обработки, распечатки или публикации их в сети Интернет. Вы можете экспортировать данные в MS Access, MS Excel, MS Word (RTF), PDF, TXT, DBF, CSV и многие другие! Больше не нужно тратить свое время на утомительный процесс перевода данных - Advanced Data Export быстро справится с этой задачей и выдаст результат в желаемом формате.
advancedimport | Advanced Data Import Advanced Data Import VCL - это набор компонентов для Borland Delphi и C++ Builder, позволяющий импортировать данные из большинства популярных офисных форматов напрямую в базу данных. Теперь Вы можете импортировать данные из MS Access, MS Excel, HTML, XML, PDF, TXT, DBF, CSV и ODF. Больше не нужно тратить свое время на утомительный процесс импорта данных, Advanced Data Import быстро выполнит все задачи и предоставит результат в требуемом Вам формате.
pdfgenerator | Advanced PDF Generator Advanced PDF Generator - это набор компонентов, позволяющих предельно просто и быстро создавать PDF-документы из Ваших приложений, написанных на Delphi и C++ Builder. Теперь даже не нужно знать специфику формата PDF, Advanced PDF Generator автоматически создает требуемый документ. Причем Advanced PDF Generator разбивает таблицы на несколько частей для каждой из страниц документа, поддерживает вложенные таблицы, позволяет вставлять изображения в создаваемый PDF-документ и многое другое!
querybuilder | Advanced Query Builder Advanced Query Builder™ – это набор компонентов для Borland® Delphi® и C++ Builder®, специально предназначенный для визуального построения запросов SQL для функций SELECT, INSERT, UPDATE и DELETE. Теперь Вы можете визуально создавать новые запросы к Вашим приложениям либо графически представить уже существующие. В комплект поставки входят компоненты для работы со стандартами SQL, InterBase/Firebird, MySQL, PostgreSQL и другими. Пользователи Query Builder могут создавать объемные и сложные по своей структуре запросы для разных серверов даже без знания синтаксиса SQL.
excelreport | Advanced Excel Report Advanced Excel Report™ - это мощный генератор отчетов в формате MS Excel для Delphi®. Excel Report основан на секционном принципе создания отчетов с использованием шаблонов. Простые и удобные редакторы свойств Advanced Excel Report позволяют моментально создавать подробные отчеты в формате MS Excel. Теперь созданные отчеты могут быть отредактированы, сохранены и просмотрены практически на любом компьютере. Excel Report поддерживает Borland® Delphi® 5-7, 2005-2007 а также MS Office 97 SR-1, 2000-2007.
advancedlocalizer | Advanced Localizer Advanced Localizer™ - это незаменимый пакет компонентов для Borland® Delphi®, позволяющий добавлять языковую поддержку Вашим Delphi® приложениям. Широкие возможности пакета Advanced Localizer позволяют быстро и просто локализовать свойства компонентов каждой формы, создавать языковые файлы с текущими значениями свойств компонентов, управлять файлами локализаций, а также назначать компоненты и их свойства, подлежащие локализации. Язык приложений, использующих Advanced Localizer, может быть переключен на другой непосредственно во время работы без последующего перезапуска приложения. Advanced Localizer также предусматривает возможность написания приложений-потомков, использующих языковые файлы, заданные пользователем.
 | Наверх


Начало работы

Первое что нужно сделать для того, чтобы начать работать с MySQL с помощью программы SQL Manager for MySQL, это зарегистрировать одну или несколько баз данных. Для этого существует специальный инструмент Register Database Wizard. Если баз данных для регистрации нет, то их можно создать с помощью Create Database Wizard. Только после этого можно работать с базой данных – редактировать данные, администрировать и т.д.

Перед началом выполнения этих операций прочитайте инструкцию.

Краткая информация по основным операциям, которые можно выполнить в программе приведена в разделе Как....

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Контекстное меню сервера

Контекстное меню базы данных

Контекстное меню объекта

Работа с окнами

Получайте удовольствие от работы с SQL Manager for MySQL!

Смотрите также:

Проводник баз данных

Управление базами данных

Управление объектами

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты базы данных

Инструменты сервера

Обеспечение безопасности

Настройки

Внешние инструменты

Как...


Выбор стиля окружения и языка программы

При первом запуске SQL Manager for MySQL Вы должны выбрать стиль окружения и язык программы. Эти настройки позже можно поменять с помощью пункта главного меню программы Options | Environment Options | Windows для смены стиля и Options | Select Program Language для смены языка.

Getting started - Selecting style and language

Environment style

Элемент управления, позволяющий задать, будет ли вид программы:

RadioButton MDI environment (like in Microsoft Office applications) - программа будет иметь MDI форму (как в приложениях MS Office),

RadioButton Floating windows environment (like Borland Delphi IDE) - программа будет иметь вид плавающих окон (приложения Borland).

Bar style for child forms

Выбор стиля отображения панелей.

RadioButton Navigation bar - навигационная панель (слева от основного окна редактора),

RadioButton Toolbar - панель инструментов (сверху от основного окна редактора),

RadioButton Both - навигационная панель и панель инструментов.

Program Language

Позволяет выбрать язык интерфейса из списка доступных. Язык по умолчанию – английский.

(список доступных языков формируется на основе языковых файлов (*.lng), которые находятся в каталоге, в который установлена программа в директории "Languages").

Смотрите также:

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Первый запуск программы

Так выглядит SQL Manager for MySQL при первом запуске.

Getting started - First time started

В верхней части отображается главное меню программы и Панель инструментов.

В правой части расположен Проводник баз данных.

Основную часть занимает панель рабочего стола.

Используйте панель рабочего стола для выполнения следующих задач:

Начало работы:

Create new database - создает и регистрирует новую базу данных с помощью Create Database Wizard.

Manage existing database(s) – регистрирует существующую базу данных.

Execute SQL Script – открывает редактор SQL скрипта SQL Script Editor.

grant permissions on database objects to MySQL users using Grant Manager (this item is available if there is at least one active database connection)

SQL Manager help system - открывает этот файл справки.

SQL Manager home page - ссылка на главную страницу продукта, где можно получить общую информацию о его приобретении, использовании и т.д.

SQL Manager on-line documentation - документация по SQL Manager for MySQL на сайте компании. Дублирует справку, прилагающуюся к программе.

Support Center – позволяет пользователю получить on-line консультацию по любому интересующему вопросу с помощью системы Technical Support Center. Для получения такой поддержки необходимо зарегистрироваться на сайте.

SQL Manager FAQ – в этом разделе сайта пользователю предоставляется список из наиболее часто задаваемых вопросов и ответов на них.

Чтобы начать работу с MySQL сервером, Вы должны сначала зарегистрировать сервер с помощью Мастера регистрации баз данных. После этого Вам необходимо зарегистрировать одну или несколько баз данных с использованием Register Database Wizard.

В контекстном меню проводника баз данных или на панели рабочего стола выберите Create new database для создания новой базы данных. Инструмент для создания - Create Database Wizard.

Для того, чтобы начать работать с уже существующей базой, необходимо её зарегистрировать.

(Новая, создаваемая с помощью Create Database Wizard, база регистрируется автоматически)

Нажмите Manage existing database(s), чтобы зарегистрировать базу данных с помощью Register Database Wizard.

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Использование панели рабочего стола

Desktop Panel видна тогда, когда не открыто ни одного дочернего окна. На неё вынесены элементы управления, необходимые для начала работы.

Getting started - Using Desktop Panel

Начало работы

Create new database - создает и регистрирует новую базу данных с помощью Create Database Wizard.

Manage existing database(s) – регистрирует существующую базу данных.

Create new table. Эта команда доступна, когда есть соединение хотя бы с одной базой данных. Создает таблицу в активной базе используя инструмент New table.

Create new database object – создает новый объект базы данных в активной базе. Соответственно, если нет активных соединений, то команда недоступна.

Инструменты базы данных

Execute SQL Script – открывает редактор SQL скрипта SQL Script Editor.

Execute query – выполнить запрос, открывается редактор запросов.

Manage users – управление пользователями.

Справочные материалы

SQL Manager help system - открывает этот файл справки.

MySQL reference - открывает справку по серверу MySQL.

Ресурсы в сети Интернет

SQL Manager home page - ссылка на главную страницу продукта, где можно получить общую информацию о его приобретении, использовании и т.д.

SQL Manager on-line documentation - документация по SQL Manager for MySQL на сайте компании. Дублирует справку, прилагающуюся к программе.

Support Center – позволяет пользователю получить on-line консультацию по любому интересующему вопросу с помощью системы Technical Support Center. Для получения такой поддержки необходимо зарегистрироваться на сайте.

SQL Manager FAQ – в этом разделе сайта пользователю предоставляется список из наиболее часто задаваемых вопросов и ответов на них.

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Работа с базами данных

После того, как база зарегистрирована, она появляется в Проводнике баз данных, который располагается в левой части окна.

Getting started - Database navigation

В нем отображаются все зарегистрированные базы данных. Те базы, с которыми в данный момент нет соединения, выделены серым цветом.

Getting started - Database navigation - Disconnected DB

В нижнем окне проводника, которое называется SQL Assistant, отображается содержимое активного элемента.

Если в проводнике Вы выделили объект, то в SQL Assistant появятся те детали, которые указаны в Environment Options | Tools | DB Explorer или в контекстном меню.

Если активна опция Show Hosts, то представление баз данных имеет иерархическую структуру серверов и баз данных. Если эту опцию отключить, то в окне будет отображаться только список баз данных.

Включить опцию Show Hosts можно двумя способами. В Options | Environment Options | DB Explorer | нажать Show Hosts in DB Explorer, или в контекстном меню проводника, открывающемся по нажатию правой кнопки мыши в Проводнике баз данных, выбрать пункт Show Hosts. Эта функция присутствует и в контекстном меню сервера.

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Работа с объектами баз данных

Проводник баз данных позволяет получить доступ к объектам зарегистрированной базы данных, с которой в данный момент есть соединение.

Двойной щелчок на объекте открывает его в соответствующем редакторе, правой кнопкой вызывается контекстное меню со списком доступных для этого объекта операций. Обновить содержимое соответствующего поддерева можно нажатием клавиши F5 на клавиатуре, или выбрав соответствующий пункт контекстного меню. Таким образом, можно обновлять как всю базу целиком, так и некоторые объекты.

Getting started - Working with database objects

Если Вы хотите использовать проводник для работы с подобъектами (полями, индексами и т.д.) то выберите Show Table Subobjects в Environment Options | DB Explorer. Вы также можете включить эту функцию с помощью пункта меню Проводника баз данных View Mode.

Getting started - Working with database objects - View Mode

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Использование контекстных меню

Контекстное меню - это меню, отрывающееся при нажатии правой кнопкой мыши на объекте. Эти меню позволяют упростить работу с базами данных и с их объектами, обеспечивая быстрый доступ к наиболее часто используемым операциям.

Контекстные меню, открывающиеся в проводнике баз данных:

  • Контекстное меню сервера
  • Контекстное меню базы данных
  • Контекстное меню объекта

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Контекстное меню сервера

Контекстное меню сервера - это список действий, который можно открыть, нажав правой кнопкой мыши на сервере в проводнике баз данных.

Using context menus - Host context menu

Disconnect from all databases on this host - отключиться от всех баз данных на выбранном сервере

Register Database - зарегистрировать новую базу с помощью Register Database Wizard

Unregister Host - удалить регистрацию хоста

Server properties - открыть Свойства сервера

включить опцию Show Hosts

Sort by Aliases - отсортировать базы данных по именам (По умолчанию, они расположены в порядке регистрации)

Hide Disconnected Databases - эта функция применяется для того, чтобы скрыть неподключенные базы данных

Refresh Server Objects of the server on Connection - обновлять серверные объекты при подключении к серверу

New Tab from Here - создать новую вкладку

Rename Current Tab - переименовать активную вкладку

Delete Current Tab - удалить активную вкладку

Find Object - поиск задаваемого пользователем сочетания букв и цифр в названиях баз данных и объектов

открыть подменю Server Tools

Server Tools:

Using context menus - Host context menu - Server Tools

Database Registration Manager - открыть Администратор регистрации баз данных

SQL Script - открыть Редактор скриптов

User Manager - открыть Редактор пользователей

Grant Manager - управлять правами

Show - просмотреть информацию по Серверу и базам данных

Смотрите также:

Контекстное меню базы данных

Контекстное меню объекта


Контекстное меню базы данных

Контекстное меню баз данных открывается при нажатии в проводнике на базе данных правой кнопкой мыши.

Connect to Database/Disconnect from Database - подключиться к выбранной базе данных/отключиться от выбранной базы данных

Database Registration Info - редактировать регистрационную информацию

Database Properties - открыть Свойства базы данных

Register Database - зарегистрировать новую базу с помощью Мастера регистрации баз данных

Unregister Database - удалить регистрацию базы данных

Unregister Host - удалить регистрацию хоста и всех зарегистрированных на нем баз данных

Server Properties - открыть Свойства сервера

включить опцию Show Hosts

Sort by Aliases - отсортировать базы данных по именам

Hide Disconnected Databases - скрыть неподключенные базы данных

Refresh Database - обновить базу данных

Refresh Server Objects of the server on Connection - обновлять серверные объекты при подключении к серверу

New Tab from Here - создать новую вкладку

Rename Current Tab - переименовать активную вкладку

Delete Current Tab - удалить активную вкладку

Find Object - поиск задаваемого пользователем сочетания букв и цифр в названиях баз данных и объектов,

Database Tools - открыть инструменты базы данных

Using context menus - Database context menu

Database Tools

Using context menus - Database context menu BDTools

SQL Script - Открыть Редактор скриптов

Show Query Builder - Открыть Визуальный конструктор запросов

Print Metadata - Открыть Печать метаданных

Extract Database - Извлечь базу данных

HTML Report - Создать HTML отчет

Dependency Tree - Открыть Дерево зависимостей

Visual Database Designer - Открыть Визуальный конструктор баз данных

Copy Database - Копировать базу данных

Show - Просмотреть информацию по базе данных

Смотрите также:

Контекстное меню сервера

Контекстное меню объекта


Контекстное меню объекта

Это меню открывается при нажатии на любом объекте базы данных правой кнопкой мыши.

Using context menus - Object context menu

New <объект> - создать новый объект базы данных

Edit <имя объекта> - открыть выбранный объект в редакторе

Rename <имя объекта> - переименовать выбранный объект

Drop <имя объекта> - удалить выбранный объект

Duplicate <"имя объекта"> - копировать объект с помощью Мастера копирования объектов

Dependency Tree - открыть дерево зависимостей

Data Manipulation - выбрать одну из операций импорта/экспорта

Script to New SQL Editor - копировать скрипт объекта в редактор SQL

Script to Clipboard - копировать скрипт объекта в буфер обмена

Create from table - создать другой объект на основании этой таблицы

Table properties - свойства таблицы (только для таблиц)

Grants for Table - задать права на таблицу (только для таблиц)

Refresh <имя объекта> - обновить информацию об объекте

Database Registration Info - редактировать регистрационную информацию базы данных

New Tab from Here - создать новую вкладку

Rename Current Tab - переименовать активную вкладку

Delete Current Tab - удалить активную вкладку

Find Object - найти элемент базы данных

Смотрите также:

Контекстное меню сервера

Контекстное меню базы данных


Работа с окнами

Переключение между открытыми окнами в SQL Manager for MySQL организовано так же, как и в ОС Windows. По нажатию правой кнопки мыши на значке окна на панели задач программы появляется контекстное меню.

Getting started - Switching windows

Для перехода от одного окна к другому достаточно щелкнуть мышкой на нужном окне.

С помощью Environment Options | Windows | Number of open editors is restricted можно задать максимальное число открытых редакторов объектов баз данных. Если количество открытых редакторов превысит заданное число, то программа автоматически будет закрывать ранее открытые редакторы.

Для упрощения работы с окнами, в SQL Manager for MySQL существует специальный пункт в главном меню программы - Windows.

С помощью этого меню Вы можете:

  • Windows List - показать список открытых окон,

Appendix - Window List

Дополнительно список открытых окон отображается на вкладке

  • Cascade - расположить открытые окна каскадом,

Getting started - Windows - Cascade

  • Minimize All - свернуть все окна,
  • Tile Horizontal - расположить все окна одно над другим,

Getting started - Windows - Tile Horizontal

  • Tile Vertical - расположить все окна в один ряд,

Getting started - Windows - Tile Vertical

  • Set Defaults to All Windows - вернуть всем окнам первоначальный размер,
  • Reset All Toolbars and Menus - вернуть настройки всех панелей инструментов и меню к настройкам по умолчанию,
  • Close All - закрыть все окна,
  • из подменю пункта Close выберите тип объектов, которые в данный момент хотите закрыть, (например, если выберите таблицы, то закроются все открытые редакторы таблиц),
  • Previous Window - перейти к следующему окну,
  • Next Window - перейти к предыдущему окну.


Проводник баз данных

Проводник баз данных (Database Explorer или DB Explorer) основное навигационное окно для работы с базами данных и объектами баз данных. Имеет иерархическую структуру. Состоит из нескольких окон. Позволяет быстро выполнять, практически, все операции с базами данных.

Регистрационная информация баз данных

Подключение к базе данных

Основные операции над объектами

Выбор нескольких объектов

Использование вкладок

Недавно использовавшиеся объекты

Работа с избранными объектами

Поиск объектов

SQL ассистент

Настройка проводника баз данных

Избранные запросы

Все объекты баз данных разделены по типам и доступны из соответствующих узлов. Для каждого типа отображается количество объектов.

Чтобы показать/скрыть окно проводника используйте команду View | DB Explorer в главном меню или нажмите клавишу F11.

Для того чтобы быстро свернуть текущую ветку в проводнике (любую) и выделить родительский узел этой ветки используйте Ctrl+Shift+С.

DB Explorer - View

Смотрите также:

Начало работы

Управление базами данных

Управление объектами

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты базы данных

Инструменты сервера

Обеспечение безопасности

Настройки

Внешние инструменты

Как...


Регистрационная информация баз данных

Если при создании или регистрирации базы данных Вы допустили ошибку, или указали неполную информацию, то Вы можете это исправить при помощи диалога Database Registration Info.

Проводник баз данных позволяет редактировать регистрационную информацию баз данных в процессе работы.

Для этого используется пункт контекстного меню Database Registration Info (для подключенных баз данных) по нажатию на него открывается окно редактирования регистрационной информации базы данных.

DB Explorer - Managing database registration info

Смотрите также:

Мастер регистрации баз данных

Регистрационная информация баз данных

Администратор регистрации баз данных


Подключение к базе данных

Команда btnConnectToDB Connect to database неактивна, если выполнено подключение к выбранной базе.

Подключить базу данных можно следующим образом:

  • в контекстном меню неподключенной базы данных выбрать пункт Connect to database
  • на панели инструментов проводника выбрать пункт Connect to database
  • выбрать Database | Connect to database в главном меню программы.
  • в проводнике баз данных два раза щелкнуть мышкой по псевдониму базы данных.
  • использовать сочетание клавиш Ctrl+Shift+С.

Смотрите также:

Мастер регистрации баз данных

Регистрационная информация баз данных


Основные операции над объектами

Проводник баз данных позволяет получить доступ к основным действиям над объектом базы данных с помощью контекстного меню объекта.

Важно: Для каждого типа объектов свое меню.

Чтобы открыть объект в соответствующем редакторе, достаточно двойного щелчка мыши на нем в проводнике баз данных.

С помощью операции drag-and-drop Вы можете добавить объекты в Редактор запросов, Визуальный конструктор запросов или в Редактор SQL скриптов.

DB Explorer - Insert to Editor

Смотрите также:

Управление объектами

Редактор запросов

Выбор нескольких объектов


Выбор нескольких объектов

Иногда необходимо удалить, копировать или перенести большое количество объектов. Для каждого применять соответствующую операцию неудобно. Для таких случаев предусмотрена возможность выделения нескольких объектов одновременно.

Несколько объектов можно одновременно выделить левой кнопкой мыши, удерживая клавишу Ctrl или Shift.

DB Explorer - Selecting multiple objects

Выделенные таким образом объекты можно:

  • редактировать - Edit <n> Selected Objects (n - количество выделенных объектов),
  • удалять - Drop Database Objects,
  • помещать в Favorite objects. Для этого действия пункта меню нет, поэтому объекты в Избранные перетаскиваются мышью.

Важно: Если в Favorite objects нет вложенных папок, то поместить туда объекты невозможно.

Смотрите также:

Основные операции над объектами

Управление объектами

Работа с избранными объектами


Использование вкладок

Чтобы сделать Вашу работу как можно более удобной, в SQL Manager for MySQL существует специальный сервис вкладок (Tab). Используйте вкладки, если хотите обеспечить быстрый доступ к определенной группе объектов проводника. Это может быть определенный сервер или база данных, или группа объектов базы данных. Например, Вы можете вынести папку с представлениями на отдельную вкладку или создать несколько вкладок на каждой из которых будет только одна база данных.

Поместить объект на отдельную вкладку можно с помощью пункта контекстного меню New Tab from Here, который присутствует в контекстном меню каждого объекта.

DB Explorer - Using tabs - New tab

Важно: Если отключить опцию отображения подобъектов таблицы на панели инструментов проводника, то New Tab from Here будет неактивен, так как таблица не является узлом дерева.

Если же эта опция включена, (кнопка View Mode | Show Table Subobjects), то пункт меню New Tab from Here становится активным.

В окне проводника баз данных можно отображать вкладки двух видов:

  • в виде иконок на нижней панели проводника,

DB Explorer - Using tabs - View as icons

  • в виде закладок.

DB Explorer - Using tabs - View as tabs

Для перехода от одного вида к другому достаточно потянуть разделитель вверх или вниз.

DB Explorer - Splitter for tabs

Для этой же цели используются пункты Show more Buttons и Show Fewer Buttons всплывающего меню, открывающегося при нажатии на стрелку Configure buttons.

DB Explorer - Using tabs - Add or remove buttons

Для переключения между вкладками достаточно выделить мышью иконку или закладку.

Для этой же цели используются сочетания клавиш:

  • Ctrl+Shift+N - переход на следующую вкладку,
  • Ctrl+Shift+P - переход на предыдущую вкладку.

Переименование вкладок

Если хотите переименовать вкладку, то нужно перейти на нее и выбрать пункт контекстного меню Rename Current Tab.

Удаление вкладок

Для удаления вкладки необходимо перейти на нее и выбрать пункт контекстного меню Delete Current Tab.

Смотрите также:

Работа с избранными объктами

Работа с окнами

Управление объектами


Недавно использовавшиеся объекты

Простой доступ к недавно использовавшимся объектам обеспечивает кнопка Recent Objects btnRecentObjects на панели инструментов проводника. Нажатие на нее открывает список последних, открывавшихся в пределах одной сессии, объектов. Объекты могут принадлежать разным базам данных. Выберите объект из списка, чтобы открыть его в соответствующем редакторе.

DB Explorer - Recently opened objects

Количество элементов в этом списке можно менять с помощью Options | Environment Options | Tools | DB Explorer | Recent objects count.

Смотрите также:

Управление объектами

Настройки окружения


Работа с избранными объектами

Используйте инстурмент Favorite objects, если работаете с большой базой, из которой Вам нужны только несколько объектов, к которым постоянно обращаетесь.

Для избранных объектов предусмотрена специальная папка в дереве Проводника баз данных. Самостоятельно её создавать не нужно.

Добавление объектов в избранные

Для того чтобы поместить объекты в избранные объекты необходимо создать вложенную папку внутри папки Favorite objects, выбрав пункт контекстного меню New Sub Folder.

DB Explorer - Managing projects - New Subfolder

В появившемся окне указать имя папки.

В эту папку уже можно помещать объекты. Если в Favorite objects нет вложенных папок, то поместить туда объекты невозможно. Данная операция выполняется с помощью пункта контекстного меню Add Object.

DB Explorer - Managing projects - Adding objects

Далее будет предложено выбрать из имеющихся объектов тот, который необходимо поместить в Избранные объекты.

Объекты разделены по типам, что очень удобно, если база данных большая.

Чтобы поместить объекты в Избранные, можно перетащить его в папку с объектами из дерева.

В Favorite objects помещаются не сами объекты, а их ярлыки, то есть, удалив объект из избранных или даже папку с объектами целиком, информацию Вы не потеряете.

Объект, находящийся в избранных, нельзя переименовать.

Удаление избранных объектов

Объекты можно удалить из Избранных, используя пункт контекстного меню Remove <имя объекта> from Favorite objects.

Также, можно удалять созданные в Favorite objects папки, вместе со всем содержимым.

Смотрите также:

Использование вкладок

Управление объектами


Поиск объектов

SQL Manager for MySQL позволяет найти в проводнике баз данных объект по его названию. Эта опция используется, если в проводнике отображено большое количество объектов, и найти определенный объект достаточно сложно.

Пунктом Find Item контекстного меню или сочетанием клавиш Ctrl + F вызывается стандартное окно поиска, в котором указывается искомое слово.

Использование панели поиска

Первые символы искомого слова введите в поле Search. Все объекты, содержащие искомые символы, будут выделены цветом в проводнике баз данных.

Найденных объектов может быть несколько. С помощью кнопок [image] [image] Вы сможете перемещаться между найденными объектами.

DB Explorer - Search Panel

По умолчанию, Search Panel находится в верхней части проводника баз данных. Чтобы отобразить панель, выберите в контекстном меню панели проводника баз данных пункт Search Panel.

DB Explorer - Search Panel - Activate

Важно: Search Panel можно перетаскивать в любую часть окна программы.

Смотрите также:

Окно поиска


SQL ассистент

В этом окне отображена более подробная информация о выделенном в проводнике баз данных объекте.

DB Explorer - SQL Assistant

Из SQL Assistant можно открывать для окно редактирования объекта, так же как и из проводника - двойным щелчком мыши на нужном объекте.

Для таблиц и представлений SQL Assistant можно настроить.

DB Explorer - SQL Assistant - Object details

Вы можете выбрать, что будет отображаться в SQL Assistant, когда в проводнике будет выбрана таблица:

  • поля таблицы,- Show Fields,
  • индексы - Show Indices,
  • внешние ключи - Show foreign Keys,
  • DDL - Show DDL,
  • описание - Show Description.

Для остальных объектов можно указать:

  • DDL - Show DDL,
  • описание - Show Description.

Вид настраивается с помощью кнопки View Mode на панели инструментов проводника.

Выберите пункт Tables' Details и в открывшемся меню укажите, что именно будет отображаться в SQL ассистенте.

Или в контекстном меню SQL ассистента выберите пункт Tables' Details.

Смотрите также:

Управление объектами


Настройка проводника баз данных

Панели инструментов проводника баз данных

Это набор инструментов над окном проводника баз данных. На эту панель вынесены кнопки управления базами данных и настройки проводника.

DB Explorer - Configuring DB Explorer - Toolbar

Панель инструментов можно настраивать, используя функцию Add or Remove Buttons, открывающуюся при нажатии на кнопку More Buttons btnMoreButtons в правом углу панели.

  • Create - создать объект.
  • Refresh - обновить выбранную группу объектов.
  • Connect to Database - подключиться к базе данных.
  • Disconnect from Database - отсоединить базу данных.
  • Object Properties - открыть свойства выделенного объекта.
  • View Mode - настройка проводника.
  • Resent - список недавно использовавшихся объектов.
  • Quick Jump To Database - быстрый переход к базе данных.

Все команды, кроме View Mode, предназначены для работы с базами данных. View Mode отвечает за настройку самого проводника и SQL Assistant.

View Mode позволяет:

  • показать подобъекты таблиц в проводнике баз данных - Show Table Subobjects,
  • показать хосты Show Hosts,
  • сортировать базы данных по именам (по умолчанию базы отсортированы внутри сервера по времени подключения) - Sort by Aliases,
  • скрывать неподключенные базы данных Hide Disconnected Databases,
  • настраивать Tables' Details в SQL Assistant,

DB Explorer - Configuring DB Explorer - View Mode

Используйте Options | Environment Options... | DB Explorer для доступа к дополнительным настройкам проводника баз данных.

Панель поиска

Кроме панели инструментов имеется панель поиска - Search Panel.

DB Explorer - Search Panel - Customize

Важно: Search Panel можно перетаскивать в любую часть окна программы.

Смотрите также:

Настройка панелей инструментов

Настройки окружения


Избранные запросы

SQL Manager for MySQL позволяет обеспечить быстрый доступ к запросам или некоторым частям запросов с помощью инструмента Favorite Queries

DB Explorer - Managing Favorite queries

Создать избранный запрос

Чтобы создать избранный запрос необходимо:

  • в проводнике баз данных из контекстного меню группы объектов Favorite Query выбрать пункт New Favorite Query,
  • перетащить выделенный текст запроса в папку iconFavoriteQueries Favorite Query, при этом откроется редактор избранных запросов.

Редактор избранных запросов

Этот редактор открывается только в том случае, если в контекстном меню избранного запроса Вы выбираете пункт Edit Favorite Query. Если откроете запрос двойным щелчком мыши, то он будет открыт в редакторе запросов.

SQL Editor - Favorites editor

С помощью редактора Вы можете создавать и редактировать избранные запросы.

В поле Name укажите имя запроса.

Из раскрывающегося списка Storage выберите место хранения.

В SQL редакторе Вы можете работать с текстом запроса так же как в редакторе запросов.

Смотрите также:

Использование вкладок

Редактор избранных запросов


Управление базами данных

SQL Manager for MySQL предоставляет пользователю все необходимые инструменты для создания и управления базами данных.

Вы не сможете работать с базой данных в SQL Manager for MySQL, если не зарегистрируете её.

Регистрация сервера

Для начала работы с сервером в SQL Manager for MySQL Вам необходимо его зарегистрировать. Для этого существует специальный инструмент Register Database Wizard.

Вызывается мастер командой Register Host..., которая присутствует в:

  • главном меню программы Database | Register Host...,
  • на панели инструментов SQL Manager for MySQL,
  • в контекстном меню сервера,
  • вызывается сочетанием клавиш Shift+Ctrl+R.

Удаление регистрации сервера

Если Вы не используете сервер, то Вы можете его удалить, воспользовавшись функцией Unregister Host. Незарегистрированный сервер не отображается в проводнике баз данных.

Для удаления регистрации вам необходимо проделать следующие операции:

  • в проводнике баз данных выбрать сервер, регистрацию которого хотите удалить,
  • выбрать пункт Database | Unregister Host в главного меню программы или в контекстном меню сервера,
  • подтвердить удаление регистрации в появившемся окне.

Создание базы данных

Для упрощения процедуры создания базы данных в SQL Manager for MySQL существует специальный инструмент - Мастер создания баз данных Create Database Wizard. С его помощью пользователь пошагово создает базу данных

Для создания базы данных необходимо выполнить следующие операции:

  • выбрать пункт Database | Create Database главного меню программы,
  • задать имя базы, имя сервера, тип авторизации,
  • включить опцию "регистрация после создания" Register After Creating для вызова Register Database Wizard
  • просмотреть и исправить полученный в результате SQL скрипт,

Регистрация базы данных

Для начала работы в SQL Manager for MySQL с уже существующей базой данных Вам необходимо её зарегистрировать. Для этого существует специальный инструмент Register Database Wizard. Для запуска мастера выберите пункт Database | Register Database главного меню программы.

С помощью этого инструмента Вы можете выбрать сервер, выбрать базу на этом сервере и для неё задать параметры подключения, параметры авторизации и другие опции регистрации.

Для регистрации нескольких баз, находящихся на одном сервере, нужно на шаге задания параметров сервера отключить функцию Register a single database, тогда на следующем шаге сможете выбрать несколько баз для регистрации и зарегистрировать их все одновременно.

Удаление регистрации базы данных

Если Вы не используете базу данных, то Вы можете воспользоваться функцией Unregister Database - Удалить регистрацию базы данных. Незарегистрированная база не отображается в SQL Manager for MySQL.

Для удаления регистрации вам необходимо проделать следующие операции:

  • выбрать базу, регистрацию которой хотите удалить, (щелкнуть на ней мышкой в проводнике баз данных),
  • выбрать пункт Database | Unregister Database главного меню программы,
  • подтвердить удаление регистрации в появившемся окне.

Удаление базы данных

При удалении базы данных она удаляется с сервера полностью.

Для удаления базы данных нужно:

  • выбрать базу, которую хотите удалить, (щелкнуть на ней мышкой в проводнике баз данных),
  • выбрать пункт Database | Drop Database главного меню программы (в контекстном меню базы данных этого пункта нет),
  • подтвердить удаление базы данных в появившемся окне.

Удалять можно как подключенные, так и неподключенные базы данных. Если соединение с сервером отсутствует, то удалить базу не удастся.

Подключение к базе данных

Команду Connect to Database можно найти в:

  • главном меню программы - Database | Connect to Database,
  • контекстном меню базы данных.

Для подключения базы данных также можно использовать сочетание клавиш Ctrl+Shift+C или двойной щелчок мыши на имени нужной базы в проводнике.

Отключение от базы данных

Если сеанс работы с базой данных завершен, то Вы можете отключиться от неё.

Команда Disconnect from Database присутствует везде, где есть Connect to Database. Отключиться от базы данных можно также с помощью сочетания клавиш Ctrl+Shift+D.

Смотрите также:

Начало работы

Проводник баз данных

Управление объектами

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты базы данных

Инструменты сервера

Обеспечение безопасности

Настройки

Внешние инструменты

Как...


Мастер регистрации баз данных

Мастер регистрации баз данных - Register Database Wizard - позволяет вам зарегистрировать несколько баз данных, принадлежащих одному хосту (серверу).

Мастер регистрации баз данных позволяет Вам зарегистрировать уже существующую базу данных в SQL Manager for MySQL.

Вызывается мастер командой Register Database..., которая присутствует в

  • главном меню программы Database | btnRegisterDB Register Database...
  • на панели инструментов SQL Manager for MySQL
  • в контекстном меню баз данных
  • вызывается сочетанием клавиш Shift+Alt+R

Мастер состоит из следующих шагов:

Установка параметров соединения

Параметры туннелирования

Выбор базы данных

Установка параметров регистрации

Смотрите также:

Мастер создания баз данных

Регистрационная информация баз данных

Администратор регистрации баз данных


Установка параметров соединения

На этом шаге необходимо задать параметры соединения с сервером.

Register Database wizard - Setting connection parameters

Из раскрывающегося списка Host name выбираете сервер (хост), к которому хотите подключиться. В этот список попадают имена уже зарегистрированных серверов.

В поле Port задайте порт для подключения. Укажите имя пользователя и пароль в полях User name и Password.

В поле Named pipe необходимо указать название именованного канала для локального подключения. Именованный канал указывается в конфигурационном файле MySQL сервера ('MySQL' по умолчанию). Можно указывать только имя канала, но не его полный путь. Также поле Named pipe может использоваться для задания сокета Unix при использовании HTTP-туннелирования на *nix системах. Значение сокета Unix должно начинаться с '/' (разделителя путей в Unix-системах) и по умолчанию оно равно '/tmp/mysql.sock'.

Набор символов выберите из раскрывающегося списка Character set, а из раскрывающегося списка Collation выбираете правило сравнения символьных данных. Эти правила задают кодовую страницу и порядок сопоставления символьных данных для работы с данными в Юникоде и других кодировках.

Если установлен флажок Use server settings, то используются серверные настройки Character set и Collation, которые указываются в регистрационной информации базы данных.

CheckBox Register a single database - зарегистрировать одну базу данных.

Для регистрации нескольких баз, находящихся на одном сервере, нужно отключить функцию Register a single database, тогда на следующем шаге сможете выбрать несколько баз для регистрации и зарегистрировать их все одновременно.

Если установлен флажок CheckBox Use tunneling, то можно использовать один из предложенных видов туннелирования:

RadioButton SSH tunneling - SSH туннелирование,

RadioButton HTTP tunneling - HTTP туннелирование.

Используйте SSH туннелирование для осуществления обмена данными с сервером по шифрованному каналу

Для доступа к MySQL серверу через HTTP протокол выберите HTTP туннелирование.

Следующий шаг>>


Параметры туннелирования

Если на первом шаге Вы выбрали SSH tunneling, то на этом шаге задайте параметры SSH туннелирования.

Используйте SSH туннелирование для осуществления обмена данными с сервером по шифрованному каналу.

Register Database wizard - Setting connection parameters - SSH

Если выбрали HTTP туннелирование на первом шаге, то на этом необходимо задать настройки HTTP туннелирования.

Register Database wizard - Setting connection parameters - HTTP

<<Предыдущий шаг

Следующий шаг>>


Выбор базы данных

Если на первом шаге убрать флажок Register a single database, то система позволит выбрать и зарегистрировать сразу несколько баз данных, имеющихся на сервере.

Register Host Wizard - Selecting databases

Из списка Available database выберите нужные базы данных и с помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available перенесите их в список выбранных баз - Selected databases, или перетащите из одного списка в другой с помощью мышки.

<<Предыдущий шаг

Следующий шаг>>


Установка параметров регистрации

На этой вкладке задайте общие параметры базы данных:

Также эти опции можно найти на вкладке Options в Регистрационной информации баз данных.

Register Database wizard - Setting specific options - General

Из раскрывающегося списка Database name выберите нужную базу данных.

Если на шаге Выбор базы данных были выбраны несколько баз данных, то в верхней части формы отображается список выбранных баз. Для каждой из них можно задать параметры регистрации.

Register Database wizard - Setting specific options - severalDB

Псевдоним, под которым база данных будет отображаться в проводнике, можно указать в поле Database alias.

General

На этой вкладке Вы можете указать настройки регистрируемой базы данных.

CheckBox Refresh objects on connection - обновлять объекты при подключении к базе данных.

CheckBox Login prompt before connection - если Вы не хотите хранить пароль, то устанавливайте этот флажок и каждый раз при подключении SQL Manager будет предлагать ввести имя пользователя и пароль заново.

CheckBox Use compression protocol - использовать протокол сжатия данных.

CheckBox Use SSL protocol - обмен данными происходит с использованием удаленного MySQL сервера с использованием шифрованного канала. Установка этого флажка означает выбор предпочтительного режима, если на сервере SSL отключен, то подключение будет установлено без SSL и будет выведено сообщение об ошибке.

CheckBox Interactive mode - установив этот флажок Вы позволяете использовать значение переменной interactive_timeout, из файла my.cnf вместо переменной wait_timeout для задания ограничения времени подключения.

CheckBox Quote identifiers - если установлен этот флажок, то все идентификаторы будут заключены в открывающие кавычки ('`'). Чтобы сделать SQL скрипт, полученный в процессе извлечения базы данных, совместимым с более ранними версиями MySQL не используйте эту функцию. Примечание: эта функция применима только к тем серверам, которые используют псевдонимы в кавычках.

CheckBox Autoconnect on startup - при запуске программы SQL Manager for MySQL связь с этой базой данных будет устанавливаться автоматически.

SSL

На этой вкладке задаются параметры подключения через защищенное SSL-соединение. Все указываемые файлы должны иметь расширение *.pem.

SSL mode

Выберите режим SSL для подключения: Disabled, Preferred, Required, Verify CA or Verify Identity.

Register Database wizard - Setting specific options - SSLs

Client certificate

В этом поле указывается путь к файлу сертификата. Этот сертификат может быть передан клиенту и аутентифицирован с помощью CA сертификата.

Client key

В этом поле указывается путь к файлу ключа.

CA Certificate

В этом поле указывается путь к файлу сертификата авторизации Certificate Authority (CA).

Revocation list

Вы можете указать путь к файлу со списком аннулированных сертификатов.

Cipher

Укажите возможные шифры для подключения SSL.

Logs

Также эти опции можно найти на вкладке Logs в Регистрационной информации баз данных.

Register Database wizard - Setting specific options - Logs

CheckBox Enable log of metadata changes

Если Вы хотите вести журнал изменений, происходивших с метаданными, то установите флажок Enable log of metadata changes, и укажите, в какой файл следует записывать изменения.

CheckBox Write only successfully executed SQL statements to log - если установлен этот флажок. то в журнал будет заноситься информация только об успешно выполненных запросах.

В поле Log file укажите, в какой файл сохранять эту информацию.

CheckBox Enable log of SQL Editor queries

Если Вы хотите вести статистику по исполнению SQL скриптов, то активируйте функцию Enable log of SQL Editor queries.

В поле Log file укажите, в какой файл сохранять эту информацию.

<<Предыдущий шаг


Мастер создания баз данных

Мастер создания баз данных Create Database Wizard автоматически генерирует SQL скрипт для создания новой базы данных и выполняет его на MySQL.

Вызывается мастер командой Create Database, которая присутствует в

  • главном меню программы - Database | btnCreateDB Create Database
  • на панели инструментов SQL Manager for MySQL
  • на панели инструментов проводника
  • на панели рабочего стола

Если же Вы не хотите использовать мастер, или у Вас есть готовый SQL скрипт, то можете воспользоваться редактором SQL скриптов SQL Script Editor.

Мастер состоит из следующих шагов

  • Setting database name - Присвоение имени новой базе данных
  • Setting connection properties - Установка параметров подключения к новой базе данных
  • Advanced Database Properties - Дополнительные параметры базы данных
  • Result SQL statement - Просмотр получившегося в результате SQL скрипта

Смотрите также:

Мастер регистрации баз данных

Регистрационная информация баз данных

Свойства базы данных


Присвоение имени

В поле Database name укажите имя базы данных. Если на сервере уже существует база с таким же именем, программа Вас об этом предупредит.

Create Database Wizard - Setting database name

CheckBox Register after creating

Если хотите автоматически зарегистрировать базу сразу после создания, то установите флажок Register after creating. в этом случае после завершения создания базы откроется окно Database Registration Info

<<Предыдущий шаг

Следующий шаг>>


Установка параметров соединения

На втором шаге необходимо задать параметры соединения с сервером.

Create Database Wizard - Setting connection properties

Из раскрывающегося списка Host name выбираете сервер (хост), к которому хотите подключиться. В этот список попадают имена уже зарегистрированных серверов.

В поле Port задайте порт для подключения. Укажите имя пользователя и пароль в полях User name и Password.

В поле Named pipe необходимо указать название именованного канала для локального подключения. Именованный канал указывается в конфигурационном файле MySQL сервера ('MySQL' по умолчанию). Можно указывать только имя канала, но не его полный путь. Также поле Named pipe может использоваться для задания сокета Unix при использовании HTTP-туннелирования на *nix системах. Значение сокета Unix должно начинаться с '/' (разделителя путей в Unix-системах) и по умолчанию оно равно '/tmp/mysql.sock'.

Набор символов выберите из раскрывающегося списка Character set, а из раскрывающегося списка Collation выбираете правило сравнения символьных данных. Эти правила задают кодовую страницу и порядок сопоставления символьных данных для работы с данными в Юникоде и других кодировках.

Используйте кнопку Set server charset для автоматической установки параметров, которые заданы для сервера.

CheckBox Use tunneling

Если установлен флажок Use tunneling, то можно использовать один из предложенных видов туннелирования:

RadioButton SSH tunneling - SSH туннелирование,

RadioButton HTTP tunneling - HTTP туннелирование.

Используйте SSH туннелирование для осуществления обмена данными с сервером по шифрованному каналу

Для доступа к MySQL серверу через HTTP протокол выберите HTTP туннелирование.

<<Предыдущий шаг

Следующий шаг>>


Параметры туннелирования

Если на втором шаге Вы указали что будете использовать туннелирование, то на третьем шаге необходимо задать параметры туннелирования.

Используйте SSH туннелирование для осуществления обмена данными с сервером по шифрованному каналу.

Если Вы выбрали SSH tunneling , то необходимо будет указать параметры туннелирования.

Create Database Wizard - Setting connection properties - SSH

SSH host name - имя сервера SSH. В случае задания параметров SSH, имя или ip адрес на предыдущем шаге должно указываться относительно машины, на которой установлен SSH сервер. Использование localhost подразумевает что SSH сервер и MySQL запущены на одной машине. Имя SSH сервера задается относительно клиентской машины, на которой запущен SQL Manager for MySQL.

SSH Port - порт SSH сервера на удаленном хосте (по умолчанию равен 22).

SSH user name - имя пользователя.

SSH password - пароль.

CheckBox Use private Key for authentication

Если установлен флажок Use private Key for authentication, то дополнительно будет использоваться ключевой файл, который можно будет указать в поле SSH key file. Если для использования этого файла нужно ввести пароль, то это можно сделать в появившемся поле.

Если выбрали HTTP туннелирование, то задать надо будет адрес сервера в поле URL.

Create Database Wizard - Setting connection properties - HTTP

<<Предыдущий шаг

Следующий шаг>>


Просмотр результата

На последнем шаге мастер предоставляет возможность просмотреть автоматически сгенерированный SQL скрипт. При необходимости, Вы можете его отредактировать.

Create Database Wizard - Viewing result SQL statement

Если Вы на первом шаге установили флажок Register after creating, то, после того как Вы нажмете Run, откроется окно Database Registration Info, в котором можно будет указать регистрационную информацию базы данных.

<<Предыдущий шаг


Регистрационная информация баз данных

Если при создании и регистрировании базы данных Вы допустили ошибку, или указали неполную информацию, то Вы можете это исправить при помощи команды Database Registration Info.

Проводник баз данных позволяет редактировать регистрационную информацию баз данных в процессе работы.

Для этого используется пункт контекстного меню btnDBRegistrationInfo Database Registration Info (для подключенных баз данных).

Вкладки

Connection - позволяет редактировать настройки подключения базы данных

Options - на этой вкладке можно указывать общие настройки

Display options - настройки отображения

Directories - выберите используемые директории

Logs - журналы регистрации

SSH tunneling - задание параметров SSH туннелирования,

HTTP tunneling - задание параметров HTTP туннелирования,

SSL- настройки подключения по SSL,

Data options - настройка отображения данных.

Поиск опций

С помощью кнопки Test Connect Вы можете проверить, возможно ли установить подключение к базе данных с заданными настройками.

С помощью кнопки Load Connection info можно скопировать все настройки из другой базы данных, которая выбирается из раскрывающегося списка, открывающегося по нажатию на кнопку btnDropDownMenu.

Смотрите также:

Мастер создания баз данных

Мастер регистрации баз данных

Свойства базы данных

Администратор регистрации баз данных


Настройки подключения

На этой вкладке можно изменить настройки базы данных для подключения к серверу.

Database Registration Info - Editing connection properties

Host name

Из раскрывающегося списка выберите сервер (хост).

Port

Укажите порт для подключения.

User name

Укажите имя пользователя.

Password

Введите пароль.

Named pipe

В этом поле необходимо указать название именованного канала для локального подключения. Именованный канал указывается в конфигурационном файле MySQL сервера ('MySQL' по умолчанию). Можно указывать только имя канала, но не его полный путь. Также поле Named pipe может использоваться для задания сокета Unix при использовании HTTP-туннелирования на *nix системах. Значение сокета Unix должно начинаться с '/' (разделителя путей в Unix-системах) и по умолчанию оно равно '/tmp/mysql.sock'.

Database name

Выберите необходимую базу данных из выпадающего списка.

Database alias

При необходимости измените имя, под которым база данных будет отображаться в проводнике.

Host alias

Укажите имя хоста, которое будет отображаться в программе.


Общие настройки

На этой вкладке настраиваются общие опции базы данных.

Database Registration Info - Setting common database options

CheckBox Login prompt before connection - если Вы не хотите хранить пароль, то устанавливайте этот флажок и каждый раз при подключении SQL Manager будет предлагать ввести имя пользователя и пароль заново.

CheckBox Use compression protocol - использовать протокол сжатия данных.

CheckBox Interactive mode - установив этот флажок Вы позволяете использовать значение переменной interactive_timeout, из файла my.cnf вместо переменной wait_timeout для задания ограничения времени подключения.

CheckBox Quote identifiers - если установлен этот флажок, то все идентификаторы будут заключены в открывающие кавычки ('`'). Чтобы сделать SQL скрипт, полученный в процессе извлечения базы данных, совместимым с более ранними версиями MySQL не используйте эту функцию. Примечание: эта функция применима только к тем серверам, которые используют псевдонимы в кавычках.

CheckBox Quote user names - заключать имена пользователей в кавычки.

CheckBox Autoconnect on startup - при запуске программы SQL Manager for MySQL связь с этой базой данных будет устанавливаться автоматически.

CheckBox Refresh objects on connection - обновлять объекты при подключении к базе данных.

CheckBox Automatically reconnect when connection is lost - автоматически восстанавливать потерянное соединение с базой данных.

CheckBox Use Unix line folding (\n) for text fields (for Unix-based servers) - При сохранении данных, в качестве знака переноса строки использовать "\n". По умолчанию используется "\n\r".

CheckBox Don't use this database registration info to get server objects - не использовать регистрационную информацию этой базы данных для получения доступа к серверным объектам.

CheckBox Use INFORMATION_SCHEMA database to refresh metadata - использовать базу данных INFORMATION_SCHEMA для обновления метаданных. По умолчанию используется база 'mysql'.


Настройки отображения

Настройки отображения объектов базы данных.

CheckBox Use custom color for DB editors

При включенной опции цвет шрифта на вкладках редактора для текущей БД будет заменен со стандартного черного на выбранный вами. Чтобы вернуть стандартный цвет отключите опцию.

Database Registration Info - Setting display options

Objects to display in DB Explorer

Если установить флажок, то этот тип объектов будет отображаться в проводнике баз данных.

По умолчанию, отображаются все объекты.

Смотрите также:

Управление объектами

Проводник баз данных


Используемые директории

На этой вкладке указываются директории для хранения внешних данных.

Database Registration Info - Setting default directories

Default directory for Extract Metadata в эту папку, по умолчанию, будут сохраняться выгруженные с помощью Extract Database Wizard файлы.

Default directory for Export Data - папка, в которую будет производить экспорт данных с помощью Export Data Wizard

Default directory for Import Data - из этой директории будет импортировать данные с помощью Import Data Wizard

Default directory for HTML Report - директория, которая будет использоваться по умолчанию в HTML Report Wizard.

Default directory for Reports в эту папку сохраняются файлы отчетов, созданные пользователем. При условии, что при создании отчета пользователь указывает в мастере создания отчетов (Create Report Wizard), что этот отчет необходимо сохранить в файл базы данных. По умолчанию SQL Manager for MySQL автоматически создает эту папку в "Мои документы" при первом сохранении отчета.

Default directory for Local Scripts - директория для локальных SQL скриптов, открываемых или сохраняемых в Редакторе SQL скриптов.

Default directory for Backups - директория, используемая для сохранения резервных копий.


Журналы регистрации

На этой вкладке задайте настройки журналов.

Database Registration Info - Setting log options

CheckBox Enable log of metadata changes

Если Вы хотите вести журнал изменений, происходивших с метаданными, то установите флажок Enable log of metadata changes, и укажите, в какой файл следует записывать изменения.

CheckBox In Unicode - сохранять журналы в Юникоде.

CheckBox Write only successfully executed SQL statements to log - если установлен этот флажок. то в журнал будет заноситься информация только о успешно выполненных запросах.

В поле Metadata log file укажите, в какой файл сохранять эту информацию.

CheckBox Enable log of SQL Editor queries

Если же Вы хотите вести статистику по исполнению SQL скриптов, то активируйте функцию Enable log of SQL Editor queries.

В поле SQL Editor log file укажите, в какой файл сохранять эту информацию.


Параметры SSH туннелирования

На этой вкладке задайте параметры SSH туннелирования.

Примечание: невозможно одновременно использовать SSH и HTTP туннелирование. Если Вы выберете SSH, то HTTP туннелирование будет отключено.

Database Registration Info - Setting SSH tunnel options

CheckBox Connecting through the security Shell (SSH) tunnel

Если установлен флажок Connecting through the security Shell (SSH) tunnel, то соединение с сервером будет осуществляться через шифрованный канал.

SSH host name - имя сервера SSH. В случае задания параметров SSH, имя или ip адрес на предыдущем шаге должно указываться относительно машины, на которой установлен SSH сервер. Использование localhost подразумевает что SSH сервер и MySQL запущены на одной машине. Имя SSH сервера задается относительно клиентской машины, на которой запущен SQL Manager for MySQL.

SSH port - порт.

SSH user name - имя пользователя.

SSH password - пароль.

CheckBox Use private Key for authentic

Если установлен флажок Use private Key for authentication, то дополнительно будет использоваться ключевой файл, который можно будет указать в поле SSH key file. Если для использования этого файла нужно ввести пароль, то это можно сделать в появившемся поле.

Смотрите также:

Настройка SSH туннелирования


Параметры HTTP туннелирования

На этой вкладке задайте параметры HTTP туннелирования.

Примечание: невозможно одновременно использовать SSH и HTTP туннелирование. Если Вы выберите HTTP, то SSH туннелирование будет отключено.

Database Registration Info - Setting HTTP tunnel options

CheckBox Connecting through the HTTP tunnel

Если установлен флажок Connecting through the HTTP tunnel, то соединение с сервером будет осуществляться через промежуточный HTTP сервер.

Для того, чтобы можно было установить такое соединение, на HTTP сервер должен быть загружен скрипт emsproxy.php, который входит в дистрибутив программы.

Путь к файлу скрипта emsproxy.php задается в поле URL.

Смотрите также:

Настройка HTTP туннелирования


SSL

На этой вкладке задаются параметры подключения через защищенное SSL-соединение. Все указываемые файлы должны иметь расширение *.pem.

SSL mode

Выберите режим SSL для подключения: Disabled, Preferred, Required, Verify CA or Verify Identity.

Database Registration Info - SSL

Client certificate

В этом поле указывается путь к файлу сертификата. Этот сертификат может быть передан клиенту и аутентифицирован с помощью CA сертификата.

Client key

В этом поле указывается путь к файлу ключа.

CA Certificate

В этом поле указывается путь к файлу сертификата авторизации Certificate Authority (CA).

Revocation list

Вы можете указать путь к файлу со списком аннулированных сертификатов.

Cipher

Укажите возможные шифры для подключения SSL.


Настройка отображения данных

На этой вкладке задайте параметры представления данных в просмотрщике данных

Database Registration Info - Setting data options

В разделе Default limit options in table and view editors укажите количество записей, которые надо загрузить в таблицу просмотрщика данных.

RadioButton Select all records from a table - загрузить все записи таблицы

RadioButton В поле Select only n records можно указать количество загружаемых записей.

В разделе Advanced - задайте расширенные свойства таблицы.

CheckBox Use separate connections for each data view within a database - использовать общее подключение для всех просмотрщиков данных.

CheckBox Asynchronous query execution - асинхронное выполнение запроса. Запрос будет выполнен в отдельном потоке, все элементы управления останутся активными при выполнении и его можно прервать.

CheckBox Use transactions - установив этот флажок Вы указываете что транзакции для данных в таблице будут включены.

CheckBox Perform data sorting on client in Data View - данные сортируются средствами SQL Manager for MySQL. Если эта опция не включена, данные упорядочиваются на MySQL Server посредством задания ORDER BY части в SQL-запросе.

CheckBox Perform data filtration on client in Data View - если установлен этот флажок, то отбор данных осуществляется средствами SQL Manager for MySQL. Если не установлен, то используется SQL фильтр при просмотре данных таблиц и представлений. В этом случае фильтрация будет осуществляться на MySQL Server посредством задания условия WHERE в SQL-запросе.

RadioButton Load all rows - загрузить все записи. В этом случае в таблицу загружаются все данные из dataset. Эта опция позволяет при обновлении получать из dataset только измененные строки. При такой загрузке доступны сортировка, фильтрация, суммирование и т.д.

RadioButton Load visible rows - загрузить видимые записи. в таблицу из dataset загружается только строго определенное количество записей. Автоматические сортировка, фильтрация, суммирование в этом режиме недоступны. Количество загружаемых строк определяется в поле Select only n records.

Изменения, внесенные на этой вкладке, не применяются к открытым просмотрщикам данных.

Эти настройки меняют вид отображения при выборе Default в гриде.

Смотрите также:

Просмотрщик данных


Свойства базы данных

Используйте этот инструмент для просмотра и редактирования информации об активной базе данных и её объектах. Чтобы открыть окно свойств базы данных выберите в контекстном меню базы данных пункт btnDBProperties Database Properties или нажмите кнопку Object properties на панели инструментов проводника баз данных.

Вкладки

Общие параметры

Количество объектов

Просмотр DDL

Смотрите также:

Мастер создания баз данных

Мастер регистрации баз данных

Регистрационная информация баз данных

Администратор регистрации баз данных


Общие параметры

На этой вкладке отображается следующая информация по базе данных.

Database Properties - Options

Database name - в этом поле указано имя базы данных, Для серверов версий с 5.1.07 по 5.1.23 имя базы данных доступно для редактирования.

Версия сервера указана в Server version.

Набор символов выберите из раскрывающегося списка Character set.

Из раскрывающегося списка Collation выбираете правило сравнения символьных данных. Эти правила задают кодовую страницу и порядок сопоставления символьных данных для работы с данными в Юникоде и других кодировках.

Примечание: Character set и Collation заданные на этой вкладке будут использоваться по умолчанию для таблиц, если не указать их дополнительно при создании таблицы.


Количество объектов

На этой вкладке Вы можете увидеть, сколько объектов различных типов содержится в выбранной базе данных.

Database Properties - Objects summary

В поле Objects представлен список типов объектов. В столбце Count указано количество объектов. Суммарный объем, который занимают на диске объекты того или иного вида, отображается в столбце Data Size.

Внизу, в поле Database Size указан общий объем базы данных.


Просмотр DDL

На этой вкладке Вы можете просмотреть DDL выбранной базы данных.

Database Properties - DDL


Администратор регистрации баз данных

Позволяет быстро зарегистрировать новые базы данных и удалить регистрации несуществующих.

Чтобы открыть Администратор регистрации баз данных нужно выбрать в контекстном меню базы данных пункт Database Registration Manager или в главном меню пункт Database | Database Registration Manager.

Database Registration Info - Database Registration Manager

В списке отображаются все базы данных, находящиеся на выбранном сервере. Сервер можно выбрать из раскрывающегося списка Host на панели инструментов.

Необходимо отметить флажками базы данных, которые нужно зарегистрировать.

Они будут зарегистрированы автоматически при нажатии iconCommit Apply changes на одной из панелей инструментов.

Смотрите также:

Регистрационная информация баз данных


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Database Registration Manager - Using Navigation bar

Host

iconHost Выбрать сервер.

General

iconRefresh Refresh - обновить список баз данных

iconCommit Apply changes - применить изменения

Select all - выбрать все базы данных, существующие на сервере, но не зарегистрированные в программе

Uncheck all - отменить выбор всех баз

Uncheck deleted DB - удалить регистрацию удаленной с сервера базы данных

Legend

iconDB Exist on host - база данных, существующая на сервере

Removed from Host - база данных, удаленная с сервера

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Управление объектами

SQL Manager for MySQL предоставляет пользователю набор всех необходимых инструментов для работы с объектами базы данных.

Замечание: Для того, чтобы начать работать с объектами, необходимо подключиться к базе данных.

Основные действия с объектами

Создание нового объекта

Для создания любого объекта используйте:

  • пункт Database | New Object главного меню программы,
  • контекстное меню объекта базы данных,
  • контекстное меню баз данных
  • сочетание клавиш <Ctrl + N>

Копирование

Для копирования объектов существует специальный мастер, потому что объект можно копировать в другую базу данных, а так же с данными или без них.

Для копирования объекта необходимо выбрать пункт Duplicate<тип объекта><имя объекта> в контекстном меню объекта. Если Вы копируете объект таким образом, то Мастер копирования объектов открывается сразу на третьем шаге, так как на первых двух шагах выбирается база данных и объект, а в данном случае это не нужно.

Редактирование объекта

Для открытия объекта базы данных в соответствующем редакторе достаточно двойного щелчка мыши по нему в проводнике баз данных. Или выбора пункт Edit<тип объекта><имя объекта> в контекстном меню объекта. Еще можно использовать сочетание клавиш <Ctrl + О>

Переименование

Если хотите сменить имя объекта, то Вам нужно:

  • выбрать пункт контекстного меню объекта Rename<тип объекта><имя объекта>,
  • или использовать сочетание клавиш <Ctrl + R>.

Важно: Назначенные события невозможно переименовать.

Удаление объекта

Для того чтобы удалить объект необходимо для выбранного объекта выбрать пункт контекстного меню объекта Drop<тип объекта><имя объекта> или использовать сочетание клавиш <Shift + Del>

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты базы данных

Инструменты сервера

Обеспечение безопасности

Настройки

Внешние инструменты

Как...


Новый объект

С помощью этого инструмента можно выбрать тип создаваемого объекта и запустить соответствующий инструмент для создания объекта.

Для создания нового объекта выберите Database | iconNewObject New Object... в главном меню программы.

Для создания объекта базы данных необходимо выбрать RadioButton Create database object.

Из раскрывающегося списка Database выберите базу данных, в которой будет создан объект. В списке отображаются только подключенные базы данных.

Для создания объекта сервера необходимо выбрать RadioButton Create server object.

Из раскрывающегося списка Server выберите сервер, на котором будет создан объект.

Тип создаваемого объекта выбирается из списка Select the type of object to create.

Database Objects management - Create New Object

Выбрав тип объекта, щелкните на нем два раза мышкой или нажмите кнопку OK. После этого открывается редактор для выбранного типа объекта.

Смотрите также:

Мастер копирования объектов

Объекты базы данных

Объекты сервера


Мастер копирования объекта

Для копирования объекта надо выбрать пункт Duplicate<тип объекта><имя объекта> в контекстном меню объекта или Database | iconDuplicateObject Duplicate Object... в главном меню программы.

Одним из этих действий Вы запускаете Мастер копирования объектов.

Этот мастер используется для создания нового объекта базы данных с такими же свойствами, как у копируемого объекта.

Необходимо помнить, что объекты копируются вместе с подобъектами. Например, если Вы копируете таблицу, то вместе с ней будут скопированы все её поля, внешние ключи, индексы, триггеры и т.д.

Мастер состоит из следующих шагов:

Выбор исходной базы данных

Выбор объекта

Выбор базы данных

Выбор подобъектов

Изменение описания

Смотрите также:

Новый объект

Объекты базы данных

Объекты сервера


Выбор исходной базы данных

На этом шаге необходимо выбрать тип объекта и базу данных или сервер, которому он принадлежит.

Duplicate Object Wizard - Selecting the source database

RadioButton Duplicate server object - копирование объекта базы данных.

Из раскрывающегося списка Source database выберите базу данных, в которой содержится исходный объект.

RadioButton Duplicate server object - копирование серверного объекта.

Из раскрывающегося списка Source server выберите сервер, в котором содержится исходный объект.

Следующий шаг>>


Выбор объекта

Выберите объект, который хотите скопировать.

Из раскрывающегося списка Object выберите тип объекта, из списка, расположенного ниже, выберите объект.

Duplicate Object Wizard - Selecting object to duplicate

Вид списка Вы можете настроить с помощью контекстного меню.

Icons - объекты представлены в виде иконок.

List - объекты представлены в виде списка

<<Предыдущий шаг

Следующий шаг>>


Выбор базы данных

На этом шаге необходимо выбрать базу данных, в которую Вы хотите поместить новый объект и задать имя этого объекта.

Duplicate Object Wizard - Selecting destination database

Из раскрывающегося списка Target database выбираете базу данных

В поле New object name указываете имя создаваемого объекта.

CheckBox Если флажок Copy data установлен, то в новый объект будут скопированы все данные, содержащиеся в копируемом.

CheckBox Если не установлен, то будет скопирована только структура объекта.

Установив флажок Copy autoincrement fields, Вы указываете, что необходимо скопировать и автоинкрементные поля.

CheckBox Rename subobjects - изменить имена копируемых подобъектов в соответствии с изменением имени копируемого объекта.

<<Предыдущий шаг

Следующий шаг>>


Выбор подобъектов

На этом шаге Вы можете указать какие из подобъектов нужно скопировать. Этот шаг отображается только при копировании таблиц.

Duplicate Object Wizard - Specifying object details

Подобъекты:

Indices - индексы

Foreign Keys - внешние ключи

Triggers - триггеры

Все подобъекты, отмеченного флажком типа будут скопированы.

Также можно изменить название подобъекта один раз нажав на нем мышкой.

<<Предыдущий шаг

Следующий шаг>>


Изменение описания

Измените, если нужно, скрипт создания нового объекта в окне New object definition.

Duplicate Object Wizard - Modifying the new object's definition

Для создания объекта нажмите Run.

<<Предыдущий шаг


Объекты базы данных

SQL Manager for MySQL предоставляет пользователю набор всех необходимых инструментов для работы с объектами базы данных.

Важно: Чтобы начать работать с объектами, необходимо подключиться к базе данных.

Таблицы

Представления

Хранимые процедуры

Хранимые функции

Пользовательские функции (UDFs)

Назначенные события

Панели инструментов

Назначенные события

Триггеры

Смотрите также:

Новый объект

Мастер копирования объектов

Объекты сервера


Таблицы

Таблицы являются объектами, которые содержат все данные в реляционных базах данных. Таблица - это коллекция столбцов. В таблицах данные организованы в виде строк и столбцов, аналогичном электронной таблице. Каждая строка представляет уникальную запись, а каждый столбец представляет поле записи. Например, таблица, содержащая данные о сотрудниках компании, может иметь строку для каждого сотрудника и столбцы, представляющие сведения о сотрудниках (например, его идентификационный номер, имя, адрес, должность и номер домашнего телефона). Каждая таблица может содержать до 1024 столбцов. Имена таблиц и столбцов должны соответствовать правилам для идентификаторов; они должны быть уникальными в пределах таблицы, другими словами, можно использовать одинаковые имена столбцов в разных таблицах одной базы данных.

Таблицы в MySQL имеют следующие основные составляющие.

  • Столбцы

Каждый столбец представляет какой-либо атрибут объекта, моделируемого таблицей, к примеру, таблица сведений о деталях содержит столбцы для их идентификатора, цвета и веса.

  • Строки

Каждая строка представляет отдельное вхождение объекта, моделируемого таблицей. Например, в таблице сведений о деталях обязательно имеется одна строка для каждой детали, продаваемой компанией.

Создание таблицы

Для создания таблицы используйте:

  • пункт Database | New Object главного меню программы в окне выбора типа объекта надо выбрать таблицу,
  • контекстное меню объекта базы данных Tables,
  • пункт Create | Table панели инструментов проводника баз данных,
  • сочетание клавиш <Ctrl + N>.

Переименование таблицы

Если хотите сменить имя таблицы то Вам нужно:

  • выбрать пункт контекстного меню таблицы Rename Table<имя объекта>,
  • или использовать сочетание клавиш <Ctrl + R>.

Редактирование таблицы

Чтобы открыть таблицу в редакторе таблиц достаточно двойного щелчка мыши на таблице в проводнике баз данных. Также можно это сделать, выбрав пункт контекстного меню таблицы Edit Table <имя объекта>.

Удаление таблицы

Для того чтобы удалить таблицу, необходимо для нужной таблицы выбрать пункт контекстного меню Drop Table<имя объекта> или использовать сочетание клавиш <Ctrl + Del>

Копирование таблицы

Для копирования объектов существует специальный мастер, потому что объект можно копировать в другую базу данных, а так же с данными или без них.

Для копирования таблицы необходимо выбрать пункт Duplicate Table<имя объекта> в контекстном меню таблицы. Если Вы копируете таблицу таким образом, то Мастер копирования объектов открывается сразу на третьем шаге, так как на первых двух шагах выбирается база данных и объект, а в данном случае это не нужно.


Новая таблица

Инструмент New Table позволяет Вам создавать новую таблицу, задавать для неё поля и редактировать её описание.

Этот инструмент открывается автоматически при создании таблицы.

Использование панелей инструментов

Свойства таблицы

Задание полей таблицы

Секционирование


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

New Table - Using Navigation bar

Database

iconDB выбрать базу данных, в которой надо создавать таблицу.

General

iconCompile Compile - компилировать таблицу с текущими свойствами

iconShowSQLHelp Show SQL help - открыть справку по созданию таблиц в MySQL

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна

При переходе на другие вкладки появляются панели, со специальными функциями для каждой вкладки.

Partitions

New partition - создать партицию

Drop partition - удалить партицию

Edit partition - редактировать партицию

Add subpartition - создать субпартицию

Edit subpartition - редактировать субпартицию

Drop subpartition - удалить субпартицию

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Свойства таблицы

Параметры создаваемой таблицы следует указывать в этом диалоговом окне.

New Table - Setting table properties

В поле Table name задайте имя таблицы.

Из раскрывающегося списка Storage engine выберите способ хранения таблицы.

При выборе MRG_MyISAM или Federated внешний вид диалогового окна меняется.

Формат ячеек выберите из раскрывающегося списка Row format.

Min. rows - минимальное количество ячеек.

Max. rows - максимальное количество ячеек.

С помощью счетчика Auto increment value задается следующее значение, которое будет создано в поле, имеющем тип Autoincrement.

Средняя длина строки указана в поле Average row length.

Size for index key blocks - размер используемых блоков в кэше ключей.

CheckBox Check sum (только для таблиц, имеющих тип MyISAM) - в программе хранится контрольная сумма таблицы. Это может замедлить работу, но облегчает поиск поврежденных таблиц.

CheckBox Если установлен флажок Pack keys, то будут уменьшены индексы таблицы, что замедляет обновление, но ускоряет чтение.

CheckBox Delay key write - если установлен этот флажок, то ключевой буфер для таблиц с этой опцией не будет сбрасываться на диск при каждом обновлении индексов, но только тогда, когда таблица закрывается.

CheckBox Если установлен флажок Temporary, то таблица создается как временная.

Набор символов выберите из раскрывающегося списка Character set, из раскрывающегося списка Collation выбираете правило сравнения символьных данных. Эти правила задают кодовую страницу и порядок сопоставления символьных данных для работы с данными в Юникоде и других кодировках.

На вкладке File options задайте директории для хранения файлов базы данных.

Table Properties - Setting file options

В поле Data directory укажите папку, в которую будут сохраняться данные таблицы.

В папке, указанной в поле Index directory, будут храниться индексы таблицы.

Cluster Options

Table Properties - Cluster options

Tablespace

Из этого раскрывающегося списка необходимо выбрать одно из существующих табличных пространств.


MRG_MyISAM

При создании таблицы, имеющей тип хранения MRG_MyISAM, диалоговое окно задания свойств таблицы принимает следующий вид. Таблицы этого типа представляет собой совокупность идентичных таблиц типа MyISAM, которые можно использовать как одну. Идентичные таблицы - это таблицы, имеющие одинаковые столбцы и индексы.

New Table - Setting table properties_mrg_myisam

Из раскрывающегося списка Insert method выберите каким образом в объединенную таблицу будут добавляться данные.

Если выбраны FIRST или LAST, то записи буду вставляться в первую таблицу или в последнюю соответственно. Если указано NO, то вставка данных в эту таблицу не допускается.

Select first table for union

Из этого раскрывающегося списка необходимо выбрать первую таблицу.

Select other tables for union

В этом списке автоматически отображаются таблицы, идентичные той, которая была выбрана из списка Select first table for union. Можно отметить флажками те, которые будут входить в объединенную таблицу.

Смотрите также:

Свойства таблицы

Federated


Federated

При создании таблицы, имеющей тип хранения FEDERATED, диалоговое окно задания свойств таблицы принимает следующий вид.

Эта возможность появилась в MySQL 5 и позволяет создать таблицу, физически хранящуюся на удаленном MySQL сервере, т.е. организовать обращение к удаленной таблице как к локальной.

New Table - Setting table properties_federated

RadioButton Use connection string для подключения удаленной таблицы использовать строку подключения.

RadioButton Use federated server использовать таблицу, находящуюся на интегрированном сервере.

В поле Connection string задайте параметры подключения к удаленной таблице.

Table Properties - Setting federated table options - Build connection string

Чтобы подключить удаленную таблицу нужно задать следующие её параметры.

Host name - имя хоста на котором расположена нужная таблица. В списке отображаются зарегистрированные серверы. Чтобы зарегистрировать сервер воспользуйтесь Мастером регистрации баз данных.

Port - порт сервера MySQL, его значение по умолчанию 3306.

Укажите имя пользователя и пароль в полях User name и Password.

Выберите нужную базу данных из списка Database name. Список Table name содержит таблицы указанной базы данных. Из него выберите нужную.

С помощью кнопки Load Connection info можно скопировать все настройки из другой базы данных, которая выбирается из раскрывающегося списка, открывающегося по нажатию на кнопку btnDropDownMenu.

Federated server - из раскрывающегося списка выберите один из существующих интегрированных серверов.

Table name - из этого раскрывающегося списка необходимо выбрать одну из таблиц.

Смотрите также:

Свойства таблицы

MRG_MyISAM


Задание полей

Вкладка Fields предназначена для задания полей создаваемой таблицы.

New Table - Specifying fields

На этой вкладке отображаются следующие свойства поля:

  • является ли оно ключевым - Primary Key,
  • имя поля - Column Name,
  • тип данных - Data Type,
  • количество десятичных знаков указываете в поле Precision,
  • допускается значение NULL или нет(может ли поле быть непустым) - Not Null,
  • значение по умолчанию укажите в поле Default Value.

Двойной щелчок откроет выбранное поле в соответствующем редакторе - Field Editor.


Секционирование

Секционирование (партиционирование, partitioning) — это разбиение больших таблиц на логические части по выбранным критериям.

Важно: Партиции доступны только с версии сервера 5.1. Недоступны для таблиц, имеющих механизм хранения Federated.

Задаются настройки секционирования на вкладке Partitions при создании таблицы.

New Table - Partitions

Partitions options

Partition type

Из раскрывающегося списка Partition type необходимо выбрать способ разделения данных.

  • Range - по диапазону значений.

Например:

PARTITION BY RANGE (store_id)

PARTITION p0 VALUES LESS THAN (10),

  • List - по точному списку значений.

PARTITION BY LIST(store_id)

PARTITION pNorth VALUES IN (3,5,6,9,17),

  • Hash - указывает, по какому полю строить хеш и сколько «подтаблиц» создавать. Секция выбирается в зависимости от значения, возвращаемого пользовательским выражением. Функция может состоять из любого выражения действительного в MySQL, которое возвращает неотрицательное целое число.
  • Linear Hash - используется для обеспечения равномерного распределения данных между определенным количеством разделов. Необходимо указать значение столбца или выражение, основанное на значении столбца которое будет хешировано, и количество разделов, на которые секционированная таблица должна быть разделена.
  • Key - по ключу.

PARTITION BY KEY(s1)

PARTITIONS 10;

Выборка по указанному ключевому полю происходит максимально эффективно.

Важно: Не может быть создано несколько партиций разного типа. Если меняется тип партиции, то все субпартиции удаляются.

Partition expression

Выражение или значение по которому будет происходить разделение.

New Table - Partitions_Edit

Partition name - имя партиции.

Partition value -невключенная верхняя граница текущей партиции.

Comment - комментарий.

Параметр Partition value указывается только для секционирования по диапазону значений (Range). в партицию включены все значения, которые меньше значения, указанного в поле Partition value.

Список значений доступен при создании партиции типа List. Окно задания списка открывается при нажатии кнопки EllipsisButton .

New Table - Partitions - List of values

Value - значение списка

Add - добавить значение в список.

Replace - переместить выбранное в списке значение.

Remove - удалить выбранное значение из списка.

Up, Down - перемещать выбранные значения внутри списка.

Subpartition type

Подразбиение (Subpartition) - это дальнейшее разделение каждой секции в секционированной таблице.

Для партиции типа Key поля субпартиции необходимо указывать вручную.

Важно: В MySQL version 5.5 можно создать субпартиции только для типов range или list.

Subpartition expression - выражение по которому будет производиться разбиение на субпартиции.

Важно: Значения, указанные в полях Subpartition type и Subpartition expression будут применены ко всем субпартициям таблицы.

Контекстное меню

С помощью контекстного меню, открывающегося при нажатии правой кнопкой мыши на список, Вы можете:

New partition - создать партицию.

Edit partition - редактировать партицию.

Drop partition - удалить партицию.

Add subpartition - создать субпартицию.

Edit subpartition - редактировать субпартицию.

Drop subpartition - удалить субпартицию.


Редактор таблиц

Редактор таблиц - основной инструмент SQL Manager for MySQL для работы с таблицами баз данных. Он позволяет выполнять все операции с таблицей, а также с ее подобъектами.

Чтобы открыть таблицу в редакторе таблиц достаточно двойного щелчка мыши на таблице в проводнике баз данных.

Инструменты редактора таблиц:

  • Панели инструментов
  • Перестановка полей
  • Вкладки

Вкладки редактора таблиц

Для удобства Редактор таблиц разделен на несколько вкладок, каждая из которых позволяет выполнять некоторое количество операций, и отвечает за определенный набор свойств таблицы и элементов таблицы.

Вкладки:

Properties - свойства таблицы

Fields - Работа с полями

Indices - Работа с индексами таблиц

Foreign Keys - Управление внешними ключами

Triggers - Управление триггерами

Data - Просмотр данных в таблице

Dependencies - Зависимости объектов

DDL - Просмотр DDL описания


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Table Editor - Using Navigation bar

Object

iconDB Выбрать базу данных,

Выбрать таблицу для редактирования.

General

iconRefresh Refresh - обновить содержимое редактируемой таблицы

iconCompile Compile - компилировать таблицу

iconGrantsOnObject Grants on Table - установить права для этого объекта

iconPrint Print - печатать метаданные таблицы

iconShowSQLHelp Show SQL help - открыть справку MySQL

iconOptions Table Editor options - настроить редактор таблиц в Environment Options | Table Editor

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна

Tools

Truncate table - удалить из таблицы все данные

Create View - создать представление на основе этой таблицы

Create Procedure - создать процедуру на основе этой таблицы

Create Function - создать функцию на основе этой таблицы

Fields

New Field - создать в таблице новое поле

Edit Field<имя поля> - редактировать выделенное поле

Drop field<имя поля> - удалить выделенное поле

Explorer

iconDBExplorer отображаются все подобъекты открытой в редакторе таблицы.

Как и в проводнике баз данных, правой кнопкой мыши Вы можете вызвать контекстное меню объекта.

При переходе на другие вкладки редактора, появляются панели, со специальными функциями для каждой вкладки.

Для вкладки Indices появляется панель Indices

Add new index - создать новый индекс

Edit selected index - редактировать существующий индекс

Drop selected index - удалить существующий индекс

Для вкладки Foreign Keys появляется панель Foreign Keys

Add new foreign key - создать новый ключ

Edit selected foreign key - редактировать существующий ключ

Drop selected foreign key(s) - удалить выбранный ключ (или ключи)

Для вкладки Triggers появляется панель Triggers

Add new trigger - создать новый триггер

Edit selected trigger - редактировать существующий триггер

Drop selected trigger - удалить существующий триггер

Для вкладки Data появляется панель Data management

iconCommit Commit Transaction - применить транзакцию для данных

iconRollback Rollback Transaction - откатить транзакцию для данных таблицы

Export Data - экспортировать данные

Export as SQL Script - экспортировать данные в виде SQL скрипта

Export as PHP page - экспортировать в виде PHP страницы

Import Data - импортировать данные

Load data - загрузить данные

Save data to file on server - сохранить данные в файле на сервере

Для вкладки DDL появляется панель DDL,

iconSaveToFile Save DDL to file - сохранить DDL описание в файл,

Open DDL in SQL Editor - открыть DDL в SQL Editor,

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Свойства таблицы

На вкладке можно задать следующие свойства таблицы.

Table Editor - Table Properties

В поле Table name указано имя таблицы. Из раскрывающегося списка Storage engine выберите способ хранения таблицы. Этот способ хранения потом можно будет изменить с помощью Мастера изменения механизма хранения таблиц. Формат ячеек выберите из раскрывающегося списка Row format.

Min. rows - минимальное количество ячеек.

Max. rows - максимальное количество ячеек.

С помощью счетчика Auto increment value задается следующее значение, которое будет создано в поле, имеющем тип Autoincrement.

Средняя длина строки указана в поле Average row length.

Size for index key blocks - размер используемых блоков в кэше ключей.

CheckBox Check sum (только для таблиц. имеющих тип MyISAM) - в программе хранится контрольная сумма таблицы. Это может замедлить работу, но облегчает поиск поврежденных таблиц.

CheckBox Если установлен флажок Pack keys, то будут уменьшены индексы таблицы, что замедляет обновление, но ускоряет чтение.

CheckBox Delay key write - если установлен этот флажок, то ключевой буфер для таблиц с этой опцией не будет сбрасываться на диск при каждом обновлении индексов, но только тогда, когда таблица закрывается.

Если установлен флажок Temporary, то таблица будет создаваться как временная.

Набор символов выберите из раскрывающегося списка Character set, из раскрывающегося списка Collation выбираете правило сравнения символьных данных. Эти правила задают кодовую страницу и порядок сопоставления символьных данных для работы с данными в Юникоде и других кодировках.

На вкладке File options задайте директории для хранения файлов базы данных

Table Properties - Setting file options

В поле Data directory укажите папку, в которую будут сохраняться данные таблицы.

В папке, указанной в поле Index directory, будут храниться индексы таблицы.

Cluster Options

Table Properties - Cluster options

Tablespace

Из этого раскрывающегося списка необходимо выбрать одно из существующих табличных пространств.

Панель Table Status можно включить, установив флажок Show table status panel на вкладке Program Options | Environment Options | Table Editor.

Эта панель будет отображаться в окне SQL ассистента, если при выборе отображаемых деталей таблицы выбрать Table Status.

Table Properties - Viewing table status

В нижнем текстовом поле можно задать комментарий к таблице.

Свойства таблицы также можно просмотреть и изменить в модальном диалоге Table Properties. Чтобы вызвать этот диалог, выберите пункт Table Properties... контекстного меню таблицы в Проводнике баз данных.


Поля

Вкладка Fields предназначена для работы с полями таблицы.

При открытии таблицы эта вкладка открывается по умолчанию, если выбрана опция Always open the Fields tab на вкладке Tools | Table Editor в диалоговом окне Environment Options.

Поле - область окна или записи, в которой хранится отдельное значение.

Двойной щелчок открывает поле в редакторе полей. Правой кнопкой вызывается контекстное меню поля.

Для каждого поля на этой вкладке отображаются следующие свойства:

Field Name - имя

Field Type - тип значения

Size - размер поля

Precision - количество десятичных знаков

Not Null - допускается нулевое значение или нет

Default Value - значение по умолчанию

Description - краткое текстовое описание поля

Подробнее о работе с полями

Table Editor - Managing fields

В редакторе таблиц на вкладке Fields Вы можете создавать редактировать и удалять поля таблицы.

Поле - область окна или записи, в которой хранится отдельное значение.

Создать поле

Чтобы добавить поле в таблицу необходимо выполнить следующие действия:

  • открыть таблицу в редакторе таблиц. Для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Fields (по умолчанию открывается сразу при открытии таблицы в редакторе таблиц),
  • в контекстном меню поля выбрать пункт New Field...,
  • в появившемся редакторе полей укажите требуемые свойства поля.

Копировать поле

Для копирования поля необходимо выбрать пункт Duplicate Field <имя объекта> в контекстном меню поля. В первом появившемся окне введите имя нового поля, а во втором укажите, копировать ли объект с данными или без них.

Редактировать поле

для того чтобы изменить поле необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Fields (по умолчанию открывается сразу при открытии таблицы в редакторе таблиц),
  • в контекстном меню поля выбрать пункт Edit Field<имя объекта>,
  • в появившемся редакторе полей укажите требуемые свойства поля.

Удалить поле

для того чтобы удалить поле необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Fields (по умолчанию открывается сразу при открытии таблицы в редакторе таблиц),
  • в контекстном меню поля выбрать пункт Drop Field<имя объекта>,
  • в появившемся окне подтвердить удаление поля.

Контекстное меню поля таблицы

Правой кнопкой можно вызвать контекстное меню поля.

New Field... - создать новое поле

Edit Field <имя поля> - редактировать поле

Rename Field <имя поля> - переименовать поле

Drop Field <имя поля> - удалить поле

Duplicate Field - копировать поле

Reorder Fields - поменять местами поля

Copy list of field Names to clipboard - копировать список полей в буфер обмена

Export List - экспортировать список полей


Перестановка полей

Можно изменить порядок полей при помощи специального инструмента - Reorder Fields dialog. Открыть этот инструмент можно с помощью пункта контекстного меню поля Reorder Fields.

Table Editor - Changing fields order

В списке Column name представлен список полей таблицы в том порядке, в котором они находятся в таблице.

Изменить этот порядок можно двумя способами:

  • с помощью кнопок [image] [image] . Они перемещают вверх или вниз выбранное поле,
  • с помощью стандартной операции drag and drop - простого перетаскивания поля на нужное место.


Редактор полей

Этот инструмент позволяет изменять свойства полей таблицы базы данных при создании или редактировании поля.

С помощью этого редактора Вы можете задать и изменить свойства полей.

Открыть поле в редакторе можно следующим образом:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Fields (эта вкладка открывается по умолчанию, если выбрана опция Always open the Fields tab на вкладке Tools | Table Editor в диалоговом окне Environment Options.),
  • если в проводнике баз данных отображаются подобъекты таблицы, то нужное поле можно открыть из проводника баз данных (для этого надо установить флажок Show Table Subobjects на вкладке DB Explorer диалогового окна Environment Options),
  • в контекстном меню поля выбрать пункт Edit Field<имя объекта>.

Ещё один способ подходит, если у вас в SQL Assistant отображаются поля таблицы. Тогда, чтобы открыть поле, достаточно двойного щелчка мыши на нем в SQL Assistant. Настроить SQL Assistant можно с помощью кнопки View Mode проводника баз данных.

После выполнения одной из этих операций откроется редактор полей, в котором можно указывать все свойства поля.


Свойства поля

SQL Manager for MySQL
  • На главную
  • « Назад
  • Вперед »

С помощью редактора полей Вы можете задать все свойства поля, доступные в MySQL.

В поле Field name задайте имя поля, оно должно соответствовать правилам именования полей MySQL.

В поле Description задайте комментарий для текущего поля.

Из раскрывающегося списка Type выберите тип данных, которые будут храниться в этом поле.

CheckBox Если установлен флажок Use size, то для указанного типа поля можно задать размер и точность отображения. С помощью счетчика Size задайте размер поля. Для чисел с плавающей точкой в поле Scale укажите отображаемое количество знаков после запятой.

Набор символов выберите из раскрывающегося списка Character set, а из раскрывающегося списка Collation выбираете правило сравнения символьных данных. Эти правила задают кодовую страницу и порядок сопоставления символьных данных для работы с данными в Юникоде и других кодировках.

Field Editor - Setting field name and type

Чтобы сделать поле вычислимым (generated), выберите соответствующее значение в выпадающем списке Generated Type. VIRTUAL - значения поля не хранятся и вычисляются при чтении строк сразу после срабатывания триггеров BEFORE. Виртуальное поле не требует места в ханилище. STORED - значения поля вычисляются и сохраняются, когда строки добавляются или изменяются. Такое поле требует наличия свободного места в хранилище и может быть проиндексировано. NONE - значения не генерируются.

Значения вычислимого поля генерируются на основании выражения, которое задается в поле Expression.

CheckBox Not null

Если данная опция включена, то поле не может иметь значение NULL.

CheckBox Primary key

Редактируемое поле можно сделать первичным ключом, установив данный флажок. В таблице может быть только одно ограничение Primary key, и столбец с данным ограничением не может содержать значения NULL.

CheckBox Unique

Данная опция задает является ли поле частью уникального ключа.

CheckBox Unsigned

Данная опция устанавливает для поля атрибут UNSIGNED, в этом случае целочисленные данные будут представлены без знака.

CheckBox Zerofill

Если для столбца, имеющего числовой тип данных, установить этот флажок, то MySQL будет автоматически добавлять в этот столбец нули перед первой значащей цифрой числа.

CheckBox Autoincrement

Включает автоматическую генерацию уникального идентификатора для новых строк в поле.

Values

Значение Values можно указать только для полей, имеющих тип данных ENUM и SET. При нажатии кнопки в поле Values открывается окно, в котором можно задать список значений.

В поле Default value можно задать значение по умолчанию для поля.

Insert Mode

При создании нового поля в редакторе полей Вы можете указать место, куда поместить создаваемое поле:

Field Editor - Insert mode

RadioButton Insert first - новое поле будет помещено перед первым полем таблицы,

RadioButton Insert last - после последнего,

RadioButton если выбрать Insert after field, то из списка Insert after можно будет выбрать поле, после которого нужно поместить создаваемое.


Редактирование полей, имеющих тип ENUM или SET

ENUM ('значение1','значение2',...)

Перечисление. Перечисляемый тип данных. Объект строки может иметь только одно значение, выбранное из заданного списка величин 'значение1', 'значение2', ..., NULL или специальная величина ошибки. Список ENUM может содержать максимум 65535 различных величин.

SET ('значение1','значение2',...)

Это строковый тип данных, который может принимать ноль или более значений, каждое из которых должно быть выбрано из списка допустимых значений, определенных при создании таблицы.

Множество SET может иметь максимум 64 различных элемента.

Field Editor - Editing ENUM and SET fields - Values List

Значения отображаются в списке Values. Чтобы добавить в список новое значение, укажите его в поле Value и нажмите кнопку Add. Если Вы выделили в списке значение, а в поле Value указали новое и нажали кнопку Replace, то старое значение заменится новым. Чтобы удалить пункт списка нужно его выделить и нажать кнопку Remove. Изменить порядок значений в списке можно с помощью кнопок Up и Down.


Оптимизация типов полей

Optimize Field Types Wizard предназначен для анализа полей таблицы на возможность их оптимизации и смены их типов при необходимости. С помощью этой операции Вы можете уменьшить размер размер таблицы.

Чтобы открыть мастер оптимизации типов полей, перейдите на вкладку Fields редактора таблиц и нажмите пункт Optimize field types на Панели инструментов.

Optimize field types wizard - Welcome

Смотрите также:

Редактор таблиц


Выбор полей для анализа

На этом шаге выберите поля редактируемой таблицы для анализа.

Optimize field types wizard - Selecting fields

Max count of distinct values

В этом поле задайте максимальное количество исходных значений в столбце, которые буду проанализированы. Это значение используется для проверки, будет ли тип ENUM оптимальным типом.

Из списка Available Fields выберите нужные поля таблицы и с помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available перенесите их в список выбранных полей - Included Fields, или перетащите из одного списка в другой с помощью мышки.


Выбор полей для изменения типа

На этом шаге мастера Вы можете просмотреть предлагаемые типы для выбранных полей, полученные в результате их анализа.

Optimize field types wizard - Selecting fields for changing

Все поля будут автоматически включены в список Included Fields. Если Вы не хотите менять тип поля, перенесите поле с помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available в список Available Fields, или перетащите из одного списка в другой с помощью мышки.

В столбце Recommended Type отображаются предлагаемые типы полей для оптимизации.


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Run, для начала выполнения операции оптимизации типов полей.

В основной части окна от отображаются все производимые действия и результат их выполнения.

Optimize field types wizard - Performing operation

Для того, чтобы каждый раз не задавать параметры дампа, воспользуйтесь инструментом создания шаблонов.


Индексы

Индекс - это объект реляционной базы данных, обеспечивающий быстрый доступ к данным в строках таблицы на основе значений ключа. Индексы также обеспечивают уникальность строк таблицы. Первичный ключ таблицы автоматически индексируется. При полнотекстовом поиске сведения о ключевых словах и их расположении в определенном столбце хранятся в полнотекстовом индексе.

Создать индекс

Чтобы добавить индекс в таблицу необходимо выполнить следующие действия:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Indices,
  • в контекстном меню индекса выбрать пункт New Index...,
  • в появившемся редакторе индексов указать требуемые свойства индекса.

Редактировать индекс

для того чтобы изменить индекс необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Indices,
  • в контекстном меню индекса выбрать пункт Edit Index<имя объекта>,
  • в появившемся редакторе индексов укажите требуемые свойства индекса.

Удалить индекс

для того чтобы удалить индекс необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Indices,
  • в контекстном меню индекса выбрать пункт Drop Index<имя объекта>,
  • в появившемся окне подтвердить удаление индекса.

На вкладке Indices Вы можете создавать, просматривать и редактировать индексы таблицы.

Двойной щелчок мыши открывает индекс в редакторе индексов.

Table Editor - Managing indexes

На этой вкладке содержится следующая информация об индексах таблицы:

  • Имя индекса - Index Name,
  • Поле для которого создан индекс - On Field(s),
  • Является ли ключ уникальным - Unique,
  • является ли индекс полнотекстовым - Fulltext.

Контекстное меню индекса

Правой кнопкой вызывается контекстное меню индекса.

New Index - Создать новый индекс

Edit Index<имя индекса> - Редактировать существующий индекс

Drop Index<имя индекса> - Удалить индекс

Export List - Экспортировать список индексов


Редактор индексов

Этот инструмент позволяет создавать и редактировать уже созданные индексы.

В поле Index name укажите имя индекса. Имя нельзя изменить только если индекс имеет статус Primary.

Далее, в разделе Fields for index, выберите поля таблицы, которые будут включены в индекс.

В списке Available Fields содержатся доступные поля, которые с помощью кнопок можно переместить в список полей индекса - Included Fields.

Index Editor - Editing index definition

В разделе Index properties укажите свойства индекса.

CheckBox Is Primary key - выберите это значение если создаете первичный ключ.

Index type

Из этого раскрывающегося списка можно выбрать тип индекса:

  • Fulltext - создаваемый индекс будет полнотекстовым.
  • Unique - создает уникальный индекс для таблицы или представления. Уникальным является индекс, в котором не допускается наличие двух строк с одинаковыми значениями ключа индекса.
  • Spatial - пространственный индекс для таблиц имеющих тип хранения MyISAM, InnoDB, NDB, и ARCHIVE on spatial data types.

Index using

Из этого раскрывающегося списка выберите используемую индексом структуру данных. Это может быть BTREE или HASH.

Size of index block (KEY_BLOCK_SIZE)

Здесь вы можете установить размер блоков ключа индекса в байтах. Значение 0 указывает, что будет использовано значение по умолчанию.

Fulltext parser (PARSER)

Этот параметр может быть задан только для полнотекстового индекса. Он привязывает плагин парсера к индексу если полнотекстовое индексирование и поиск требуют дополнительной обработки.

На вкладке Comment можно задать текстовый комментарий к индексу, содержащий до 1024 символов.

Смотрите также:

Редактор таблиц

Редактор внешних ключей

Редактор триггеров


Внешние ключи

Внешний ключ - Foreign Key - столбец или сочетание столбцов, значения которого соответствуют первичному или уникальному ключу из той же или другой таблицы. Внешний ключ также называют ссылочным ключом.

Создание и редактирование внешних ключей осуществляется с помощью специального инструмента - Foreign Key Editor.

Внешний ключ применяется для принудительного установления связи между данными в двух таблицах.

Важно: Внешние ключи можно создавать только для таблиц, имеющих тип хранения InnoDB. Редактирование и удаление внешних ключей доступно на MySQL сервере, начиная с версии 4.0.13. Изменить тип хранения можно с помощью Мастера изменения механизма хранения таблиц.

Создать внешний ключ

Чтобы добавить ключ в таблицу необходимо выполнить следующие действия:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Foreign Keys,
  • в контекстном меню ключа выбрать пункт New Foreign Key...,
  • в появившемся редакторе внешних ключей укажите требуемые свойства ключа.

Редактировать внешний ключ

для того чтобы изменить внешний ключ необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Foreign Keys,
  • в контекстном меню ключа выбрать пункт Edit Foreign Key<имя объекта>,
  • в появившемся редакторе внешних ключей укажите требуемые свойства ключа.

Примечание: некоторые свойства внешнего ключа можно задавать только при создании. При редактировании уже созданного они недоступны.

Удалить внешний ключ

для того чтобы удалить внешний ключ необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Foreign Keys,
  • в контекстном меню ключа выбрать пункт Drop Foreign Key<имя объекта>,
  • в появившемся окне подтвердить удаление внешнего ключа.

На этой вкладке Вы можете создавать и редактировать внешние ключи таблицы.

Двойной щелчок мыши открывает ключ в редакторе внешних ключей.

Table Editor - Managing foreign keys

На вкладке Foreign Keys содержится следующая информация о внешних ключах:

  • Foreign Key Name - Имя внешнего ключа
  • Field names - Поле
  • Foreign Database Name - Внешняя база данных
  • Foreign Table Name - Внешняя таблица
  • Foreign Field Name - Внешнее поле
  • Delete Rule - действия, выполняемые при удалении
  • Update Rule - действия, выполняемые при обновлении

Контекстное меню внешнего ключа

Правой кнопкой вызывается контекстное меню для выделенного ключа.

New Foreign Key - Создать новый внешний ключ

Edit Foreign Key<имя объекта> - Редактировать существующий

Drop Foreign Key<имя объекта> - Удалить ключ

Export List - Экспортировать список индексов


Реактор внешних ключей

SQL Manager for MySQL
  • На главную
  • « Назад
  • Вперед »

Редактор внешних ключей

Этот редактор используется для изменения свойств внешнего ключа. Редактор открывается при создании нового ключа или при редактировании существующего.

Foreign Key Editor - Editing foreign key definition

Имя ключа задается в поле Foreign Key Name. Автоматически система создает имя, которое состоит из имени выбранной таблицы и суффикса _fk. В поле Table указано имя таблицы, которой принадлежит внешний ключ.

Примечание: Это поле не доступно для редактирования.

Чтобы добавить поля таблицы в ключ переместите их из списка доступных полей - Available Fields в список выбранных полей - Included Fields.

Далее из раскрывающегося списка Foreign table выберите внешнюю таблицу. Переместите поля из списка доступных полей - Available Fields в список выбранных полей - Included Fields.

Из раскрывающегося списка On delete rule Вы выбираете действие, которое будет выполняться при удалении данных.

Из раскрывающегося списка On update rule Вы выбираете действие, которое будет выполняться при обновлении данных в таблице.

Смотрите также:

Редактор таблиц

Редактор индексов

Редактор триггеров


Триггеры

Триггер — это особая разновидность хранимой процедуры, выполняемая автоматически при возникновении события на сервере базы данных.

В виде отдельной группы объектов в проводнике баз данных Триггеры вынесены только для серверов версии 5.1 и выше.

Создать триггер

Чтобы добавить триггер в таблицу необходимо выполнить следующие действия:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Triggers,
  • в контекстном меню триггера выбрать пункт New Trigger...,
  • в появившемся редакторе триггеров указать требуемые свойства триггера.

Для создания триггера как отдельного объекта необходимо выполнить одно из действий:

  • выбрать пункт главного меню программы Database | New Object, затем в окне выбора типа объекта надо выбрать Trigger,
  • в контекстное меню объекта базы данных Triggers выбрать пункт New Trigger,
  • использовать сочетание клавиш <Ctrl + N>.

Редактировать триггер

Для того чтобы изменить триггер необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Triggers,
  • в контекстном меню триггера выбрать пункт Edit Trigger<имя объекта>,
  • в появившемся редакторе триггеров укажите требуемые свойства триггера.

Чтобы открыть триггер в редакторе триггеров достаточно двойного щелчка мыши на объекте в проводнике баз данных. Также можно это сделать, выбрав пункт контекстного меню объекта Edit Trigger <имя объекта>.

Удалить триггер

Для того чтобы удалить триггер необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть вкладку Triggers,
  • в контекстном меню триггера выбрать пункт Drop Trigger<имя объекта>,
  • в появившемся окне подтвердить удаление триггера.

Для того чтобы удалить триггер, необходимо в проводнике баз данных выбрать для нужного пункт контекстного меню Drop View<имя объекта> или использовать сочетание клавиш <Ctrl + Del>.

На вкладке Triggers редактора таблиц Вы можете создавать, просматривать и редактировать список триггеров конкретной таблицы.

Двойной щелчок мыши открывает триггер в редакторе триггеров.

Информация об объектах, содержащаяся на этой вкладке

  • Имя триггера - Name,
  • Тип триггера - Type,
  • Событие, запускающее триггер - Event.

Контекстное меню триггера

По нажатию правой кнопкой на триггер открывается контекстное меню.

New Trigger... - создать новый триггер

Edit Trigger <имя объекта> - редактировать выделенный триггер

Drop Trigger <имя объекта> - удалить триггер

Export List - Экспортировать список объектов

Смотрите также:

Отладчик


Редактор триггеров

Этот редактор предназначен для создания и редактирования триггеров.

Вкладки редактора

Edit - свойства триггера

Dependencies - зависимости объектов

DDL -DDL описание

Смотрите также:

Редактор таблиц

Редактор внешних ключей

Редактор индексов


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Trigger Editor - Using Navigation bar

Object

iconDB Выбрать базу данных,

Выбрать триггер для редактирования.

General

iconRefresh Refresh - обновить содержимое редактируемого триггера

iconCompile Compile - компилировать триггер с текущими свойствами

iconDebug Debug Trigger - отладить триггер

iconPrint Print - печатать метаданные объекта

iconShowSQLHelp Show SQL help - открыть справку MySQL

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Для вкладки DDL появляется панель DDL

iconSaveToFile Save DDL to file - сохранить DDL описание в файл

Open DDL in SQL Editor - открыть DDL в SQL Editor

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Редактировать триггер

Основные параметры триггера задаются на вкладке Edit.

Trigger Editor - Editing trigger definition

В поле Name указываете имя триггера.

Из раскрывающегося списка Definer выберите пользователя, создавшего объект.

Из раскрывающегося списка Table выбираете таблицу, для которой создаете триггер. Поле доступно для редактирования только при создании триггера.

С помощью переключателя Type, указываете тип поведения триггера.

RadioButton Если указан тип After, то триггер DML срабатывает только после успешного выполнения всех операций в инструкции SQL, запускаемой триггером. Все каскадные действия и проверки ограничений, на которые имеется ссылка, должны быть успешно завершены, прежде чем триггер сработает.

RadioButton Если установлен тип Before, то триггер срабатывает до завершения операций.

В разделе On Event выбирается событие, которое после выполнения вызывает срабатывание триггера.

Можете выбрать одно событие из предложенных: RadioButton Insert, RadioButton Update или RadioButton Delete.

Задайте вручную текст триггера в окне Definition.


Просмотр данных

На этой вкладке Вы можете внести данные в таблицу. Также можете просматривать данные и менять их.

Управление данными осуществляется с помощью панели инструментов и раскрывающегося меню.

Table Editor - Viewing table data

Смотрите также:

Просмотрщик данных


Представления

Представление (View) - это виртуальная таблица, представляющая данные одной или более таблиц альтернативным образом. Представление может быть создано на основе таблиц или других представлений, имеющихся как в текущей базе данных, так и в других базах данных на текущем сервере Представление может включать не более 1024 столбцов.

Для работы с представлениями в SQL Manager for MySQL существует специальный инструмент - View Editor (Редактор представлений)

В редакторе Вы можете создавать новые представления и редактировать существующие.

При создании нового представления редактор открывается автоматически.

Использование панелей инструментов

Редактирование SQL описания

Просмотр полей

Просмотр данных

Просмотр зависимостей

Просмотр DDL


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

View Editor - Using Navigation bar

Object

iconDB Выбрать базу данных

Выбрать представление для редактирования

General

iconRefresh Refresh - обновить содержимое редактируемого представления

Edit query using Query Builder - редактировать представление, используя визуальный конструктор запросов

iconCompile Compile - компилировать представление с текущими свойствами

iconPrint Print - печатать метаданные объекта

iconGrantsOnObject Grants on Object - установить права для этого объекта

iconShowSQLHelp Show SQL help - открыть справку MySQL

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Для вкладки Fields появляется панель Fields:

Copy list to Clipboard - копировать список полей в буфер обмена

Export list - экспортировать список полей в файл

Для вкладки Data появляется панель Data management:

iconCommit применить транзакцию для данных - Commit Transaction

iconRollback откатить транзакцию для данных таблицы - Rollback Transaction

Export Data - экспортировать данные

Export as SQL Script - экспортировать данные в виде SQL скрипта

Export as PHP page - экспортировать в виде PHP страницы

Import Data - импортировать данные

Save data to file on server - сохранить данные в файле на сервере

Для вкладки DDL появляется панель DDL

iconSaveToFile Save DDL to file - сохранить DDL описание в файл,

Open DDL in SQL Editor - открыть DDL в SQL Editor,

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


SQL описание

На вкладке Edit Вы можете создать просмотреть и отредактировать SQL скрипт создания представления.

Если Вы внесли изменения, то для того чтобы они вступили в силу необходимо нажать iconCompile Compile на панели навигации.

View Editor - Editing SQL definition

View name

Укажите имя представления.

Algorithm type

Из этого раскрывающегося списка выберите способ создания представления:

MERGE - заменять соответствующие части выражения, ссылающегося на представление определением представления;

TEMPTABLE - данные, возвращаемые представлением, помещаются во временную таблицу, которая затем используется при выполнении выражений, ссылающихся на представление;

UNDEFINED - алгоритм создания определяется сервером MySQL.

Definer

Если учетная запись MySQL указана, то при выполнении операторов данного представления, будут приниматься во внимание привилегии этой учетной записи.

Важно: Учетную запись следует указывать в формате 'имя_пользователя'@'имя_сервера'. Вы также можете выбрать CURRENT_USER для использования учетной записи текущего пользователя MySQL.

SQL security

С помощью данного раскрывающегося списка определите чьи права доступа будут использованы для выполнения выражений, используемых в теле представления:

RadioButton Definer (пользователь, создавший подпрограмму), или

RadioButton Invoker (пользователь, выполняющий подпрограмму)

Definition

Эта область позволяет определить представление посредством выражения SQL. При редактировании представления Вы можете как изменить его определение, так и перекомпилировать используя область Definition.


Просмотр полей

На вкладке Fields Вы можете просмотреть все поля, отображаемые в представлении.

View Editor - Viewing fields

Для каждого поля отображаются следующие характеристики:

Field Name - имя

Field Type - тип значения

Size - размер поля

Precision - количество десятичных знаков

Not Null - допускается нулевое значение или нет

Default Value - значение по умолчанию

Comment - краткое текстовое описание поля

Для получения более подробной информации смотрите страницу Редактор полей.


Просмотр данных

На этой вкладке Вы можете внести данные в таблицу. Также можете просматривать данные и менять их.

View Editor - Viewing data

Важно: данные можно менять только в представлениях, основанных на простых запросах.

Управление данными осуществляется с помощью панели инструментов и раскрывающегося меню.

Смотрите также:

Просмотрщик данных


Хранимые процедуры

Хранимые процедуры представляют собой набор команд SQL, которые могут компилироваться и храниться на сервере. При выполнении процедура может возвращать набор данных.

Редактор позволяет создавать и выполнять процедуры, а также редактировать их. Он открывается автоматически при создании новой процедуры или редактировании существующей.

Использование панелей инструментов

Редактирование определения процедуры

Просмотр зависимостей объектов

Редактирование описания процедуры

Выполнение и отладка процедуры

Задание параметров процедуры при выполнении

Просмотр DDL

Просмотр результатов

Смотрите также:

Отладчик

Хранимые функции


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Procedure Editor - Using Navigation bar

Object

iconDB Выбрать базу данных

Выбрать процедуру для редактирования

General

iconRefresh Refresh - обновить содержимое редактируемой процедуры

iconCompile Compile - компилировать процедуру с текущими свойствами

iconExecute Execute procedure - выполнить процедуру

iconDebug Debug Procedure - отладить процедуру

iconPrint Print - печатать метаданные процедуры

iconShowSQLHelp Show SQL help - открыть справку по созданию процедур в MySQL

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна

Transaction

iconCommit применить транзакцию для данных - Commit Transaction

iconRollback откатить транзакцию для данных таблицы - Rollback Transaction

Если процедура была выполнена и вернула результат, то кроме вкладки Results появляется ещё панель Data Management.

Export Data - экспортировать данные

Export as SQL Script - экспортировать данные в виде SQL скрипта

Export as PHP page - экспортировать в виде PHP страницы

При переходе на другие вкладки появляются панели, со специальными функциями для каждой вкладки.

Для вкладки Description появляется панель Description:

iconSaveToFile Save Description to file - сохранить описание в файл,

iconCopyToClipboard Copy description to clipboard - копировать описание в буфер обмена,

Для вкладки DDL появляется панель DDL

iconSaveToFile Save DDL to file - сохранить DDL описание в файл,

Open DDL in SQL Editor - открыть DDL в SQL Editor,

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Определение процедуры

На вкладке Edit можно задать основные параметры процедуры.

Procedure Editor - Editing procedure definition

В поле Name укажите имя создаваемой процедуры. Это поле доступно для редактирования только при создании объекта.

В разделе Procedure type выберите тип процедуры:

RadioButton Deterministic - детерминистская,

RadioButton Not Deterministic - не детерминистская.

В разделе SQL security укажите параметры безопасности процедуры:

RadioButton Definer - процедуру будет использовать создатель,

RadioButton Invoker - процедуру будет использовать пользователь базы данных.

Из раскрывающегося списка SQL Data Access выберите тип доступа к данным.

Выберите из раскрывающегося списка Definer имя пользователя, права которого будут использоваться при выполнении этой процедуры.

В таблице Parameters отображаются параметры, заданные в тексте процедуры. Двойным щелчком мышки на таблице вызывается диалоговое окно редактора параметров.

В этом окне можно задать необходимые настройки каждого параметра.

Name - имя параметра.

Из раскрывающегося списка Parameter Type выберите тип параметра. Это может быть IN, OUT или INOUT.

Data type - тип данных.

Data size - задайте размер поля параметра.

Data precision - для чисел с плавающей точкой в этом поле укажите отображаемое количество знаков после запятой.

Enum values - значения перечисляемого типа данных.

CheckBox Use database charset - не задавать кодировку явно. MySQL будет использовать кодировку базы данных.

Character set - из этого раскрывающегося списка выберите кодировку, если она отличается от принятой в базе данных.

CheckBox Unsigned - устанавливает для поля атрибут UNSIGNED, в этом случае целочисленные данные будут представлены без знака.

CheckBox Zerofill - если для столбца, имеющего числовой тип данных, установить этот флажок, то MySQL будет автоматически добавлять в этот столбец нули перед первой значащей цифрой числа.

Текст процедуры задается в окне редактора SQL - Definition.

В нижней части формы располагается окно сообщений, куда выводится информация о выполнении процедуры.


Выполнение и отладка процедуры

Редактор процедур позволяет выполнить редактируемую процедуру. Для того чтобы выполнить процедуру используйте команду Execute procedure, которая находится на навигационной панели и на панели инструментов. Если в процедуре содержатся параметры, то при выполнении Вы можете их задать в специальном окне Enter parameter values. Это окно появляется перед выполнением процедуры.

Если процедура возвращает некоторый результат, например, таблицу, то этот результат Вы можете просмотреть на появившейся вкладке просмотр результатов.

Procedure Editor - Executing procedure

Если при выполнении возникли ошибки, то можно отладить процедуру в отладчике. Для этого необходимо на одной из панелей инструментов выбрать iconDebug Debug procedure.


Задание параметров при выполнении

Если в процедуре есть параметры, то при выполнении открывается окно Enter parameter values. В этом окне Вы можете задать значения всех параметров исполняемой процедуры.

Procedure Editor - Specifying input parameters

SQL Manager for MySQL формирует это окно исходя из свойств параметров процедуры:

  • количество полей на форме соответствует количеству параметров,
  • названия параметров являются названиями полей, в которых их необходимо задавать,
  • тип данных определяется типом данных параметра.

Если рядом с именем параметра установлен флажок CheckBox Null, то значение параметра примет значение NULL независимо от того, что введено в поле редактирования.

В верхней части формы расположен список значений параметров, введенных при предыдущем выполнении процедуры. Используйте контекстное меню, чтобы удалить выделенный элемент или очистить всю историю параметров.

Нажмите кнопку Ok, для того чтобы продолжить выполнение процедуры, или Cancel для отмены выполнения.


Просмотр результатов

Эта вкладка активна только тогда когда процедура была выполнена и возвратила результат.

Результат выполнения отображается в просмотрщике данных.

В окне, расположенном в нижней части, отображаются серверные сообщения о ходе выполнения процедуры.


Хранимые функции

Хранимые функции представляют собой набор команд SQL, которые могут компилироваться и храниться на сервере. Отличаются от хранимых процедур тем, что могут возвращать не таблицу данных, а единичное значение.

Редактор позволяет создавать и выполнять функции, а также редактировать их. Он открывается автоматически при создании новой функции или редактировании существующей.

Панели инструментов

Просмотр зависимостей объектов

Определение функции

Описание функции

Выполнение и отладка функции

Задание параметров

Просмотр DDL

Смотрите также:

Отладчик

Хранимые процедуры


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Function Editor - Using Navigation bar

Object

iconDB Выбрать базу данных,

Выбрать функцию для редактирования.

General

iconRefresh Refresh - обновить содержимое редактируемой функции,

iconCompile Compile - компилировать функцию с текущими свойствами,

iconExecute Execute Function - выполнить функцию,

iconDebug Debug Function - отладить функцию,

iconPrint Print - печатать метаданные функции,

iconShowSQLHelp Show SQL help - открыть справку по созданию функций в MySQL.

При переходе на другие вкладки появляются панели, со специальными функциями для каждой вкладки.

Для вкладки Description появляется панель Description:

iconSaveToFile Save Description to file - сохранить описание в файл,

iconCopyToClipboard Copy description to clipboard - копировать описание в буфер обмена,

Для вкладки DDL появляется панель DDL

iconSaveToFile Save DDL to file - сохранить DDL описание в файл

Open DDL in SQL Editor - открыть DDL в SQL Editor

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Создание/редактирование функции

На вкладке Edit можно задать основные параметры функции.

Function Editor - Editing function definition

В поле Name укажите имя создаваемой функции. Это поле доступно для редактирования только при создании объекта.

Тип возвращаемого значения выберите из списка Returns.

Выберите из раскрывающегося списка Definer имя пользователя, права которого будут использоваться при выполнении этой функции.

В разделе Function type выберите тип функции:

RadioButton Deterministic - детерминистская,

RadioButton Not Deterministic - не детерминистская.

В разделе SQL security укажите параметры безопасности:

RadioButton Definer - функцию будет использовать создатель,

RadioButton Invoker - функцию будет использовать пользователь базы данных.

Из раскрывающегося списка SQL Data Access выберите тип доступа к данным.

В таблице Parameters отображаются параметры, заданные в тексте процедуры. Двойным щелчком мышки на таблице вызывается диалоговое окно редактора параметров.

Function Editor - Editing function definition - Add new parameter

В этом окне можно задать необходимые настройки каждого параметра.

Name - имя параметра.

Data type - тип данных.

Data size - задайте размер поля параметра.

Data precision - для чисел с плавающей точкой в этом поле укажите отображаемое количество знаков после запятой.

Enum values - значения перечисляемого типа данных.

CheckBox Use database charset - не задавать кодировку явно. MySQL будет использовать кодировку базы данных.

Character set - из этого раскрывающегося списка выберите кодировку, если она отличается от принятой в базе данных.

CheckBox Unsigned - устанавливает для поля атрибут UNSIGNED, в этом случае целочисленные данные будут представлены без знака.

CheckBox Zerofill - если для столбца, имеющего числовой тип данных, установить этот флажок, то MySQL будет автоматически добавлять в этот столбец нули перед первой значащей цифрой числа.

Текст функции задается в окне редактора SQL - Definition.

В нижней части формы располагается окно сообщений, куда выводится информация о выполнении функции и результат.


Выполнение и отладка функции

Редактор хранимых функций позволяет выполнить редактируемую функцию. Для этого используйте команду iconExecute Execute function, которая находится на навигационной панели и на панели инструментов. Если в функции содержатся параметры, то при выполнении Вы можете их задать в специальном окне Enter parameters values. Это окно появляется перед выполнением функции.

Если при выполнении возникли ошибки, то можно отладить функцию в отладчике. Для этого необходимо на одной из панелей инструментов выбрать iconDebug Debug function.


Задание параметров

Если в функции есть параметры, то при выполнении открывается окно Enter parameter values. В этом окне Вы можете задать значения всех параметров исполняемой функции.

Procedure Editor - Specifying input parameters

SQL Manager for MySQL формирует это окно исходя из свойств параметров функции:

  • количество полей на форме соответствует количеству параметров,
  • названия параметров являются названиями полей, в которых их необходимо задавать,
  • тип данных определяется типом данных параметра.

Если рядом с именем параметра установлен флажок CheckBox Null, то значение параметра примет значение NULL независимо от того, что введено в поле редактирования.

В верхней части формы расположен список значений параметров, введенных при предыдущем выполнении функции.

Нажмите кнопку Ok, для того чтобы продолжить выполнение функции, или Cancel для отмены выполнения.


Отладчик

Для исправления ошибок и оптимизации текста подпрограмм в SQL Manager for MySQL существует специальный инструмент - отладчик. Чтобы открыть текст подпрограммы в отладчике откройте объект в редакторе, затем нажмите кнопку Debug на любой из панелей инструментов.

Типы объектов, в которых можно отлаживать тексты подпрограмм:

Хранимые процедуры

Хранимые функции

Назначенные события

Триггеры

Отладка

Просмотр информации

Function debugger - Debugging function

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Хранимые процедуры

Хранимые функции

Назначенные события

Триггеры


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Function debugger - Using Navigation bar

General

iconShowSQLHelp Show SQL help - открыть справку по серверу

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна

Debug

iconCommit Commit retaining - фиксировать сохраненное

iconDebug Step over - отладить подпрограмму с помощью отладчика

iconExecute Run - выполнить подпрограмму

Run to cursor - выполнять до позиции курсора

Toggle breakpoint - переключить точку останова

Reset - сброс

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Отладка

В основном окне Вы можете отлаживать текст подпрограммы. Редактировать этот текст в отладчике нельзя.

Голубым цветом выделен текущий оператор.

Красным выделена строка, на которой стоит Breakpoint - контрольная точка.

Установить точку останова можно щелкнув мышкой в поле напротив оператора.

Function debugger - Debugging function_set breakpoint

Сочетания клавиш, используемые при отладке:

  • F8 - начать пошаговое выполнение подпрограммы.
  • Ctrl+F2 - прервать выполнение.
  • Ctrl+F8 - добавить контрольную точку к текущему оператору.
  • F9 - выполнить подпрограмму (до конца или до следующей контрольной точки).

Function debugger - Debugging function


Просмотр информации

На вкладках, расположенных в нижней части окна отладчика, отображается разнообразная информация о тексте подпрограммы и процессе его отладки.

На вкладке Parameters and Variables отображаются все переменные и параметры, типы переменных (в поле Type) и значения (поле Value).

Function debugger - Debug info - Parameters and variables

На вкладке Watches отображаются выбранные для отдельного просмотра переменные и параметры. Текущее значение переменной, после прохождения каждого оператора отображается в столбце Watch Value.

Procedure Debugger - Debug info - Watches

В поле Watch Name можно вводить как имена переменных, так и выражения, вычисляемые средствами MySQL.

Например: CONCAT (str1, ';')

Для управления переменными и параметрами используйте контекстное меню.

  • New Watch - добавить новую переменную или параметр.
  • Edit Watch - изменить переменную или параметр.
  • Delete Watch - удалить переменную или параметр из списка просматриваемых.
  • Delete All Watches - удалить все переменные и параметры из списка просматриваемых.

Procedure Debugger - Debug info - Watches - Add Watch

Последний выполненный оператор отображается на вкладке Last Statement.

Function debugger - Debug info - Last statement

Полный список точек останова показан на вкладке Breakpoints.

Function debugger - Debug info - Breakpoints

О точке останова отображается следующая информация.

  • Line - номер строки, на которой стоит контрольная точка.
  • Statement - возвращаемое значение.
  • Passes - число остановок, сделанных на этой точке, за текущую сессию отладки.

Сообщения, возвращаемые MySQL сервером, можно посмотреть на вкладке Messages.

Function debugger - Debug info - Messages

Type - тип сообщения.

Text - текст сообщения.


Пользовательские функции (UDFs)

Определяемая пользователем функция (UDF) - это средство, позволяющее расширить MySQL за счет новой функции, которая работает подобно встроенным функциям MySQL.

Rowset functions

Функция является возвращающей табличное значение, если в предложении RETURNS содержится переменная TABLE. В зависимости от того, каким образом определено тело функции, функции, возвращающие табличное значение, подразделяются на встроенные функции и функции из нескольких инструкций.

Aggregate functions

Функция является агрегатной, если она оперирует некоторым количеством значений, а возвращает единственное итоговое значение.

Ranking functions

Эта функция формирует рейтинг (или ранжирующее значение), который указывает на релевантность возвращенных данных.

Scalar functions

Функция является скалярной, если в ней указано предложение RETURNS, соответствующее одному из скалярных типов данных. Скалярные функции могут состоять из нескольких инструкций.

Редактор UDFs позволяет Вам создавать или редактировать функции определенные пользователем. Он запускается, когда Вы создаете новую функцию или открываете для редактирования уже существующую.

Чтобы открыть функцию в редакторе достаточно щелкнуть по ней два раза мышкой.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

Настройка функции

Просмотр DDL


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

UDF Editor - Using Navigation bar

Object

iconDB Выбрать базу данных.

Выбрать функцию для редактирования.

General

iconRefresh Refresh - обновить содержимое редактируемой функции

iconCompile Compile - компилировать определенную пользователем функцию с текущими свойствами

iconShowSQLHelp Show SQL help - отобразить справку по созданию пользовательских функций

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Настройка функции

На вкладке Edit задайте параметры функции.

UDF Editor - Editing UDF definition

В поле Name укажите имя функции.

Тип возвращаемого значения выберите из раскрывающегося списка Returns.

В поле Library name укажите имя файла библиотеки, содержащего текст функции.

CheckBox Если установлен флажок Aggregate, то функция будет агрегатной. Функция является агрегатной, если она оперирует некоторым количеством значений, а возвращает единственное итоговое значение.

Важно: UDF должны быть написаны на C или C + + и операционная система должна поддерживать динамическую загрузку.


Назначенные события

Назначенное событие представляет собой набор команд SQL, которые могут компилироваться и храниться на сервере.

Редактор позволяет создавать назначенные события, а также редактировать их. Он открывается автоматически при создании нового события или редактирования существующего.

Панели инструментов

Задание события

Просмотр зависимостей объектов

Описание назначенного события

Просмотр DDL

Смотрите также:

Отладчик


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Scheduled Event Editor - Using Navigation bar

Object

iconDB Выбрать базу данных,

Выбрать событие для редактирования.

General

iconRefresh Refresh - обновить содержимое редактируемого объекта

iconCompile Compile - компилировать событие с текущими свойствами

iconDebug Debug Event - отладить назначенное событие

iconPrint Print - печатать метаданные события

iconShowSQLHelp Show SQL help - открыть справку по созданию назначенных событий в MySQL

iconRestoreDefaultSize Restore Default Size - вернуть окну исходный размер

При переходе на другие вкладки появляются панели, со специальными функциями для каждой вкладки.

Для вкладки Description появляется панель Description

iconSaveToFile Save Description to file - сохранить описание в файл

iconCopyToClipboard Copy description to clipboard - копировать описание в буфер обмена

Для вкладки DDL появляется панель DDL

iconSaveToFile Save DDL to file - сохранить DDL описание в файл

Open DDL in SQL Editor - открыть DDL в SQL Editor

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Задание события

На вкладке Edit задайте текст и время выполнения назначенного задания.

Scheduled Event Editor - Editing scheduled event definition

Название назначенного события задайте в поле Name.

В разделе Schedule укажите время и периодичность выполнения назначенного задания.

С помощью переключателя RadioButton At/ RadioButton Every выберите, будет ли задание выполняться один раз ( RadioButton At), или с заданной периодичность ( RadioButton Every).

Если выбрали RadioButton At:

  • в поле нужно указать дату и время выполнения,
  • в поле и раскрывающемся списке Interval указать кол-во и единицу времени, задающие интервал времени, через который задание будет выполнено (например, 1 HOUR - спустя 1 час от текущего момента).

Если выбрали RadioButton Every, то в поле и раскрывающемся списке укажите периодичность выполнения задания, а в полях Starts и Ends задайте дату и время начала и окончания выполнения задания.

CheckBox Задание будет выполняться, если установлен флажок Enabled.

CheckBox Если установлен флажок Don't preserve on completion то после завершения выполнения, задание не будет сохранено.

Обычно, после выполнения, задание удаляется. Вы можете отменить это действие, сняв флажок On completion not preserve.

В окне редактора SQL Definition задайте текст выполняемого задания.


Локальные скрипты

Раздел Local Scripts в проводнике базы данных, позволяет получить доступ к сохраненным скриптам из проводника баз данных и работать со скриптами, как с объектами базы данных.

Для создания нового локального скрипта выберите пункт iconNewScript New Script в контекстном меню соответствующей ветви в дереве проводника баз данных . Имя скрипта необходимо задать в появившемся диалоговом окне New Script.

Local Script - Setting script name

В разделе Local Scripts можно создавать дополнительные подразделы. Для этого необходимо в контекстном меню скрипта или группы скриптов выбрать пункт iconNewSubFolder New Script Folder. Такие директории могут быть директориями, используемыми по умолчанию для скриптов, которые задаются в DB Registration info | Directories.

Для изменения скрипт открывается в SQL Script.

Смотрите также:

Редактор SQL скриптов

Проводник баз данных

Регистрационная информация баз данных


Объекты сервера

SQL Manager for MySQL предоставляет пользователю набор всех необходимых инструментов для работы с объектами сервера.

Важно: Чтобы начать работать с объектами, необходимо подключиться к серверу.

Объекты сервера:

Группы файлов журналов

Табличные пространства

Интегрированные серверы

Смотрите также:

Новый объект

Мастер копирования объектов

Объекты базы данных


Группы файлов журналов

С помощью редактора групп файлов журналов можно создавать работать с объектами сервера Log file groups.

Важно: Для создания объектов этого типа необходимо, чтобы был установлен кластерный сервер.

Важно: Этот тип серверных объектов был добавлен в MySQL 5.1.6.

Важно: Группы файлов журналов и Табличные пространства находятся в одном пространстве памяти, поэтому их названия не должны совпадать. Не должны также совпадать и названия внутренних файлов этих объектов.

Редактор предназначен для создания и редактирования групп файлов журналов.

Вкладки редактора

Edit - Создание/Изменение группы файлов журналов

DDL -DDL описание

Смотрите также:

Табличные пространства

Интегрированные серверы


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Log file groups - Using Navigation bar

Object

iconDB Выбрать базу данных.

Выбрать функцию для редактирования.

General

iconCompile Compile - компилировать определенную пользователем функцию с текущими свойствами

iconRefresh Refresh - обновить содержимое редактируемой функции

iconPrint Print - печатать метаданные объекта

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Создание/Изменение группы файлов журналов

На вкладке Edit задаются основные параметры создаваемого объекта.

LogFileGroupsEditor - EditingLFGdefinition

Name - имя объекта

Undo buffer size - размер буфера. Из раскрывающегося списка можно выбрать значение по умолчанию (128 megabytes). С помощью кнопки, расположенной рядом с полем можно задать точное значение файла буфера. Указанное значение будет применяться в качестве начального размера для файлов с нулевым начальным размером.

Undo files - в нижней части формы задайте файлы отката.

Контекстное меню

New - создать журнальный файл

Edit - изменить существующий журнальный файл

Drop - удалить файл журналов

Export List - извлечь список объектов во внешний файл

При выборе пункта New... открывается диалог, в котором нужно задать необходимые параметры для создания журнального файла.

LogFileGroupsEditor - Add new file

File name - имя журнального файла

Initial size - первоначальный размер файла (по умолчанию создается файл размером 128 Мб).


Табличные пространства

Табличные пространства (Table spaces) - тип объектов, используемых для предоставления пространства на диске для хранения таблиц. Табличное пространство может хранить один или несколько файлов данных.

Важно: Для создания объектов этого типа необходимо, чтобы был установлен кластерный сервер.

Важно: Группы файлов журналов и Табличные пространства находятся в одном пространстве памяти, поэтому их названия не должны совпадать. Не должны также совпадать и названия внутренних файлов этих объектов.

Редактор предназначен для создания и редактирования табличных пространств.

Вкладки редактора

Edit - Создание/Изменение табличных пространств

Dependencies - зависимости объектов

DDL -DDL описание

Смотрите также:

Группы файлов журналов

Интегрированные серверы


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

TablespaceEditor - Using Navigation bar

Object

iconHost Выбрать сервер.

iconTablespace Выбрать табличное пространство для редактирования.

General

iconRefresh Refresh - обновить объект

iconCompile Compile - компилировать табличное пространство с текущими свойствами

iconPrint Print - печатать метаданные объекта

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Редактор

SQL Manager for MySQL
  • На главную
  • « Назад
  • Вперед »

Создание/Изменение табличных пространств

На вкладке Edit задаются основные параметры создаваемого объекта.

TablespacesEditor - EditingTSdefinition

Name - имя объекта

Log file group - из раскрывающегося списка необходимо выбрать одну из существующих групп файлов журналов.

Extent size - задайте в байтах степени использования файлов, принадлежащих табличному пространству. Значение по умолчанию - 1Mb. Минимальный размер - 32K.

Data files - в нижней части формы задайте файлы данных.

Контекстное меню

New - создать журнальный файл

Edit - изменить существующий журнальный файл

Drop - удалить файл журналов

Export List - извлечь список объектов во внешний файл

При выборе пункта New... открывается диалог, в котором нужно задать необходимые параметры для создания журнального файла.

LogFileGroupsEditor - Add new file

File name - имя журнального файла

Initial size - первоначальный размер файла (по умолчанию создается файл размером 128 Мб).


Интегрированные серверы

Интегрированный сервер (Federated server) - сервер, подключаемый для работы с таблицами, имеющими механизм хранения FEDERATED. Для создания этого типа объектов необходимо иметь привилегии SUPER.

Важно: Этот тип объектов доступен для MySQL серверов версии 5.0.3 и выше.

Редактор предназначен для создания и редактирования интегрированных серверов.

Вкладки редактора

Edit - Создание/Изменение интегрированного сервера

DDL -DDL описание

Смотрите также:

Группы файлов журналов

Табличные пространства


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

FederatedServerEditor - Using Navigation bar

Object

iconDB Выбрать базу данных.

Выбрать интегрированный сервер для редактирования.

General

iconRefresh Refresh - обновить содержимое редактируемого объекта

iconCompile Compile - компилировать интегрированный сервер с текущими свойствами

iconShowSQLHelp Show SQL help - отобразить справку по созданию интегрированных серверов

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Создание/Изменение интегрированного сервера

На вкладке Edit можно задать необходимые настройки подключения к интегрированному серверу.

FederatedServerEditor - EditingFSdefinition

В поле Name укажите имя объекта.

Из раскрывающегося списка Host name выбираете сервер (хост), к которому хотите подключиться. В этот список попадают имена уже зарегистрированных серверов.

В поле Port задайте порт для подключения.

Укажите имя пользователя и пароль в полях User name и Password.

Из раскрывающегося списка Database name выберите нужную базу данных.

с помощью кнопки Test connect можно проверить правильность указанных настроек подключения и существование подключения к серверу.

Если в системе уже зарегистрированы другие серверы, то можно выбрать один из них из раскрывающегося списка Load connection info.


Запросы

SQL Manager for MySQL предлагает два инструмента для работы с SQL запросами.

SQL Editor для редактирования текста запросов,

Visual Query Builder для построения запросов визуально.

Создание запросов:

в Редакторе запросов,

Для создания этого объекта используйте:

  • пункт Tools | New SQL Editor главного меню программы,
  • или нажмите кнопку btnNewSQLEditor New SQL Editor на стандартной панели инструментов программы,
  • или используйте сочетание клавиш <Shift+F12>.

После выполнения одной из этих операций автоматически открывается редактор запросов.

в Визуальном конструкторе запросов.

Для создания этого объекта используйте:

  • пункт Tools | New Query Builder главного меню программы,
  • или нажмите кнопку btnNewQueryBuilder New Query Builder на стандартной панели инструментов программы,

После выполнения одной из этих операций автоматически открывается визуальный конструктор запросов.

Редактирование запросов:

в Редакторе запросов,

для того, чтобы открыть созданный запрос для редактирования Вам необходимо

  • выбрать пункт Tools | Show SQL Editor главного меню программы,
  • или нажать кнопку btnShowSQLEditor Show SQL Editor на стандартной панели инструментов программы,
  • или использовать сочетание клавиш <F12>.

После выполнения одной из этих операций запрос автоматически открывается в редакторе запросов.

в Визуальном конструкторе запросов.

для того, чтобы открыть созданный запрос для редактирования Вам необходимо

  • выбрать пункт Tools | Show Query Builder главного меню программы,
  • или нажать кнопку btnShowQueryBuilder Show Query Builder на стандартной панели инструментов программы.

После выполнения одной из этих операций запрос автоматически открывается в визуальном конструкторе запросов.

Выполнение запроса

Чтобы выполнить запрос в любом из редакторов необходимо:

  • Создать новый или отрыть уже существующий запрос.
  • нажать кнопку Execute query на навигационной панели или на панели инструментов редактора, или клавишу F9,
  • просмотреть, редактировать полученные данные на вкладке Results.

Сохранение запроса

Чтобы сохранить запрос в файл необходимо:

  • Создать новый или отрыть уже существующий запрос,
  • выбрать пункт Save to file на навигационной панели редактора запросов, или пункт Save diagram на навигационной панели Визуального конструктора запросов.
  • в появившемся окне выберите куда сохранить файл и тип сохраняемого файла.

Если хотите сохранить несколько запросов в один файл, то нажмите Save All на навигационной панели редактора запросов. Для Визуального конструктора такой функции нет.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами

Управление данными

Средства импорта и экспорта данных

Инструменты базы данных

Инструменты сервера

Обеспечение безопасности

Настройки

Внешние инструменты

Как...


Редактор запросов

Редактор запросов - основной инструмент программы SQL Manager for MySQL для работы с запросами. Он позволяет создавать, редактировать и выполнять запросы, а также просматривать результаты, полученные в ходе выполнения запроса.

Для создания запроса в редакторе запросов необходимо выполнить одну из следующих операций:

  • выбрать пункт Tools | btnNewSQLEditor New SQL Editor главного меню программы,
  • или нажать кнопку btnNewSQLEditor New SQL Editor на стандартной панели инструментов программы,
  • или использовать сочетание клавиш <Shift+F12>.

После выполнения одной из этих операций редактор запросов открывается автоматически.

Чтобы открыть в редакторе уже существующий запрос нужно:

  • выбрать пункт Tools | btnShowSQLEditor Show SQL Editor главного меню программы,
  • или нажать кнопку btnShowSQLEditor Show SQL Editor на стандартной панели инструментов программы,
  • или использовать сочетание клавиш <F12>.

Сохраненные в файл запросы открываются в редакторе с помощью команды Load from file, находящейся на навигационной панели редактора и на панели инструментов.

Использование панелей инструментов

Работа с окном редактирования

Контекстные меню

Просмотр плана запроса

Выполнение запроса и просмотр результатов выполнения

Смотрите также:

Визуальный конструктор запросов

Параметры запросов

Редактор SQL скриптов

Настройки редакторов


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

SQL Editor - Using Navigation bar

Database

iconDB выбрать базу данных для которой будет создаваться запрос

General

iconExecute Execute query - выполнить текущий запрос

Explain query - открыть запрос в виде плана на специальной вкладке

Run Query Builder - открыть запрос в визуальном конструкторе запросов

iconOptions SQL Editor Options - изменить настройки редактора

Results on Edit tab/Results on separate tab - показывать результаты запроса на той же/на отдельной вкладке

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна

iconDisableCodeFeatures Enable/Disable All code features - включить/отключить все опции кода.

Queries

Add new query - добавить новый запрос

Rename current query - переименовать текущий запрос

Remove current query - удалить текущий запрос

Remove all queries - удалить все запросы

Add to Favorite Queries - добавить запрос в Избранные запросы

Edit

iconFindText Find text - найти текст

iconLoadFromFile Load from file - загрузить запрос из файла

iconSaveToFile Save to file - сохранить текущий запрос в файл

iconSaveToFileAs Save to file as - сохранить в файл как

iconSaveAll Save all - сохранить все открытые запросы одновременно

При переходе на другие вкладки редактора, появляются панели, со специальными функциями для каждой вкладки.

Для вкладки Data появляется панель Data management

iconCommit Commit Transaction - применить транзакцию для данных

iconRollback Rollback Transaction - откатить транзакцию для данных таблицы

Export Data - экспортировать данные

Export as SQL Script - экспортировать данные в виде SQL скрипта

Export as PHP page - экспортировать в виде PHP страницы

Save data to file on server - сохранить данные в файле на сервере

Для вкладки Logs появляется панель Logs. На этой панели:

iconFindText Find text - найти текст в журнале

iconSaveToFile Save logs to file - сохранить журнал в файл

Clear logs - очистить журнал

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Смотрите также:

Работа с окном редактирования SQL

Просмотр плана запроса

Выполнение запроса

Журнал

Редактор избранных запросов


Работа с окном редактирования SQL

В главном окне Вы можете создавать и редактировать запросы.

SQL Editor - Working with SQL Editor area

Текст запроса вводите в области редактирования. Можно ввести запрос вручную, а можно перетащить объект из проводника баз данных в область редактирования. Текст автоматически форматируется при вводе.

Для выполнения запроса нажмите клавишу F9 или кнопку iconExecute Execute на одной из панелей инструментов.

Для вызова справки по синтаксису SQL необходимо выбрать пункт Show SQL help на одной из панелей инструментов.

Ошибки отображаются в окне, расположенном в нижней части формы.

Syntax highlight

Осуществляется подсветка синтаксиса.

Code completion.

С помощью этой опции можно осуществлять автоподстановку текста. Используйте сочетание клавиш. Ctrl+Space чтобы вызвать список автоподстановки.

Для удобства работы с текстом запроса в SQL Manager существует ряд вспомогательных инструментов:

  • отображение имен объектов в виде ссылок на эти объекты,
  • вызов и настройка списка автоматической подстановки,
  • возможность нумерации строк,
  • возможность сворачивать запросы и подзапросы,
  • возможность задавать свойства выделенных объектов,
  • настройка полей и номеров строк,
  • изменение параметров различных объектов текста запроса,
  • настройка автоматического форматирования текста запроса,
  • задание сочетаний клавиш для быстрого ввода текста и выполнения команд.

При необходимости вы можете включить/отключить опции редактора SQL в диалоговом окне Настройки редакторов.

Смотрите также:

Панели инструментов

Контекстное меню

Настройки редакторов

Шаблоны клавиатуры

Редактор избранных запросов

Окно поиска


Контекстное меню

Для редактора текста запроса существует специальное контекстное меню, которое отрывается по нажатию правой клавиши мыши в любой точке области редактирования. Это меню позволяет быстро выполнять самые используемые команды.

SQL Editor - Using the context menu

Контекстное меню

Add to Dictionary - добавить в словарь

Correct With - редактировать

Execute - Выполнить запрос

Execute Selected Only - Выполнить только выделенное

Execute under Cursor - Выполнить под курсором

Switch to Result Tab - после выполнения перейти на вкладку результатов

Explain Query on execution - открыть запрос в виде плана на специальной вкладке при выполнении

Reset Execution Point - Убрать контрольные точки

Markers - работать с маркерами

Toggle Bookmarks - Установить закладку

Goto Bookmarks - Перейти к закладке

Go to Line Number - перейти к строке с указанным номером

Undo - Отменить действие

Redo - Вернуть отмененное действие

Cut - Вырезать выделенное

Copy - Копировать выделенное

Paste - Вставить

Select All - Выделить все

Find - Найти

Replace - Найти и заменить

Search Next - Возобновить поиск

Incremental Search - инкрементный поиск

Load... - Загрузить из файла

Save... - Сохранить в файл

Save as favorite query - сохранить запрос как избранный запрос

Preview - Предварительный просмотр

Print - Печатать

Quick Code - быстрое форматирование текста

Properties - Просмотреть и изменить свойства в Editor Options

Подменю пункта Quick Code

Format - Форматировать запрос SQL (при этом применяются изменения, внесенные в Форматтер SQL)

Select Character - Выбрать символ

Toggle Comment - Преобразовать выделенный текст в комментарии

Selection Lower Case - Привести выделенный текст к нижнему регистру

Selection Upper Case - Привести выделенный текст к верхнему регистру

Selection Toggle Case - Изменить регистр выделенного текста

Indent - Увеличить отступ текста

Unindent - Уменьшить отступ текста

Смотрите также:

Работа с окном редактирования SQL

Выполнение запроса


Просмотр плана запроса

На этой вкладке отображается последовательность действий, которые происходят в системе при создании и выполнении запроса.

SQL Editor - Viewing query plan

Для просмотра плана запроса откройте запрос в Редакторе SQL и выберите пункт btnExplainQuery Explain query на одной из Панелей инструментов.

План запроса позволяет просматривать последовательность действий, произведенных при выполнении запроса и затраты системных ресурсов, использованных для выполнения.

Для каждой операции отображается следующая информация:

id,

select_type,

table,

type,

possible_keys,

key,

key_length,

ref,

rows,

Extra.

При необходимости, Вы можете указать, что вкладка Plan должна автоматически открываться при выполнении запроса в Редакторе SQL. Для этого установите флажок CheckBox Explain query on execution в диалоговом окне Environment Options на вкладке SQL Editor.

Смотрите также:

Настройки редактора SQL

Выполнение запроса


Создание запроса с помощью перетаскивания

Поместить объект в запрос можно прямо из проводника баз данных, перетащив его мышкой из окна проводника или SQL ассистента в редактор. В этом случае появляется диалоговое окно, в котором нужно указать оператор для этого объекта. C помощью перетаскивания можно вставить SQL запрос не только в Редактор запросов, но и в Визуальный конструктор запросов.

DB Explorer - Insert to Editor

Из списка Statement выберите оператор, который нужно применить в запросе к выбранному объекту.

Name - в запрос будет помещено только имя объекта

SELECT - оператор выбора

INSERT - оператор вставки. Вместо значений используются параметры

UPDATE - оператор обновления

DELETE - оператор удаления записи

CREATE - оператор создания

DROP - оператор удаления таблицы

Fields list - список полей

Name and Type - список полей с указанием типов

В поле Alias можно задать псевдоним для объекта.

Префикс для параметра укажите в поле Prefix for variable.

Смотрите также:

Параметры запросов

Визуальный конструктор запросов


Использование ссылок на объекты

Если объект, упомянутый в запросе, присутствует в базе данных, то в тексте запроса его имя будет выделено другим цветом.

Чтобы открыть объект в соответствующем редакторе, нажмите на нем левой кнопкой мыши, удерживая при этом клавишу Ctrl.

SQL Editor - Using object links

Изменить цвет ссылок Вы можете на вкладке Color диалогового окна Editor Options.

Смотрите также:

Работа с окном редактирования SQL

Настройки редакторов


Выполнение запроса

Чтобы выполнить запрос, необходимо нажать btnExecuteQuery Execute на одной из панелей инструментов или в контекстном меню. Если текст запроса содержит ошибки, то программа укажет на это и результат не будет доступен до того, как все ошибки будут исправлены.

SQL Editor - Executing queries

Если запрос должен возвращать данные (в тексте содержатся SELECT), то в редакторе появится новая вкладка Results, на которую и будут вынесены полученные результаты.

На этой вкладке возвращенные запросом данные отображаются в Просмотрщике данных. Просмотрщик позволяет экспортировать данные и экспортировать данные как SQL скрипт, а также сохранить данные в файл с помощью Мастера сохранения данных.

Если при выполнении запроса возникли ошибки, то их описание будет вынесено в информационное окно, расположенное в нижней части редактора. Двойной щелчок на ошибке делает активной строку в которой эта ошибка была найдена.

Смотрите также:

Просмотрщик данных

Мастер экспорта данных

Мастер экспорта в виде SQL скрипта


Журнал

Все операции, производимые с запросом, программа заносит в специальные файлы журналов - Logs, которые отображаются на вкладке Logs редактора запросов.

В журнал заносится следующая информация:

  • дата модификации запроса,
  • сам текст запроса,
  • ошибки, возникшие при исполнении (если они были),
  • если ошибок не было, то информация о результате, полученном в ходе выполнения запроса.

Дополнительная информация о выполнении отображается в виде комментариев. Это позволяет копировать текст запроса и выполнять его. При этом все дополнительные сведения не будут вызывать ошибок.

SQL Editor - Viewing query logs

Для редактора журналов существует специальное контекстное меню, которое отрывается по нажатию правой клавиши мыши в любой точке области редактирования. Это меню позволяет быстро выполнять самые используемые команды.

Контекстное меню

Clear Logs - Очистить журналы

Toggle Bookmarks - Установить закладку

Goto Bookmarks - Перейти к закладке

Undo - Отменить действие

Redo - Вернуть отмененное действие

Copy - Копировать выделенное

Select All - Выделить все

Find - Найти

Search Next - Возобновить поиск

Incremental Search - Инкрементный поиск

Go To Line By Number - Перейти к строке под номером...

Change Case - Изменить регистр

Save - Сохранить

Preview - Предварительный просмотр

Print - Печатать

Toggle Comment - Преобразовать выделенный текст в комментарии

Save as Favorite Query - сохранить как избранный запрос

Properties - Просмотреть и изменить свойства в Editor Options

Смотрите также:

Выполнение запроса

Контекстное меню


Редактор избранных запросов

Для быстрого доступа к часто используемым запросам, в проводнике баз данных существует специальный раздел iconFavoriteQueries Favorite Queries.

Редактор избранных запросов

Этот редактор открывается только в том случае, если в контекстном меню редактора запросов выберите пункт [image] Add to Favorite Queries или в контекстном меню избранного запроса пункт Edit Favorite Query.

SQL Editor - Favorites editor

С помощью редактора Вы можете создавать и редактировать избранные запросы.

В поле Name укажите имя запроса.

Из раскрывающегося списка Storage выберите место хранения. Местом хранения может быть база данных (создается таблица pgmfavorites) - пункт Database или в системном реестре - Registry.

В SQL редакторе Вы можете работать с текстом запроса так же как в редакторе запросов.

Важно: Если Вы храните избранные запросы в реестре, то после переустановки операционной системы они могут быть потеряны. Чтобы этого избежать, сохраните соответствующую ветку реестра или используйте базу данных для хранения запросов.

Смотрите также:

Избранные запросы

Работа с окном редактирования SQL


Визуальный конструктор запросов

Этот инструмент позволяет создавать и редактировать запросы графически без текстового их описания на языке SQL. Вы можете создавать, выполнять и просматривать результаты, используя визуальные методы, предоставленные этим инструментом.

Также с помощью Визуального конструктора запросов Вы можете получать графическое представление запроса, написанного в текстовой форме. Для этого в окно редактирования необходимо поместить текст запроса.

Для создания запроса в конструкторе выполните одну из этих операций:

  • выберите пункт Tools | btnNewQueryBuilder New Query Builder главного меню программы,
  • или нажмите кнопку btnNewQueryBuilder New Query Builder на стандартной панели инструментов программы,

После выполнения одной из этих операций запрос автоматически открывается в визуальном конструкторе запросов.

Панели инструментов

Работа с окном диаграммы

Установка связей

Задание критериев

Выводимые поля

Критерии группировки

Условия сортировки

Работа с окном редактирования

Выполнение запроса

Смотрите также:

Редактор запросов

Параметры запросов

Настройки конструктора запросов


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Query Builder - Using Navigation bar

Database

iconDB выбрать базу данных для которой будет создаваться запрос

General

iconExecute Execute query - выполнить текущий запрос

Explain query - открыть запрос в виде плана на специальной вкладке

Clear query - удалить текущий запрос

Create View - создать представление

iconShowSQLHelp Show SQL help - открыть справку по MySQL

iconOptions Query Builder Options - настроить визуальный конструктор запросов

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна

iconPrintSetup Print setup - задать параметры печати

iconPreview Print preview - открыть окно предпросмотра

Visual Builder

iconLoadFromFile Load Diagram - загрузить диаграмму

iconSaveToFile Save Diagram - сохранить диаграмму

Data Management

iconCommit Commit Transaction - применить транзакцию для данных

iconRollback Rollback Transaction - откатить транзакцию для данных таблицы

Export Data - экспортировать данные

Export as SQL Script - экспортировать данные в виде SQL скрипта

Save data to a file - сохранить данные в файле на сервере

Export as PHP page - экспортировать в виде PHP страницы

На панели Object представлен список всех объектов, содержащихся в базе данных, которые можно использовать в диаграмме.

Поместить объекты из этого окна в окно диаграммы можно с помощью перетаскивания.

При переходе на другие вкладки редактора, появляются панели, со специальными функциями для каждой вкладки.

Для вкладки Edit появляется панель Edit

iconLoadFromFile Load SQL - загрузить SQL текст запроса из файла

iconSaveToFile Save query - сохранить текст запроса в файл

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Смотрите также:

Работа с окном диаграммы

Выполнение запроса


Работа с окном диаграммы

Основные действия выполняются на вкладке Builder визуального конструктора запросов. Основным инструментов является Рабочая область.

Query Builder - Working with diagram area

Добавление объекта в рабочую область

Таблицы помещаются в рабочую область. Чтобы добавить таблицу в рабочую область достаточно перетащить её или из проводника баз данных или из списка на панели Object, располагающейся на навигационной панели. Объект, отображаемый на панели Object, добавить в рабочую область можно ещё и двойным щелчком мыши.

Выбор полей

Чтобы добавить поля таблицы или представления в создаваемый запрос необходимо установить флажок около поля или выделить поле двойным щелчком мыши. Все поля, у которых установлены флажки, попадают в запрос.

Чтобы добавить в запрос сразу все поля объекта необходимо установить флажок, находящийся перед названием объекта в строке заголовка.

Удаление объекта из рабочей области

Чтобы удалить объект из рабочей области необходимо выполнить одну из следующих операций:

  • нажать на кнопку "закрыть" Query Builder - Working with diagram area - Close в заголовке объекта,
  • или выбрать пункт Delete контекстного меню, открывающегося при нажатии правой кнопкой мыши на заголовок объекта.

Объект удалится только из рабочей области. В базе данных он останется.

Переименование объекта

Переименовать объект можно с помощью пункта Rename контекстного меню, открывающегося при нажатии правой кнопкой мыши на заголовок объекта. Или нажав два раза мышью на название объекта.

Установка связей

Под рабочей областью располагается окно работы с полями.

С его помощью можно

  • задавать критерии отбора данных в запросе
  • выбирать какие поля будут выводиться в результате запроса
  • устанавливать параметры группировки
  • задавать условия сортировки

Слева от рабочей области находится дерево подзапросов.

В нем отображаются вложенные запросы и составные части запроса. UNION и UNION ALL.

Visual Query Builder - Union

Из раскрывающегося списка, расположенного над деревом подзапросов, списка выберите тип запроса - Select, Insert, Update или Delete.

Visual Query Builder - Selecting query type

В нижней части окна располагается панель информации. Если запрос был выполнен успешно, то туда выносится краткий отчет о результатах выполнения. Если же нет, то отчет об ошибках.

Смотрите также:

Установка связей

Работа с окном редактирования

Выполнение запроса


Установка связей

В реляционных базах данных требуется создание связей между таблицами.

Визуальный конструктор позволяет быстро устанавливать связи между объектами, помещенными в рабочую область.

Чтобы установить связь между таблицами по двум полям необходимо поле из одной таблицы перетащить в другую (поля представлены в виде списка, в котором каждая строчка - поле).

После перетаскивания связь будет отображена в виде черной линии, соединяющей желаемые поля.

Query Builder - Joining two objects

Свойства связи

Свойства связи можно редактировать. Для этого необходимо открыть редактор связи, два раза щелкнув на ней мышкой или выбрать пункт контекстного меню связи Properties.

Query Builder - Link properties

В появившемся окне указываете желаемые свойства редактируемой связи. Условие связи выбирается из раскрывающегося списка, находящегося между именами полей. (=, >, <, >=, <=, <>).

Опция CheckBox Include all доступна для каждого объекта связи:

Если эта опция установлена для:

левой таблицы, то будет использоваться оператор LEFT JOIN;

правой таблицы, то будет использоваться оператор RIGHT JOIN.

Если ни один флажок не установлен, то будет использоваться оператор INNER JOIN.

Контекстное меню связи позволяет:

Visual Query Builder - Link menu

  • Insert point - создавать точку на линии связи, с помощью которой эту линию можно двигать, для удобства визуального представления,
  • Delete link - удалять связь,
  • Property - редактировать свойства связи.

Смотрите также:

Работа с окном диаграммы

Задание критериев


Задание критериев

На вкладке Criteria Вы можете установить критерии отбора данных в запросе.

Query Builder - Setting criteria

Чтобы добавить условие ограничения нужно нажать кнопку EllipsisButton на форме и из появившегося контекстного меню выбрать пункт Add condition. Добавится строчка, которой будет присвоен порядковый номер. В этой строчке Вам необходимо указать условие отбора.

Чтобы задать тип составного условия нажмите на надпись All, располагающуюся рядом с EllipsisButton и выберите один из предложенных типов.

По нажатию на раскрывающиеся списки Visual Query Builder - Line1 открываются списки, состоящие из всех полей объектов, участвующих в запросе. Нужное поле можно не выбирать из списка, а перетащить из рабочей области конструктора запросов на вкладки Criteria, Selection, Grouping criteria, Sorting. Для этих полей можно задать операторы условий. Это могут быть как имена полей, так и константы или выражения.

Нажав на "=", Вы получаете возможность установить отношение между операторами.

Управлять условием можно с помощью контекстного меню, которое открывается при нажатии левой кнопкой мыши на порядковый номер.

Visual Query Builder - Condition menu

С помощью этого меню можно:

  • добавить новое условие - Add condition,
  • добавить составное условие - Make composite condition,
  • удалить условие - Delete condition,
  • развернуть условие - Expand condition. (этот пункт активен только тогда, когда в добавлены составные условия. Если условие развернуто, то этот пункт заменяется на "свернуть условие" - Collapse condition).

Если в любом месте условия нажать правой кнопкой мыши, то появится меню с одним пунктом - Insert query. Если нажмете на этот пункт, то будет создан вложенный запрос, с которым можно работать также как и с основным. Иерархия запросов отображается в дереве подзапросов, расположенном слева от рабочей области. Если создан подзапрос то условие примет вид Editor Options - Condition первый оператор условия после символа отношения задает квалификатор запроса, а во втором отображается начало вложенного запроса.

Квалификатор запроса можно выбрать из списка, открывающегося по нажатию на нем левой кнопкой мыши.

Visual Query Builder - Criteria menu

Удалить подзапрос можно с помощью пункта контекстного меню Delete query. Это контекстное меню открывается по нажатию на условии, содержащем подзапрос правой кнопкой мыши. С помощью этого меню можно:

  • удалить подзапрос - Delete query,
  • открыть подзапрос - Show query.

Смотрите также:

Выводимые поля

Критерии группировки

Параметры сортировки


Выводимые поля

На этой вкладке Вы формируете выходную форму запроса.

Вы указываете, какие поля будут отображаться в результате запроса и как они будут отсортированы и сгруппированы. Также, Вы можете создавать вычисляемые поля.

Query Builder - Setting output fields

  • В столбце Name of output указан псевдоним поля, под которым оно будет выведено в результате запроса.
  • Столбец Aggregate содержит аггрегирующую функцию.
  • Source field name содержит настоящие имена столбцов, выводимых в результат запроса.
  • Grouping указывает сгруппирован столбец или нет.

Если флажок Select only unique records установлен, то в результате запроса отображаются только неповторяющиеся записи.

Основные действия с полями выполняются при помощи контекстного меню, которое открывается по нажатию на поле правой кнопкой мыши.

Visual Query Builder - Selection field menu

С помощью этого меню выполняются следующие операции:

  • удаление выделенного поля - Delete current row,
  • вставка вложенного запроса - Insert Query,
  • вставка вычисляемого поля - Insert CASE.

Также поля можно отсортировать, щелкнув левой кнопкой мышки на заголовок столбца в котором содержатся поля.

Порядок полей в результате запроса будет соответствовать их последовательности в этой таблице.

Встроенный запрос открывается на отдельной вкладке рабочей области для редактирования и отображается в дереве подзапросов в левой части Визуального конструктора.

Смотрите также:

Задание критериев

Критерии группировки

Параметры сортировки


Критерии группировки

На этой вкладке задаются критерии, по которым будут сгруппированы данные, полученные в результате выполнения запроса.

Query Builder - Setting grouping criteria

Чтобы добавить критерий группировки нужно нажать кнопку EllipsisButton на форме и из появившегося контекстного меню выбрать пункт Add condition. Добавится строчка, которой будет присвоен порядковый номер. В этой строчке Вам необходимо указать условие группировки.

Чтобы задать тип условия нажмите на надпись All, располагающуюся рядом с EllipsisButton и выберите один из предложенных типов.

По нажатию на раскрывающиеся списки Visual Query Builder - Line1 открываются списки, состоящие из всех полей объектов, участвующих в запросе. В этих полях Вы можете задать операторы условия. Это могут быть как имена полей, так и константы или выражения.

Аггрегирующую функцию Вы выбираете из списка Visual Query Builder - Line2.

Нажав на "=", Вы получаете возможность установить отношение между операторами.

Управлять условием группировки можно с помощью контекстного меню, которое открывается при нажатии левой кнопкой мыши на порядковый номер.

Visual Query Builder - Condition menu

С помощью этого меню можно:

  • добавить новое условие - Add condition,
  • добавить составное условие - Make composite condition,
  • удалить условие - Delete condition,
  • развернуть условие - Expand condition. (этот пункт активен только тогда, когда в добавлены составные условия. Если условие развернуто, то этот пункт заменяется на "свернуть условие" - Collapse condition).

Смотрите также:

Задание критериев

Выводимые поля

Параметры сортировки


Параметры сортировки

В окне работы с полями, которое располагается под рабочей областью, существует специальная вкладка, на которой можно указывать параметры сортировки полей в запросе.

Query Builder - Setting sorting parameters

В списке Output fields содержатся все поля объектов, участвующих в запросе. Чтобы указать, по какому полю будет отсортирована, полученная в результате выполнения запроса, таблица, необходимо переместить поля из списка Output fields в список Sorted fields. Делается это с помощью кнопок или перетаскивания выбранного элемента.

В списке Sorted fields для выбранных полей Вы указываете параметры сортировки:

  • порядок сортировки "по возрастанию" или "по убыванию" указывается в поле Sort order с помощью кнопки A...Z,
  • очередность сортировки (по какому полю сортировать в первую очередь, а по какому во вторую) задается расположением полей в списке Sorted fields. По первому в списке полю сортировка проходит в первую очередь и.т.д. Перемещать поля в списке можно с помощью кнопок Up и Down.

Смотрите также:

Задание критериев

Выводимые поля

Критерии группировки


Работа с окном редактирования

В окне редактирования автоматически генерируется текст запроса. В этом окне Вы можете просмотреть и исправить запрос. Все изменения будут отображены в окне диаграммы.

Query Builder - Working with editor area

Все что в тексте запроса выделено зеленым является ссылками на объекты.

Открыть для просмотра объект, на который есть ссылка в тексте, Вы можете, нажав на нем левой кнопкой мыши, удерживая при этом клавишу Ctrl. Если в этом редакторе Вы создадите текст запроса, то в рабочей области этот запрос будет представлен в графическом виде.

Более подробно про окно редактирования текста SQL.

Смотрите также:

Работа с окном диаграммы

Выполнение запроса

Редактор запросов


Выполнение запроса

Чтобы выполнить запрос необходимо нажать btnExecuteQuery Execute на одной из панелей инструментов.

Query Builder - Query execution

При выполнении запроса появится новая вкладка Results, на которую и будут вынесены полученные результаты.

На этой вкладке возвращенные запросом данные отображаются в Просмотрщике данных. Просмотрщик позволяет Экспортировать данные и Экспортировать данные как SQL скрипт.

Смотрите также:

Работа с окном диаграммы

Работа с окном редактирования

Просмотрщик данных


Параметры запросов

Редактор запросов и Визуальный конструктор запросов позволяют использовать параметры в тексте запроса.

Параметр - это переменная, значение которой может быть определено непосредственно перед выполнением запроса. В тексте запроса параметры выделены символом ":", который ставится в начале параметра.

SELECT * FROM MYTABLE WHERE ID = :param1;

Замечание: Чтобы можно было использовать параметры необходимо установить флажок Allow using of parameters in query text в Options | Environment options | Tools.

Смотрите также:

Редактор запросов

Визуальный конструктор запросов


Окно ввода параметров

Так как параметр - это переменная, значение которой может быть определено непосредственно перед выполнением запроса, в программе SQL Manager for MySQL существует специальный инструмент, позволяющий вводить значения параметров при выполнении запроса.

Окно Input Parameters формируется на основании тех параметров, которые заданы в тексте запроса. Для каждого параметра создается поле ввода, которое называется так же как и параметр.

Query parameters - Input parameters dialog

В поле Вы можете ввести значение параметра, а можете оставить его пустым.

Нажав кнопку Ok, Вы продолжите выполнение запроса с учетом введенных параметров. Если нажмете Cancel, то остановите выполнение запроса.


Управление данными

Данные, хранящиеся в таблицах и результаты запросов, отображаются на специальных вкладках редакторов, предназначенных для просмотра данных. Так данные таблицы можно просматривать и редактировать на вкладке Data, результаты запроса - на вкладке Results. Везде, где есть возможность просмотра и редактирования данных, используется специальный инструмент - просмотрщик данных.

Используется в:

Редакторе таблиц

Редакторе представлений

Редакторе запросов

Визуальном конструкторе запросов и т.д.

Данные в просмотрщике могут отображаться тремя способами:

  • в виде таблицы - на вкладке Grid View,
  • в виде формы - на вкладке Form View,
  • в виде печатной формы - на Print Data,
  • в виде редактора данных типа BLOB - на Blob View

Основные операции, которые Вы можете производить с данными, используя контекстное меню и панели инструментов просмотрщика данных:

  • Экспорт данных,
  • Экспорт данных в виде SQL скрипта,
  • Импорт данных
  • Редактировать BLOB.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами

Запросы

Средства импорта и экспорта данных

Инструменты базы данных

Инструменты сервера

Обеспечение безопасности

Настройки

Внешние инструменты

Как...


Просмотрщик данных

В SQL Manager for MySQL существует мощный инструмент для просмотра, редактирования и печати данных из таблиц, запросов и представлений.

Наиболее часто используемые инструменты просмотрщика данных располагаются в контекстном меню.

Вкладки просмотрщика данных располагаются в нижней его части.

С их помощью можно просмотреть данные:

  • на вкладке Grid View в виде таблицы,
  • на Form View в виде форм, где каждая строка вынесена на отдельную форму,
  • на вкладке Print Data данные представлены в виде страницы предварительного просмотра.

Просмотрщик данных используется в таких инструментах:

Редакторе таблиц - вкладка Data,

Редакторе представлений - вкладка Data,

Редакторе запросов - вкладка Results,

Визуальном конструкторе запросов - вкладка Results.

Настроить просмотрщик данных можно с помощью вкладки Grid в Options | Environment Options

Смотрите также:

Конструктор фильтров

Таблицы

Представления


Панели инструментов

Панели редакторов

Навигационная панель

В редакторе, в котором используется просмотрщик данных, при переходе на вкладку Data или Results на навигационной панели, появляется панель Data management.

Data View - Using Navigation bar

Data management

iconCommit Commit transaction - применить транзакцию для данных

iconRollback Rollback transaction - откатить транзакцию для данных таблицы

Export data - экспортировать данные

Export as SQL Script - экспортировать данные в виде SQL скрипта

Export as php page - экспортировать в виде PHP страницы

Import data - импортировать данные (только для таблиц и представлений)

Load data - загрузить данные (только для таблиц)

Save data - сохранить данные в файл на сервере

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Панели инструментов просмотрщика данных

Панель работы с записями:

Data View - Navigation pane

  • First record - перейти к первой записи
  • Prior page - перейти к предыдущей странице
  • Prior record - перейти к предыдущей записи
  • Next record - перейти к следующей записи
  • Next page - перейти к следующей странице
  • Last record - перейти к последней записи
  • Insert record - добавить запись
  • Delete record - удалить запись
  • Edit record - редактировать запись
  • Post edit - сохранить изменения
  • Cancel edit - отклонить изменения
  • Refresh data - обновить данные
  • Set Bookmark - создать закладку
  • Go to Saved Bookmark - перейти к закладке
  • Filter data - фильтровать данные (открывается конструктор фильтров)
  • в поле Find Вы указываете набор символов, который хотите найти в выделенном столбце

Панель инструментов вкладки Print Data:

Data View - Print Data - Toolbar

  • Design Report - настроить вид отчета с помощью инструмента Format report
  • Load Report - загрузить отчет из файла
  • Save Report - сохранить отчет в файл
  • Print - печатать
  • Print Dialog - открыть диалог печати (открывается стандартное диалоговое окно, в котором указываете параметры печати)
  • Page Setup - настроить параметры страницы
  • Show Thumbnails - показать макеты страниц
  • Title... - настройка примечаний:

Date and Time... - вставка даты и времени

Page Numbering... - вставка номеров страниц

  • Shrink To Page - разместить все на одной странице
  • Background - задать цвета фона страницы
  • Zoom - задать масштаб
  • Zoom Page - масштаб по ширине страницы
  • Whole Page - целая страница
  • Multiple Page - несколько страниц
  • Zoom - произвольный масштаб выбирается с помощью раскрывающегося списка
  • First Page - перейти к первой странице
  • Previous Page - перейти к предыдущей странице
  • счетчик Active Page - указать номер страницы, к которой хотите перейти (кроме того, в нем отображается номер страницы, на которой Вы сейчас находитесь)
  • Next Page - перейти к следующей странице
  • Last Page - перейти к последней странице

Панель инструментов вкладки Blob View

Data View - BLOB View - Toolbar

  • из раскрывающегося списка выбрать поле типа BLOB
  • Load from File - загрузить из файла (можно выбрать любой тип файлов. Это может быть текст, рисунок и т.д.)
  • сохранить в файл - Save to File
  • вырезать - Cut To Clipboard
  • копировать - Copy To Clipboard
  • вставить - Paste From Clipboard
  • отменить действие - Undo
  • печатать - Print

(следующие кнопки активны только для вкладки Rich text)

  • Font раскрывающийся список - выбрать шрифт
  • Font Size счетчик - выбрать размер шрифта
  • Bold - выбрать жирное начертание
  • Italic - выбрать начертание курсивом
  • Underline - выбрать начертание с подчеркиванием
  • Align Left - выбрать выравнивание по левому краю
  • Align Center - выбрать выравнивание по центру
  • Align Right - выбрать выравнивание по правому краю
  • Bullets - создать маркированный список

Смотрите также:

Просмотр в виде таблицы

Просмотр в виде формы

Просмотр в виде печатной формы

Редактор данных типа BLOB

Применение изменений

Настройка панелей инструментов


Просмотр в виде таблицы

На основании полей таблицы или запроса создается форма табличного просмотра данных. Столбцы формируются из полей.

Data View - Grid View

Если в просмотрщике открыты данные одной таблицы, то их можно добавлять, удалять, редактировать по усмотрению пользователя. Если в просмотрщик выведен результат запроса, то возможность редактирования данных зависит от запроса.

Все остальные операции с данными одинаковы для данных таблиц и для результатов запросов.

С помощью панели инструментов можно выполнять переход по записям, добавление и удаление строк и т.д.

Контекстное меню позволяет копировать ячейки, создавать уровни, устанавливать сводку по столбцам и т.д.

Основные операции с данными:

  • сортировка по столбцам
  • группировка данных
  • фильтрация данных
  • создание и работа с несколькими уровнями
  • просмотр в виде карточек
  • сводка по столбцам
  • изменение порядка столбцов

Смотрите также:

Панели инструментов

Просмотр в виде формы

Просмотр в виде печатной формы

Редактор данных типа BLOB

Применение изменений


Управление столбцами

Выбор видимых столбцов

Можно указывать, какие из столбцов таблицы будут видимыми.

Делается это с помощью пункта контекстного меню Visible Columns или с помощью кнопки btnSelectVisibleColumns в левом верхнем углу таблицы, рядом с заголовками столбцов. По нажатию на эту кнопку появляется окно, в котором, устанавливая флажки, Вы отмечаете видимые столбцы.

Data View - Grid View - Selecting visible columns

Изменение порядка столбцов.

Если Вы хотите изменить порядок столбцов, то достаточно перетащить заголовок столбца в требуемое место. Если в это место можно переместить столбец, то оно будет отмечено зелеными стрелочками, которые появятся при непосредственном приближении к месту вставки.

Data View - Grid View - Changing columns order

Смотрите также:

Группировка данных

Фильтрование данных

Работа с несколькими уровнями

Просмотр в виде карточек

Сводка по столбцу


Группировка и сортировка данных

Чтобы отсортировать данные необходимо:

открыть данные на вкладке Data или Results -> выбрать столбец, по которому хотите отсортировать данные -> нажать на заголовок этого столбца мышкой.

Если столбец не был отсортирован, то одно нажатие отсортирует его по возрастанию, следующее - по убыванию.

Чтобы отменить сортировку, вызовите контекстное меню правой кнопкой мыши на нужном столбце и выберите пункт Clear Sorting, или нажмите клавишу Ctrl и щелкните по полю, по которому была отсортирована таблица.

Вы можете группировать данные в таблице по одному или нескольким столбцам.

Для того, чтобы сгруппировать таблицу по столбцу необходимо перетащить заголовок столбца на специальную панель над таблицей, так называемую "панель группировки".

Data View - Grid View - Grouping data

Группировка по одному столбцу

Если на панель группировки Вы поместите заголовок поля, то все записи таблицы будут сгруппированы по этому полю.

Группировка по нескольким столбцам.

Если на панель группировки Вы поместите заголовки нескольких полей, то все записи таблицы будут сгруппированы по этим полям в указанном порядке.

В заголовках групп могут отображаться сведения о сгруппированных данных, если была задана сводка по столбцу.

На панели группировки тот заголовок, который находится ниже, является подчиненным. Группировка по нему будет проходить во вторую очередь. Объекты на панели группировки доступны для фильтрации данных.

Отменить группировку можно перетащив заголовок столбца обратно в таблицу. При этом можно изменить порядок столбцов.

Смотрите также:

Управление столбцами

Фильтрование данных

Работа с несколькими уровнями

Просмотр в виде карточек

Сводка по столбцу


Фильтрование данных

Фильтр — это быстрый способ поиска подмножества данных и работы с ними в таблице. В отфильтрованной таблице отображаются только строки, отвечающие условиям, заданным для столбца.

Фильтр не меняет порядок записей. При фильтрации временно скрываются строки, которые не отвечают заданным условиям.

Фильтровать данные в таблице можно несколькими способами.

1. С помощью пункта контекстного меню Quick Filter.

Data View - Grid View - Quick Filter

Порядок действий:

  • вызвать контекстное меню для ячейки с данными,
  • выбрать пункт контекстного меню Quick Filter,
  • выбрать из открывшегося дочернего меню условие фильтрации.
  • = Value в таблице будут отображаться только те строки, которые в этом поле имеют такое же значение, как и активное (активное значение это то для которого было вызвано контекстное меню),
  • <> Value - в таблице будут отображаться только те записи, значение которых в этом поле не равно активному значению,
  • < Value - будут выбраны значения строго меньше активного,
  • > Value - будут выбраны значения строго больше активного,
  • <= Value - будут выбраны значения меньше активного и равные активному,
  • >= Value - будут выбраны значения больше активного и равные активному.

С помощью Quick Filter нельзя фильтровать данные BLOB-типов и sysname.

2. С помощью заголовков столбцов.

Data View - Grid View - Filtering records

В заголовке каждого столбца имеется кнопка со стрелочкой. Если нажать на эту стрелочку, то появится список значений, содержащихся в этом столбце. Если выбрать одно из этих значений, то это и будет условие фильтрации. В таблице останутся видимыми только те строки, которые соответствуют этому условию.

Кроме того, задавать более сложные условия с помощью пункта списка значений (Custom...).

При выборе этого пункта открывается специальное окно для задания условий фильтрации.

В этом диалоговом окне можно задать 2 условия фильтрации и их отношение - должны ли выполняться оба условия сразу, или достаточно выполнения одного.

С помощью этого окна очень удобно задавать интервалы.

Из раскрывающихся списков выбираем условие отбора:

  • равно - equals,
  • не равно - does not equal,
  • меньше - is less than,
  • меньше или равно - is less than or equal to,
  • больше - is greater than,
  • больше или равно - is greater than or equal to,
  • содержит - like,
  • не содержит - not like,
  • пустые - is blank,
  • не пустые - is not blank.

В поле указываем последовательность символов. Используйте символ "%" для указания любого набора символов и символ "_" для обозначения любого символа. При выполнении условия отбираются только те значения, которые отвечают указанному условию. Например, из списка Вы выбрали пункт больше, а в поле указали 100. Следовательно, в таблице будут отображаться только те строки, в которых это значение больше 100.

Второе условие не является обязательным.

Установив переключатель в положение AND Вы указываете, что оба условия должны выполняться одновременно, в положение OR указываете, что должно выполняться только одно из них.

3. С помощью кнопки на панели инструментов.

Кнопка btnSetFilter открывает конструктор фильтров, с помощью которого Вы задаете и применяете условия фильтрации.

Если для таблицы установлен фильтр, то в нижней части появляется специальная панель, на которой отображается условие фильтра.

С помощью этой панели можно:

  • удалить фильтр - нажав на кнопку btnClose ,
  • включить фильтр - установить флажок,
  • изменить условия фильтрации с помощью кнопки Customize.... Эта кнопка открывает конструктор фильтров.

Data View - Grid View - Filtering records - Filtering panel

Кроме того, на этой панели в кратком виде отображаются условия фильтра, а также история модификации фильтра, которая открывается при нажатии на кнопку раскрывающегося списка.

Смотрите также:

Управление столбцами

Группировка данных

Конструктор фильтров


Контекстное меню

С помощью контекстного меню Вы можете выполнять следующие действия:

Data View - Grid View - Using the context menu

  • Copy Cell - копировать ячейки
  • Paste Cell - вставить ячейки
  • Copy All Records - копировать все записи
  • Copy Selected Records - копировать выделенные записи
  • Paste Records - вставить записи
  • Data Manipulation - управлять данными

Export data - экспортировать данные

Export as SQL Script - экспортировать данные в виде SQL скрипта

Export as php page - экспортировать в виде PHP страницы

Import data - импортировать данные (только для таблиц и представлений)

Load data - загрузить данные (только для таблиц)

Save data - сохранить данные в файл на сервере)

  • Quick Filter - установить фильтр данных
  • Disable Filter - удалить фильтр
  • Clear Sorting - отменить сортировку
  • Set Value - установить значение в выбранной ячейке
  • Set To NULL - установить значение в ячейке NULL.
  • Set To Empty String - для строковых полей установить пустую строку в ячейке.
  • Set To Now - для полей TIME установить текущее время.
  • Set to Zero - для полей Data установить нулевую дату.
  • Set to Unix time - устанавливает значение даты в ячейке с помощь функции unix_timestamp. Можно автоматически установить текущую дату или с помощью календаря выбрать нужную.
  • Edit BLOB - редактировать данные типа BLOB (этот пункт меню активен, если меню было вызвано для поля, содержащего объекты типа BLOB)
  • Save BLOB to File - сохранить данные из ячейки типа BLOB в файл (этот пункт меню активен, если меню было вызвано для поля, содержащего объекты типа BLOB)
  • Expand All - развернуть все (команда активна только тогда, когда существует группировка по одному или нескольким полям или существуют подуровни таблицы)
  • Collapse All - свернуть все (команда активна только тогда, когда существует группировка по одному или нескольким полям или существуют подуровни таблицы)
  • Next Tab - перейти на следующую вкладку (этот и следующий пункты меню активны для результатов тех запросов, которые возвращают более одного DataSet. В этом случае для результата каждого запроса создается отдельная вкладка, а также для таблиц, имеющих более одного подуровня)
  • Previous Tab - перейти на предыдущую вкладку
  • Grid Levels - работать с уровнями таблицы
  • Add Grid Level... - добавить уровень (при выборе этого пункта открывается мастер создания уровней)
  • Delete Grid Level - удалить уровень
  • Table View - просмотр в виде таблицы
  • Card View - просмотр в виде карточек
  • Column Summary... - установить сводку по столбцу
  • Visible Columns - выбрать столбцы, которые будут отображаться (также выбрать видимые столбцы можно с помощью кнопки btnSelectVisibleColumns в левом верхнем углу таблицы, рядом с заголовками столбцов)
  • Fit Columns Widths - выровнять ширину столбцов
  • Grid Mode - выбрать режим сетки (отображать все столбцы, отображать только видимые столбцы или режим по умолчанию)
  • Properties... - Просмотреть и изменить свойства просмотрщика данных

Важно: Если включены опции CheckBox Show editor immediately и CheckBox Always show editor на вкладке Environment options | Grid, то для вызова контекстного меню ячейки необходимо выделить нужную ячейку и щелкнуть правой кнопкой мышки по заголовку таблицы. При щелчке правой кнопкой мыши по ячейки вызовется контекстное меню для редактирования ячейки.


Работа с несколькими уровнями

Одной из уникальных особенностей SQL Manager for MySQL является возможность работать с данными в режиме нескольких уровней. Это позволяет изменять и просматривать данные в нескольких связанных таблицах одновременно.

Data View - Grid View - Working in multi-level mode

Управлять уровнями можно с помощью пункта контекстного меню Grid Levels

  • добавить уровень - Add Grid Level... (при выборе этого пункта открывается мастер создания уровней)
  • удалить уровень - Delete Grid Level
  • просмотр в виде таблицы - Table View
  • просмотр в виде карточек - Card View

Когда добавлен уровень, то для каждой записи таблицы можно просмотреть соответствующие ей записи в другой таблице. Такая подчиненная таблица называется Подуровень.

Чтобы открыть (развернуть) подуровень таблицы нужно нажать на "+", который находится в начале строки. "-" сворачивает подуровень.

Подуровней может быть несколько. В этом случае каждый располагается на отдельной вкладке в окне подуровней. Между вкладками можно переключаться, просто щелкая на них мышью, или с помощью пунктов контекстного меню:

  • перейти на следующую вкладку - Next Tab,
  • перейти на предыдущую вкладку - Previous Tab.

Для того чтобы открыть подуровни для всех записей используется пункт контекстного меню Expand All.

Пункт Collapse All сворачивает все подуровни.

Смотрите также:

Контекстное меню

Мастер создания уровней


Мастер создания уровней

Мастер создания уровней позволяет создать для таблицы новые подуровни для более удобного представления данных.

Чтобы запустить Мастер, необходимо выбрать пункт дочернего меню Add Grid Level..., пункта контекстного меню Grid Levels.

Create Grid Level - Add Grid Level

Мастер создания уровней состоит из следующих шагов.

Выбор главной таблицы

Выбор зависимой таблицы или запроса

Установка связи между главной и зависимой таблицей

Параметризация запросов

Задание параметров


Выбор главной таблицы

На первом шаге Вы выбираете таблицу или запрос, который будет являться главным уровнем, к которому потом нужно будет назначить подуровень.

Create Grid Level - Specifying master level

Из раскрывающегося списка выберите главный уровень.

Далее, с помощью переключателя Source of New level data, выбираете источник для подуровня.

Если устанавливаете переключатель RadioButton Table, то на втором шаге вам будет предложено выбрать таблицу или представление.

Если RadioButton Query, то на следующем шаге необходимо будет вручную написать запрос, определяющий подуровень.

Следующий шаг>>


Выбор зависимой таблицы или запроса

Вид мастера на втором шаге зависит от того, какой источник для подуровня Вы выбрали на первом шаге.

Если в качестве источника Вы выбрали Table, то на втором шаге Вам будет предложено выбрать конкретную таблицу из раскрывающегося списка Table Name. В списке содержатся все имеющиеся в базе данных таблицы и представления. Вы можете уменьшить их число, установив флажок CheckBox Show tables related by foreign keys only. В этом случае в списке останутся только те таблицы, которые связаны с главной с помощью внешнего ключа.

Create Grid Level - Defining source for detail level - Table

Если на первом шаге в качестве источника Вы выбрали запрос, то на втором шаге Вы должны будете создать запрос в редакторе запроса

Create Grid Level - Defining source for detail level - Query

В этом окне находится редактор SQL запросов.

Вы можете написать SQL запрос вручную в редакторе,

Можете его скопировать и вставить в редактор,

С помощью кнопки Query Builder... Вы можете запустить Визуальный конструктор запросов, который откроется в модальном окне, и создать запрос там.

После того, как выбрана таблица или создан запрос, можно переходить к следующему шагу.

<<Предыдущий шаг

Следующий шаг>>


Установка связи между главной и зависимой таблицей

На третьем шаге Вы выбираете поля, по которым необходимо связать главную и подчиненную таблицы.

Create Grid Level - Binding master and detail levels

Из списков Master Level Key Fields и Detail Level Key Fields выберите поля главной и подчиненной таблиц, по которым эти таблицы будут связаны.

С помощью кнопки Add добавьте в список Links Between Master and Detail Levels новую связь, которая образуется из выбранных полей.

Связей может быть несколько.

В этом случае, каждая подчиненная таблица будет отображаться на отдельной вкладке подуровня. Между вкладками можно переключаться, просто щелкая на них мышью, или с помощью пунктов контекстного меню:

  • перейти на следующую вкладку - Next Tab,
  • перейти на предыдущую вкладку - Previous Tab.

Удалить связь из списка можно с помощью кнопки Remove.

<<Предыдущий шаг

Следующий шаг>>


Параметризация запросов

Если на шаге Выбор главной таблицы был выбран запрос, то на этом шаге Вам необходимо задать параметры.

Create Grid Level - Query parameterization

Форма для задания параметров будет использоваться в сетке данных в режиме 'Load visible rows'. Смотрите дополнительно Environment Options | Grid | Data Options.

<<Предыдущий шаг

Следующий шаг>>


Задание параметров

На последнем шаге необходимо выбрать вид отображения подуровня и указать его заголовок.

Create Grid Level - Setting additional parameters

Заголовок отображается в верхней части подуровня. Указать его можно в поле Level caption.

С помощью переключателя Level type выберите, в каком виде будут отображаться данные подуровня:

RadioButton Table view - в виде таблицы,

RadioButton Card View - в виде карточек.

Нажав кнопку Run, Вы закончите формирование уровня.

<<Предыдущий шаг


Просмотр в виде карточек

В окне табличного просмотра существует дополнительный режим просмотра - режим карточек. Card View.

Data View - Grid View - Working in card view mode

Если в таблице есть подуровни, то в виде карточек можно представить только самый нижний уровень иерархии подчинения.

Чтобы включить просмотр в виде карточек, необходимо использовать пункт дочернего меню Card View пункта контекстного меню Grid Levels.

Чтобы вернуть вид таблицы, воспользуйтесь пунктом дочернего меню Table View пункта контекстного меню Grid Levels.

Смотрите также:

Контекстное меню


Сводка по столбцу

В SQL Manager for MySQL существует специальный инструмент, позволяющий выводить итоговую информацию о столбце. С помощью этого инструмента можно вывести в нижнюю или в верхнюю часть таблицы некую сводку по столбцу.

инструмент создания сводок по столбцам вызывается с помощью пункта контекстного меню Column Summary....

Data View - Grid View - Column Summary

В окне Column Summary из списка Column выбираете столбец таблицы, для которого хотите отображать дополнительную информацию.

Footer summary отображает итоговую информацию в нижнем колонтитуле таблицы.

Group header - отображает информацию в заголовке сгруппированных данных.

Group footer - отображает данные в нижнем колонтитуле сгруппированных данных.

Информация, которую можно вывести для столбцов, имеющих числовой тип данных и тип datetime, int.

RadioButton None - ничего

RadioButton Sum - сумму значений в столбце

RadioButton Minimum - минимальное значение в столбце

RadioButton Maximum - максимальное значение в столбце

RadioButton Count - количество значений в столбце

RadioButton Average - среднее значение в столбце

Для всех остальных типов столбцов доступно только количество значений в столбце - Count.

В поле Number format задаете формат числа.

Смотрите также:

Контекстное меню


Копирование строк

При копировании нескольких строк Вы можете задать соответствие полей таблицы и вставляемых строк.

Data View - Grid View - Associate columns

В списке Clipboard Columns отображаются поля копируемых строк.

В списке Grid Columns - поля таблицы, в которую копируются строки.

С помощью кнопок устанавливаются соответствия между полями. Они отображаются в списке соответствий, располагающемся в нижней части формы.

Кнопка Add добавляет в список соответствий новое соответствие между выделенными полями.

Кнопка Add All позволяет автоматически подобрать полям таблицы, в которую копируются данные соответствующие поля источника данных.

Нажав на кнопку Remove, Вы удалите выделенное соответствие. Нажатие на кнопку Remove All полностью очищает список соответствий.

CheckBox First row is a header

Если установлен этот флажок, то первая строка будет воспринята, как заголовок таблицы


Просмотр в виде формы

На вкладке Form View каждая запись представлена в Виде формы. Редактировать данные удобнее, когда они представлены в таком виде.

Data View - Form View

Если на вкладке Grid View Вы выделили строчку или ячейку, а затем перешли на вкладку Form View, то на этой вкладке отобразится выделенная запись.

Для каждой записи отображается:

  • название поля
  • тип поля
  • поля для редактирования данных

Рядом с каждым полем расположен флажок CheckBox Null. С его помощью можно это поле очистить. Вернуть удаленные данные, убрав флажок, не получится. Чтобы вернуть данные необходимо нажать кнопку отмены. Чтобы отклонить изменения нажмите Cancel edit на панели инструментов.

Переключаться между записями можно с помощью кнопок, расположенных на панели инструментов. Эти кнопки позволяют вам создавать, редактировать, удалять записи и перемещаться по записям таблицы базы данных.

Для каждого типа данных генерируется поле ввода соответствующее типу данных.

Например, для поля типа datetime появляется календарь, позволяющий избежать ошибок при вводе даты.

Для типов полей большого размера создаются большие текстовые поля.

Если Вы на этой вкладке зададите условия для фильтрования данных, то отобразится первая запись таблицы, отвечающая заданным условиям.

Для поля типа Datetime можно установить формат даты, принятый в MySQL по умолчанию. yyyy-mm-dd hh:nn:ss.

В этом случае поле для редактирования данных этого типа не будет иметь открывающегося календаря, что позволит задать нулевую дату.

Чтобы установить формат MySQL необходимо выбрать пункт yyyy-mm-dd hh:nn:ss из раскрывающегося списка Datetime fields на вкладке Environment Options | Color & Formats.

Смотрите также:

Панели инструментов

Просмотр в виде таблицы

Просмотр в виде печатной формы

Редактор данных типа BLOB

Применение изменений


Просмотр в виде печатной формы

На вкладке Print Data данные представлены в режиме полного графического соответствия печатного варианта и изображения редактируемого документа на экране.

Вы можете изменять вид печатной формы, задавать формат страницы, параметры печати, сохранять отчеты в файл и загружать из файла. Все это делается с помощью панелей инструментов.

Data View - Print Data

На верхней панели отображаются характеристики полей и колонтитулов печатного документа.

Left - левое поле

Top - верхнее поле

Right - правое поле

Bottom - нижнее поле

Header - верхний колонтитул

Footer - нижний колонтитул

На нижней панели отображается статистика.

Page - страницы

Pages - количество страниц

Paper size - размер бумаги

Status - статус

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Панели инструментов

Просмотр в виде таблицы

Просмотр в виде формы

Редактор данных типа BLOB

Применение изменений


Параметры страницы

Чтобы открыть диалоговое окно настройки страницы для печати необходимо на панели инструментов нажать кнопку [image] Page Setup.

С помощью этого инструмента Вы можете настроить вид страницы при печати.

Настройки печати Вы можете задать на следующих вкладках:

Страница

Поля

Колонтитулы

Масштаб

Чтобы распечатать страницу, нажмите кнопку Print. Настройки печати укажите в открывшемся диалоговом окне Print.

Смотрите также:

Настройщик отчетов

Задание опций отчета

Печать


Страница

На вкладке Page Вы указываете размер и ориентацию страницы.

Data View - Print Data - Page Setup - Page

Из списка Type выбираете один из типовых размеров.

Если стандартные типы не подходят, то указываете высоту и ширину листа в разделе Dimension. В поле Width - ширину, в поле Height - высоту.

Из раскрывающегося списка Paper source выбираете тип подачи бумаги.

С помощью переключателя в разделе Orientation Вы выбираете ориентацию страницы.

RadioButton Portrait - книжная,

RadioButton Landscape - альбомная.

Так данные представлены в табличной форме, то при печати необходимо указать последовательность вывода страниц в разделе Print Order:

RadioButton Down, then over - вниз, затем вправо,

RadioButton Over, then down - вправо, затем вниз.

CheckBox Если установить флажок Print using gray shading, то при печати будут использоваться оттенки серого цвета, а не только черный и белый.


Поля

На вкладке Margins Вы можете указать размер полей документа и размер колонтитулов.

Data View - Print Data - Page Setup - Margins

  • Top - размер верхнего поля
  • Bottom - размер нижнего поля
  • Left - размер левого поля
  • Right - размер правого поля
  • Header - размер верхнего колонтитула
  • Footer - размер нижнего колонтитула

Если Вы задали неподходящее значение, то нажмите на кнопку Fix, чтобы его исправить.

Нажатие на кнопку Restore Original возвращает настройки к настройкам по умолчанию.

С помощью флажков в разделе Center on page Вы указываете, следует ли центрировать текст на странице.

CheckBox Если установлен флажок Horizontally, то текст центрируется по горизонтали,

CheckBox Если Vertically, то по вертикали.

Все указанные отображаются в разделе Preview.


Колонтитулы

На вкладке Header\Footer Вы можете задать свойства верхнего и нижнего колонтитулов.

Data View - Print Data - Page Setup - Header and Footer

Каждый колонтитул поделен на 3 раздела. В каждом разделе можно указывать разную информацию. Текст можно писать самостоятельно, а можно выбрать стандартный с помощью кнопок Predefined Function:

  • Machine name - имя компьютера,
  • User Name - имя пользователя,
  • Time Printed - время печати,
  • Date Printed - дата печати,
  • Date & Time Printed - дата и время печати документа,
  • Page # of Pages # - страница № из общего числа страниц
  • Total Pages - общее число страниц
  • Page # - номер страницы

Для колонтитула можно задавать шрифт - с помощью кнопки Font... и фон с помощью кнопки Background.

Выравнивание текста по вертикали осуществляется при помощи кнопок Vertical Alignment.

CheckBox Reverse on even pages

Если установлен этот флажок, то указанные колонтитулы будут отображаться на каждой странице.


Масштаб

На вкладке Scaling указывается масштаб страницы.

Data View - Print Data - Page Setup - Scaling

RadioButton Adjust To - установить n процентов от натуральной величины. Проценты указываются в специальном поле.

RadioButton Fit To - разместить не более чем на n страниц в ширину и n страниц в высоту. Количество страниц задается в специальных полях.


Настройщик отчетов

Настроить вид печатной формы можно с помощью инструмента Format report, который открывается при нажатии кнопки [image] Design Report на панели инструментов вкладки Print data просмотрщика данных.

Все инструменты располагаются на следующих вкладках:

Настройка отображаемых областей

Характеристики (поведение)

Форматирование

Стили

Предварительный просмотр

Карточки

Диаграммы

Нажав на кнопку Title Properties, Вы сможете задать параметры титульного листа отчета.

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.


Настройка отображаемых областей

На вкладке View, с помощью флажков, Вы можете выбрать те области, которые будут отображаться в отчете.

Data View - Print Data - Report Formatter - View

В разделе Show выберите те элементы, которые будут отображаться для всей таблицы.

  • Caption - строка заголовка страницы,
  • Bands - видимые диапазоны,
  • Headers - заголовки столбцов,
  • Footers - строки итогов,
  • Group Footers - область группировки данных
  • Expand Buttons -
  • Filter Bar - панель фильтра. Если данные были отфильтрованы, то в этой строке будет показано условие фильтрации.

Далее, в разделе On Every Page, Вы можете указать те разделы, которые будут на каждой странице.

  • Caption - строка заголовка страницы,
  • Bands - видимые диапазоны,
  • Headers - заголовки столбцов,
  • Footers - строки итогов,
  • Filter Bar - панель фильтра.

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Характеристики (поведение)

На этой вкладке задайте следующие характеристики:

В разделе Selection настройте параметры выделения:

  • Process Selection - процесс выделения,
  • Process Exact Selection - процесс точного выделения.

Data View - Print Data - Report Formatter - Behaviors

Разделы, для которых будет установлена ширина, соответствующая ширине страницы, выберите в разделе Expanding.

  • Groups - группы,
  • Details - детали,
  • Cards - карточки.

Если установлен флажок Auto Width, то ширина таблицы будет равна ширине страницы.

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Форматирование

Параметры форматирования задайте на вкладке Formatting.

Из раскрывающегося списка Look and Feel выберите оформление границ ячеек заголовка.

Data View - Print Data - Report Formatter - Formatting

В разделе Refinements можно задать параметры сжатия отчета.

  • Transparent Graphics - прозрачные графические изображения,
  • Display Graphic As Text - отображать вместо графики текст,
  • Flat CheckMarks - использовать плоские флажки.

Suppress Background Textures - сглаживать текстуры фона.

Consume Selection Style - не применять стили выделения.

Параметры разбиение на страницы задайте в разделе Pagination.

By TopLevel Groups - разбиение на страницы в соответствии с группировкой,

One Group Per Page - одна группа на странице.

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Стили

На этой вкладке Вы можете менять внешний вид отчета.

Data View - Print Data - Report Formatter - Styles

Если не установлен флажок Use Native Styles, то будет использоваться только стиль по умолчанию, изменения нельзя будет внести.

В списке находятся все элементы отчета, кроме того, для каждого элемента указан фон, вид и размер шрифта.

Для каждого элемента можно задать следующие свойства:

  • Font - шрифт,
  • Color - цвет,
  • Texture - текстура,

Clear - вернуть настройки текстуры по умолчанию.

Нажав на кнопку Restore Defaults, Вы отмените все внесенные изменения для выделенного объекта и установите настройки по умолчанию.

С помощью кнопки Save As... Вы можете сохранить принятые изменения в файл схемы.

Все файлы схемы отображаются в списке Style Sheets. Нажав на кнопку New, Вы создадите новый файл схемы. Копировать нужную схему можно, нажав на кнопку Copy. Кнопка Delete удаляет выбранную схему. Чтобы переименовать активную схему нажмите на кнопку Rename.

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Предварительный просмотр

Параметры предпросмотра задайте на этой вкладке

Data View - Print Data - Report Formatter - Preview

Если установлен флажок Visible, то будут отображаться строки группировки.

если установлен флажок Auto Height, то высота строк будет задана автоматически.

Задайте максимальное количество строк на странице в счетчике Max Line Count.

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Карточки

На этой вкладке Вы можете задать внешний вид карточек.

Data View - Print Data - Report Formatter - Cards

В разделе Sizes можно настроить размеры карточек:

  • установленный флажок Auto Width автоматически подгоняет ширину карточек
  • Keep Same Width - фиксирует исходную ширину.
  • Keep Same Height - фиксирует исходную высоту карточки.

В разделе Spacing задайте расстояние между карточками:

Horizontal - расстояние по горизонтали,

Vertical - расстояние по вертикали.

В разделе Framing можно задать параметры рамок карточек

  • Border - если установлен этот флажок, то у карточек будет внешняя граница,
  • Horizontal Lines - устанавливает внутри карточки горизонтальные разграничители для каждой строки
  • Vertical Lines - добавляет разграничители для столбцов.

С помощью инструментов в разделе Shadow задайте параметры тени карточек.

Color - цвет тени,

Depth - размер тени.

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Диаграммы

На этой вкладке Вы можете задать такое свойство диаграммы как прозрачность, установив флажок Transparent.

Data View - Print Data - Report Formatter - Charts

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Задание опций отчета

Опции

Чтобы открыть это диалоговое окно, откройте раскрывающийся список Design Report [image] на панели инструментов и выберите пункт Preferences item.

Data View - Print Data - Report options

В разделе Show выберите элементы, которые будут отображаться на предварительном просмотре.

CheckBox Margins - поля.

CheckBox Margins hints - сведения о размере поля.

CheckBox Margins hints while dragging - сведения о размере поля, отображающиеся при его изменении с помощью перетаскивания.

Из раскрывающегося списка Measurement Units выберите единицы измерения, в которых будет измеряться размер поля. Это могут быть дюймы (inches), миллиметры (millimeters) или единицы, принятые по умолчанию на этом компьютере. (default).

Параметры масштаба укажите в разделе Zoom Parameters.

CheckBox Zoom on roll with IntelliMouse

Если установлен этот флажок, то Вы можете менять масштаб страницы, вращая колесико мышки и удерживая клавишу Ctrl.

Zoom Step

В этом счетчике задайте процент изменения масштаб страницы, при Zoom on roll with IntelliMouse.

Из раскрывающегося списка Margins Color выберите цвет полей страницы.

Заголовок отчета

В этом диалоговом окне Вы можете задать настройки заголовка печатаемого документа.

Чтобы открыть это окно, нажмите кнопку Title... на панели инструментов.

Data View - Print Data - Report options - Title

Mode

Из этого раскрывающегося списка выберите, как должен отображаться заголовок.

On the first page - на первой странице.

On every top page - на каждой странице.

Not displayed at all - не отображать

На вкладке Text укажите Текст заголовка.

Properties

CheckBox Transparent

Если установлен этот флажок, то заголовок будет прозрачным.

Цвет заголовка выберите из раскрывающегося списка Color. Вы можете изменить цвет, только если не установлен флажок CheckBox Transparent.

Нажмите кнопку Font, чтобы задать шрифт заголовка в стандартном диалоговом окне.

CheckBox Adjust on scale

Если установлен этот

If this option is selected, the title can be adjusted on scale.

Alignment

В разделе Alignment укажите выравнивание заголовка по горизонтали (Horizontally) и вертикали (Vertically).

Для восстановления значений по умолчанию, нажмите кнопку Restore Defaults.

Дата и время

Чтобы открыть это диалоговое окно, откройте раскрывающийся список Title [image] на панели инструментов и выберите пункт Date and Time.

В открывшемся диалоговом окне задайте настройки даты и времени для документа.

Data View - Print Data - Report options - Date and Time

Из списков Available Date Formats и Available Time Formats выберите формат даты и времени.

При необходимости, Вы можете указать, что дата и время будут обновляться автоматически, установив флажок Update automatically.

Чтобы применить форматы даты и времени, принятые в системе по умолчанию, нажмите кнопку Default.

Нумерация страниц

Вы можете задать нумерацию страниц печатного документа.

Чтобы открыть это диалоговое окно, откройте раскрывающийся список Title [image] на панели инструментов и выберите пункт Page Numbering.

Data View - Print Data - Report options - Page Number Format

Формат номера страницы выберите из раскрывающегося списка

RadioButton Continue from the previous section - продолжить нумерацию

RadioButton Start At - начать нумерацию. С какого значения необходимо начать нумерацию страниц, укажите в соответствующем поле.

Для восстановления значений по умолчанию, нажмите кнопку Defaults.

Масштаб

Параметры масштаб страницы укажите в этом окне.

Чтобы открыть это диалоговое окно, откройте раскрывающийся список Title [image] на панели инструментов и выберите пункт Setup zoom.

Data View - Print Data - Report options - Zoom

Выберите одно из часто используемых значений масштаба (500%, 200%, 150%, 100%, 75%, 50%, 25%, 10%) или укажите процент вручную в счетчике Percent.

RadioButton Page Width - по ширине страницы.

RadioButton Whole Page - целая страница.

RadioButton Two Pages - две страницы.

RadioButton Four Pages - четыре страницы.

RadioButton Many Pages = несколько страниц.

В разделе Preview отображаются принятые изменения.

Смотрите также:

Параметры страницы

Настройщик отчетов

Печать


Печать

Стандартное диалоговое окно Print позволит Вам настроить параметры печати.

Это окно открывается при нажатии кнопки btnPrintSetup на панели инструментов, или клавиш Ctrl+P.

Data View - Print Data - Print dialog

Чтобы начать печать, нажмите кнопку Print.

Если Вы хотите изменить параметры страницы, то нажмите кнопку Page Setup. В появившемся диалоговом окне Page Setupзадайте необходимые настройки.

Смотрите также:

Параметры страницы

Настройщик отчетов

Задание опций отчета


Редактор данных типа BLOB

Если в таблице содержатся поля, имеющие тип данных BLOB (к этому типу относятся такие типы как: blob, text), то в просмотрщике данных появляется дополнительная вкладка Blob View. На этой вкладке можно редактировать любой тип данных, относящихся к BLOB. Для каждого типа создана своя вкладка:

Редактировать в шестнадцатеричном представлении

Редактировать как текст

Редактировать как RTF

Редактировать как изображение

Редактировать как HTML

Редактировать как XML

Редактировать как JSON

Data View - BLOB View

Работа с записями на вкладке Blob View.

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Просмотрщик данных

Редактор таблиц

Редактор запросов

Визуальный конструктор запросов


Редактировать в шестнадцатеричном представлении

На вкладке Hexadecimal Вы можете просмотреть и отредактировать информацию, содержащуюся в одной ячейке поля типа BLOB. В левой части формы содержимое ячейки представлено в шестнадцатеричном виде (шестнадцатеричные значения байтов), а в правой - в виде обычного текста.

Data View - BLOB View - Hexadecimal

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.


Редактировать как текст

На вкладке Text содержимое ячейки представлено в виде обычного текста, доступного для редактирования.

Data View - BLOB View - Text

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.


Редактировать как RTF

На вкладке Rich Text текст представлен в виде RTF (Rich Text Format). Его можно форматировать: изменять шрифт, менять начертание и размер шрифта, добавлять списки, устанавливать межстрочные интервалы и т.п.

Data View - BLOB View - Rich Text

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.


Редактировать как изображение

Если поле в базе данных имеет формат image, то добавить в это поле изображение, а также просмотреть его можно на вкладке Image инструмента Blob View.

Data View - BLOB View - Image

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.

На панели в нижней части формы отображается информация о размере и формате изображения.


Редактировать как HTML

Если формат данных в ячейке HTML, то просматривать данные удобнее всего на вкладке HTML.

Data View - BLOB View - HTML

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.


Редактировать как XML

Если формат данных в ячейке XML, то просматривать и редактировать информацию можно на вкладке XML.

Data View - BLOB View - XML

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.


Редактировать как JSON

Если формат данных в ячейке JSON, то просматривать и редактировать информацию можно на вкладке JSON.

Data View - BLOB View - JSON

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.


Применение изменений

После того, как Вы внесли изменения, нажмите кнопку Post Edit btnPostEdit на навигационной панели, чтобы сохранить внесенные изменения. Если Вы хотите отменить внесенные изменения, то нажмите кнопку Cancel Edit btnCancelEdit на навигационной панели.

Data View - Applying changes

Смотрите также:

Панели инструментов

Просмотрщик данных

Просмотр в виде формы

Просмотр в виде печатной формы

Редактор данных типа BLOB


Конструктор фильтров

В SQL Manager for MySQL имеется специальный инструмент для задания условий отбора данных в таблице просмотрщика данных. С помощью конструктора фильтров Вы можете не только создать условие отбора любого уровня сложности, но и сохранить его в файл и загрузить из файла (см. Кнопки конструктора фильтров), что позволяет многократно использовать один фильтр.

Запуск конструктора фильтров

Работа с условиями

Работа с группами

Применение фильтра

Смотрите также:

Просмотрщик данных


Запуск конструктора фильтров

Конструктор фильтров можно открыть двумя способами:

  • с помощью кнопки Filter data btnSetFilter на Панели работы с записями:
  • с помощью кнопки Customize.... на панели в нижней части таблицы.

Если для таблицы установлен фильтр, то в нижней части появляется специальная панель, на которой отображается условие фильтра.

С помощью этой панели можно:

  • удалить фильтр - нажав на кнопку btnClose ,
  • включить фильтр - установить флажок,
  • изменить условия фильтрации с помощью кнопки Customize.... Эта кнопка и открывает конструктор фильтров.

Data View - Grid View - Filtering records - Filtering panel

Кроме того, на этой панели в кратком виде отображаются условия фильтра, а также история модификации, которая открывается при нажатии на кнопку.


Работа с условиями

Добавить новое условие можно двумя способами

  • нажать кнопку press the button to add condition
  • выбрать из меню, открывшегося при нажатии кнопки Filter пункт Add Condition

Условия можно объединять в группы.

Отношение между группами определяется групповым оператором, который выбирается из списка, открывающегося по нажатию на надпись AND.

Надпись после AND указывает на группу, в которой находятся условия. Идентификатор главной группы - <root>.

Filter Builder dialog - Adding a new condition

Далее необходимо указать одно или несколько условий отбора данных. Каждая строчка - это одно условие.

Добавить или удалить условие можно с помощью меню, которое открывается при нажатии на кнопку EllipsisButton.

  • Add Condition - добавить условие
  • Add Group - добавить группу
  • Remove Row - удалить группу или условие

По нажатию на надпись, выделенную зеленым цветом, открывается список полей таблицы, запроса или представления. Из списка выбираем то поле, для которого хотим указать условие отбора.

Filter Builder dialog - Setting filter criteria

Нажав на следующую надпись, выбираем оператор из раскрывающегося списка.

Filter Builder dialog - Setting filter operator

В списке содержатся следующие операторы:

  • равно - equals,
  • не равно - does not equal,
  • больше - is greater than,
  • больше или равно - is greater than or equal to,
  • меньше - is less than,
  • меньше или равно - is less than or equal to,
  • похоже (для текстовых полей) - like,
  • не похоже (для текстовых полей) - not like,
  • пустые - is blank,
  • не пустые - is not blank,
  • между <значение> и <значение> - between,
  • не между - not between,
  • в - in,
  • не в - not in.

(по умолчанию для числовых полей и полей типа datetime стоит оператор equals, для текстовых - like)

Для полей типа Дата в этом списке появляется ещё несколько операторов:

  • вчера - is yesterday,
  • сегодня - is today,
  • завтра - is tomorrow,
  • на прошлой неделе - is last week,
  • в прошлом месяце - is last month,
  • в прошлом году - is last year,
  • на этой неделе - is this week,
  • в этом месяце - is this month,
  • в этом году - is this year,
  • не следующей неделе - is next week,
  • в следующем месяце - is next month,
  • в следующем году - is next year.

Выбрав оператор, необходимо указать критерий отбора. При нажатии на надпись <empty> вместо этой надписи появляется поле для ввода значения. Тип поля соответствует типу данных. Для текста это текстовое поле, для числовых - счетчик, для даты и времени - календарь. Используйте символ "%" для указания любого набора символов и символ "_" для обозначения любого символа.

Filter Builder dialog - Setting filter criteria values

Для операторов between и not between появляется два поля ввода, так как нужно указать интервал.

В поле указываем последовательность символов. При выполнении условия отбираются только те значения, которые отвечают указанному условию.

Например, оператор Вы выбрали is greater than (больше), а в поле указали 100. Следовательно, в таблице будут отображаться только те строки, в которых это значение больше 100.


Работа с группами

Условий для фильтра можно задавать несколько, а также объединять эти условия в группы и задавать отношения между группами условий.

Группы имеют иерархическую структуру. Групповой оператор распространяется на те группы, которые находятся внутри той группы, для которой он установлен.

В каждой группе задаются условия для одного поля.

Filter Builder dialog - Adding a new group

Добавить группу можно с помощью пункта Add Group контекстного меню, открывающегося при нажатии кнопки EllipsisButton.

Отношение между группами определяется групповым оператором, который выбирается из списка, открывающегося по нажатию на надпись AND.

Filter Builder dialog - Setting group operator

Групповых операторов четыре:

  • AND - одновременно должны выполняться все группы условий,
  • OR - выполняться должна хотя бы одна группа условий,
  • NOT AND - не должно выполняться хотя бы одно из перечисленных условий,
  • NOT OR - не должно выполняться ни одно из перечисленных условий.


Кнопки конструктора фильтров

Файл фильтра имеет расширение .flt. Открыть такой файл можно с помощью кнопки Open, расположенной внизу формы. Кнопка Save As позволяет сохранять созданный фильтр в файл.

Чтобы применить созданный фильтр, используйте кнопки Ok или Apply. При нажатии на Ok конструктор закроется, при нажатии на Apply останется открытым, и Вы сможете, исходя из результатов, исправить созданный фильтр.

Filter Builder dialog - Applying filter conditions

Кнопка Cancel закрывает конструктор без сохранения изменений.


Средства импорта и экспорта данных

SQL Manager for MySQL предоставляет пользователю набор инструментов для быстрого и удобного импорта и экспорта данных.

Экспорт данных

Экспорт данных осуществляется в файлы различных форматов. В том числе: MS Excel, MS Access, RTF, HTML, PDF. и т.д.

Импорт данных

Импортирует данные из файлов разных форматов: MS Excel, MS Access, DBF, TXT, and CSV, HTML, XML Document, MS Excel 2007, Word 2007, ODF Spreadcheets, ODF Text.

Экспорт в виде SQL скрипта

Экспорт данных в SQL скрипт как набор операторов INSERT.

Загрузка данных

Загружает данные в таблицу или представление.

Сохранение данных

Позволяет сохранить данные таблицы в файл, расположенный на сервере или на компьютере клиента. Сохранение выполняется с использованием команды SELECT ... INTO OUTFILE.

Экспорт в виде PHP страницы

Создает PHP скрипт, который позволяет подключиться к текущей базе, отображать данные выбранной таблицы, а также предоставляет формы и процедуры для изменения добавления и удаления данных.

Использование шаблонов.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами

Запросы

Управление данными

Инструменты базы данных

Инструменты сервера

Обеспечение безопасности

Настройки

Внешние инструменты

Как...


Мастер экспорта данных

Мастер экспорта данных - Export Data Wizard - позволяет экспортировать данные из таблиц, представлений, результатов запроса в файлы самых распространенных форматов.

Экспорт данных можно осуществлять только из тех редакторов, где есть вкладка Data или Results. Это Редактор таблиц, Редактор представлений, Редактор запросов и Визуальный конструктор запросов.

Этот инструмент открывается с помощью кнопки [image] Export Data, располагающейся на навигационной панели Data Management и на панели инструментов.

Кнопка доступна, когда в редакторе открыт просмотрщик данных, то есть на вкладке Data или Results.

Также эта команда присутствует в контекстном меню объектов таблицы и представления в проводнике баз данных в подменю пункта Data Manipulation.

Мастер состоит из следующих шагов:

Задание имени и формата выходного файла

Выбор экспортируемых полей

Настройка форматов данных

Установка колонтитулов

Задание особенностей форматов

Задание общих опций экспорта

Выполнение операции

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер импорта данных

Мастер экспорта в виде SQL скрипта

Мастер сохранения данных

Мастер загрузки данных

Экспорт в виде PHP страницы

Использование шаблонов


Задание имени и формата выходного файла

В разделе Destination format необходимо выбрать формат выходного файла, установив переключатель напротив нужного формата.

В поле Destination file name необходимо указать имя выходного файла и путь к нему с помощью кнопки btnSaveAs .

Export Data - Setting destination file name and format

Следующий шаг>>

Шаблоны

Смотрите также:

Поддерживаемые форматы файлов


Выбор экспортируемых полей

На этом шаге Вам необходимо из списка всех полей таблицы или представления выбрать те, которые нужно экспортировать.

Export Data - Selecting fields for export

Из списка Available Fields выберите доступные поля и с помощью кнопок переместите их в список экспортируемых полей - Selected fields. Если не выбрать ни одного поля, то по умолчанию будут экспортированы все поля.

Установленный флажок Allow Caption указывает на то, что заголовки столбцов будут вынесены в первую строку.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Настройка форматов данных

На третьем шаге Вы задаете, в каком формате будут отображаться данные.

Export Data - Adjusting data formats

Форматы отображения Вы можете задать для следующих форматов данных.

  • Integer format - Целое число
  • Float format - Число с плавающей точкой
  • Date format - Дата
  • Time format - Время
  • DateTime format - Дата и время
  • Currency format - Денежный
  • Boolean True - Истина
  • Boolean False - Ложь
  • Null string - Строка NULL

Для некоторых типов данных дополнительно можно указать разделители разрядов:

Decimal Separator - разделитель для десятичных чисел,

Date Separator - разделитель для даты,

Thousand Separator - разделитель разрядов числа,

Time Separator - разделитель для времени.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Установка колонтитулов

На этом шаге можно задать текст, который будет отображаться в верхнем и нижнем колонтитулах выходного файла.

Если вы выбрали формат файла, не поддерживающий колонтитулы, то этого шага не будет.

В поле Header text указываете текст верхнего колонтитула.

В поле Footer text - нижнего.

Этот текст будет повторяться на каждой странице выходного файла.

Export Data - Setting header and footer

При экспорте результата выполнения запроса, созданного в Редакторе запросов и Визуальном конструкторе запросов можно добавить текст самого запроса в верхний колонтитул получаемого файла. Для этого на шаге появится кнопка Add query text to Header.

Export Data - Setting header and footer - Add to header and footer

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Задание особенностей форматов

Набор опций на пятом шаге определяется выбранным форматом выходного файла.

Для следующих форматов можно указывать различные свойства на пятом шаге:

Excel

Access

Word / RTF

HTML

PDF

TXT

CSV

XML

Excel 2007/ODS

Word 2007/ODT

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Особенности экспорта в Excel

Если данные будут экспортированы в файл формата Excel, то на этом шаге можно указать следующие настройки:

  • формат данных - на вкладке Data format
  • расширения - на вкладке Extensions
  • оформление - на вкладке Advanced

Export Data - Format-specific options - Excel

<<Предыдущий шаг

Следующий шаг>>

Для того чтобы каждый раз при экспортировании не задавать эти параметры воспользуйтесь инструментом создания шаблонов.


Оформление таблицы и данных

Вкладка Data format содержит инструменты, необходимые для форматирования ячеек выходного файла.

Вы можете задавать такие параметры как шрифт, выравнивание, границы и т.д. для всех типов ячеек (ячеек с данными, заголовков, ссылок и т.д.). Можно также создавать стили, которые могут быть применены ко всем типам ячеек.

Оформление Полей

Опции

Стили

Шаблоны


Оформление Полей

На вкладке Fields для каждого поля Вы можете указать совокупность параметров, определяющих его внешний вид.

Export Data - Format-specific options - Excel - Data Format - Fields

Все инструменты, отвечающие за настройки шрифта, находятся на вкладке Font:

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), подчеркивание (сплошное одинарное, не сплошное одинарное, сплошное двойное, не сплошное двойное), выравнивание текста по горизонтали и выравнивание текста по вертикали.

На вкладке Borders Вы можете задать толщину и вид границ ячеек.

Export Data - Format-specific options - Excel - Data Format - Fields - Borders

Если нажата кнопка [image] [image] [image] [image] , значит граница будет отображаться. Для верхней, нижней, правой и левой границы отдельная кнопка.

Из раскрывающихся списков выберите тип границы (одинарная, двойная, пунктирная и т.д.). Нажав на кнопку [image] , Вы можете задать для границы цвет.

На вкладке Fill Вы можете задать фоновый узор ячейки.

Export Data - Format-specific options - Excel - Data Format - Fields - Fill

Кнопка [image] отвечает за цвет фона.

Из раскрывающегося списка Вы выберите узор.

Кнопка [image] позволяет выбрать цвет узора

На вкладке Aggregate Вы можете задать для столбца одну итоговую функцию. Это значит что для данных в столбце будет найдено:

Export Data - Format-specific options - Excel - Data Format - Fields - Aggregate

RadioButton нет итоговой функции - None,

RadioButton сумма - SUM,

RadioButton или среднее арифметическое - AVG,

RadioButton или минимальное значение - MIN,

RadioButton или максимальное значение - MAX.

В окне, расположенном ниже, Вы можете видеть все изменения, производимые с полем. Они отображаются на образце текста.

Кнопки Reset Item и Reset All позволяют отменить изменения для одного поля и для всех полей соответственно.


Опции

На вкладке Options есть возможность задать свойства вспомогательного текста:

  • верхний колонтитул - HEADER,
  • заголовок - CAPTION,
  • итоговые функции - AGGREGATE,
  • нижний колонтитул - FOOTER,
  • ссылка - HYPERLINK.

Export Data - Format-specific options - Excel - Data Format - Options

Все инструменты, отвечающие за шрифт, находятся на вкладке Font:

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), подчеркивание (сплошное одинарное, не сплошное одинарное, сплошное двойное, не сплошное двойное), выравнивание текста по горизонтали и выравнивание текста по вертикали.

На вкладке Borders Вы можете задать толщину и вид границ ячеек.

Export Data - Format-specific options - Excel - Data Format - Fields - Borders

Если нажата одна из кнопок [image] [image] [image] [image] , значит соответствующая граница будет отображаться. Для верхней, нижней, правой и левой границы отдельная кнопка.

Из раскрывающихся списков выберите тип границы (одинарная, двойная, пунктирная и т.д.). Нажав на кнопку [image] , Вы можете задать для границы цвет.

На вкладке Fill Вы можете задать фоновый узор ячейки.

Export Data - Format-specific options - Excel - Data Format - Fields - Fill

Кнопка [image] отвечает за цвет фона.

Из раскрывающегося списка Вы можете выбрать узор.

Кнопка [image] позволяет выбрать цвет узора

В окне, расположенном ниже, Вы можете видеть все изменения производимые с полем. Они отображаются на образце текста.

Кнопки Reset Item и Reset All позволяют отменить изменения для одного поля и для всех полей соответственно.


Стили оформления

Вы можете создать собственный набор стилей, которые будут использоваться для оформления столбцов и строк.

Стили создаются на вкладке Styles.

С их помощью Вы можете оформить таблицу, задав различный цвет для столбцов или строк.

Чтобы создать стиль необходимо нажать на кнопку iconPlus , чтобы удалить - на iconMinus .

Менять порядок стилей можно с помощью кнопок btnMoveItemUp btnMoveItemDown .

При помощи следующих двух кнопок - Load Styles и Save styles - можно загрузить стили из файла и сохранить их в файл.

Переключатель Strip style определяет, как будут применены созданные стили:

  • None - не применен,
  • Col - к столбцам,
  • Row - к строкам.

Если создать один стиль и выбрать Col или Row в переключателе Strip style, то стиль будет применен ко всей таблице.

Если создать два стиля и выбрать Col, то к нечетным столбцам будет применен первый стиль, к четным, соответственно - второй.

Export Data - Format-specific options - Excel - Data Format - Styles

Все инструменты, отвечающие за шрифт, находятся на вкладке Font:

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), подчеркивание (сплошное одинарное, не сплошное одинарное, сплошное двойное, не сплошное двойное), выравнивание текста по горизонтали и выравнивание текста по вертикали.

На вкладке Borders Вы можете задать толщину и вид границ ячеек.

Export Data - Format-specific options - Excel - Data Format - Fields - Borders

Если нажата одна из кнопок [image] [image] [image] [image] , значит соответствующая граница будет отображаться. Для верхней, нижней, правой и левой границы отдельная кнопка.

Из раскрывающихся списков выберите тип границы (одинарная, двойная, пунктирная и т.д.). Нажав на кнопку [image] , Вы можете задать для границы цвет.

На вкладке Fill Вы можете задать фоновый узор ячейки.

Export Data - Format-specific options - Excel - Data Format - Fields - Fill

Кнопка [image] отвечает за цвет фона.

Из раскрывающегося списка Вы выберите узор.

Кнопка [image] позволяет выбрать цвет узора

В окне, расположенном ниже, Вы можете видеть все изменения производимые с полем. Они отображаются на образце текста.

Кнопки Reset Item и Reset All позволяют отменить изменения для одного поля и для всех полей соответственно.


Расширения

Вкладка Extensions позволяет:

создавать ссылки в ячейках - объекты Hyperlinks,

создавать примечания для любой ячейки выходного файла - Notes,

задавать свойства диаграммы - Charts,

определять значение и тип ячейки - Cells,

указывать какие ячейки следует объединить - Merged Cells

Все эти объекты представлены в виде иерархического списка.

Чтобы создать объект необходимо нажать на кнопку iconPlus , чтобы удалить - на iconMinus .

Шаблоны


Ссылки

На этой вкладке Вы можете изменять параметры созданной гиперссылки.

Export Data - Format-specific options - Excel - Extensions - Hyperlinks

Важно: Если Вы создали гиперссылку, то её название, указанное в поле Title, заменит содержимое ячейки, для которой Вы её создали.

Свойства гиперссылки:

С помощью счетчиков Col и Row задайте ту ячейку, в которой будет находиться гиперссылка.

Col - номер столбца, Row - номер строки.

В разделе Style выберите тип ссылки:

RadioButton URL - адрес в интернете,

RadioButton Local file - файл на компьютере, на котором запущен SQL Manager for MySQL, или в локальной сети.

В поле Title укажите имя гиперссылки.

В поле Target задайте путь к файлу или web странице.

Кнопка [image] позволяет выбрать файл из имеющихся на компьютере или в локальной сети.


Примечания

Примечание представляет собой какие-либо замечания, относящиеся к ячейке и хранящиеся независимо от содержимого этой ячейки. Ячейки с примечаниями помечаются треугольником в правом верхнем углу. При наведении указателя на ячейку, помеченную таким образом, отображается примечание.

Для создания примечаний к ячейкам выходного файла на вкладке Extensions существует вкладка Notes.

Параметры каждого примечания Вы можете задать на вкладках Base, Font и Fill.

Export Data - Format-specific options - Excel - Extensions - Notes - Base

Вкладка Base

С помощью счетчиков Col и Row Вы можете задать ту ячейку, в которой будет находиться примечание. Col - номер столбца, Row - номер строки.

В поле Text пишете текст примечания.

Все инструменты, отвечающие за шрифт примечания, находятся на вкладке Font:

Export Data - Format-specific options - Excel - Extensions - Notes - Font

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), подчеркивание (сплошное одинарное, не сплошное одинарное, сплошное двойное, не сплошное двойное), выравнивание текста по горизонтали и выравнивание текста по вертикали.

В разделе Orientation выбирается ориентация текста в окне примечания.

На вкладке Fill Вы можете задать вид фона окна примечания.

Export Data - Format-specific options - Excel - Extensions - Notes - Fill

RadioButton Solid - фон однородный,

RadioButton Gradient - будет использован градиент фонового цвета,

  • Horizontal - горизонтальный,
  • Vertical - вертикальный,
  • Diagonal Up - диагональная_1,
  • Diagonal Down - диагональная_2,
  • From Corner - из угла,
  • From Center - от центра.

Кнопка [image] отвечает за цвет фона.

Кнопка [image] позволяет выбрать цвет узора.

Передвигая ползунок Transparency от отметки 0% до 100%, Вы можете задать степень прозрачности окна примечания. 100% - наибольшая степень прозрачности.


Диаграммы

Вы можете создать диаграмму в выходном файле Microsoft Excel.

Для этого на вкладке Extensions нужно создать объект Chart.

Export Data - Format-specific options - Excel - Extensions - Charts - Base

Основные свойства диаграммы можно задать на вкладке Base.

В поле Title укажите имя диаграммы.

Из раскрывающегося списка Style выберите тип диаграммы. Список состоит из стандартных типов диаграмм, таких как гистограмма, круговая, точечная и т.д.

В разделе Legend position укажите положение легенды:

RadioButton Bottom - под диаграммой,

RadioButton Corner - в углу,

RadioButton Top - над диаграммой,

RadioButton Right - справа от диаграммы,

RadioButton Left - слева от диаграммы.

CheckBox Если установлен флажок Show legend, то легенда будет отображаться.

CheckBox Если установлен Флажок Auto color, то на диаграмме каждая серия будет выделена своим цветом. Если не установлен, то все серии будут одного цвета.

На вкладке Position задается расположение диаграммы на листе.

Export Data - Format-specific options - Excel - Extensions - Charts - Position

RadioButton Автоматическое - Auto:

В разделе Placement указывается положение диаграммы относительно данных.

RadioButton Bottom - под данными,

RadioButton Right - справа от данных.

Ниже, с помощью счетчиков, указываются размер диаграммы и отступы сверху и слева в сантиметрах.

Left - расстояние до данных слева,

Top - расстояние до данных сверху,

Height - высота диаграммы,

Width - ширина диаграммы.

RadioButton В разделе Custom можно указать абсолютное положение диаграммы.

На вкладке Category Labels Вы можете указывать, в каких строках и столбцах строить диаграмму.

Из раскрывающегося списка Column выберите столбец таблицы, который будет являться осью X в диаграмме или с помощью счетчиков раздела Custom укажите диапазон ячеек.

Export Data - Format-specific options - Excel - Extensions - Charts - Category Labels

Для того, чтобы построить диаграмму, необходимо создать объект Series. Без него невозможно построить диаграмму.

Этот объект указывает на те значения, которые будут располагаться в диаграмме по оси Y.

Для одной диаграммы может быть создано несколько серий.

Свойства серий задаются на специальной вкладке:

Export Data - Format-specific options - Excel - Extensions - Series

Title - название серии,

Column - столбец таблицы, значения которого будут образовывать серию или с помощью счетчиков раздела Custom укажите диапазон ячеек.

Нажав на кнопку [image] , Вы можете задать для серии цвет.


Ячейки

На этой вкладке Вы можете задать формат ячейки и значение, которое в ней будет находиться.

Export Data - Format-specific options - Excel - Extensions - Cells

В счетчике Col укажите номер столбца, в Row - строки. На их пересечении будет находиться редактируемая ячейка.

Тип ячейки выберите из раскрывающегося списка Cell type. В поле Value задайте значение, которое будет находиться в этой ячейке.

В разделе Formats укажите, в каком виде будут отображаться данные, если они являются числовыми или датой.

В поле Data укажите вид, в котором должны отображаться данные типа дата и время, а в поле Numeric - укажите формат числовых значений.

Инструменты, располагающиеся на вкладках Font, Borders и Fill соответствуют инструментам на вкладке Fields.


Объединенные ячейки

С помощью набора инструментов раздела Merged Cells Вы можете объединить ячейки в выходном документе.

Export Data - Format-specific options - Excel - Extensions - Merged Cells

При необходимости можно создать несколько объединенных ячеек. Для этого на вкладке Extensions необходимо создать несколько объектов Merged Cells.

С помощью счетчиков задайте ячейки, которые необходимо объединить:

  • First col - первый столбец,
  • First row - первая строка,
  • Last col - последний столбец,
  • Last row - последняя строка.


Оформление страницы

На вкладке Advanced Вы можете задать общие свойства страницы:

Export Data - Format-specific options - Excel - Advanced

  • верхний колонтитул страницы - в поле Page header,
  • нижний колонтитул страницы - в поле Page footer,
  • название листа - в поле Sheet title,
  • фон страницы - с помощью раскрывающегося списка Page background.

CheckBox Если установлен флажок Calculate column width automatically, то ширина столбцов задается автоматически исходя, из размеров поля.

Шаблоны


Access

Если данные экспортируются в Access, то на пятом шаге необходимо будет указать опции таблицы. В поле Table name указать имя таблицы. Если не существует таблицы с таким именем, то её можно создать, установив флажок Create new table if it does not exist.

Export Data - Format-specific options - Access

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Word 97-2003 / RTF

При экспорте данных в документ Microsoft Word (*.doc) или Rich Text Format (*.rtf) можно указать следующие свойства выходного файла:

  • Базовые стили
  • Стили оформления строк

Export Data - Format-specific options - Word

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Базовые стили

На вкладке Base Styles Вы можете указать основные свойства выходного документа.

Из списка выберите объект, для которого необходимо задать свойства:

верхний колонтитул - HEADER,

заголовок - CAPTION,

нижний колонтитул - FOOTER,

ссылка - HYPERLINK.

В разделе Page orientation установите ориентацию страницы:

RadioButton Portrait - книжная,

RadioButton Landscape - альбомная.

Export Data - Format-specific options - Word - Base Styles

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), выравнивание текста по горизонтали и выравнивание текста по вертикали.

Кнопка [image] отвечает за цвет фона.

CheckBox Если установлен флажок Background, то цвет фона будет отображаться в выходном файле.

Кнопка [image] позволяет выбрать цвет, которым будет выделен текст.

CheckBox Если установлен флажок Highlight, то в выходном файле текст будет выделен указанным цветом.

В окне, расположенном ниже, Вы можете видеть все изменения производимые с полем. Они отображаются на образце текста.

Кнопки Reset Item и Reset All позволяют отменить изменения для одного объекта и для всех объектов соответственно.


Стили оформления строк

На вкладке Styles Вы можете создать собственный набор стилей, которые будут использоваться для оформления столбцов и строк.

С их помощью Вы можете оформить таблицу, задав различный цвет для столбцов или строк.

Export Data - Format-specific options - Word - Strip Styles

Чтобы создать стиль необходимо нажать на кнопку iconPlus , чтобы удалить - на iconMinus .

Менять порядок стилей можно с помощью кнопок btnMoveItemUp btnMoveItemDown .

При помощи следующих двух кнопок - Load Styles и Save styles - можно загрузить стили из файла и сохранить их в файл.

Переключатель Strip style определяет, как будут применены созданные стили:

  • None - не применен,
  • Col - к столбцам,
  • Row - к строкам.

Если создать один стиль и выбрать Col или Row в переключателе Strip style, то стиль будет применен ко всей таблице.

Если создать два стиля и выбрать Col, то к нечетным столбцам будет применен первый стиль, к четным, соответственно - второй.

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), выравнивание текста по горизонтали и выравнивание текста по вертикали.

Кнопка [image] отвечает за цвет фона.

CheckBox Если установлен флажок Background, то цвет фона будет отображаться в выходном файле.

Кнопка [image] позволяет выбрать цвет, которым будет выделен текст.

CheckBox Если установлен флажок Highlight, то в выходном файле текст будет выделен указанным цветом.

В окне, расположенном ниже, Вы можете видеть все изменения, производимые с полем. Они отображаются на образце текста.

Кнопки Reset Item и Reset All позволяют отменить изменения для одного стиля и для всех стилей соответственно.


HTML

Если Вы экспортируете данные в HTML, то для выходного файла Вы можете задать следующие характеристики:

  • оформление таблицы в выходном файле можно выбрать из предлагаемых форматов на вкладке Preview,
  • основные свойства выходного файла можно указать на вкладке Basic,
  • свойства многостраничного документа можно задать на вкладке Multi-file,
  • шрифт и формат ячеек таблицы укажите на вкладке Advanced.

Export Data - Format-specific options - HTML

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Автоформат

На вкладке Preview Вы можете задать внешний вид таблицы данных.

Из раскрывающегося списка Template можно выбрать уже готовый шаблон оформления документа. В окне предпросмотра показано, как будет выглядеть итоговая таблица, если к ней применить выбранный шаблон оформления.

Export Data - Format-specific options - HTML - Preview

Для того, чтобы изменить шаблон, достаточно нажать на любой элемент в окне предпросмотра. При нажатии на элемент появится стандартная палитра, из которой можно выбрать нужный цвет для этого элемента.

Можно изменять цвет текста, цвет фона и различных видов гиперссылок и т.д..

Внесенные изменения можно сохранить в виде шаблона с помощью кнопки Save template. В этом случае при следующем экспортировании Вы уже сможете воспользоваться готовым шаблоном, загрузив его с помощью кнопки Load template.


Базовые опции

Свойства выходного файла Вы можете задать на вкладке Basic.

Export Data - Format-specific options - HTML - Basic

Название выходного HTML файла указывается в поле Title. По умолчанию оно соответствует имени экспортируемого объекта.

В разделе Cascade style sheet options можно выбрать место хранения таблицы стилей:

RadioButton Internal - означает, что стили будут храниться в самом выходном HTML файле,

RadioButton External - для таблицы стилей будет создан отдельный файл формата *.css.

В поле CSS file name укажите имя CSS файла, а также выберите, куда его сохранить, с помощью кнопки EllipsisButton .

Если установлен флажок Overwrite CSS file if it exist, то при создании нового CSS файла существующий будет заменен новым.

CheckBox Установив флажок Export boolean fields as HTML check boxes, укажите, что все поля таблицы, которые имеют формат boolean, в выходном файле будут отображаться в виде флажков.


Многостраничный документ

SQL Manager for MySQL позволяет экспортировать таблицы, содержащие любое количество записей. Для того чтобы в выходном HTML файле было удобно просматривать таблицы с большим количеством записей при экспорте Вы можете указать, что выходной файл будет многостраничным, а также указать количество строк на каждой странице.

В разделе Multi-file export Вы можете задать параметры выходного многостраничного документа:

CheckBox Use Multi-file export. Установив этот флажок, укажите, что создаваемый HTML документ будет многостраничным, в счетчике Record(s) in a single file Вы устанавливаете, сколько записей будет содержаться на каждой странице.

CheckBox Если флажок Generate index установлен, то будет создана страница содержания, в которой будут ссылки на все страницы с данными. В поле пишете название страницы, которое будет отображаться в содержании рядом с номером страницы.

Export Data - Format-specific options - HTML - Multi-file

В многостраничном HTML документе должна существовать система перехода от одной страницы к другой, а также к содержанию.

Раздел Navigation становится активным только если выбрана опция Use multi-file export.

В разделе Navigation задайте свойства навигационных элементов управления, то есть тех, которые обеспечивают переход между страницами документа. Навигация по многостраничному документу обеспечивается с помощью ссылок, которые выстроены в одну строку. Эту строку можно поместить:

CheckBox вверху страницы - установив флажок On top,

CheckBox внизу страницы - установив флажок On bottom.

Далее в текстовых полях указывается текст ссылок:

  • Index link - текст ссылки на страницу содержания,
  • First link - текст ссылки на первую страницу с данными,
  • Prior link - текст ссылки на предыдущую страницу с данными,
  • Next link - текст ссылки на следующую страницу с данными,
  • Last link - текст ссылки на последнюю страницу с данными.


Оформление выходного файла

Как будет выглядеть выходной файл, можно задать с помощью инструментов на вкладке Advanced.

Export Data - Format-specific options - HTML - Advanced

В разделе Body options задаются свойства для всей страницы:

  • шрифт всех страниц выходного файла - Default font,
  • фон документа (с помощью кнопки EllipsisButton в качестве фона можно установить любое изображение) - Background,
  • Advanced attributes - внешние атрибуты страницы

В разделе Table Options Вы можете указать некоторые свойства таблицы данных, такие как:

  • отступ ячейки - счетчик Cell padding,
  • расстояние между ячейками - Cell spacing,
  • внешняя границы таблицы - Border
  • фон таблицы (с помощью кнопки EllipsisButton в качестве фона можно установить любое изображение) - Background,
  • Advanced attributes - внешние атрибуты таблицы.


PDF

Если данные будут экспортированы в файл формата PDF, то на этом шаге Вы можете указать следующие свойства:

Export Data - Format-specific options - PDF

Из списка выберите объект, для которого необходимо задать вид шрифта:

Header font - Верхний колонтитул

Caption font - Заголовок

Hyperlink - Ссылка

Footer font - Нижний колонтитул

Из раскрывающегося списка Base font name выберите нужный шрифт. Кодировку выберите из списка Font encoding.

В счетчике Font size укажите размер шрифта.

Кнопка Font color отвечает за цвет шрифта.

В поле, расположенном ниже, Вы можете видеть все изменения производимые с объектом. Они отображаются на образце текста "SAMPLE".

В разделе Page options можно задать свойства страницы.

Из раскрывающегося списка Page size выберите размер страницы. По умолчанию стоит размер А4.

Ширина страницы указывается в счетчике Width.

Высота - в счетчике Height.

В раскрывающемся списке Units содержатся единицы измерения, в которых указан размер страницы.

Из раскрывающегося списка Orientation выберите ориентацию страницы: (Portrait - книжная, Landscape - альбомная).

В разделе Margins можно задать размер полей страницы:

Left - левого,

Right - правого,

Top - верхнего,

Bottom - нижнего.

Grid options. В этом разделе можно задать некоторые свойства таблицы:

Col spacing - количество пробелов для выравнивания столбца,

Row spacing - количество пробелов для выравнивания строки,

Line width - толщина линий таблицы.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


TXT

Если данные будут экспортированы в файл формата TXT, то на этом шаге Вы можете указать следующие свойства:

CheckBox В выходном файле автоматически будет вычисляться ширина столбцов, если установить флажок Calculate column width,

расстояние между ячейками можно задать, используя счетчик Spacing.

Export Data - Format-specific options - TXT

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


CSV

Если данные будут экспортированы в файл формата CSV, то на этом шаге Вы можете указать следующие свойства:

CheckBox Если установлен флажок Quote strings, то строковые значения будут заключены в кавычки.

Export Data - Format-specific options - CSV

CheckBox Если установлен флажок Quote captions, то заголовки будут заключены в кавычки.

Из раскрывающегося списка Quote Вы можете выбрать вид кавычек - одинарные или двойные;

Из раскрывающегося списка Comma можно выбрать разделитель столбцов.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


XML

Если данные будут экспортированы в файл формата XML, то на этом шаге Вы можете указать следующие свойства:

кодировку - выбирается из раскрывающегося списка Encoding,

CheckBox флажок Standalone устанавливается в том случае, если необходимо создать автономный XML документ. (standalone="yes")

Из раскрывающегося списка XML type выберите используемый тип XML.

CheckBox Если выбран тип Access, то можно установить флажок Export XSD Schema, который позволит экспортировать и XSD схему.

Export Data - Format-specific options - XML

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Excel / ODS

Если данные будут экспортированы в файл формата Excel 2007 или ODS, то на этом шаге Вы можете параметры отображения текста.

Export Data - Format-specific options - Excel 2007 - Base Styles

Задавать параметры оформления стандартных разделов файла Вы можете на вкладке Base Style.

Изменять Вы можете следующие разделы:

  • HEADER - верхний колонтитул,
  • CAPTION - заголовок,
  • DATA - данные,
  • FOOTER - нижний колонтитул.

На вкладке Strip Styles задайте различный цвет для столбцов или строк.

Export Data - Format-specific options - Excel 2007 - Strip Styles

Чтобы создать стиль необходимо нажать на кнопку "+", чтобы удалить - на "-".

Менять порядок стилей можно с помощью кнопок btnMoveItemUp btnMoveItemDown .

При помощи следующих двух кнопок - Load Styles и Save styles - можно загрузить стили из файла и сохранить их в файл.

Переключатель Strip type определяет, как будут применены созданные стили:

  • None - не применен,
  • Col - к столбцам,
  • Row - к строкам.

Если создать один стиль и выбрать Col или Row в переключателе Strip style, то стиль будет применен ко всей таблице.

Если создать два стиля и выбрать Col, то к нечетным столбцам будет применен первый стиль, к четным, соответственно - второй.

Для каждого стиля, как стандартного, так и созданного, можно задавать следующие характеристики:

  • На вкладке Font задайте свойства шрифта редактируемого стиля.

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое) и выравнивание текста по горизонтали и выравнивание текста по вертикали.

CheckBox Если установлен флажок Background, то появляется специальная кнопка [image] , открывающая стандартное окно для выбора цвета. Нажав на кнопку Wrap text, укажите, что текст в ячейках будет переноситься по словам.

CheckBox Если хотите задать специальные параметры для границ ячеек, то установите флажок Use Border.

Нажав на кнопку [image] - Border Color, Вы можете задать для границы цвет. Из раскрывающегося списка Border Style выберите тип границы (одинарная, двойная, пунктирная и т.д.).

<<Предыдущий шаг

Следующий шаг>>


Word / ODT

Если данные будут экспортированы в файл формата Word 2007 или ODT, то на этом шаге Вы можете параметры отображения текста.

Export Data - Format-specific options - Word 2007 - Base Styles

Задавать параметры оформления стандартных разделов файла Вы можете на вкладке Base Style.

Изменять Вы можете следующие разделы:

  • HEADER - верхний колонтитул,
  • CAPTION - заголовок,
  • DATA - данные,
  • FOOTER - нижний колонтитул.

На вкладке Font задайте свойства шрифта редактируемого стиля.

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое) и выравнивание текста по горизонтали и выравнивание текста по вертикали.

CheckBox Если установлен флажок Background, то появляется специальная кнопка [image] , открывающая стандартное окно для выбора цвета.

CheckBox Если установлен флажок Highlight, то из раскрывающегося списка можно выбрать цвет, которым будет выделен текст.

На вкладке Strip Styles задайте различный цвет для столбцов или строк.

Export Data - Format-specific options - Word 2007 - Strip Styles

Чтобы создать стиль необходимо нажать на кнопку "+", чтобы удалить - на "-".

Менять порядок стилей можно с помощью кнопок btnMoveItemUp btnMoveItemDown .

При помощи следующих двух кнопок - Load Styles и Save styles - можно загрузить стили из файла и сохранить их в файл.

Переключатель Strip type определяет, как будут применены созданные стили:

RadioButton None - не применен,

RadioButton Col - к столбцам,

RadioButton Row - к строкам.

Если создать один стиль и выбрать Col или Row в переключателе Strip style, то стиль будет применен ко всей таблице.

Если создать два стиля и выбрать Col, то к нечетным столбцам будет применен первый стиль, к четным, соответственно - второй.

Для каждого стиля, как стандартного, так и созданного, можно задавать следующие характеристики:

На вкладке Border задайте параметры границы:

Export Data - Format-specific options - Word 2007 - Border

CheckBox Если хотите задать специальные параметры для границ ячеек, то установите флажок Use Border.

Нажав на кнопку [image] - Border Color, Вы можете задать для границы цвет. Из раскрывающегося списка Border Style выберите тип границы (одинарная, двойная, пунктирная и т.д.).

<<Предыдущий шаг

Следующий шаг>>


Задание общих опций экспорта

На последнем шаге у Вас есть возможность задать общие свойства экспорта данных.

Export Data - Setting common export options

CheckBox Export empty tables - установка этого флажка позволяет экспортировать пустую таблицу в файл.

Skip n records - Пропустить n записей. Если в счетчике стоит 0, то экспортированы будут все записи. Если же больше нуля, то первые n записей будут пропущены.

RadioButton Чтобы экспортировать все записи, установите Export all records.

RadioButton Export only n records - этот счетчик позволяет экспортировать только указанное количество записей.

CheckBox Чтобы открыть файл после экспорта, установите флажок Open file after export.

CheckBox Print file after export - установив этот флажок, Вы можете распечатать файл после экспорта.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Run, для начала выполнения операции.

Export Data - Exporting data

В этом окне отображается следующая информация об операции:

  • Exported - количество экспортированных записей,
  • Time - время, затраченное на экспортирование записей,
  • Speed - скорость экспорта данных.

Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.

<<Предыдущий шаг

Шаблоны


Мастер импорта данных

Мастер импорта данных - Import Data Wizard - позволяет импортировать данные в таблицу, представление или результат запроса из файлов самых распространенных форматов.

Импорт данных можно осуществлять только с помощью тех редакторов, в которых есть вкладка Data или Results. Это Редактор таблиц, Редактор представлений, Редактор запросов и Визуальный конструктор запросов.

Этот инструмент открывается с помощью кнопки [image] Import Data, располагающейся на навигационной панели Data Management и на панели инструментов.

Кнопка доступна, когда в редакторе открыт просмотрщик данных, то есть на вкладке Data или Results. Также эта команда присутствует в контекстном меню объектов таблицы и представления в проводнике баз данных в подменю пункта Data Manipulation.

Мастер состоит из следующих шагов:

Указание файла источника данных

Выбор источника данных

Указание соответствия полей

Настройка форматов данных

Определение форматов полей

Выбор метода импорта

Настройка общих опций

Выполнение операции

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер экспорта данных

Мастер экспорта в виде SQL скрипта

Мастер сохранения данных

Мастер загрузки данных

Экспорт в виде PHP страницы

Использование шаблонов


Указание файла источника данных

На первом шаге мастера импорта данных Вы должны указать тип файла, из которого будет импортироваться информация, и путь к этому файлу.

Import Data - Selecting source file name and format

Import type с помощью переключателя выберите тип файла из доступных:

RadioButton MS Excel

RadioButton MS Access

RadioButton DBF

RadioButton XML

RadioButton TXT

RadioButton CSV

RadioButton HTML

RadioButton XML Document

RadioButton MS Excel 2007

RadioButton MS Word 2007

RadioButton ODF Spreadsheets

RadioButton ODF Text

Для файла имеющего формат CSV можно указать дополнительные свойства:

  • Из раскрывающегося списка Quote Вы можете выбрать вид кавычек - одинарные или двойные,
  • из раскрывающегося списка Delimiter можно выбрать разделитель столбцов.

В строке Source file name укажите путь к файлу источнику. При нажатии на кнопку ExplorerButton открывается стандартное диалоговое окно позволяющее выбрать файл.

Следующий шаг>>

Шаблоны


Выбор источника данных

Этот шаг доступен только тогда, когда Вы импортируете данные из базы данных MS Access.

Import Data - Selecting data source

На этом шаге нужно выбрать таблицу или запрос базы данных Access, или в редакторе запросов создать новый запрос к базе данных. Текст запроса можно загрузить из файла, используя кнопку Load from file, и сохранить в файл при помощи кнопки Save to File.

Установив переключатель в пункт RadioButton I would like to import data from a table, Вы получаете возможность выбрать для импорта таблицу или запрос из базы данных.

Если переключатель установлен в пункт RadioButton I would like to import data from a SQL query, то в редакторе запросов можно создать текст запроса к базе данных.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Указание соответствия полей

При импорте данных в таблицу необходимо установить соответствие полей между таблицей, в которую данные будут импортироваться, и таблицей, из которой они импортируются.

Все операции по установлению этого соответствия проводятся на втором шаге (если импортируете данные из MS Access, то на третьем, так как существует дополнительный шаг).

Для каждого формата файлов существуют свои особенности установки соответствия полей:

Excel

Access, DBF, XML

TXT

CSV

HTML

XML Document

MS Excel 2007/ODF Spreadcheets

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Excel

На этом шаге необходимо установить соответствие между столбцами с данными в книге MS Excel и полями в таблице.

Import Data - Setting fields correspondence - Excel

В левой части, в списке Fields, отображается список полей таблицы, в которую импортируют данные. В правой части - фрагмент импортируемого документа MS Excel.

В списке Ranges показано соответствие, установленное между полями таблицы базы данных и столбцами таблицы Excel.

С помощью кнопок можно автоматически устанавливать это соответствие и удалять его.

Кнопка iconAutoFillColumns Auto Fill Cols - автоматически устанавливает соответствие между полями и столбцами.

Кнопка iconAutoFillRows Auto Fill Rows - автоматически устанавливает соответствие между полем и строкой.

Кнопка iconCross Clear Ranges - удаляет одно соответствие.

Кнопка iconClearAllRanges Clear All - удаляет все соответствия.

В разделе Skip можно указать строки и/или столбцы, которые не будут импортированы. Применяется для исключения заголовков из импортируемых данных.

В счетчике Col(s) укажите, сколько столбцов, начиная с первого, следует исключить. В счетчике Row(s) - сколько строк.

Объект в списке Range Type можно открыть для редактирования двойным щелчком мыши.

Import Data - Setting fields correspondence - Excel - Range

В разделе Range Type задайте тип диапазона.

Из раскрывающегося списка выберите, будет ли это диапазон строк (Row) или столбцов (Col). Затем из списка, расположенного рядом, выберите начало диапазона.

В разделах Start и Finish задайте параметры начала и конца редактируемого диапазона.

Это можно сделать автоматически, установив флажок Where data started для начала и Where data Finished для конца диапазона или вручную указать номер строки или столбца в счетчиках Start Row и Finish Row.

Выберите направление считывания данных с помощью переключателя Direction.

  • Down - вниз
  • Up - вверх

Также можно указать лист в книге Microsoft Excel, на котором располагаются нужные данные. Если в разделе Sheet выбрать Default Sheet, то будут использованы данные первого листа. Если установить переключатель в положение Custom Sheet, то можно указать нужный лист по номеру (Sheet number) или по имени (Sheet name).

<<Предыдущий шаг

Следующий шаг>>


Access, DBF, XML

Для форматов Access, DBF и XML этот шаг одинаков.

В списке Destination Fields отображаются поля таблицы, в которую импортируются данные.

В списке Source Fields - поля таблицы, из которой импортируют данные.

С помощью кнопок между списками устанавливаются соответствия между полями. Они отображаются в списке соответствий, располагающемся в нижней части формы.

Кнопка iconPlus Add добавляет в список соответствий новое соответствие между выделенными полями.

Кнопка iconAutoFillColumns Auto Fill позволяет автоматически подобрать полям таблицы, в которую импортируются данные соответствующие поля из таблицы источника данных.

Нажав на кнопку Remove, Вы удалите выделенное соответствие. Нажатие на кнопку Clear полностью очищает список соответствий.

При импорте данных из файла формата DBF появляется дополнительный флажок Skip deleted records. Установка этого флажка позволяет пропустить при импорте записи, помеченные на удаление.

Import Data - Setting fields correspondence - Access

<<Предыдущий шаг

Следующий шаг>>


TXT

На этом шаге необходимо установить соответствие между столбцами с данными в текстовом документе и полями в таблице.

Import Data - Setting fields correspondence - TXT

В левой части окна располагается список полей таблицы, в которую будут импортироваться данные. В этом же списке отображается соответствие полей таблицы и столбцов текстового документа.

В правой части - фрагмент текстового документа - источника данных.

В текстовом документе не существует такого понятия как поля или столбцы, поэтому в SQL Manager for MySQL при экспорте нужно вручную устанавливать разграничители столбцов для текстовых файлов. Разграничители представляют собой вертикальные черные линии, отделяющие один столбец от другого. Изначально в документе разгарничителей нет. Устанавливаются они с помощью двойного щелчка мыши на макете документа. Разграничители должны быть между столбцами, а также перед первым столбцом и после последнего. Размер столбца определяется количеством символов в нем. Для этого сверху и снизу макета документа предусмотрены линейки, на которых каждое деление соответствует символу.

Соответствие между столбцами устанавливается следующим образом:

В списке полей таблицы выбирается поле. В макете документа выбирается столбец. Если соответствие установлено, то рядом с названием поля появляются две цифры. Первая - это номер символа, с которого начинается столбец, вторая - количество символов в столбце.

Если хотите удалить все установленные соответствия, то нажмите кнопку Clear.

С помощью счетчика Skip Lines можно указать, сколько первых строк не учитывать при импорте. Таким образом, исключаются заголовки столбцов из импортируемых данных.

Из раскрывающегося списка Charset выберите кодировку.

<<Предыдущий шаг

Следующий шаг>>


CSV

Чтобы при импорте данных из файла формата CSV все столбцы данных корректно отображались на втором шаге необходимо на первом шаге правильно указать разделитель столбцов.

В левой части окна располагается список полей таблицы, в которую будут импортироваться данные. В этом же списке отображается соответствие полей таблицы и столбцов текстового документа.

В правой части - фрагмент документа CSV. Все столбцы в нем пронумерованы. Соответствие столбцов устанавливается по номеру столбца документа CSV.

Чтобы установить соответствие поля таблицы, куда импортируют данные, и столбца в документе-источнике данных необходимо выделить поле в списке полей и выделить столбец в макете документа CSV или выбрать нужный номер столбца из списка Col. Если связь установлена, то напротив названия поля появится номер столбца, который поставлен в соответствие с этим полем.

Import Data - Setting fields correspondence - CSV

Кнопка iconAutoFillColumns Auto Fill - автоматически устанавливает соответствие между полями и столбцами.

Кнопка iconCross Clear All - удаляет все соответствия.

Чтобы в импортируемые данные не попали заголовки столбцов можно указать число первых строк, которые при импорте будут пропущены. Сделайте это с помощью счетчика Skip.

<<Предыдущий шаг

Следующий шаг>>


HTML

На этом шаге необходимо установить соответствие между столбцами с данными в таблице HTML файла и полями в таблице базы данных.

Import Data - Setting fields correspondence - HTML

В левой части, в списке Fields, отображается список полей таблицы, в которую импортируют данные. В правой части - фрагмент импортируемого документа.

В списке Ranges показано соответствие, установленное между полями таблицы базы данных и столбцами таблицы Excel.

С помощью кнопок можно автоматически устанавливать это соответствие и удалять его:

Кнопка iconAutoFillColumns Auto Fill - автоматически устанавливает соответствие между полями и столбцами,

Кнопка iconCross Clear - удаляет одно соответствие,

Кнопка iconClearAllRanges Clear All - удаляет все соответствия.

Из раскрывающегося списка Table выберите номер таблицы, из которой хотите импортировать данные. Это сделано на тот случай, если в HTML документе не одна таблица, а несколько.

В счетчике Col укажите номер столбца, который соответствует выбранному полю таблицы базы данных.

В разделе Skip можно указать строки и/или столбцы, которые не будут импортированы. Применяется для исключения заголовков из импортируемых данных.

В нижней части формы представлена таблица с данными того документа, из которого импортируются данные.

<<Предыдущий шаг

Следующий шаг>>


XML Document

На этом шаге необходимо установить соответствие между столбцами с данными в документе XML и полями в таблице.

Import Data - Setting fields correspondence - XML Document

В левой части, в списке Fields, отображается список полей таблицы, в которую импортируют данные. В правой части - фрагмент импортируемого документа XML Document.

С помощью кнопок можно автоматически устанавливать это соответствие и удалять его:

Кнопка iconAutoFillColumns Auto Fill - автоматически устанавливает соответствие между полями и столбцами,

Кнопка iconCross Clear - удаляет одно соответствие,

Кнопка iconClearAllRanges Clear All - удаляет все соответствия.

В разделе Skip можно указать строки и/или столбцы, которые не будут импортированы. Применяется для исключения заголовков из импортируемых данных.

В счетчике Col(s) укажите, сколько столбцов, начиная с первого, следует исключить. В счетчике Row(s) - сколько строк.

Чтобы заполнить таблицу на форме текстом соответствующих подузлов необходимо в поле XPath указать путь в формате XML и нажать на кнопку iconAutoFillColumns Fill Grid

В нижней части формы представлена таблица с данными того документа, из которого импортируются данные.

<<Предыдущий шаг

Следующий шаг>>


MS Excel 2007/ODF Spreadcheets

На этом шаге необходимо установить соответствие между столбцами с данными документа и полями в таблице базы данных.

Import Data - Setting fields correspondence - MS Excel and Word 2007, ODF

В левой части, в списке Fields, отображается список полей таблицы, в которую импортируют данные. В правой части - фрагмент импортируемого документа.

С помощью кнопок можно автоматически устанавливать это соответствие и удалять его:

Кнопка iconAutoFillColumns Auto Fill - автоматически устанавливает соответствие между полями и столбцами,

Кнопка iconCross Clear - удаляет одно соответствие,

Кнопка iconClearAllRanges Clear All - удаляет все соответствия.

В поле Col укажите название столбца, который соответствует выбранному полю таблицы базы данных.

В разделе Skip можно указать строки, которые не будут импортированы. Применяется для исключения заголовков из импортируемых данных.

В нижней части формы представлена таблица с данными того документа, из которого импортируются данные.

<<Предыдущий шаг

Следующий шаг>>


Настройка форматов данных

На этом шаге необходимо указать вид представления данных для импортируемого файла. Этот вид должен соответствовать представлению данных в том файле, куда эти данные импортируются.

Import Data - Adjusting data formats

Date & Time formats в этом разделе задаются форматы для отображения даты и времени.

  • Short date - Дата (кратко)
  • Long date - Дата (расширено)
  • Short time - Время (кратко)
  • Long time - Время (расширено)

В разделе Separators указываются символы, которые будут являться разделителями десятичных разрядов.

  • Decimal - Десятки
  • Thousand - Тысячи
  • Date - Дата
  • Time - Время

Boolean True - в это поле вводится текст, который отображается, если значение в ячейке "истина" (значение будет "истина" при совпадении данных в документе и в этом поле),

Boolean False в этом поле водится текст, который отображается, если значение в ячейке "ложь",

Null Values в этом поле водится текст, который отображается, если значение в ячейке NULL

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Определение форматов полей

На этом шаге Вы можете выбрать из списка Field name поле и указать в разделе Formats набор свойств, определяющих формат этого поля.

Import Data - Setting advanced field formats

Generator value - генератор значений. Если поле, в которое импортируются данные, имеет тип Identity, то генератор не будет работать.

Generator Step - в этом поле задайте интервал генератора значений.

Constant value - в это поле вводится значение, которое заменяет все значения в столбце.

Null value - значение, которое устанавливается в ячейке, если значение после импорта в ней остается Null,

В поле Default Value указываете значение по умолчанию.

В поле Left quotation задаете левую кавычку, в поле Right quotation - правую.

Quotation action действие, которое выполняется с кавычками, в которые изначально заключены данные:

  • As Is - кавычки будут оставлены без изменения,
  • Add - будут добавлены кавычки,
  • Remove - будут удалены кавычки, используемые в исходном файле.

Из раскрывающегося списка Character case - выберите регистр текстовых данных.

Из раскрывающегося списка Charset - выберите кодировку.

На этом шаге мастера есть возможность в процессе импорта данных заменить некоторые значения в поле другими значениями.

Замены задаются в разделе Replacement.

Замен текста для столбца можно создать несколько. С помощью кнопки iconPlus Add Replacement Вы можете добавить новый параметр замены. Все параметры отображаются в списке, где в столбце Text to find находятся те значения текста, которые необходимо заменить, в столбце Replace With - текст которым надо заменить указанные фрагменты. Если установлен флажок Ignore case, то замена будет произведена без учета регистра. С помощью кнопки [image] Edit Replacement можно редактировать условие замены. Кнопка iconMinus Delete Replacement удаляет условие замены.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Выбор метода импорта

Переключатель Import mode позволяет задать те записи, которые будут импортироваться в таблицу.

RadioButton Insert all - вставить все записи,

RadioButton Insert new - вставить только новые записи,

RadioButton Update - обновить записи,

RadioButton Update or insert - обновить существующие и вставить новые записи,

RadioButton Delete - удалить те записи, где совпадает значение в поле, выбранном в качестве ключевого,

RadioButton Delete or insert - удалить совпадающие записи и вставить новые,

Import Data - Setting import mode

С помощью переключателя Import type укажите тип импорта:

RadioButton Single commands - построчная вставка,

RadioButton Universal mode - универсальный режим,

RadioButton Batch insert - пакетный режим вставки.

В разделе Key columns выберите ключевое поле, по которому сравниваются поля таблицы и файла источника данных.

Из списка Available columns выберите доступные поля и с помощью кнопок переместите их в список ключевых полей - Selected columns.

Таблица в базе данных | Данные из внешнего файла
Import Data - Setting import mode - Destination Table | Import Data - Setting import mode - Source Table

В качестве ключевого поля выбрано поле ID. Для режима Insert All выбирать ключевое поле не требуется.

Insert all | Insert new | Update | Update or insert | Delete | Delete or insert
Import Data - Setting import mode - Result - Insert All | Import Data - Setting import mode - Result - Insert new | Import Data - Setting import mode - Result - Update | Import Data - Setting import mode - Result - Update or insert | Import Data - Setting import mode - Result - Delete | Import Data - Setting import mode - Result - Delete or insert

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Настройка общих опций

В разделе Commit задайте параметры фиксации транзакции:

RadioButton Commit when done - фиксировать транзакцию после выполнения импорта,

RadioButton Commit after each block - фиксировать транзакцию после каждого блока. Применяется для больших таблиц. Количество записей в блоке указывается в счетчике Block size,

RadioButton Commit changes manually - автоматическая фиксация транзакции не производится (должна быть выполнена вручную).

В разделе Record count Вы можете задать количество импортируемых записей.

Выберите пункт RadioButton Import all records, чтобы импортировать сразу все записи, или в счетчике RadioButton Import only n records задайте их количество.

Import Data - Customizing common options

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Run, для начала выполнения операции.

Import Data - Importing data

В этом окне отображается следующая информация об операции:

  • Inserted - количество импортированных записей,
  • Updated - количество обновленных записей,
  • Deleted - число удаленных записей,
  • Errors - отображает число возникших при импорте ошибок,
  • Committed - число зафиксированных записей,
  • Time - время, затраченное на импортирование записей.

В процессе выполнения импорта ведется журнал операций, который позволяет пользователю просматривать операции и ошибки (если возникают).

Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.

<<Предыдущий шаг

Шаблоны


Мастер экспорта в виде SQL скрипта

Экспорт в виде SQL скрипта можно осуществлять только из тех инструментов, где есть вкладка Data или Results. Это Редактор таблиц, Редактор представлений, Редактор запросов и Визуальный конструктор запросов.

Этот инструмент открывается с помощью кнопки [image] Export as SQL script, располагающейся на навигационной панели Data Management и на панели инструментов.

Кнопка доступна, когда в редакторе открыт просмотрщик данных, то есть на вкладке Data или Results. Также эта команда присутствует в контекстном меню объектов таблицы и представления в проводнике баз данных и содержится в подменю пункта Data Manipulation.

Мастер состоит из следующих шагов:

Задание типа назначенного сервера

Указание имени файла назначения

Выбор метода экспорта полей типа BLOB

Выбор полей для экспорта

Настройка опций экспорта

Редактирование итогового SQL скрипта

Выполнение операции

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер экспорта данных

Мастер импорта данных

Мастер сохранения данных

Мастер загрузки данных

Экспорт в виде PHP страницы

Использование шаблонов


Задание типа назначенного сервера

На первом шаге необходимо выбрать сервер назначения. Скрипт будет генерироваться в формате, совместимом с выбранным типом сервера.

Export as SQL Script - Defining type of destination server

Допустимые типы серверов:

RadioButton DB2

RadioButton InterBase/Firebird

RadioButton MS SQL

RadioButton MySQL

RadioButton Oracle

RadioButton PostgreSQL

Если установлен флажок Add CREATE TABLE statement, то в скрипт будет добавлена инструкция CREATE TABLE, которая генерируется в соответствии с синтаксисом выбранного типа сервера.

Следующий шаг>>


Указание имени файла назначения

На втором шаге необходимо задать имя файла генерируемого скрипта и место его хранения.

Export as SQL Script - Setting destination file name

Укажите в разделе Script destination, будет ли созданный скрипт открыт в редакторе SQL запросов или сразу сохранен в файл:

RadioButton Automatically load to Script Editor - созданный скрипт открывается в редакторе SQL запросов,

RadioButton Save to file - созданный скрипт сохранится в файл. Имя и адрес файла укажите в поле File name. Можно выбрать файл с помощью стандартного диалогового окна, открывающегося по нажатию кнопки btnSaveAs.

В поле Table name (as it will be represented in the script file) укажите имя таблицы, которая будет создаваться с помощью этого скрипта. Имя схемы, в которой будет создаваться таблица, укажите в поле Schema name (as it will be represented in the script file, if need). Поле Schema name доступно только при генерации скрипта для СУБД, в которых имеется этот тип объектов.

<<Предыдущий шаг

Следующий шаг>>


Выбор метода экспорта полей типа BLOB

На этом шаге Вы можете задать способ экспорта полей типа BLOB.

Export as SQL Script - Setting BLOB options

RadioButton Если выберите пункт Don't extract BLOB fields, то поля типа BLOB не будут экспортированы.

RadioButton Extract BLOB fields as strings - при выборе этого пункта поля типа BLOB будут экспортированы в виде строк.

RadioButton Можно экспортировать поля этих типов в файл, выбрав пункт Extract BLOB fields into file. Опция доступна для серверов DB2, InterBase/Firebird, SQL Server, Oracle.

Для файла, в который будут экспортированы эти поля, можно задать следующие свойства:

  • имя файла и путь к нему указываются в поле File name. Можно выбрать файл с помощью стандартного диалогового окна, открывающегося по нажатию кнопки btnSaveAs,
  • CheckBox создаваемый файл можно сжать, для этого устанавливаете флажок Compress file,
  • способ сжатия выбирается из раскрывающегося списка Compression. Способов сжатия предложено четыре: без сжатия - None, быстрое сжатие - Fastest, сжатие по умолчанию - Default и наилучшее сжатие - Best.

Важно: В случае сохранения полей типа BLOB в файл, восстановить такие данные можно только с помощью Редактора SQL скриптов.

<<Предыдущий шаг

Следующий шаг>>


Выбор полей для экспорта

На этом шаге Вам необходимо из списка всех полей таблицы или представления выбрать те, которые Вы хотите экспортировать.

Export as SQL Script - Selecting fields to export

Из списка Available Fields выберите доступные поля и с помощью кнопок переместите их в список экспортируемых полей - Selected fields. Если не выбрать ни одного поля, то по умолчанию будут экспортированы все поля.

<<Предыдущий шаг

Следующий шаг>>


Настройка опций экспорта

На этом шаге настраиваются общие свойства экспорта.

Export as SQL Script - Setting export options

CheckBox Чтобы в тексте скрипта заменить непечатаемые символы пробелами установите флажок Replace non-print characters in strings with spaces.

CheckBox Quote identifiers - в текст скрипта переносить символы кавычек.

В разделе Data options укажите параметры фиксации транзакции.

Если установлен флажок CheckBox Insert COMMIT after each block, то после указанного в счетчике Records in a block числа записей транзакция будет фиксироваться.

<<Предыдущий шаг

Следующий шаг>>


Редактирование итогового SQL скрипта

На этом шаге Вы можете просмотреть и отредактировать создаваемый SQL скрипт в редакторе запросов.

Export as SQL Script - Editing table definition

Этот шаг становится доступным только если на первом шаге установить флажок Add CREATE TABLE statement.

<<Предыдущий шаг

Следующий шаг>>


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Run, для начала выполнения операции.

В строке состояния, расположенной в верхней части, в процентах отображается ход выполнения операции.

Export as SQL Script - Exporting as SQL Script

В основной части формы показаны все производимые действия и результат их выполнения.

Если хотите сразу открыть полученный скрипт в редакторе SQL скриптов, то установите флажок Load generated script into Script Editor.

Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.

<<Предыдущий шаг


Мастер сохранения данных

С помощью Мастера сохранения данных Вы можете сохранить данные таблицы в файл, расположенный на сервере или на компьютере клиента. Сохранение выполняется с использованием команды SELECT ... INTO OUTFILE.

Сохранение данных можно осуществлять только из тех редакторов, где есть вкладка Data или Results. Это Редактор таблиц, Редактор представлений, Редактор запросов и Визуальный конструктор запросов.

Этот инструмент открывается с помощью кнопки [image] Save Data, располагающейся на навигационной панели Data Management и на панели инструментов.

Кнопка доступна, когда в редакторе открыт просмотрщик данных, то есть на вкладке Data или Results.

Также эта команда присутствует в контекстном меню объектов таблицы и представления в проводнике баз данных и в подменю пункта Data Manipulation.

Мастер состоит из следующих шагов:

Выбор файла

Выбор полей

Настройка назначенного файла

Выполнение операции

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер экспорта данных

Мастер импорта данных

Мастер экспорта в виде SQL скрипта

Мастер загрузки данных

Экспорт в виде PHP страницы

Использование шаблонов


Выбор файла

На первом шаге мастера сохранения данных Вы должны указать тип файла, в который будет выгружаться информация, и путь к этому файлу.

Save Data Wizard - Setting destination file name

В строке Data file name укажите путь к файлу данных.

Файл сохраняется на сервере.

Следующий шаг>>


Выбор полей

На этом шаге Вам необходимо из списка всех полей таблицы или представления выбрать те, данные из которых Вы хотите загрузить в файл.

Save Data Wizard - Selecting fields for saving

Из списка Available Fields выберите доступные поля и с помощью кнопок переместите их в список выгружаемых полей - Included fields. Если не выбрать ни одного поля, то по умолчанию будут выгружены данные из всех полей.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Настройка назначенного файла

На этом шаге задайте параметры текстового файла, в который будет производиться загрузка данных.

Save Data Wizard - Specifying data format parameters

Для файла необходимо указать следующие параметры:

Разделитель полей - Fields terminated by.

Кавычки, в которые заключено поле, укажите в поле Fields enclosed by.

CheckBox Если установить флажок Optionally, то в кавычки будут заключены только поля, имеющие тип CHAR и VARCHAR.

В поле Fields escaped by можно задать набор символов, который будет обозначать непечатные символы.

В поле Lines starting by задайте символы с которых начинаются строки.

В поле Lines terminated задайте набор символов, служащий для разделения строк.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Run, для начала выполнения операции.

В строке состояния, расположенной в верхней части, в процентах отображается ход выполнения операции.

Save Data Wizard - Saving data

В основной части окна показаны все производимые действия и результат их выполнения.

CheckBox Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.

<<Предыдущий шаг


Мастер загрузки данных

Мастер загрузки данных - Load Data Wizard - позволяет загрузить данные из текстового файла и вставить их в таблицу, используя команду LOAD DATA INFILE.

Загрузку данных можно осуществлять только для тех редакторов, где есть вкладка Data или Results. Это Редактор таблиц, Редактор представлений, Редактор запросов и Визуальный конструктор запросов.

Этот инструмент открывается с помощью кнопки [image] Load Data, располагающейся на навигационной панели Data Management и на панели инструментов.

Кнопка доступна, когда в редакторе открыт просмотрщик данных, то есть на вкладке Data или Results.

Также эта команда присутствует в контекстном меню объектов таблицы и представления в проводнике баз данных и в подменю пункта Data Manipulation.

Мастер состоит из следующих шагов:

Выбор источника данных

Задание основных параметров

Выбор полей

Задание форматов данных

Выполнение операции

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер экспорта данных

Мастер импорта данных

Мастер экспорта в виде SQL скрипта

Мастер сохранения данных

Экспорт в виде PHP страницы

Использование шаблонов


Выбор источника данных

На первом шаге мастера загрузки данных Вы должны указать тип файла, из которого будет загружаться информация, и путь к этому файлу.

Load Data Wizard - Setting source file name

В разделе необходимо выбрать тип файла источника данных - RadioButton Text file или RadioButton XML file.

В строке Data file name укажите путь к файлу источнику. При нажатии на кнопку ExplorerButton открывается стандартное диалоговое окно позволяющее выбрать файл.

В разделе Data file location выберите местонахождение источника данных:

  • On server - на сервере,
  • On client - на клиентском компьютере.

Следующий шаг>>

Шаблоны


Задание основных параметров

В разделе Loading priority задайте приоритет загрузки.

Load Data Wizard - Selecting processing parameters

RadioButton Если установлен Not specified, то приоритет программа устанавливает автоматически.

RadioButton Low priority - пока пользователи выполняют какие-либо операции с таблицей загрузка данных не будет производиться.

RadioButton Concurrent - Если выбрать этот тип приоритета загрузки, то при загрузке данных можно работать с таблицей.

Далее необходимо выбрать поведение при совпадении значений в ключевых полях.

RadioButton Default processing - в этом случае при возникшем совпадении значений прекращается загрузка данных в таблицу,

RadioButton Replace - если выбран этот пункт, то при совпадении значения в строке таблицы заменяются новыми,

RadioButton Ignore - в этом случае значения в строках не меняются на новые.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Выбор полей

На этом шаге Вам необходимо из списка всех полей таблицы или представления выбрать те, в которые Вы хотите загрузить данные.

Load Data Wizard - Selecting fields for loading

Из списка Available Fields выберите поля таблицы и с помощью кнопок переместите их в список полей, в которые будут загружаться данные - Selected fields. Если не выбрать ни одного поля, то по умолчанию будут выбраны все поля.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Задание форматов данных

На этом шаге задайте параметры текстового файла, из которого будет производиться загрузка данных.

Load Data Wizard - Specifying data format parameters

Количество строк, которые не нужно переносить в таблицу задайте в поле Ignore lines count.

Character set - набор символов.

Fields terminated by - Разделитель полей.

Fields enclosed by - кавычки, в которые заключено поле, укажите в поле.

Если установить флажок Optionally, то в кавычки будут заключены только поля, имеющие тип CHAR и VARCHAR.

Если в исходном файле имеются непечатные символы, то в поле Fields escaped by можно задать набор символов, который будет обозначать непечатные символы.

В поле Lines terminated by задайте набор символов, служащий для разделения строк.

Если на шаге Выбор источника данных тип файла был указан XML, то для него на этом шаге можно будет задать следующий параметры.

Load Data Wizard - Specifying data format parameters_XML

Количество строк, которые не нужно переносить в таблицу задайте в поле Ignore lines count.

Character set - набор символов.

Row identifier - идентификатор строки.

Set Expression

Поля, которые не были выбраны на шаге Выбор полей отображаются на вкладке Set Expression.

Load Data Wizard - Specifying data format parameters_SetExpression

Для каждого поля можно задать выражение, используемое для вычисления значения, которое будет вставлено в таблицу. Синтаксис выражения соответствует синтаксису конструкции "SET col_name = expr,..." оператора LOAD DATA.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Run, для начала выполнения операции.

В строке состояния, расположенной в верхней части, в процентах отображается ход выполнения операции.

Load Data Wizard - Loading data

В основной части окна от отображаются все производимые действия и результат их выполнения.

CheckBox Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.

<<Предыдущий шаг


Мастер экспорта в виде PHP страницы

Мастер экспорта в виде PHP - Export as php page - создает PHP скрипт, который при запуске позволяет подключиться к текущей базе, отображать данные выбранной таблицы, а также предоставляет формы и процедуры для изменения добавления и удаления данных.

Экспорт данных в виде PHP можно осуществлять только из тех редакторов, где есть вкладка Data или Results. Это Редактор таблиц, Редактор представлений, Редактор запросов и Визуальный конструктор запросов.

Этот инструмент открывается с помощью кнопки [image] Export as php page, располагающейся на навигационной панели Data Management и на панели инструментов.

Кнопка доступна, когда в редакторе открыт просмотрщик данных, то есть на вкладке Data или Results.

Также эта команда присутствует в контекстном меню таблиц и представлений в проводнике баз данных и в подменю пункта Data Manipulation контекстного меню сетки данных.

Мастер состоит из следующих шагов:

Задание выходного файла

Выбор экспортируемых полей

Задание параметров создаваемого php файла

Задание колонтитулов выходного файла

Выполнение операции

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер экспорта данных

Мастер импорта данных

Мастер экспорта в виде SQL скрипта

Мастер сохранения данных

Мастер загрузки данных

Использование шаблонов


Задание выходного файла

На первом шаге, в поле Destination file name необходимо указать имя выходного файла и путь к нему.

Export as php page - Specify destination php file name

Следующий шаг>>


Выбор экспортируемых полей

На этом шаге Вам необходимо из списка всех полей таблицы или представления выбрать те, которые Вы хотите экспортировать.

Export as php page - Select fields for exporting

Из списка Available Fields выберите доступные поля и с помощью кнопок переместите их в список экспортируемых полей - Included fields. Если не выбрать ни одного поля, то по умолчанию будут экспортированы все поля.

<<Предыдущий шаг

Следующий шаг>>


Задание параметров создаваемого php файла

На этом шаге задайте параметры создаваемого php файла.

Export as php page - Adjust formats - PHP

PHP Options

Records per page

Количество записей, отображающихся на одной странице.

Page range

Ссылки на страницы, расположенные в верхней и нижней части, можно группировать. В поле Page range указывается количество страниц в группе.

Например, при Page range = 4, номера страниц будут группироваться следующим образом: 1,2,3,4 5...8, 9...12 и т.д.

Show page navigation

Выберите расположение кнопок навигации на страницах.

RadioButton On top and bottom - вверху и внизу страницы

RadioButton On top only - только вверху

RadioButton On bottom only - только внизу

RadioButton Never - не отображать кнопки навигации

Table functions

В этом разделе выберите действия, которые можно будет выполнить с таблицей базы данных через форму, генерируемую в PHP файле.

CheckBox Viewing records - просмотр записей таблицы.

CheckBox Adding records - добавление записей в таблицу.

CheckBox Editing records - редактирование записей в таблице.

CheckBox Deleting records - удаление записей из таблицы.

Security options

Export as php page - Adjust formats - Security

Способ задания параметров доступа к базе данных (логин, пароль) в генерируемом скрипте.

RadioButton No security - указанные в разделе Connection to database параметры (Login и Password) доступа сохраняются в скрипт.

RadioButton Use MySQL server authorization - при выполнении скрипта будет появляться форма для ввода параметров авторизации MySQL.

RadioButton Use PHP Page authorization - для доступа к PHP странице необходимо указать параметры авторизации в разделе PHP Page Authorization. В полях Login, Password и Confirm password задаются логин и пароль. Параметры авторизации MySQL будут сохранены в генерируемом скрипте.

На вкладке Preview Вы можете задать внешний вид таблицы данных.

Из раскрывающегося списка Template можно выбрать уже готовый шаблон оформления документа. В окне предпросмотра показано, как будет выглядеть итоговая таблица, если к ней применить выбранный шаблон оформления.

Export as php page - Adjust formats - Preview

Для того, чтобы изменить шаблон, достаточно нажать на любой элемент в окне предпросмотра. При нажатии на элемент появится стандартная палитра, из которой можно выбрать нужный цвет для этого элемента.

Можно изменять цвет текста, цвет фона и различных видов гиперссылок.

Внесенные изменения можно сохранить в виде шаблона с помощью кнопки Save template. В этом случае при следующем экспортировании Вы уже сможете воспользоваться готовым шаблоном, загрузив его с помощью кнопки Load template.

Localization

Export as php page - Adjust formats - Localization

На этой вкладке можно изменить названия элементов управления, отображаемых на сгенерированной PHP странице.

<<Предыдущий шаг

Следующий шаг>>


Задание колонтитулов выходного файла

На этом шаге можно задать текст, который будет отображаться в верхнем и нижнем колонтитулах генерируемого файла.

Export as php page - Define headers and footers

Header text - текст верхнего колонтитула.

Footer text - текст нижнего колонтитула.

<<Предыдущий шаг

Следующий шаг>>


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Run, для начала выполнения операции.

Export as php page - Run

Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.

<<Предыдущий шаг

Шаблоны


Инструменты базы данных

SQL Manager for MySQL располагает набором инструментов, которые позволяют работать с базами данных.

Общие инструменты

Специальные инструменты

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты сервера

Обеспечение безопасности

Настройки

Внешние инструменты

Как...


Общие инструменты

Дерево зависимостей

Позволяет представить зависимости объектов в виде диаграммы.

Визуальный конструктор баз данных

Позволяет создавать графическое представление базы данных.

Редактор SQL скриптов

Позволяет создавать и выполнять SQL скрипты.

Мастер извлечения баз данных

Извлекает метаданные таблиц в SQL скрипт, который потом может быть выполнен на другой машине, чтобы восстановить структуру базы данных.

Печать метаданных

Создает отчет по метаданным базы данных.

Мастер создания HTML отчетов

Создает отчет по метаданным базы данных в формате HTML.

Работа с отчетами

Набор инструментов, позволяющий создавать и печатать отчеты.

Монитор SQL

Отображает все SQL операции, выполненные в течение одной сессии работы SQL Manager for MySQL.

Поиск по метаданным

Позволяет найти некоторое сочетание символов в тексте метаданных базы данных.

Смотрите также:

Специальные инструменты


Дерево зависимостей

Этот инструмент позволяет просматривать зависимости всех объектов в виде диаграммы.

В главном окне этого инструмента отображается зависимость объектов, представленная в виде дерева.

Чтобы открыть Дерево зависимостей, выберите пункт главного меню Tools | Dependency Tree.

Все основные инструменты для работы с объектами и диаграммой зависимости располагаются на панелях инструментов и в контекстном меню.

Чтобы просмотреть зависимость объекта его необходимо выбрать. Сделать это можно одним из этих способов:

  • нажать на кнопку Select object на навигационной панели,
  • перетащить объект из окна проводника баз данных в главное окно дерева зависимостей.

Выбранный объект, являющийся главным, отличается от остальных цветом рамки. У него она синего цвета, у всех остальных - черного. Зависимости между объектами показаны стрелочками. Если на объекте, представленном в диаграмме зависимостей, щелкнуть мышкой, то он становится главным и все зависимости отображаются для него. Чтобы просмотреть информацию по предыдущему объекту нужно на навигационной панели, на панели инструментов или в контекстном меню выбрать пункт Previous object.

В диаграмме зависимостей существует возможность отображать и скрывать зависимые подобъекты.

Делается это с помощью кнопки Hide subobjects на панелях инструментов.

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Управление объектами базы данных


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Навигационная панель

Dependency Tree - Using Navigation bar

Database

iconDB выбрать базу данных.

General

iconRefresh Refresh - обновить содержимое редактируемого объекта

iconPrint Print - печатать метаданные объекта

iconPrintSetup Print setup - настройки печати

iconSaveAsPicture Save as image - сохранить диаграмму как изображение

iconShowSQLHelp Show SQL help - показать справку по MySQL

Object

Previous object - просмотреть зависимости предыдущего объекта

Next object - просмотреть зависимости следующего объекта

Select object - выбрать объект

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Контекстное меню

Открывается при нажатии правой кнопкой мыши в любой точке диаграммы зависимостей.

iconRefresh Refresh - обновить содержимое редактируемого объекта

Previous object - просмотреть зависимости предыдущего объекта

Next object - просмотреть зависимости следующего объекта

Select object - выбрать объект


Визуальный конструктор баз данных

Визуальный конструктор баз данных предназначен для визуального представления баз данных, объектов баз данных и связей между ними. Также он позволяет создавать, редактировать и удалять таблицы и поля таблицы и устанавливать отношения между таблицами.

Чтобы открыть конструктор выберите пункт Tools | btnDependencyTree Visual Database Designer главного меню программы.

Использование панелей инструментов

Перемещение по диаграмме

Добавление объектов

Создание связей

Работа с несколькими страницами

Реконструирование

Печать диаграммы

Сохранить/загрузить диаграмму

Настройка диаграммы

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Управление объектами


Панели инструментов

Навигационная панель

VDBD - Using Navigation bar

Database

iconDB выбрать базу данных.

File

iconNew New diagram - создать новую диаграмму

iconLoadFromFile Open diagram - открыть существующую диаграмму

iconSaveToFile Save diagram - сохранить диаграмму

iconSaveToFileAs Save diagram as - сохранить диаграмму как

Navigator

В окне навигатора уменьшенный макет диаграммы для удобного перемещения по ней.

General

iconRefresh Refresh - обновить диаграмму

iconProperties Print setup - настройки печати

iconPrint Print - печатать диаграмму

iconPreview Print Preview - предварительный просмотр

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна

iconOptions Diagram options - задать свойства диаграммы

Pages

New Page - создать новую страницу в диаграмме

Delete Page - удалить активную страницу диаграммы

Delete all - удалить все страницы диаграммы

На панели Database Objects:

VDBD - Database Objects pane

На панели отображается список элементов, которые могут быть помещены в диаграмму.

Нажатие правой кнопкой на списке вызывает контекстное меню. С помощью этого меню можно:

iconFindText найти выбранный объект на диаграмме

iconPlus добавить новый объект на диаграмму с помощью обратного проектирования

Tick отобразить таблицы на диаграмме - Show Tables

Tick отобразить представления на диаграмме - Show Views

Tick отобразить процедуры на диаграмме - Show Procedures

Tick отобразить функции на диаграмме - Show Functions

Tick вид отображения объектов В виде дерева / В виде списка - As a tree / As a list

Tick сортировать объекты в списке по названию схемы, затем по имени объекта - Sort by schema, name

Tick сортировать объекты в списке по имени объекта, затем по названию схемы - Sort by name, schema

iconRefresh обновить список объектов - Refresh

Панель инструментов

VDBD - ToolbarsMain

iconDB Databases - выбрать базу данных

Undo - отменить действие

Redo - повторить действие

iconNew New diagram - создать новую диаграмму

iconLoadFromFile Open diagram - открыть существующую диаграмму

iconSaveToFile Save diagram - сохранить диаграмму

iconSaveAsPicture Save as picture - сохранить диаграмму как изображение

Incremental search - отобразить панель инкрементного поиска

iconZoomIn Zoom in - увеличить масштаб

iconZoomOut Zoom out - уменьшить масштаб

iconZoomSelectRectangleToFit Select rectangle to fit - выделить участок для увеличения

iconZoomFitModel Fit model - вписать всю диаграмму в видимую область

iconPrintSetup Print Setup - настроить параметры печати

iconPrint Print - печатать диаграмму

iconPreview Print Preview - предварительный просмотр

iconAlwaysOnTop Arrange objects - автоматически упорядочить объекты на диаграмме

btnExtractDB Extract metadata - извлечь метаданные объектов диаграммы и загрузить их в редактор SQL скриптов

btnReverseEngineer Reverse Engineering - выполнить обратное проектирование

iconRefresh Refresh - обновить диаграмму

iconOptions Diagram options - задать свойства диаграммы

  • Задать масштаб диаграммы в процентах

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна

Pages

New Page - создать новую страницу в диаграмме

Delete Page - удалить активную страницу диаграммы

Delete all - удалить все страницы диаграммы

Панель Object Customization

VDBD - Toolbars - Main

  • Font - шрифт выделенного объекта диаграммы
  • Size - размер шрифта
  • Bold - жирный шрифт
  • Italic - курсив
  • Underline - подчеркнутый
  • Font color - цвет шрифта
  • Pen color - рамка объекта
  • Brush color - фон объекта

Панель инструментов диаграммы расположена сбоку от основного окна диаграммы.

Select - установить режим выделения объектов

Create table - если нажата эта кнопка (выбран этот режим), то при нажатии левой кнопкой мыши на свободную область диаграммы будет создана новая таблица

Create relation - если нажата эта кнопка, то между таблицами можно создавать связи

Create virtual relation - если нажата эта кнопка, то между таблицами можно создавать виртуальные связи

Create comment - если нажата эта кнопка, то можно создать комментарий

Align left edges - выровнять по левой границе выделенные объекты

Align right edges - выровнять объекты по правой границе

Align tops - выровнять по верхней границе

Align bottom - выровнять по нижней границе

Align horizontal centers - выровнять по центру по горизонтали

Align vertical centers - выровнять по центру по вертикали

Space equally, horizontal - равное пространство по горизонтали

Space equally, vertical - равное пространство по вертикали

Смотрите также:

Контекстные меню

Перемещение по диаграмме

Работа с объектами диаграммы

Инкрементный поиск

Создание связей

Работа с вкладками

Обратное проектирование

Печать диаграммы

Сохранить/загрузить диаграмму

Настройка диаграммы


Перемещение по диаграмме

Для быстрого и удобного перемещения по диаграмме существует специальный инструмент - Навигатор, который располагается на навигационной панели.

VDBD - Diagram navigator

Навигатор представляет собой макет окна диаграммы, в котором красным прямоугольником выделена видимая область диаграммы. Он позволяет увидеть всю диаграмму в уменьшенном виде. Работать с объектами - выделять, перемещать, создавать и редактировать - в навигаторе можно так же, как и в самом окне диаграммы.

При нажатии левой кнопкой мыши в окне навигатора, центр видимой области диаграммы перемещается в эту точку. Таким образом, можно перемещаться по диаграмме, не используя полосы прокрутки.

Смотрите также:

Панели инструментов

Работа с объектами диаграммы

Работа с вкладками


Контекстные меню

Контекстное меню

Контекстное меню области диаграммы позволяет:

VDBD - Using context menu

  • Select All - выделить все объекты диаграммы
  • Select All Headers - выделить все заголовки
  • Select All Fields - выделить все поля
  • Zoom - из подменю выбрать масштаб диаграммы
  • Create - выбрать тип создаваемого объекта
  • Grid - настроить вид сетки
  • Style - настроить диаграмму
  • Reverse Engineer - обратный инжиниринг схемы данных (генерация модели данных на основе анализа существующей БД)
  • Extract Metadata - генерировать скрипт метаданных объектов диаграммы и загрузить этот скрипт в SQL Script Editor
  • Diagram options - задать настройки диаграммы

Контекстное меню заголовка таблицы позволяет работать с таблицей:

VDBD - Using entity context menu

  • Edit Table "Имя_объекта" - открыть таблицу в редакторе
  • New Table... - создать таблицу
  • Drop Table "Имя_объекта" - удалить таблицу из базы данных
  • Select Fields - выделить поля конкретной таблицы
  • Hide Subitems - скрыть подобъекты
  • Remove Table "Имя_объекта" - удалить таблицу из диаграммы

Контекстное меню поля позволяет редактировать, добавлять и удалять поля таблицы.

Смотрите также:

Панели инструментов

Работа с объектами диаграммы

Создание связей

Инкрементный поиск


Работа с объектами диаграммы

Объектами диаграммы являются таблицы и поля таблиц.

Жирным шрифтом в таблицах выделены обязательные для заполнения поля. Ключевые поля отделены от остальной таблицы и обозначены специальной иконкой. Вид представления таблиц и связей можно настроить.

Добавление объектов в диаграмму

Добавить таблицу в область диаграммы можно двумя способами:

  • перетащить таблицу из окна проводника баз данных,
  • перетащить из списка доступных объектов, который расположен на навигационной панели.

Удаление объектов из диаграммы

Чтобы удалить таблицу из диаграммы (не из базы данных) воспользуйтесь пунктом контекстного меню заголовка таблицы Remove Table "Имя_объекта".

VDBD - Removing objects from diagram

Создание нового объекта

В окне диаграммы можно создавать новые таблицы, используя пункт контекстного меню заголовка таблицы New Table.... Далее в открывшемся редакторе таблиц задаете все поля и свойства новой таблицы и нажимаете OK. Созданная таблица появится на диаграмме.

VDBD - Creating new table

Важно: До нажатия кнопки Compile объект создается только на поле диаграммы, но не в базе данных.

Редактирование объекта

В окне диаграммы можно редактировать как таблицы, так и поля таблиц.

Чтобы открыть таблицу в редакторе таблиц нужно в контекстного меню заголовка таблицы выбрать пункт Edit Table "Имя_объекта".

Работа с полями осуществляется с помощью контекстного меню поля.

Смотрите также:

Панели инструментов

Перемещение по диаграмме

Контекстные меню

Создание связей

Инкрементный поиск

Обратное проектирование

Управление объектами базы данных


Инкрементный поиск

Чтобы по названию найти объект на диаграмме необходимо:

  • Нажать кнопку [image] Incremental Search на одной из панелей инструментов,
  • или использовать сочетание клавиш Ctrl+I.

VDBD - Incremental Search

Искомое сочетание символов укажите в появившемся поле Incremental Search, появившемся в нижней части области диаграммы.

Смотрите также:

Перемещение по диаграмме


Создание связей

SQL Manager for MySQL позволяет создавать связи между таблицами - внешние ключи - в окне диаграммы. Для этого на панели инструментов окна диаграммы надо нажать кнопку Create relation.

Теперь, чтобы установить связь между двумя таблицами нужно нажать мышкой на каждой из них. После этого откроется редактор внешних ключей, в котором Вы сможете задать все свойства создаваемой связи.

VDBD - Creating relations

Связь между таблицами отображается в виде соединительной линии.

Управление связью осуществляется с помощью контекстного меню, которое открывается при нажатии правой кнопкой мыши на связь.

VDBD - Creating relations - Context menu

С помощью этого меню Вы можете:

  • открыть связь в редакторе внешних ключей - Edit Foreign Key "имя_объекта",
  • удалить связь Drop Foreign Key "имя_объекта".

Создание виртуальных связей

В связи с тем, что только для таблиц, имеющих тип хранения InnoDB существует поддержка Foreign Keys, SQL Manager for MySQL позволяет создавать виртуальные связи между таблицами (например MyISAM).

Виртуальные связи не существуют физически, они хранятся только в диаграмме. Они предназначены для создания визуальной структуры базы данных, независимой от используемых механизмов хранения. Виртуальные связи могут быть материализованы в дальнейшем при замене механизмов хранения в таблице на InnoDB.

Чтобы создать новую виртуальную связь, которая реализована в виде виртуальных внешних ключей необходимо:

  • нажать кнопку Create Virtual Relation на Панели инструментов диаграммы;
  • нажмите поочередно на обе сущности, которые Вы хотите соединить виртуальной связью;
  • укажите параметры виртуального внешнего ключа в открывшемся Редакторе внешних ключей.

Важно: Чтобы создать связь, Вы можете также использовать соответствующий пункт контекстного меню.

При создании связи с помощью кнопки Create relation на панели инструментов диаграммы выбранные поля автоматически заносятся в редактор внешних ключей.

Если в диаграмме существуют виртуальные ключи, то их можно преобразовать в обычные ключи, используя пункт контекстного меню виртуального ключа Materialize Virtual Relation.

Смотрите также:

Перемещение по диаграмме

Работа с объектами диаграммы

Инкрементный поиск


Работа с вкладками

В одной диаграмме баз данных Вы можете создать несколько вкладок для разделения объектов на группы для удобства просмотра.

VDBD - Working with diagram pages

Работа с вкладками:

  • создать новую вкладку - New Page,
  • удалить вкладку - Delete Page,
  • удалить все вкладки - Delete All Pages,
  • переименовать вкладку - Rename Page.

Все эти команды находятся в контекстном меню страницы и на панели инструментов.

Смотрите также:

Перемещение по диаграмме

Работа с объектами диаграммы


Обратное проектирование

Для того чтобы быстро перенести на диаграмму все таблицы базы данных с отношениями между ними, нужно воспользоваться кнопкой btnReverseEngineer Reverse Engineer (реконструировать базу данных), расположенной на панели инструментов.

Все таблицы базы выстраиваются на диаграмме, со всеми существующими между ними связями.

VDBD - Reverse engineering

В появившемся окне выберите типы объектов, которые хотите поместить на диаграмму:

VDBD - Reverse engineering - Select objects

CheckBox Tables - таблицы,

CheckBox Views - представления,

CheckBox Procedures - процедуры,

CheckBox Functions - функции.

Смотрите также:

Панели инструментов

Перемещение по диаграмме

Работа с объектами диаграммы


Печать диаграммы

Визуальный конструктор баз данных позволяет открыть диаграмму в окне предпросмотра и распечатать её.

Чтобы распечатать диаграмму, нажмите кнопку Print btnPrintMetadata на панели инструментов.

Инструмент для предпросмотра диаграммы - Print Preview - открывается при нажатии кнопки Print Preview btnPrintPreview , на панели инструментов.

Для настроек печатного документа используйте Print Setup Dialog, который открывается при нажатии на кнопку Print setup btnPrintSetup , на панели инструментов. С помощью этого же инструмента можно распечатать документ.


Предварительный просмотр

Предварительный просмотр - это режим просмотра документа в том виде, в котором он будет напечатан.

VDBD - Printing diagram - Print Preview

С помощью инструмента Print Preview Вы можете просмотреть диаграмму перед печатью.

Действия, которые можно выполнить, используя панель инструментов:

  • указать номер просматриваемой страницы. С помощью кнопок можно открыть следующую или предыдущую страницу, в счетчике укажите номер желаемой страницы,
  • кнопка Print all позволяет напечатать все страницы или только текущую (раскрывающийся список кнопки),
  • настроить параметры печати - кнопка Print options,
  • установить масштаб просмотра - Preview zoom.


Настройки печати

Это диалоговое окно позволяет настроить опции печати:

  • параметры принтера - на вкладке Printer,
  • параметры страницы на вкладке Page options.

Инструменты, располагающиеся на вкладке Printer

Database tools - VDBD - Print Setup - Printer

Имя принтера - отображается в поле Name.

Выбор активного принтера - кнопка Choose printer.

Сведения о драйвере принтера - поле Driver.

Порт подключения принтера - поле Port.

RadioButton Процент от натуральной величины - Use scale factor.

RadioButton Разместить не более чем на n страницах в ширину и n страницах в высоту - Arrange diagram at n pages horizontally and n pages vertically.

CheckBox Если установлен флажок Skip empty pages, то при печати будут пропущены пустые страницы.

CheckBox Установите флажок Print only selected objects, если хотите? чтобы напечатаны были только выделенные объекты.

CheckBox Установленный флажок Print page borders позволяет печатать границы страниц.

RadioButton All pages указывает на то что печататься будут все страницы.

RadioButton Pages from... to... позволяет задать диапазон печатаемых страниц.

Инструменты, располагающиеся на вкладке Page options.

Database tools - VDBD - Print Setup - Page options

Top margin (mm) - размер верхнего поля в мм.,

Bottom margin (mm) - размер нижнего поля в мм.,

Left margin (mm) - размер левого поля в мм.,

Right margin (mm) - размер правого поля в мм.,

В поле Page Header задайте текст верхнего колонтитула.

RadioButton Left align - выравнивание текста колонтитула по левому краю.

RadioButton Center align - выравнивание текста колонтитула по центру.

RadioButton Right align - выравнивание текста колонтитула по правому краю.

Page Footer - параметры нижнего колонтитула.

RadioButton Left align - выравнивание текста колонтитула по левому краю.

RadioButton Center align - выравнивание текста колонтитула по центру.

RadioButton Right align - выравнивание текста колонтитула по правому краю.


Сохранить/загрузить диаграмму

SQL Manager for MySQL позволяет сохранять и загружать сохраненную диаграмму.

Файлы диаграммы сохраняются в формате .myd.

Кнопки сохранить загрузить диаграмму находятся на панели инструментов:

  • открыть диаграмму - Open Diagram,
  • сохранить диаграмму - Save Diagram,
  • сохранить диаграмму как изображение - Save as Image.

VDBD - Saving and Loading diagram

Если попытаться открыть диаграмму для другой базы, то программа, не найдя соответствующих таблиц, выдаст ошибку.

Смотрите также:

Панели инструментов

Перемещение по диаграмме

Контекстные меню

Работа с объектами диаграммы


Настройка диаграммы

Настроить вид диаграммы можно с помощью инструментов, расположенных на вкладке Options | Environment Options | Tools | Visual Database Designer. Окно настроек можно открыть также с помощью кнопки btnEnvironmentOptions Diagram options, расположенной на одной из панелей инструментов или соответствующего пункта контекстного меню.

Подробно про опции настройки диаграммы на странице Настройка диаграммы.

Смотрите также:

Настройки визуального конструктора баз данных


Редактор SQL скриптов

Используя SQL Script Editor, Вы можете создавать, просматривать, редактировать и выполнять SQL скрипты. Чтобы открыть редактор SQL скриптов выберите Tools | btnShowSQLScript SQL Script в главном меню программы.

Структура базы данных скрипта представлена в проводнике редактора скриптов.

Область редактирования.

Работать с SQL скриптами позволяют инструменты редактора, располагающиеся на панелях инструментов.

Работа с областью редактирования SQL Script

Использование контекстного меню

Проводник редактора скриптов

Выполнение скрипта

Примечание: В редакторе скриптов не выводятся результаты запросов. Для этого используйте редактор запросов.

Если при выполнении скрипта возникнут ошибки, то все они будут показаны в специальном окне, расположенном под областью редактирования. Настройка отображения ошибок происходит с помощью Options | Environment Options | Tools | SQL Script, с помощью кнопки SQL Script Options на панели инструментов и на навигационной панели.

Смотрите также:

Редактор запросов

Настройки SQL скрипт

Настройки редакторов


Панели инструментов

Инструменты для работы с SQL скриптами.

Навигационная панель

SQL Script Editor - Using Navigation bar

Destination

iconHost выбрать хост

iconDB выбрать базу данных

General

iconExecute Execute script - выполнить скрипт

iconCompile Execute script from file - выполнить скрипт из файла

iconNew New script - создать новый скрипт

iconLoadFromFile Open script - открыть скрипт (скрипты сохраняются в виде файлов с расширением ".sql")

iconSaveToFile Save script - сохранить скрипт

iconSaveToFileAs Save as - сохранить скрипт как

iconDBExplorer Show/Hide explorer - показать/скрыть Проводник редактора скриптов

Enable result log - включить журнал результатов

iconOptions SQL Script options - настройка свойств SQL скрипта

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна

iconDisableCodeFeatures Enable/Disable All code features - включить/отключить все опции кода.

iconDBExplorer на панели Explorer расположен проводник редактора SQL скриптов.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Смотрите также:

Работа с областью редактирования SQL Script

Проводник редактора скриптов

Выполнение скрипта


Работа с областью редактирования SQL Script

Область редактирования позволяет эффективно работать с текстами SQL скриптов.

SQL Script Editor - Working with SQL Script editor area

Функциональные возможности:

  • Подсветка синтаксиса - используются разные цвета и шрифты для различных элементов текста, таких как ключевые слова, знаки препинания, комментарии, ссылки и т.д. Просмотреть и изменить настройки цвета Вы можете на вкладке Color. (Editor Options)
  • отображение имен объектов в виде ссылок на эти объекты,
  • вызов и настройка списка автоматической подстановки,
  • возможность нумерации строк,
  • возможность сворачивать запросы и подзапросы,
  • возможность задавать свойства выделенных объектов,
  • настройка полей и номеров строк,
  • изменение параметров различных объектов текста запроса,
  • настройка автоматического форматирования текста запроса,
  • задание сочетаний клавиш для быстрого ввода текста и выполнения команд.

Макросы

Для удобства использования существует возможность записывания и использования макросов.

Для начала записи макроса нажмите кнопку btnRecordMacro Record, доступную на панели управления, или используйте сочетание клавиш Shift+Ctrl+R.

Для остановки записи макроса, нажмите кнопку btnStopRecordMacro Stop, или используйте сочетание клавиш Shift+Ctrl+R.

Для вызова и использования существующего макроса, нажмите кнопку btnPlayMacro Play, или используйте сочетание клавиш Shift+Ctrl+P.

Смотрите также:

Панели инструментов

Проводник редактора скриптов

Выполнение скрипта

Избранные запросы

Настройки SQL скрипт


Использование контекстного меню

Контекстное меню открывается по нажатию правой кнопки мыши в области редактирования.

SQL Script Editor - Popup Menu

Контекстное меню

Add to Dictionary - добавить в словарь

Correct With - редактировать

Execute Script - выполнить скрипт

Execute Selected Only - выполнить только выделенное

Execute under Cursor - выполнить ту часть текста, на которой стоит курсор

Execute From Cursor - выполнить ту часть текста, которая находится после курсора

Markers - работать с маркерами

Toggle Bookmarks - установить закладку

Go to Line Number - перейти к строке с указанным номером

Undo - отменить действие

Redo - вернуть отмененное действие

Cut - вырезать выделенное

Copy - копировать выделенное

Paste - вставить

Select All - выделить все

Find - найти

Replace - найти и заменить

Search Next - возобновить поиск

Incremental Search - поиск по названию ключевого поля

Save as Favorite Query - сохранить скрипт как избранный запрос

Preview - предварительный просмотр

Print - печатать

Quick Code

Properties - просмотреть свойства

Подменю пункта Quick Code:

SQL Script Editor - Popup Menu - Quick code

Подменю пункта Quick Code

Format - Форматировать запрос SQL (при этом применяются изменения, внесенные в Форматтер SQL)

Select Character - Выбрать символ

Toggle Comment - Преобразовать выделенный текст в комментарии

Selection Lower Case - Привести выделенный текст к нижнему регистру

Selection Upper Case - Привести выделенный текст к верхнему регистру

Selection Toggle Case - Изменить регистр выделенного текста

Indent - Увеличить отступ текста

Unindent - Уменьшить отступ текста


Проводник редактора скриптов

На навигационной панели расположен инструмент Проводник, который позволяет отобразить в виде дерева все объекты, содержащиеся в SQL скрипте. С помощью проводника можно быстро перейти к нужному объекту в тексте скрипта.

SQL Script Editor - Using Script Explorer

Важно: При выборе объекта в проводнике баз данных выделяется соответствующие ему участок текста скрипта.

При двойном нажатии на объект в проводнике соответствующий участок скрипта выделяется, и фокус перемещается к выделенному участку.

Смотрите также:

Панели инструментов

Работа с областью редактирования SQL Script

Управление объектами базы данных


Выполнение скрипта

Когда все параметры скрипта заданы, Вы можете приступать к его выполнению.

Чтобы выполнить скрипт, выберите пункт btnExecuteQuery Execute script на одной из панелей инструментов или в контекстном меню. Также, Вы можете использовать клавишу F9.

SQL Script Editor - Script execution

Важно: Если установлен флажок CheckBox Execute selected text separately (Environment Options | Tools | SQL Script), и выделен фрагмент текста скрипта, то будет выполнен только выделенный фрагмент.

Если в тексте скрипта нет ошибок, то скрипт выполняется, а об успешном выполнении информирует появляющееся информационное окно.

SQL Script Editor - Script execution - Done

Если в тексте скрипта обнаружены ошибки, то список их будет выведен в нижней части формы редактора.

Важно: Когда Вы выбираете ошибку из появившегося списка ошибок, то соответствующий ей участок кода выделяется цветом. Если вы дважды щелкаете мышкой на ошибке, то в редакторе осуществляется переход к нужному участку кода.

Важно: SQL Script Editor не отображает результатов выполнения запросов.

Для выполнения запросов существует специальный инструмент - SQL Editor.

Смотрите также:

Панели инструментов

Работа с областью редактирования SQL Script

Проводник редактора скриптов


Мастер извлечения баз данных

Используя Мастер извлечения баз данных, Вы можете извлечь структуру объектов базы данных и сами данные в SQL скрипт. Полученный скрипт можно использовать для копирования и восстановления базы данных. Чтобы открыть мастер выберите пункт главного меню программы Tools | btnExtractDB Extract Database.

Выбор исходной базы данных

Выбор файла назначения

Выбор компонентов базы данных для извлечения

Выбор объектов базы данных для извлечения

Выбор серверных объектов для извлечения

Выбор таблиц, из которых будут извлечены данные

Задание свойств скрипта

Выполнение операции

Смотрите также:

Редактор SQL скриптов

Управление объектами базы данных

Использование шаблонов


Выбор исходной базы данных

На первом шаге выберите базу данных, которую необходимо извлечь.

Из раскрывающегося списка Source database выберите нужную базу данных.

Extract Database - Selecting source database

Установите флажок CheckBox Extract all metadata and data of the database, если хотите извлечь все объекты базы данных и данные, хранящееся в ней.

Следующий шаг>>

Шаблоны


Выбор файла назначения

На этом шаге Вы можете определить сохранить ли создаваемый скрипт в файл или сразу открыть в редакторе SQL скриптов.

Extract Database - Specifying destination file name

RadioButton Чтобы автоматически открыть скрипт в редакторе SQL скриптов, нужно выбрать пункт переключателя Automatically load to Script Editor.

RadioButton Если хотите сохранить скрипт в файл, то выберите пункт Save to file.

В этом случае в поле File name необходимо указать имя файла и путь к нему, или выбрать файл, воспользовавшись стандартным диалоговым окном, открывающимся при нажатии на кнопку btnSaveAs.

RadioButton Если выбран пункт Separate file for each object, то для каждого извлекаемого объекта базы данных будет создан отдельный файл *.sql.

Directory name

В этом поле задается путь к директории в которой будет создана папка со всеми файлами извлеченных объектов. Если такая директория существует, то появится предупреждение и предложение создать её заново.

Из раскрывающегося списка File charset выберите кодировку для извлекаемых данных.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Выбор компонентов базы данных для извлечения

Этот шаг неактивен, если на первом шаге Вы указали, что извлекать нужно всю структуру и данные базы данных, установив флажок CheckBox Extract all metadata and data of database.

Extract Database - Setting extraction mode

CheckBox Extract database objects - извлечь объекты базы данных.

CheckBox Extract server objects - извлечь серверные объекты.

CheckBox Extract data - извлечь данные.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Выбор объектов базы данных для извлечения

Этот шаг будет активен только в том случае, если на шаге Выбор компонентов базы данных для извлечения был установлен флажок CheckBox Extract database objects.

Extract Database - Selecting objects for structure extraction

Вы можете выбрать объекты, структуру которых следует извлечь.

CheckBox Установленный флажок Extract all database objects указывает на то, что будет извлечена структура всех без исключения объектов базы данных.

Из раскрывающегося списка Objects to extract выбираете тип объекта (таблица, представление и т.д.). После выбора типа в списке Available появляются все объекты базы данных, соответствующие выбранному типу. С помощью кнопок переместите объекты из списка доступных - Available в список выбранных - Selected.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Выбор серверных объектов для извлечения

Этот шаг будет активен только в том случае, если на шаге Выбор компонентов базы данных для извлечения был установлен флажок CheckBox Extract server objects - извлечь серверные объекты.

Вы можете выбрать объекты сервера, структуру которых следует извлечь.

Extract Database - Selecting server objects for extraction

CheckBox Установленный флажок Extract all database objects указывает на то, что будет извлечена структура всех без исключения серверные объекты.

Из раскрывающегося списка Objects to extract выбираете тип объекта. После выбора типа в списке Available появляются все объекты сервера, соответствующие выбранному типу. С помощью кнопок переместите объекты из списка доступных - Available в список выбранных - Selected.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Выбор таблиц, из которых будут извлечены данные

Этот шаг отображается только в том случае, если на шаге Выбор компонентов базы данных для извлечения был установлен флажок CheckBox Extract data.

На этом шаге Вы можете выбрать те таблицы, из которых необходимо извлечь данные.

Extract Database - Selecting objects for data extraction

RadioButton Если выбран пункт Extract data of the selected tables, то Вы сможете выбрать таблицы из списка доступных - Available, и с помощью кнопок переместить их в список выбранных - Selected.

RadioButton Если выберете Extract data of all tables, то данные будут извлечены из всех таблиц базы.

RadioButton Пункт переключателя Extract data of tables selected on previous step указывает на то, что данные будут извлекаться только из тех таблиц, которые были выбраны на шаге Выбор объектов базы данных для извлечения.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Задание свойств скрипта

На последнем шаге можно задать некоторые общие опции генерируемого SQL скрипта.

Extract Database - Customizing script options

На вкладке Script Options Задайте свойства скрипта.

CheckBox Если установлен флажок Generate "CREATE DATABASE" statement, то в скрипте будет создан оператор CREATE DATABASE.

CheckBox Установленный флажок Generate "DROP DATABASE IF EXIST" statement указывает на то, что при извлечении будут созданы операторы DROP, которые будут удалять базы данных, соответствующие создаваемым скриптом базам, перед их созданием.

CheckBox Если установлен флажок Generate "USE db_name" statement - то в скрипте будет создана команда USE db_name, которая предписывает MySQL использовать базу данных с именем db_name в последующих запросах по умолчанию. Указанная база данных остается в этом состоянии до конца данного сеанса или пока не будет выдана еще одна команда USE.

CheckBox Установленный флажок Generate "DROP IF EXIST" statement указывает на то, что при извлечении будут созданы операторы DROP, которые будут удалять объекты соответствующие создаваемым скриптом объектам перед их созданием.

CheckBox Установите флажок Disable foreign key checks, если хотите отменить проверку внешних ключей.

CheckBox Generate "SET NAMES" statement создает оператор SET NAMES, в котором задаётся кодировка.

CheckBox Если установлен флажок Extract dependent objects, то для объектов будут копироваться связанные с ними объекты.

CheckBox Add SQL_MODE variable - добавить оператор задания переменной SQL_MODE.

CheckBox Add DELIMITER statement for stored routines and triggers - позволяет добавлять директивы delimiter при извлечении процедур и триггеров.

CheckBox Insert comments - если флажок установлен, то для процедур будут созданы текстовые комментарии в тексте скрипта.

Из раскрывающегося списка Extract structure for version можно выбрать версию MySQL сервера, для которого генерировать скрипт.

CheckBox Trim tables and column comments - обрезать комментарии к таблицам и столбцам.

Число символов комментария, которые будут оставлены, задается в поле Max comment length.

На вкладке Data Options задайте параметры данных.

Extract Database - Customizing data options

Количество записей в одном блоке задается в счетчике Records in a block.

CheckBox Если установлен флажок Insert "COMMIT" statement after each block, то после каждого блока добавляется оператор COMMIT.

CheckBox Если установлен флажок Extract table data just after its definition, то в создаваемом скрипте операторы INSERT будут помещены сразу после скрипта создания таблицы, к которой они относятся - если выбрана, а если нет, то в конце скрипта.

CheckBox Извлекать данные из объединенных таблиц можно, установив флажок Extract data from Merge tables.

CheckBox Операция извлечения будет прервана при возникновении ошибки, если установлен флажок Abort extraction on error. В противном случае скрипт будет выполняться без прерываний, а все возникшие ошибки отобразятся в специальном окне.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Run, для начала выполнения операции.

В строке состояния, расположенной в верхней части, в процентах отображается ход выполнения операции.

Extract Database - Start of extraction process

В основной части окна от отображаются все производимые действия и результат их выполнения.

CheckBox Если хотите сразу открыть полученный скрипт в редакторе SQL скриптов, то установите флажок Load script to Script Editor.

CheckBox Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.

<<Предыдущий шаг


Печать метаданных

Инструмент Print Metadata позволяет напечатать метаданные любого объекта базы данных. Чтобы открыть этот инструмент нужно выбрать Tools | btnPrintMetadata Print Metadata.

Настройки печати можно произвести с помощью инструментов, находящихся на панелях инструментов.

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Управление объектами базы данных

Настройки печати метаданных


Панели инструментов

Основные инструменты располагаются на панелях инструментов.

Навигационная панель

Print Metadata - Using Navigation bar

Database

iconDB выбрать базу данных.

General

iconPrint Print - печатать

iconPreview Preview - предварительный просмотр

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна

На панели Database находится список типов объектов базы данных

На панели Server находится список типов объектов сервера

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Выбор объектов

В процессе настройки печати необходимо выбрать те объекты базы данных, метаданные которых необходимо напечатать.

Print Metadata - Printing options

На одной из панелей управления выберите тип объекта. После этого в списке Available <тип_объекта> появятся все объекты этого типа, содержащиеся в базе данных. С помощью кнопок или двойного щелчка мыши переместите эти объекты в список выбранных - <тип_объекта> for Printing. Несколько объектов можно выделить с помощью клавиш Ctrl and Shift.

В нижней части списка выбранных объектов Вы можете указать, какую именно информацию об этом объекте следует печатать:

  • Fields/Params - поля/параметры,
  • Indices - индексы
  • DDL,
  • Description - описание.

Убрать объект из списка выбранных можно с помощью кнопок или двойного щелчка мыши.


Предварительный просмотр

При нажатии кнопки btnPrintPreview Preview, на одной из панелей инструментов, формируется представление печатного документа.

Print Metadata - Preview

Панель инструментов:

  • Начать печать отчета.
  • Открыть предыдущий сохраненный отчет.
  • Сохранить текущий отчет в файл, с расширением *.fr3.
  • btnPreviewExport Экспортировать файл предварительного просмотра в один из доступных форматов (HTML file, Excel file, Text file, RTF file, CSV file, HTML file, BMP image, Excel table (OLE), JPEG image, TIFF).
  • Искать текст.
  • Масштаб.
  • Отобразить/скрыть содержание отчета.
  • Отобразить/скрыть иконки отчета.
  • Задать параметры страницы.
  • Редактировать страницу в Конструкторе отчетов.
  • Переход по страницам отчета.
  • Закрыть предпросмотр.

Смотрите также:

Панели инструментов

Настройки печати


Мастер создания HTML отчетов

Мастер создания HTML отчетов позволит Вам создать подробный развернутый отчет о метаданных выбранной базы данных. Открывается с помощью пункта меню Tools | [image] HTML Report.

Мастер состоит из следующих шагов:

Выбор базы данных и выходной директории

Выбор типа объекта базы данных

Задание стиля отчета

Задание дополнительных параметров

Выполнение операции

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Управление объектами базы данных

Использование шаблонов


Выбор базы данных и выходной директории

На первом шаге необходимо выбрать базу данных, по метаданным которой необходимо сгенерировать отчет.

HTML Report - Selecting database and directory

Сервер, на котором находится нужная база данных, необходимо выбрать из раскрывающегося списка Source host.

Исходная база выбирается из раскрывающегося списка Source database, в котором содержатся все зарегистрированные и подключенные базы данных.

В поле Output directory, с помощью кнопки ExplorerButton указываете путь к папке, в которой будет создан HTML отчет.

Следующий шаг>>

Шаблоны


Выбор типа объекта базы данных

На втором шаге Вы можете выбрать тип объектов, информация о которых попадет в отчет. По умолчанию, выбраны все типы объектов.

HTML Report - Selecting object types

CheckBox Tables - таблицы

CheckBox Triggers - триггеры

CheckBox Views - представления

CheckBox Procedures - процедуры

CheckBox Functions - хранимые функции

CheckBox UDFs - определенные пользователем функции

CheckBox Scheduled Events - назначенные события

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Выбор типа объекта сервера

На этом шаге Вы можете выбрать тип серверных объектов, информация о которых попадет в отчет.

HTML Report - Selecting server object types

CheckBox Log file group - Группы файлов журналов

CheckBox Tablespace - Табличные пространства

CheckBox Federated server - Интегрированные серверы

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Задание стиля отчета

На этом шаге Вы задаете стиль выходного HTML файла.

На вкладке CSS Preview выберите готовый шаблон оформления.

HTML Report - Specifying CSS Preview

Текст описания стиля Вы можете редактировать на вкладке CSS Text.

HTML Report - Specifying CSS

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Задание дополнительных параметров

На последнем шаге задаются параметры, общие для всего отчета.

  • Report header - верхний колонтитул
  • Report footer - нижний колонтитул

HTML Report - Setting additional report options

С помощью ползунка DDL font size задайте размер шрифта DDL секции.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Run, для начала выполнения операции.

В строке состояния, расположенной в верхней части, в процентах отображается ход выполнения операции.

HTML Report - Creating HTML report

В основной части окна от отображаются все производимые действия и результат их выполнения.

CheckBox Если хотите сразу открыть полученный отчет, то установите флажок Show report after generating.

CheckBox Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.

<<Предыдущий шаг


Работа с отчетами

Создавать отчеты в SQL Manager for MySQL можно с помощью таких инструментов:

Мастер создания отчетов и Настройщик отчетов - упрощенные способы создания отчетов.

Конструктор отчетов - основной инструмент для создания отчетов.

Просмотрщик отчетов - инструмент для просмотра результатов.

Хранить отчеты можно в директориях, определенных в базе данных при редактировании регистрационной информации базы данных на вкладке Directories.

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.


Мастер создания отчетов

Мастер создания отчетов предназначен для быстрого пошагового создания бланка отчета. Для него определен источник данных, отображаемые области и параметры страницы. Для запуска мастера необходимо выполнить одно из действий:

  • создать объект Report в проводнике баз данных,
  • выбрать пункт главного меню программы Database | New Object,
  • выбрать пункт Report из списка, открывающегося при нажатии на кнопку Create на панели инструментов проводника баз данных.

Задание основных свойств отчета

Выбор областей, отображаемых в отчете

Определение стиля отчета

Задание параметров страницы

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Конструктор отчетов

Просмотрщик отчетов


Задание основных свойств отчета

На первом шаге создания отчета Вам необходимо выбрать базу данных, для которой будет сформирован отчет, из списка Database. Список состоит из зарегистрированных и подключенных баз данных.

Create Report - Specifying database name and report options

В разделе Report creation method выберите способ создания отчета:

RadioButton New report - будет создан новый отчет,

RadioButton Import from file - отчет будет импортирован из файла.

В разделе Save options можно задать параметры сохранения файла отчета.

Имя файла укажите в поле Report name,

RadioButton Отчет будет сохранен в базе данных, в таблице с названием myreports, если переключатель установить в Save to database.

RadioButton Если выбран Save to file, то отчет будет сохранен в файл отчета с расширением *.fr3.

Следующий шаг>>


Выбор областей отображаемых в отчете

На втором шаге необходимо выбрать области, в которых отображаются дополнительные данные, то есть колонтитулы, суммы, группировки полей и т.д.

Create Report - Selecting report bands

Необходимые области выберите из списка доступных областей - Available Bands и с помощью кнопок Move to Selected Move all to Selected Move to Available Move all to Available перенесите в список отображаемых областей - Report Bands.

Для областей Master data, Detail data и Subdetail data можно задать значения, используя кнопку [image] . При нажатии на эту кнопку открывается конструктор запросов, с помощью которого Вы можете задать данные, которые будут отображаться в отчете.

Области, для которых указаны данные, отмечены галочкой.

Примечание: Задавать данные для Detail data можно только после того как они заданы для Master data, а для Subdetail data только после Detail data.

<<Предыдущий шаг

Следующий шаг>>


Определение стиля отчета

На третьем шаге Вы можете выбрать стиль отчета.

Create Report - Selecting report style

На форме расположены макеты оформления страниц. Для выбора макета достаточно щелкнуть на нужном левой кнопкой мыши.

<<Предыдущий шаг

Следующий шаг>>


Задание параметров страницы

На этом шаге Вам предстоит задать параметры страницы печатного документа отчета. Эти свойства задаются на трех вкладках:

Вкладка Paper

Create Report - Specifying paper settings

В разделе Size указываете размер страницы.

Из раскрывающегося списка выберите один из стандартных размеров. Если стандартные размеры не подходят, то выберите пункт Особая бумага. В этом случае станут доступными для редактирования поля, в которых указывается ширина и высота бумаги в миллиметрах - Width, mm (ширина) и Height, mm (высота).

С помощью переключателя в разделе Orientation Вы выберите ориентацию страницы.

RadioButton Portrait - книжная

RadioButton Landscape - альбомная

Вкладка Margins

Create Report - Specifying margins

На вкладке Margins можно указать размеры полей страницы.

CheckBox Если установлен флажок Stretch to print area, то автоматически устанавливается соответствие размеров полей размеру печатной области.

Установить размеры полей страницы вручную можно с помощью следующих полей:

Left, mm - левое поле

Top, mm - верхнее поле

Right, mm - правое поле

Bottom, mm - нижнее поле

Вкладка Other

Create Report - Specifying other page settings

На вкладке Other можно задать некоторые дополнительные характеристики макета отчета.

CheckBox Print to previous page. Эта опция позволит при печати отчета использовать пустое пространство предыдущей страницы. Функция используется, если отчет состоит из нескольких страниц.

CheckBox Если установлен флажок Two-pass report, то формирование отчета будет осуществляться в два этапа. На первом проходе отчет формируется, осуществляется его разбивка на страницы, но результат нигде не сохраняется. На втором проходе происходит обычное формирование отчета с сохранением результата в потоке.

CheckBox Установка флажка Page numbering указывает на то, что страницы отчета будут пронумерованы.

Columns

В счетчике Number задайте количество столбцов в отчете.

В поле Gap, mm указываете расстояние между столбцами.

CheckBox Если установлен флажок Open the report after the wizard has finished, то созданный мастером отчет после создания автоматически откроется в конструкторе отчетов.

Чтобы начать создание отчета нажмите кнопку Run.

я используется, если отчет состоит из нескольких страниц.

Если установлен флажок Two-pass report, то формирование отчета будет осуществляться в два этапа. На первом проходе отчет формируется, осуществляется его разбивка на страницы, но результат нигде не сохраняется. На втором проходе происходит обычное формирование отчета с сохранением результата в потоке.

Установка флажка Page numbering указывает на то, что страницы отчета будут пронумерованы.

Columns

В счетчике Number задайте количество столбцов в отчете.

В поле Gap, mm указываете расстояние между столбцами.

Если установлен флажок Open the report after the wizard has finished, то созданный мастером отчет после создания автоматически откроется в конструкторе отчетов.

Чтобы начать создание отчета нажмите кнопку Run.

<<Предыдущий шаг


Конструктор отчетов

Конструктор отчетов позволяет Вам создавать и редактировать отчеты. Этот инструмент открывается при выборе пункта Tools | Report Designer или после создания отчета с помощью Мастера создания отчетов.

Модуль Report Designer является компонентом программы FastReport (http://www.fast-report.com). Поэтому для него существует отдельный файл справки, который открывается при нажатии клавиши F1 в окне дизайнера.

Основные элементы

Панели инструментов

Добавление объектов базы данных

Добавление компонентов отчета

Просмотр отчета

Создание диалоговой формы

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер создания отчетов

Просмотрщик отчетов


Основные элементы

Рабочая область Конструктора отчетов состоит из следующих элементов:

Строка главного меню

Report Tree

Вспомогательное окно по умолчанию расположено в левой верхней части окна программы. В нем, в виде дерева, отображается структура отчета.

Report Designer_Report Tree

Вкладки позволяют переключаться между разными частями отчета, такими как Код, Данные, Страницы и Диалоговые формы.

Code

На этой вкладке отображается можно работать со скриптом отчета.

Data

Отображается структура данных отчета.

Page

Печатная форма отчета.

Form

Диалоговая форма отчета.

Data Tree

Вспомогательное окно, по умолчанию расположенное в левой нижней части окна программы. В нем, в виде дерева, отображается структура данных, указанных в [image] ADOTable и [image] ADOQuery - поля таблиц и запросов.

Report Designer_Data Tree

Workspace - рабочая область.

Расположена в центральной части окна.

Object Inspector

Отображает свойства активного объекта. Свойства объекта в этом окне можно менять.

Расположен по умолчанию в правой части рабочего окна программы.

Report Designer_Object Inspector

Важно: Object Inspector можно открыть нажав клавишу F11.


Панели инструментов

Основные панели инструментов программы расположены в верхней части окна программы.

Для разных вкладок Report Tree отображаются разные боковые панели инструментов:

Для вкладки Data

Для вкладки Page

Для вкладки DialogPage


Добавление объектов базы данных

Для начала работы с отчетом необходимо подключить источник данных - одну или несколько баз данных.

Report Designer - Adding database component

Подключиться к базе данных

  1. В Report tree перейти на вкладку Data.
  2. Выбрать объект [image] ADODatabase на боковой панели инструментов, расположенной слева от основного окна, и поместить его в рабочую область.
  3. В контекстном меню объекта ADODatabase выбрать пункт Edit.
  4. В открывшемся окне либо указать строку подключения, либо с помощью кнопки EllipsisButton вызвать стандартное окно Windows "Свойства связи с данными" и в нем задать необходимые параметры подключения. В качестве поставщика данных должен выступать SQL Native Client.
  5. В Object Inspector установить свойство Connection True.

Добавить таблицу в отчет

  1. В Report tree перейти на вкладку Data.
  2. Выбрать объект [image] ADOTable на боковой панели инструментов, расположенной слева от основного окна, и поместить его в рабочую область.
  3. В Object Inspector установить следующие свойства:
  • Database - выбрать один из определенных пользователем [image] ADODatabase.
  • TableName - выбрать одну из таблиц подключенной базы данных. Как только Вы выбрали таблицу, все поля её отображаются в Data Tree.

Добавить запрос в отчет

  1. В Report tree перейти на вкладку Data.
  2. Выбрать объект [image] ADOQuery на боковой панели инструментов, расположенной слева от основного окна, и поместить его в рабочую область.
  3. В Object Inspector установить следующие свойства:
  • Database - выбрать один из определенных пользователем [image] ADODatabase.
  • SQL - с помощью кнопки EllipsisButton вызвать окно редактора SQL, в котором задать текст запроса.


Добавление компонентов отчета

Для работы с макетом печатной формы отчета необходимо в Report Tree перейти на вкладку Page.

Report Designer - Adding bands

Для корректного отображения различных частей отчета, таких как данные, заголовки, колонтитулы в Report Designer используются Bands. Каждый тип Band может отображать определенные данные.

Вы можете автоматически создать отчет, в котором будут основные элементы.

Выберите в главном меню пункт File | New Report. или на панели инструментов нажмите кнопку [image] New Report. На печатную форму отчета будут помещены автоматически ReportTitle, MasterData и PageFooter.

Чтобы добавить Band на страницу необходимо:

  1. В Report tree перейти на вкладку Page1.
  2. На боковой панели инструментов нажать кнопку [image] Insert Band.
  3. Из появившегося раскрывающегося списка выбрать нужный Band.

Каждый добавленный Band появляется в Report Tree в виде узла.

Поля таблиц и отчетов необходимо добавлять в Band MasterData.

Заголовки столбцов - GroupHeader.

Заголовок отчета - ReportTitle.

Для правильного отображения данных используются различные типы Band-ов.

Данные таблиц и запросов отображаются в MasterData.

Чтобы добавить поля таблицы или запроса в отчет необходимо из DataTree перетащить нужные поля в Band MasterData.

Свойства каждого поля можно задать в Object Inspector.


Просмотр отчета

Чтобы просмотреть и распечатать полученный отчет, нажмите кнопку Preview на панели инструментов.

Report Designer - Preview

Сохранить отчет в файл другого формата

На панели инструментов просмотрщика выбрать пункт btnPreviewExport Export -> из раскрывшегося списка выбрать формат файла, в который будет произведен экспорт -> в появившемся окне выбрать директорию и указать имя файла.


Создание диалоговой формы

Чтобы добавить диалоговую форму, необходимо на панели инструментов нажать кнопку Add dialog form.

Report Designer - Adding dialog form

На форме можно размещать текстовые поля, кнопки, изображения, флажки, переключатели и т.д. Этим элементам можно назначать некоторые события.


Просмотрщик отчетов

С помощью этого инструмента Вы можете просматривать, редактировать, сохранять и распечатывать отчеты. Чтобы открыть отчет в просмотрщике достаточно два раза щелкнуть мышкой по отчету, содержащемуся в группе объектов Reports в проводнике баз данных.

Основные инструменты располагаются на панелях инструментов.

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер создания отчетов

Конструктор отчетов


Панели инструментов

Навигационная панель

Report Viewer - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать отчет.

General

iconRefresh Refresh - обновить внешний вид

Edit report - редактировать отчет в конструкторе отчетов

iconSaveToFileAs Save report as - сохранить отчет в файл

iconPrint Print - распечатать отчет

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Монитор SQL

SQL монитор позволяет увидеть все запросы, отправленные SQL Manager for MySQL на сервер, а также результаты их выполнения. Содержимое окна нельзя редактировать, но можно копировать в буфер обмена, сохранять в файл и распечатывать.

Чтобы открыть SQL монитор выберите в главном меню программы Tools | btnSQLMonitor SQL Monitor.

Все инструменты для работы с SQL монитором располагаются на панелях инструментов и в контекстном меню.

Смотрите также:

Настройки SQL Монитор


Панели инструментов

На навигационной панели находятся следующие инструменты:

SQL Monitor - Using Navigation bar

Clear contents - очистить содержимое окна

Save to file - сохранить текст в файл

iconFindText Find - найти в тексте

iconOptions SQL Monitor option - настройка SQL монитора (эти же настройки есть и в Options | Environment Options | Tools | SQL Monitor)

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Использование контекстного меню

С помощью контекстного меню можно выполнять следующие действия:

SQL Monitor - Working with SQL Monitor

  • Markers - открыть подменю для работы с маркерами,
  • Goto Bookmarks - перейти к закладке (активна, если созданы закладки)
  • Undo - отменить действие
  • Redo - вернуть отмененное действие
  • Copy - копировать выделенное
  • Select All - выделить все
  • Find - найти
  • Search Again - возобновить поиск
  • Incremental Search - поиск по названию ключевого поля
  • Go To Line By Number... - перейти к строке под номером...
  • Change Case - изменить регистр
  • Save - сохранить текст в файл
  • Preview - предварительный просмотр
  • Print - печатать
  • Save as Favorite Query - сохранить как избранный запрос
  • Properties - просмотреть свойства


Поиск по метаданным

Если необходимо найти некоторое сочетание символов в тексте метаданных базы данных.

Чтобы открыть окно поиска метаданных необходимо выбрать пункт Tools | iconSearch in Metadata Search in Metadata в главном меню программы, или воспользоваться сочетанием клавиш Ctrl+Alt+F.

В поле Text to find задайте искомое слово. Из раскрывающегося списка Database выберите базу данных, в которой будет производиться поиск.

Search in Metadata - Setting search conditions

Case Sensitive - при поиске учитывать регистр.

Whole words only - учитывать слово целиком.

Regular Expressions - искать устойчивое словосочетание в тексте.

В разделе Direction укажите направление поиска:

  • Forward - вниз,
  • Backward - вверх.

Результаты поиска выводятся в специальном окне.

Search in Metadata - Viewing search results

На навигационной панели, в разделе Explorer отображаются все объекты, в метаданных которых встречается искомое слово и словосочетание.

Метаданные объекта отображаются в SQL редакторе при нажатии на название объекта в разделе Explorer.

Смотрите также:

Управление объектами


Специальные инструменты

Мастер сравнения баз данных

С помощью мастера сравнения баз данных Можно создать SQL скрипт для синхронизации структуры баз данных.

Мастер копирования баз данных

С помощью мастера копирования данных вы можете скопировать любую информацию из базы данных в другую базу.

Операция SHOW

SHOW предоставляет информацию о базах данных, таблицах, столбцах, или информацию о состоянии сервера.

Шаблоны

С его помощью Вы можете сохранять последовательности действий и параметров в специальных файлах, которые называются шаблоны.

Смотрите также:

Общие инструменты


Мастер сравнения баз данных

С помощью мастера сравнения баз данных можно создать SQL скрипт для синхронизации структуры баз данных.

Чтобы запустить Мастер сравнения баз данных, выберите пункт Tools | iconCompare Compare Database в главном меню программы.

Мастер состоит из следующих шагов:

Выбор исходной базы данных

Выбор назначенной базы данных

Выбор типа скрипта синхронизации

Задание параметров скрипта

Выполнение операции

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер копирования баз данных

Операция SHOW

Шаблоны


Выбор исходной базы данных

На этом шаге необходимо указать исходную базу данных для сравнения

Database Comparer Wizard - Select the source database

Source host

Из этого раскрывающегося списка нужно выбрать сервер, на котором расположена исходная база данных.

Source database

Из списка зарегистрированных баз данных на выбранном сервере нужно выбрать исходную базу данных.

Следующий шаг>>

Шаблоны


Выбор назначенной базы данных

На этом шаге необходимо указать вторую базу данных для сравнения.

Database Comparer Wizard - Specify the target database

Target host

Сервер, на котором расположена назначенная база данных.

Target database

Назначенная для сравнения база данных выбирается из этого раскрывающегося списка.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Выбор типа скрипта синхронизации

На этом шаге необходимо выбрать, в каком направлении будет производиться сравнение баз данных.

Database Comparer Wizard - Select the type of synchronization script

RadioButton Target database into source database

Скрипт, приводящий назначенную базу данных базу в соответствие с исходной.

RadioButton Source database into target database

Скрипт, приводящий исходную базу (задается на шаге 1) в соответствие с назначенной (задается на шаге 2).

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Задание параметров скрипта

На этом шаге задаются дополнительные параметры генерируемого скрипта.

Database Comparer Wizard - Select additional options

RadioButton Automatically load to Script Editor - автоматически открыть созданный скрипт в Редакторе скриптов.

RadioButton Save to file - сохранить созданный скрипт в файл.

File name - имя файла, в который нужно сохранить скрипт. Файл можно выбрать в стандартном диалоговом окне, открывающемся при нажатии кнопки btnSaveAs .

File charset - кодировка скрипта выбирается из этого раскрывающегося списка.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Run, для начала выполнения операции.

В строке состояния, расположенной в верхней части, в процентах отображается ход выполнения операции.

Compare Database Wizard - Comparing database

В текстовом поле показаны все производимые действия и результат их выполнения.

CheckBox Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.

<<Предыдущий шаг


Мастер копирования баз данных

С помощью мастера копирования данных вы можете скопировать любую информацию из базы данных в другую базу. Копируемой информацией могут быть как данные, так и структура базы данных.

Чтобы начать копирование выберите пункт Tools | iconDatabases Copy Database в главном меню программы.

Мастер состоит из следующих шагов:

  • Выбор исходной базы данных
  • Задание назначенной базы данных
  • Выбор типа копируемых объектов
  • Выбор объектов для копирования структуры
  • Выбор объектов из которых будут скопированы данные
  • Задание дополнительных опций
  • Выполнение операции

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер извлечения баз данных

Мастер сравнения баз данных

Операция SHOW

Редактор SQL скриптов


Выбор исходной базы данных

На первом шаге выберите базу данных, которую необходимо копировать.

Из раскрывающегося списка Source database выберите нужную базу данных.

Copy Database Wizard - Selecting source database

В разделе Destination database выберите тип базы данных, в которую хотите копировать информацию.

RadioButton Registered database - зарегистрированная база данных.

RadioButton Non-registered database - незарегистрированная база данных.

RadioButton Into new database - создать новую базу данных.

Если Вы укажете что база, в которую Вы хотите копировать информация уже зарегистрирована, то на втором шаге нужно будет только выбрать её из предоставленного списка

Если назначенная база не является зарегистрированной, то на втором шаге Вы сможете указать параметры подключения к ней.

Следующий шаг>>


Задание назначенной базы данных

Если на первом шаге Вы указали, что назначенная база данных зарегистрирована, то на втором шаге Вам нужно будет только выбрать из списка Database одну из зарегистрированных баз данных. Зарегистрированный сервер можно выбрать из раскрывающегося списка Host.

Copy Database Wizard - Specifying destination database

Если база, в которую Вы хотите копировать информацию не является зарегистрированной, то на втором шаге Вы должны указать параметры регистрации хоста и базы данных.

Из раскрывающегося списка Host name выбираете сервер (хост), к которому хотите подключиться. В этот список попадают имена уже зарегистрированных серверов.

В поле Port задайте порт для подключения. Укажите имя пользователя и пароль в полях User name и Password.

В поле Named pipe необходимо указать название именованного канала. Именованный канал указывается в конфигурационном файле MySQL сервера.

Базу данных, расположенную на указанном сервере, выберите из списка Database.

С помощью кнопки Load Connection info можно скопировать все настройки из другой базы данных, которая выбирается из раскрывающегося списка, открывающегося по нажатию на кнопку btnDropDownMenu.

Установите флажок CheckBox Create profile for destination database, если хотите зарегистрировать назначенную базу данных в SQL Manager for MySQL.

<<Предыдущий шаг

Следующий шаг>>


Выбор типа копируемых объектов

На третьем шаге Вы выбираете, какую информацию базы данных хотите скопировать:

Copy Database Wizard - Selecting components to copy

RadioButton Copy both of structure and data - если установлен этот переключатель, то будут скопированы и данные и сама структура базы данных со всеми таблицами, запросами, представлениями, функциями и процедурами.

RadioButton Copy structure only - если хотите копировать только структуру базы, то установите этот переключатель

RadioButton Copy data only - в назначенную базу данных будут скопированы только данные, если установлен этот переключатель.

<<Предыдущий шаг

Следующий шаг>>


Выбор объектов базы данных

На этом шаге можно выбрать объекты базы данных, структуру которых следует скопировать.

Этот шаг активен только в том случае, если Вы копируете структуру базы данных.

Copy Database Wizard - Selecting objects to copy their structure

CheckBox Установленный флажок Copy all database objects указывает на то, что будет скопирована структура всех без исключения объектов.

Из раскрывающегося списка Objects to copy выбираете тип объекта (таблица, представление и т.д.). После выбора типа в списке Available появляются все объекты базы данных, соответствующие выбранному типу. С помощью кнопок переместите объекты из списка доступных - Available в список выбранных - Selected.

<<Предыдущий шаг

Следующий шаг>>


Выбор серверных объектов

На этом шаге можно выбрать объекты сервера, структуру которых следует скопировать.

Этот шаг активен только в том случае, если Вы копируете структуру базы данных.

Copy Database Wizard - Selecting server objects to copy

CheckBox Установленный флажок Copy all server objects указывает на то, что будет скопирована структура всех объектов.

Из раскрывающегося списка Objects to copy выбираете тип объекта. После выбора типа в списке Available появляются все серверные объекты, соответствующие выбранному типу. С помощью кнопок переместите объекты из списка доступных - Available в список выбранных - Selected.

<<Предыдущий шаг

Следующий шаг>>


Выбор объектов, из которых будут скопированы данные

На этом шаге Вы можете выбрать те таблицы, из которых необходимо копировать данные.

Copy Database Wizard - Selecting objects to copy their data

RadioButton Пункт переключателя Copy data of selected tables указывает на то, что данные будут копироваться только из тех таблиц, которые были выбраны на предыдущем шаге.

RadioButton Если выберите Copy data of all tables, то данные будут скопированы из всех таблиц базы.

RadioButton Если выбран пункт Copy selected Tables, то Вы сможете выбрать таблицы из списка доступных - Available, и с помощью кнопок переместить их в список выбранных - Selected.

<<Предыдущий шаг

Следующий шаг>>


Задание дополнительных опций

На этом шаге укажите общие настройки копирования:

Copy Database Wizard - Setting additional options

CheckBox Use compression protocol

При передаче данных можно использовать протокол сжатия, установив флажок Use compression protocol.

CheckBox Drop object if exists

Если в базе данных уже существуют объекты, идентичные копируемым, то они будут удалены, если установлен флажок Drop object if exists.

CheckBox Disable foreign key checks

Установите флажок Disable foreign key checks, если хотите отменить проверку внешних ключей.

CheckBox Copy dependent objects

Если установлен флажок Copy dependent objects, то для объектов будут копироваться связанные с ними объекты.

CheckBox Copy privileges

Копировать права на объекты.

Из раскрывающегося списка Extract structure for version можно выбрать версию MySQL сервера, на котором располагается база данных, в которую копируют информацию.

Данные таблиц можно копировать блоками.

RadioButton В поле Record count per each data block укажите количество записей в каждом блоке.

RadioButton Можно автоматически указать максимально допустимое количество записей в блоке, выбрав пункт Max allowed data block.

CheckBox Можно подтверждать транзакцию после копирования каждого блока данных, установив флажок Commit each data block.

CheckBox Extract table data just after its definition - извлекать табличные данные после их описания (комментариев).

CheckBox Delete old records before copying

Выберите эту опцию, если целевые таблицы нужно очищать (если они существуют) перед вставкой данных из исходных таблиц.

<<Предыдущий шаг

Следующий шаг>>


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Run, для начала выполнения операции.

В строке состояния, расположенной в верхней части, в процентах отображается ход выполнения операции.

Copy Database Wizard - Copying database

В основной части окна от отображаются все производимые действия и результат их выполнения.

CheckBox Если хотите чтобы выполнение операции при возникновении ошибки прекратилось, то установите флажок Abort copying on error.

CheckBox Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.

<<Предыдущий шаг


Операция SHOW

SHOW предоставляет информацию о базах данных, таблицах, столбцах, или информацию о состоянии сервера. Открыть этот инструмент можно выбрав пункт Tools | Show в главном меню программы. Из открывающегося подменю можно выбрать уже конкретный раздел для просмотра. Также, можно выбрать пункт Database Tools | iconShow Show в контекстном меню базы данных.

Более подробно информацию по этому инструменту можно посмотреть здесь http://dev.mysql.com/doc/refman/5.0/en/show.html

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик

Смотрите также:

Мастер копирования баз данных

Мастер сравнения баз данных


Панели инструментов

На навигационной панели находятся следующие инструменты:

Show - Using Navigation bar

General

Из раскрывающегося списка необходимо выбрать базу данных.

Host

iconShowBinaryLogs Show binary logs

iconShowBinLogsEvents Show binlogs events

iconShowCharacteSet Show character set

iconShowCollation Show collation

iconDB Show databases

iconShowEngines Show engines

btnCreateDB Show errors

iconGrantManager Show privileges

iconShowProcessList Show processlist

iconShowWarnings Show warnings

Database

btnRegisterDB Show create database

iconShowOpenTables Show open tables

iconShowProcedureStatus Show procedure status

iconShowTableStatus Show table status

iconShowTables Show tables

iconShowTriggers Show triggers

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Информация по серверу

Show binary logs

Отображается список бинарных файлов журналов.

Show binary logs

Log_name - имя файла журнала.

File_size - размер файла журнала.

Show binlogs events

Отображаются события в бинарных файлах журналов

Бинарный журнал сервера состоит из файлов, содержащих "события", которые описывают изменения в базе данных.

Show binlogs events

Log_name - имя файла журнала.

Pos - начальная позиция события в журнале.

Event type - тип события.

Server id - идентификационный номер сервера, на котором произошло событие.

End log pos - позиция начала следующего события (конечное положение текущего события + 1).

Info - дополнительная информация о событии.

Show character set

Отображаются все доступные таблицы символов.

Show character set

Charset - название таблицы символов.

Description - краткое описание таблицы символов.

Default collation - правило сравнения символьных данных, используемое по умолчанию для данной таблицы символов. Эти правила задают кодовую страницу и порядок сопоставления символьных данных для работы с данными в Юникоде и других форматах.

Maxlen - максимальная длина символа в байтах.

Show collation

Отображаются все правила сравнения символьных данных.

Collation - правило сравнения символьных данных.

Charset - таблица символов, в которой используется это правило сравнения.

Id - идентификатор (ID) правила сравнения.

Default - используется ли данный набор правил по умолчанию для указанного набора символов.

Compiled - компилируется ли набор символов на сервере.

Sortlen - объем памяти, необходимый для сортировки строковых выражений в таблице символов.

Show databases

Отображаются все базы данных выбранного сервера

Show engines

Отображаются механизмы хранения таблиц.

Engine - название механизма хранения

Support - поддерживается ли данный механизм сервером.

Comment - краткое описание

Transactions - поддерживает ли транзакции.

XA - поддерживает ли XA транзакции.

Savepoints - поддерживает ли точки восстановления.

Show errors

Отображается список ошибок, возникших при выполнении последнего оператора, генерировавшего сообщения во время текущей сессии.

Level - тип сообщения.

Code -код ошибки.

Message - информационное сообщение об ошибке.

Show privileges

Отображается список системных привилегий, которые поддерживает MySQL сервер. Точный перечень зависит от версии сервера.

Privilege - системная привилегия

Context - объекты, для которых данная привилегия может быть применена.

Comment - пояснение.

Show processlist

Отображается список запущенных потоков.

Id - идентификатор соединения.

User - пользователь MySQL, запустивший оператор.

Host - имя хоста клиента, который запустил процесс.

db - база данных по умолчанию, если такая выбрана. Если не выбрана, то NULL.

Command - имя команды, исполняемой в потоке.

Time - время в секундах, пребывания соединения в текущем состоянии.

State - действие, оператор или событие, которое указывает, что поток делает.

Info - оператор, выполняемый потоком. Если ничего не выполняется, то Null.

Show warnings

Отображается список предупреждений, возникших при выполнении последнего оператора, генерировавшего сообщения во время текущей сессии.

Level - тип сообщения.

Code -код предупреждения.

Message - информационное сообщение, содержащее текст предупреждения.


Информация по базе данных

Show create database

Отображаются операторы CREATE DATABASE, которые создают текущую базу.

Show create database

Database - имя базы данных

Create Database - оператор.

Show open tables

Отображаются открытые таблицы.

Show open tables

Database - база данных, которой принадлежит открытая таблица.

Table - имя таблицы

In_use - число блокировок или запросов на блокировку таблицы.

Name_locked - заблокировано ли имя таблицы. Блокировка имени используется для таких операций как переименование и удаление таблицы.

Show procedure status

Отображаются статусы процедур.

Show procedure status

Db - имя базы данных, которой принадлежит процедура.

Name - имя процедуры.

Type - тип процедуры.

Definer - учетная запись, которой была создана эта процедура.

Modified - дата последнего изменения объекта

Created - дата создания объекта.

Security type - чьи права доступа использованы для выполнения процедуры: Definer (пользователь, создавший подпрограмму), или Invoker (пользователь, выполняющий подпрограмму).

Comment - комментарий.

Character set client - название таблицы символов клиента

Collation connection - правила сравнения кодировки подключения. The collation of the connection character set.

Database Collation - правило сравнения символьных данных, используемое по умолчанию для данной таблицы символов. Эти правила задают кодовую страницу и порядок сопоставления символьных данных для работы с данными в Юникоде и других форматах.

Show table status

Отображается общая информация о таблицах.

Show table status

Name - Имя таблицы

Engine - Механизм хранения

Version - версия *.frm файла таблицы.

Row_format - формат хранения строк (Fixed, Dynamic, Compressed, Redundant, Compact).

Rows - число строк таблицы. Некоторые механизмы хранения, такие как MyISAM, хранят точное число. Для других механизмов хранения, таких как InnoDB, это значение приближено и может варьироваться в зависимости от фактического значения на 40-50%. В таких случаях рекомендуется использовать SELECT COUNT (*), чтобы получить точное количество. Значение строк NULL для таблиц в базе данных INFORMATION_SCHEMA.

Avg_row_length - Средняя длина строки.

Data_length - Длина файла данных.

Max_data_length - Максимальная длина файла данных. Это общее количество байт данных, которые могут храниться в таблице, учитывая размер используемого указателя данных.

Index_length - Длина индексного файла.

Data_free - количество выделенных, но не используемых байтов.

Auto_increment - следующее значение автоинкремента.

Create_time - дата и время создания таблицы.

Update_time - дата и время последнего обновления. Для некоторых механизмов хранения, это значение равно NULL.

Check_time - дата последней проверки,

Collation - правило сравнения символьных данных.

Checksum - контрольная сумма для проверки целостности.

Create_options - Дополнительные опции, используемые с CREATE TABLE.

Comment - Комментарий, заданный при создании таблицы.

Show tables

Список таблиц базы данных.

Show triggers

Trigger - имя триггера.

Event - событие, которое вызывает срабатывание триггера: 'INSERT', 'UPDATE' или 'DELETE'.

Table - таблица для которой определен триггер.

Statement - оператор, который будет выполняться при запуске триггера.

Timing - одно из двух значений 'BEFORE' или 'AFTER'.

Created - В настоящее время значение этого столбца всегда NULL.

sql_mode - Режим SQL действующий при выполнении триггера. Этот столбец активен для сервера MySQL версии 5.0.11 и выше.

Definer - учетная запись, которой был создан этот триггер. Этот столбец активен для сервера MySQL версии 5.0.17 и выше.

Character set client - название таблицы символов клиента

Collation connection - правила сравнения кодировки подключения.

Database Collation - правило сравнения символьных данных, используемое по умолчанию для данной таблицы символов. Эти правила задают кодовую страницу и порядок сопоставления символьных данных для работы с данными в Юникоде и других форматах.


Инструменты сервера

Дамп базы данных

Резервное копирование таблиц

Восстановление таблиц

Очистка кэша (Flush)

Анализ таблиц

Проверка таблиц

Устранение ошибок в таблицах

Оптимизация таблиц

Очистка таблиц

Изменение механизма хранения таблиц

Свойства сервера

Управление экземплярами

Запуск консоли MySQL сервера

Проверка соединения

Остановка работы сервера

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты базы данных

Обеспечение безопасности

Настройки

Внешние инструменты

Как...


Дамп базы данных

Dump Database Wizard предназначен для создания дампа базы данных или нескольких баз данных MySQL для создания резервной копии или пересылки данных на другой SQL-сервер (не обязательно MySQL) с помощью утилиты mysqldump.exe. Дамп будет содержать набор команд SQL для создания и/или заполнения таблиц.

Для запуска Мастера дампа базы данных необходимо выбрать в главном меню пункт Services | [image] Dump Databases.

  • Выбор сервера
  • Выбор баз данных для дампа
  • Выбор объектов для дампа
  • Выбор файла назначения
  • Выбор компонентов базы данных для дампа
  • Задание свойств структуры скрипта
  • Задание свойств данных скрипта
  • Выполнение операции

Смотрите также:

Резервное копирование таблиц

Восстановление базы данных

Использование шаблонов


Выбор сервера

На этом шаге выберите хост, на котором расположены базы данных для дампа, и укажите параметры авторизации.

Dump database - Specifying source host

Host

Из этого раскрывающегося списка нужно выбрать сервер, на котором расположены базы данных, дамп которых Вы хотите создать.

В полях User и Password укажите параметры авторизации - имя пользователя и пароль соответственно.

По умолчанию подставляются параметры авторизации, указанные в Регистрационной информации баз данных. Вы можете указать другие данные для работы с утилитой mysqldump.exe, например, учетную запись администратора в случае, когда для работы с базой данных используется пользователь с ограниченными правами.

Следующий шаг>>


Выбор баз данных для дампа

На этом шаге выберите баз(ы) данных, дамп которых Вы хотите создать.

Dump database - Selecting databases to dump

Из списка Available выберите нужные базы данных и с помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available перенесите их в список выбранных баз - Selected, или перетащите из одного списка в другой с помощью мышки.

CheckBox Select all databases

Эта опция соответствует параметру '--all-databases' утилиты mysqldump.

Если выбрана эта опция, то все таблицы и представления всех баз данных будут выгружены в скрипт.

<<Предыдущий шаг

Следующий шаг>>


Выбор объектов для дампа

На этом шаге выберите объекты баз данных, скрипт которых Вы хотите получить.

Этот шаг будет пропущен, если на шаге Выбор баз данных для дампа был установлен флажок CheckBox Select all databases.

Dump database - Selecting objects to dump

Установленный флажок CheckBox Select all tables and views указывает на то, что в скрипт будут выгружены все таблицы и представления базы данных.

Из раскрывающегося списка Database выберите одну из баз данных, выбранных на шаге Выбор баз данных для дампа.

Из раскрывающегося списка Object type выберите тип объекта (таблица или представление). После выбора типа в списке Available появляются все объекты базы данных, соответствующие выбранному типу. С помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available переместите объекты из списка доступных - Available в список выбранных - Selected.

<<Предыдущий шаг

Следующий шаг>>


Выбор файла назначения

На этом шаге задаются параметры генерируемого скрипта дампа базы данных.

Dump database - Specifying destination file name

RadioButton Dump to file

Если выбрана эта опция, то скрипты всех выбранных объектов базы данных будут экспортированы в один файл.

В поле File path необходимо указать имя файла и путь к нему, или выбрать файл, воспользовавшись стандартным диалоговым окном, открывающимся при нажатии на кнопку btnSaveAs.

RadioButton Dump to folder

Если выбран этот пункт, то для скрипта каждой таблицы базы данных будет создан отдельный файл. Все представления, процедуры и функции экспортируются в файл 'routines.sql'.

Folder path

В этом поле задается путь к директории в которой будет создана папка со всеми файлами объектов. Нажмите кнопку ExplorerButton Browse, чтобы воспользоваться стандартным диалогом выбора папок.

Из раскрывающегося списка Charset выберите кодировку файла дампа базы данных.

CheckBox XML format

Если отмечена эта опция, то файл дампа будет сохранен в формате *.xml.

<<Предыдущий шаг

Следующий шаг>>


Выбор компонентов базы данных для дампа

На этом шаге выберите, следует ли экспортировать в скрипт:

RadioButton структуру и данные (Dump both structure and data);

RadioButton только структуру (Dump structure only);

RadioButton только данные (Dump data only).

Dump database - Setting dump options

<<Предыдущий шаг

Следующий шаг>>


Задание свойств структуры скрипта

На этом шаге задайте свойства структуры файла дампа.

Этот шаг будет пропущен, если на шаге Выбор компонентов базы данных для дампа была выбрана опция RadioButton Dump data only.

Dump database - Setting structure options

CheckBox Dump events

Эта опция соответствует параметру '--events' утилиты mysqldump.

Включать события в файл дампа базы данных.

CheckBox Dump triggers

Эта опция соответствует параметру '--triggers' утилиты mysqldump.

Включать триггеры каждой выгружаемой таблицы в файл дампа базы данных.

CheckBox Dump stored routines (procedures and functions)

Эта опция соответствует параметру '--routines' утилиты mysqldump.

Данный параметр создает дамп хранимых процедур и функций. В файле дампа будут содержаться операторы CREATE PROCEDURE и CREATE FUNCTION.

CheckBox Add "DROP DATABASE" statement

Эта опция соответствует параметру '--add-drop-database' утилиты mysqldump.

Если отмечена эта опция, то в скрипте будет создан оператор DROP DATABASE.

CheckBox Add "CREATE TABLE" statement

Эта опция регулирует параметр '--no-create-info' команды mysqldump.

Если отмечена эта опция, то в скрипте будет создан оператор CREATE TABLE для создания каждой экспортируемой таблицы.

CheckBox Add "DROP TABLE" statement

Эта опция соответствует параметру '--add-drop-table' утилиты mysqldump.

Если отмечена эта опция, то в скрипте будет создан оператор DROP TABLE перед каждым оператором CREATE TABLE.

CheckBox Include all MySQL-specific table options in the "CREATE TABLE" statements

Эта опция соответствует параметру '--create-options' утилиты mysqldump.

Добавляет дополнительную информацию в операторы CREATE TABLE.

<<Предыдущий шаг

Следующий шаг>>


Задание свойств данных скрипта

На этом шаге задайте свойства данных файла дампа.

Этот шаг будет пропущен, если на шаге Выбор компонентов базы данных для дампа была выбрана опция RadioButton Dump structure only.

Dump database - Setting data options

CheckBox Add locks around INSERT statements

Эта опция соответствует параметру '--add-locks' утилиты mysqldump.

Добавлять оператор LOCK TABLES перед выполнением и UNLOCK TABLE после выполнения каждого дампа таблицы.

CheckBox Disable keys before dump database

Эта опция соответствует параметру '--disable-keys' утилиты mysqldump.

Для каждой таблицы, перед и после оператора INSERT будут сгенерированы выражения /*!40000 ALTER TABLE tbl_name DISABLE KEYS */; и /*!40000 ALTER TABLE tbl_name ENABLE KEYS */; соответственно.

CheckBox Dump binary strings (BINARY, VARBINARY, BLOB) in hex

Эта опция соответствует параметру '--hex-blob' утилиты mysqldump.

Эта опция позволяет представлять бинарные данные в полях типа BINARY, VARBINARY, BLOB и BIT в шестнадцатеричном формате.

CheckBox Use "INSERT IGNORE" statement

Эта опция соответствует параметру '--insert-ignore' утилиты mysqldump.

В каждый оператор INSERT будет добавлено ключевое слово IGNORE.

CheckBox Use multiple-row INSERT

Эта опция соответствует параметру '--extended-insert' утилиты mysqldump.

Использовать команду INSERT с многострочным синтаксисом.

<<Предыдущий шаг

Следующий шаг>>


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Run, для начала выполнения операции.

В основной части окна от отображаются все производимые действия и результат их выполнения.

Dump database - Performing operation

Если установлен флажок CheckBox Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.

Для того чтобы каждый раз не задавать параметры дампа, воспользуйтесь инструментом создания шаблонов.

<<Предыдущий шаг


Восстановление базы данных

Restore Database Wizard предназначен для восстановления базы данных MySQL из SQL скрипта с помощью клиента mysql.exe. С помощью этого мастера Вы можете восстановить одну или несколько баз данных.

Note: Для выполнения восстановления базы данных необходим файл mysql.exe, который расположен в директории C:\Program Files (x86)\EMS\SQL Manager for MySQL\Dump.

Для запуска Мастера восстановления баз данных необходимо выбрать в главном меню пункт Services | [image] Restore Database.

  • Выбор сервера
  • Выбор файла для восстановления
  • Выбор баз данных
  • Выбор объектов
  • Выполнение операции

See also:

Восстановление таблиц

Дамп базы данных

Использование шаблонов


Выбор сервера

На этом шаге необходимо выбрать сервер, на котором Вы хотите восстановить базы данных.

Restore database - Specifying source host

Host

Из этого раскрывающегося списка нужно выбрать сервер, на котором необходимо восстановить базы данных.

В полях User и Password укажите параметры авторизации - имя пользователя и пароль соответственно.

По умолчанию подставляются параметры авторизации, указанные в Регистрационной информации баз данных. Вы можете указать другие данные для работы с утилитой mysql.exe, например, учетную запись администратора в случае, когда для работы с базой данных используется

Следующий шаг>>


Выбор файла для восстановления

На этом шаге необходимо задать дамп-файл или папку с дамп-файлами, которые должны быть восстановлены.

Restore database - Selecting file to restore

RadioButton Restore from file

Выберите эту опцию, чтобы восстановить одну или несколько баз данных из одного дамп-файла.

В поле File path, с помощью диалогового окна, открывающегося при нажатии кнопки ExplorerButton , задайте путь к файлу резервной копии и имя самого файла.

Default target database

Из выпадающего списка баз выберите ту, которая должна быть восстановлена. Восстановление будет проводиться в эту базу данных, если в дамп-файле нет выражения CREATE DATABASE или USE. В ином случае, заданное значение будет проигнорировано, и будут восстановлены все базы данных, которые есть в дамп-файле.

RadioButton Restore from folder

Выберите эту опцию, чтобы восстановить одну или несколько баз данных из набора дамп-файлов, находящихся в указанной папке.

В поле Folder path, с помощью диалогового окна, открывающегося при нажатии кнопки ExplorerButton , задайте путь к директории.

Из раскрывающегося списка Charset выберите кодировку файлов дампа базы данных.

<<Предыдущий шаг

Следующий шаг>>


Выбор баз данных

Этот шаг появляется, если на предыдущем шаге была выбрана опция RadioButton Restore from folder. На этом шаге необходимо выбрать базы данных, которые должны быть восстановлены.

Restore database - Selecting databases

В списке Available содержатся все базы данных, файла дампа которых найдены в директории, указанной на предыдущем шаге.

С помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available переместите объекты из списка доступных - Available в список выбранных - Selected.

<<Предыдущий шаг

Следующий шаг>>


Выбор объектов

На этом шаге необходимо выбрать таблицы, которые будут восстановлены.

Restore database - Selecting objects

Из выпадающего списка Database выберите базу данных.

В списке Available перечислены все таблицы выбранной базы, описания которых найдены в заданной директории.

С помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available переместите объекты из списка доступных - Available в список выбранных - Selected.

Note: Для восстановления представлений, процедур и триггеров необходимо выбрать таблицу 'routines'.

Чтобы восстановить все доступные таблицы во всех выбранных базах, отметьте опцию CheckBox Select all tables.

<<Предыдущий шаг

Следующий шаг>>


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Run, для начала выполнения операции.

В основной части окна от отображаются все производимые действия и результат их выполнения.

Restore database - Performing operation

Если установлен флажок CheckBox Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.

Для того чтобы каждый раз не задавать параметры восстановления базы, воспользуйтесь инструментом создания шаблонов.

<<Предыдущий шаг


Резервное копирование таблиц

Мастер резервного копирования таблиц позволяет сохранить все таблицы базы данных в указанной директории.

Копирует в каталог резервного копирования тот минимум табличных файлов, который достаточен для восстановления таблицы. На данный момент работает только для таблиц, имеющих тип хранения MyISAM. Для таблиц MyISAM копирует файлы *.frm (определений) и .MYD (данных). Существующие копии таблиц не перезаписываются: при попытке восстановления поверх существующей таблицы будет выдана ошибка.

В процессе резервного копирования будет установлена блокировка чтения отдельно для каждой таблицы на время ее копирования.

Важно: Эта операция недоступна для серверов MySQL версии 5.5 и выше.

Замечание: Вы можете сохранить базу данных только на локальном компьютере. Чтобы создать резервную копию таблиц, находящихся на удаленном компьютере, воспользуйтесь инструментом Extract Database, а затем восстановите объект, используя SQL Script Editor.

Чтобы открыть Мастер резервного копирования нужно выбрать пункт Services | iconBackupTables Backup Tables в главном меню программы.

Выбор базы данных

Выбор таблиц

Выполнение операции

Смотрите также:

Восстановление таблиц

Использование шаблонов


Выбор базы данных

База данных выбирается из раскрывающегося списка Database, в котором содержатся все зарегистрированные и подключенные базы данных.

Backup Tables - Selecting database

В поле Backup directory, задается путь к директории, в которой будут созданы резервные копии таблиц.

Важно: Путь должен быть задан относительно компьютера, на котором запущен сервер MySQL. Если Вы работаете с локальным сервером, то можно использовать кнопку EllipsisButton для вызова стандартного диалогового окна для выбора директории.

Следующий шаг>>

Шаблоны


Выбор таблиц

На этом шаге Вам необходимо из списка всех таблиц базы данных выбрать те, для которых Вы хотите создать резервные копии.

Backup Tables - Selecting tables

Из списка Available Tables выберите доступные таблицы и с помощью кнопок переместите их в список сохраняемых таблиц - Selected Tables.

CheckBox Если хотите создать резервную копию для всех таблиц, то установите флажок Backup All.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Run, для начала выполнения операции.

В строке состояния, расположенной в верхней части, в процентах отображается ход выполнения операции.

Ниже располагаются две вкладки, на которых отображается более подробная информация о ходе выполнения и о результатах.

Вкладка Operations.

MySQL Services - Viewing routine results - Operations

На вкладке Operation показаны все производимые действия и результат их выполнения.

Вкладка Results.

Backup Tables - Viewing routine results - Result

На этой вкладке отображается информация о результатах выполнения.

  • имя объекта
  • операция, которая была с ним выполнена
  • сообщение о результатах выполнения

CheckBox Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.


Восстановление таблиц

Restore Tables Wizard восстанавливает таблицы из резервной копии, созданной с помощью Backup Tables Wizard. Существующие таблицы не перезаписываются: при попытке восстановления поверх существующей таблицы будет выдана ошибка. Восстановление занимает больше времени, нежели создание резервной копии из-за необходимости повторного построения индекса. Чем больше в таблице будет ключей, тем больше времени заберет реконструкция. Восстановление таблиц, так же как и резервное копирование, в настоящее время работает только для таблиц, имеющих тип хранения MyISAM.

Чтобы открыть Мастер восстановления таблиц нужно выбрать пункт Services | iconRestoreTables Restore Tables в главном меню программы.

Выбор директории

Выбор назначенной базы данных

Выбор таблиц

Выполнение операции

Смотрите также:

Резервное копирование таблиц

Использование шаблонов


Выбор директории

На первом шаге выберите базу данных, которую необходимо восстановить.

Restore Tables - Setting the source directory

Из раскрывающегося списка Source directory выберите директорию, в которой находятся резервные копии, из которых будут восстановлены таблицы.

В разделе Destination database выберите тип базы данных, в которую хотите копировать информацию.

RadioButton Registered database profile - зарегистрированная база данных.

RadioButton Non-registered database - незарегистрированная база данных.

Если Вы укажете, что база уже зарегистрирована, то на втором шаге нужно будет только выбрать её из предоставленного списка

Если назначенная база не является зарегистрированной, то на втором шаге Вы сможете указать параметры подключения к ней.

Следующий шаг>>

Шаблоны


Выбор назначенной базы данных

Зарегистрированная база данных

Если на предыдущем шаге была выбрана зарегистрированная база данных RadioButton Registered database profile, то шаг принимает следующий вид.

Restore Tables - Selecting target database

База данных выбирается из раскрывающегося списка Database, в котором содержатся все зарегистрированные и подключенные базы данных.

Незарегистрированная база данных

Если на предыдущем шаге была выбрана незарегистрированная база данных RadioButton Non-registered database, то шаг принимает следующий вид.

Restore Tables - Specify target database

Из раскрывающегося списка Host name выбираете сервер (хост), к которому хотите подключиться. В этот список попадают имена уже зарегистрированных серверов.

В поле Port задайте порт для подключения. Укажите имя пользователя и пароль в полях User name и Password.

Из раскрывающегося списка Database необходимо выбрать базу данных, расположенную на указанном сервере. Если нужной базы данных нет, то можно создать новую, установив флажок Create new database.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Выбор таблиц

На этом шаге Вам необходимо выбрать те таблицы, которые Вы хотите восстановить.

Restore Tables - Selecting tables

Из списка Available выберите доступные таблицы и с помощью кнопок переместите их в список восстанавливаемых таблиц - Selected.

Важно: Теперь можно вручную вводить названия таблиц, которые не существуют в базе данных для восстановления (например, при восстановлении таблиц на удаленном сервере).

Restore Tables - Inputting table names

Add new table name

Чтобы добавить имя таблицы в список восстанавливаемых таблиц, введите имя в поле Add new table name и нажмите iconPlus .

Чтобы удалить таблицу из списка, нажмите кнопку iconCross .

Автоматически добавить таблицы базы данных, в которую производится восстановление таблиц, в список восстанавливаемых можно с помощью кнопки iconAutoFillColumns .

в появившемся диалоговом окне необходимо выбрать таблицы.

Restore Tables - Inputting table names - Select tables

ExplorerButton Загрузить список таблиц из текстового файла.

Сохранить список таблиц в текстовый файл.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Очистка кэша (Flush)

Используйте пункт главного меню Services | Flush если хотите очистить часть кэша, используемого MySQL. Для запуска этой команды необходимо обладать привилегиями RELOAD.


Параметры очистки кэша

  • Hosts - производится очистка таблиц кэша удаленных компьютеров. Сброс таблиц удаленного компьютера следует производить, если один из удаленных компьютеров изменил IP-адрес или если было получено сообщение об ошибке Host ... is blocked.

  • Logs - закрываются и повторно открывается все файлы журналов. Если файл журнала обновлений или файл бинарного журнала был указан без расширения, номер расширения файла журнала будет увеличен на единицу относительно предыдущего файла. Если в имени файла было указано расширение, MySQL закроет и повторно откроет файл журнала обновлений.

  • Privileges - производится перезагрузка привилегий из таблиц привилегий в базе данных mysql.

  • Tables - закрываются все открытые таблицы и принудительно закрываются все используемые таблицы. Также сбрасывается кэш запросов.

  • Tables With Read Lock - закрываются все открытые таблицы и блокируется доступ для чтения всех таблиц для всех баз данных, пока не будет запущена команда UNLOCK TABLES. Это очень удобный способ создавать резервные копии, если у вас файловая система наподобие Veritas, которая может обеспечить моментальные снимки данных в режиме реального времени.

  • Status - большинство переменных состояния сбрасываются в нуль. Эту команду необходимо использовать при отладке запроса.


Анализ таблиц

Анализирует и сохраняет распределение ключей для таблицы. Во время проведения анализа заблокированы для чтения таблицы имеющие тип хранения MyISAM и BDB. Для записи заблокированы таблицы, имеющие тип хранения InnoDB.

Сохраненное распределение ключей в MySQL используется для принятия решения о том, в каком порядке следует связывать таблицы, когда для связывания используются не константы, а другая база.

Чтобы произвести анализ таблиц нужно выбрать пункт Services | iconAnalyzeTables Analyze Tables в главном меню программы.

Выбор базы данных

Выбор таблиц

Выполнение операции

Смотрите также:

Таблицы

Использование шаблонов


Выбор базы данных

Из раскрывающегося списка Host выберите сервер, на котором расположена база данных. Если сервер не зарегистрирован, то зарегистрируйте его, используя Мастер регистрации баз данных.

База данных выбирается из раскрывающегося списка Database, в котором содержатся все зарегистрированныеи подключенные базы данных.

Analyze Tables - Selecting database

Следующий шаг>>

Шаблоны


Выбор таблиц

На этом шаге Вам необходимо из списка всех таблиц базы данных выбрать те, к которым Вы хотите применить команду Analyze Tables.

Из списка Available Tables выберите доступные таблицы и с помощью кнопок переместите их в список нужных таблиц - Selected Tables.

Analyze Tables - Selecting tables to be analyzed

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Проверка таблиц

Check Tables Wizard проверяет таблицы на наличие ошибок. Для таблиц MyISAM обновляется статистика ключей. Проверка таблиц работает только для таблиц, имеющих тип хранения MyISAM и InnoDB.

Проверки могут быть разного типа, что обеспечивает всестороннюю проверку индексов и тем самым позволяет обнаруживать большинство ошибок.

Для сервера MySQL 6.x.x проверка таблиц работает только для таблиц, имеющих типы хранения MyISAM, InnoDB, ARCHIVE, and CSV

Чтобы открыть Мастер проверки таблиц нужно выбрать пункт Services | iconCheckTables Check Tables в главном меню программы.

Выбор базы данных

Выбор таблиц

Выполнение операции

Смотрите также:

Таблицы

Использование шаблонов


Выбор базы данных

Из раскрывающегося списка Host выберите сервер, на котором расположена база данных. Если сервер не зарегистрирован, то зарегистрируйте его, используя Мастер регистрации баз данных.

База данных выбирается из раскрывающегося списка Database, в котором содержатся все зарегистрированные и подключенные базы данных.

Check Tables - Selecting database

Следующий шаг>>

Шаблоны


Выбор таблиц

На этом шаге Вам необходимо из списка всех таблиц базы данных выбрать те, которые Вы хотите проверить, а также задать тип проверки.

Check Tables - Selecting tables

Различные типы проверки означают следующее:

CheckBox Quick - не сканировать строки для проверки на неправильные связи.

CheckBox Fast - проверять только таблицы, которые не были корректно закрыты.

CheckBox Medium - сканировать строки для проверки того, что уничтоженные связи в порядке. При этом также подсчитывается ключевая контрольная сумма для строки и сравнивается с подсчитанной контрольной суммой для ключей.

CheckBox Changed - проверять только таблицы, которые изменились со времени последней проверки или не были закрыты корректно.

CheckBox Extended - выполнить полный просмотр ключа для всех ключей для каждой строки. Успех такой проверки гарантирует 100% отсутствие противоречий в таблице, но на проверку уйдет немало времени!

Из списка Available Tables выберите доступные таблицы и с помощью кнопок переместите их в список проверяемых таблиц - Selected Tables.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Устранение ошибок в таблицах

Для MySQL 6.x.x устранение ошибок можно производить только в тех таблицах, которые имеют тип хранения MyISAM, ARCHIVE и CSV.

При обыкновенной работе запускать эту команду не приходится, но после серьезных сбоев, с помощью Repair Tables Wizard, удастся вернуть данные из таблицы MyISAM.

Repair Tables Wizard ремонтирует таблицу, которая, возможно, повреждена.

Чтобы открыть Мастер устранения ошибок нужно выбрать пункт Services | iconRepairTables Repair Tables в главном меню программы.

Выбор базы данных

Выбор таблиц

Выполнение операции

Смотрите также:

Таблицы

Использование шаблонов


Выбор базы данных

Из раскрывающегося списка Host выберите сервер, на котором расположена база данных. Если сервер не зарегистрирован, то зарегистрируйте его, используя Мастер регистрации баз данных.

База данных выбирается из раскрывающегося списка Database, в котором содержатся все зарегистрированные и подключенные базы данных.

Repair Tables - Selecting database

Следующий шаг>>

Шаблоны


Выбор таблиц

На этом шаге Вам необходимо из списка всех таблиц базы данных выбрать те, для которых Вы хотите провести процедуру устранения ошибок, а также задать некоторые опции этой процедуры.

Repair Tables - Selecting tables

CheckBox Если указан Quick, то SQL Manager for MySQL будет пытаться устранить ошибки только в дереве индексов.

CheckBox Если используется Extended, то индекс будет создаваться строка за строкой вместо создания по одному индексу единоразово с помощью сортировки; такая техника может работать лучше сортировки для ключей фиксированной длины, если речь идет о хорошо сжимаемых ключах типа CHAR большой длины. Это такой же ремонт, как делается с помощью myisamchk - safe-recover.

CheckBox Используйте режим Use .FRM если отсутствует файл .MYI или поврежден его заголовок. В этом режиме MySQL воссоздаст таблицу, используя информацию из файла .frm.

Из списка Available Tables выберите доступные таблицы и с помощью кнопок переместите их в список нужных таблиц - Selected Tables.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Оптимизация таблиц

SQL Manager for MySQL позволяет выполнить оптимизацию таблиц, с помощью специального инструмента - Optimize Tables Wizard.

Оптимизация таблиц должна использоваться если:

  • удалена большая часть таблицы;
  • необходимо обновить статистику;
  • в таблицу было внесено много изменений в строки переменной длины (таблицы, в которых есть поля типа VARCHAR, BLOB или TEXT);
  • не отсортированы страницы индексов.

Удаленные записи поддерживаются при помощи связного списка, и последующие операции INSERT повторно используют позиции старых записей.

Для MySQL 6.x.x устранение ошибок можно производить только в тех таблицах, которые имеют тип хранения MyISAM, ARCHIVE и CSV.

Чтобы открыть Мастер оптимизации таблиц нужно выбрать пункт Services | iconOptimizeTables Optimize Tables в главном меню программы.

Выбор базы данных

Выбор таблиц

Выполнение операции

Смотрите также:

Таблицы

Использование шаблонов


Выбор базы данных

Из раскрывающегося списка Host выберите сервер, на котором расположена база данных. Если сервер не зарегистрирован, то зарегистрируйте его, используя Мастер регистрации баз данных.

База данных выбирается из раскрывающегося списка Database, в котором содержатся все зарегистрированные и подключенные базы данных.

Optimize Tables - Selecting database

Следующий шаг>>

Шаблоны


Выбор таблиц

На этом шаге Вам необходимо из списка всех таблиц базы данных выбрать те, которые Вы хотите оптимизировать.

Из списка Available Tables выберите доступные таблицы и с помощью кнопок переместите их в список сохраняемых таблиц - Selected Tables.

Optimize Tables - Selecting tables

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Очистка таблиц

Операция Truncate позволяет удалить из таблицы все данные.

Чтобы открыть Мастер очистки таблиц нужно выбрать пункт Services | iconTruncateTables Truncate Tables в главном меню программы.

  • Эта операция удаляет и воссоздает таблицу, что намного быстрее, чем поочередное удаление строк.
  • Операция является нетранзакционной; если одновременно выполняется транзакция или активная блокировка таблицы, то можно получить ошибку.
  • Не возвращает количество удаленных строк.
  • Пока существует корректный файл table_name.frm, таблицу можно воссоздать с его с помощью, даже если файлы данных или индексов повреждены.

Выбор базы данных

Выбор таблиц

Выполнение операции

Смотрите также:

Таблицы

Использование шаблонов


Выбор базы данных

Из раскрывающегося списка Host выберите сервер, на котором расположена база данных. Если сервер не зарегистрирован, то зарегистрируйте его, используя Мастер регистрации баз данных.

База данных выбирается из раскрывающегося списка Database, в котором содержатся все зарегистрированные и подключенные базы данных.

Truncate Tables Wizard - Selecting database

Следующий шаг>>

Шаблоны


Выбор таблиц

На этом шаге Вам необходимо из списка всех таблиц базы данных выбрать те, которые Вы хотите очистить.

Из списка Available Tables выберите доступные таблицы и с помощью кнопок переместите их в список нужных таблиц - Selected Tables.

Truncate Tables Wizard - Selecting tables

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Изменение механизма хранения таблиц

С помощью Мастера изменения механизма хранения можно изменить механизм хранения (Storage engine) сразу нескольких таблиц.

Чтобы запустить этот мастер необходимо выбрать пункт главного меню Services | iconChangeTablesEngine Change Tables Engine.

Мастер состоит из следующих шагов:

Выбор сервера и базы данных

Выбор и настройка таблиц

Выполнение операции

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Таблицы

Использование шаблонов


Выбор сервера и базы данных

Из раскрывающегося списка Host выберите сервер, на котором расположена база данных. Если сервер не зарегистрирован, то зарегистрируйте его, используя Мастер регистрации баз данных.

База данных выбирается из раскрывающегося списка Database, в котором содержатся все зарегистрированные и подключенные базы данных.

Change Tables Engine - Selecting database

Следующий шаг>>

Шаблоны


Выбор и настройка таблиц

На этом шаге Вам необходимо из списка всех таблиц базы данных выбрать те, для которых нужно изменить механизм хранения и указать новый механизм хранения.

Из раскрывающегося списка Change engine to выберите тот механизм хранения, который необходимо применить к выбранным таблицам.

Change Tables Engine - Select options and tables

Из списка Available Tables выберите доступные таблицы и с помощью кнопок переместите их в список нужных таблиц - Selected Tables.

<<Предыдущий шаг

Следующий шаг>>


Свойства сервера

Если хотите просмотреть информацию о состоянии активного сервера, то откройте окно Server Properties с помощью пункта Services | iconServerProperties Server Properties в главном меню программы или выберите пункт Server properties в контекстном меню сервера.

Панели инструментов

Переменные статуса

Системные переменные

Просмотр списка процессов

Просмотр состояния InnoDB

Просмотр основного журнала запросов

При запуске этого инструмента приложение запросит информацию для подключения к серверу.

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.


Панели инструментов

Навигационная панель

Server Properties - Using Navigation bar

Servers

из раскрывающегося списка Вы можете выбрать сервер. Если Вы не подключены к серверу, то выберите его из этого раскрывающегося списка и введите имя и пароль в появившемся окне.

General

iconRefresh Refresh - обновить содержимое списка

iconShowSQLHelp Show SQL Help - показать справку по MySQL

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна

iconOptions Options - задать свойства сервера в Environment Options | Server Properties

При переходе на другие вкладки, появляются панели, позволяющие работать с объектами, расположенными на тех вкладках.

Variables

iconVariable Edit variable (только для системных переменных) - редактировать переменную,

Export variables - экспортировать список переменных в файл,

iconCopyToClipboard Copy variables to Clipboard - скопировать список переменных в буфер обмена.

Process list

Export process list - экспортировать список процессов в файл,

iconCopyToClipboard Copy process list to Clipboard - скопировать список процессов в буфер обмена.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Переменные статуса

На вкладках Status variables и System variables показаны все переменные статуса и системные переменные.

Server Properties - Viewing status variables

Список можно скопировать в буфер обмена с помощью команды Copy variables to Clipboard, а также экспортировать список переменных в файл нужного формата, используя команду Export variables. Обе команды располагаются на панелях инструментов.

Переменные статуса нельзя изменять вручную.


Системные переменные

Системные переменные Вы можете изменять, используя пункт контекстного меню переменной Edit variable, или щелкнув два раза мышкой по строке.

Server Properties - Viewing system variables

В появившемся окне укажите следующие характеристики переменной:

Server Properties - Viewing system variables - Set variable

  • задать значение глобальной переменнной - в текстовом поле
  • использовать значение по умолчаннию - Default


Просмотр списка процессов

На вкладке Process List отображается список процессов, запущенных в настоящий момент на сервере и дополнительная информация по каждому процессу.

Server Properties - Viewing process list

Дополнительная информация

Id - идентификатор процесса

User - пользователь, который запустил процесс

Host - имя клиентского компьютера, на котором был запущен этот процесс

DB - база данных в которой выполнялся процесс

Command - выполняемое действие

Time - время с начала выполнения процесса в секундах

State - состояние процесса

Info - дополнительная информация по процессу

C помощью контекстного меню, которое открывается при нажатии правой кнопкой на процессе, Вы можете

  • Kill Process - прекратить выполнение процесса
  • Kill Query - прекратить выполнение запроса
  • Refresh - обновить содержимое списка
  • Export List - экспортировать список процессов в файл
  • Copy List to Clipboard - скопировать список процессов в буфер обмена


Просмотр состояния InnoDB

На этой вкладке Вы можете просмотреть данные из INNODB MONITOR о состоянии объектов, использующих тип хранения InnoDB: SEMAPHORES, TRANSACTIONS, FILE I/O, INSERT BUFFER AND ADAPTIVE HASH INDEX, BUFFER POOL AND MEMORY, ROW OPERATIONS.

Server Properties - Viewing InnoDB status


Просмотр основного журнала запросов

Информация на этой вкладке доступна только в том случае, если Вы просматриваете свойства MySQL сервера версии 5.1.6. или выше.

На этой вкладке отображается список действий, которые были произведены не сервере, а также дополнительная информация по этим действиям.

Server Properties - Viewing general query log

Смотрите также:

Журналы регистрации


Управление экземплярами

С помощью этого инструмента можно управлять экземплярами серверов MySQL. Чтобы запустить этот инструмент, откройте окно Instance Manager с помощью пункта Services | iconInstanceManager Instance Manager в главном меню программы

При запуске этого инструмента приложение запросит информацию для подключения к серверу.

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.


Запуск/Остановка сервиса

На этой вкладке можно управлять запуском и остановкой локальных серверов.

Instance Manager - Start_Stop service

На одной из панелей инструментов выберите нужный локальный сервер.

В разделе Server Status отображен его текущий статус.

С помощью кнопки Stop/Run Service можно остановить или запустить сервер.

В текстовом поле Log Messages отображаются сообщения о процессе выполнения запуска и остановки сервиса.

Журнал сообщений можно очистить, нажав кнопку Clear log.

Конфигурирование сервиса


Конфигурирование сервиса

На этой вкладке можно задать некоторые настройки сервиса.

Instance Manager - Configure service

Service Settings

CheckBox Launch MySQL server on system start - запускать сервер MySQL одновременно с запуском системы.

Display name - имя выбранного сервера.

Service Description - описание выбранного сервера.

Configuration file

File name - файл конфигурации из которого будут получены параметры запуска.


Запуск консоли MySQL сервера

При выборе пункта Services | Run mysql.exe в главном меню программы открывается консоль сервера MySQL.

По умолчанию файл mysql.exe расположен в папке C:\Program Files (x86)\EMS\SQL Manager for MySQL\Dump.


Проверка соединения

SQL Manager for MySQL позволяет проверить есть ли в настоящий момент соединение с сервером. Для этого воспользуйтесь командой Ping Server, которая выполняется при выборе пункта Services | Ping Server в главном меню программы.

Если соединение с сервером есть, то появится соответствующее сообщение.

Server tools - Ping Server

Смотрите также:

Остановка работы сервера


Остановка работы сервера

С помощью инструмента Shutdown Server Вы можете остановить работу сервера MySQL.

Важно: Пользователь должен обладать правами на выполнение этой операции.

Чтобы остановить работу сервера нужно выбрать пункт Services | Shutdown Server в главном меню программы.

При попытке остановить работу сервера появится предупреждение.

Server tools - Shutdown Server

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Проверка связи


Обеспечение безопасности

Для обеспечения безопасности в SQL Manager for MySQL предусмотрено два инструмента, с помощью которых можно задать права доступа пользователей к данным и метаданным баз данных.

Администратор пользователей (User manager) - инструмент для добавления, удаления регистрационных имен пользователей сервера, а также для установления и редактирования пользовательских привилегий.

Администратор прав (Grant manager) - инструмент для управления правами пользователей на работу с объектами базы данных.

Глобальные привилегии пользователей определяют права пользователей на доступ ко всем объектам базы данных. Права назначаются на доступ пользователя к базе данных, таблицам базы данных и полям таблиц. Привилегии на доступ к объектам базы данных дают пользователю возможность выполнять различные операции (создание, изменение, удаление) с базой данных, таблицами или полями.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты базы данных

Инструменты сервера

Настройки

Внешние инструменты

Как...


Администратор пользователей

Пользователь базы данных это главный элемент, обеспечивающий контроль доступа к элементам базы данных.

В редакторе для пользователя указывается имя, пароль и права доступа к объектам базы данных.

User Manager - Managing users

Создание пользователя

Чтобы добавить нового пользователя, необходимо выполнить следующую последовательность действий:

  • выбрать пункт главного меню программы Tools | User Manager,
  • нажать Add User на одной из панелей инструментов.

Созданный объект автоматически откроется в соответствующем редакторе.

Редактирование пользователя

Все изменения свойств этого объекта осуществляются в редакторе логинов.

Чтобы открыть объект в редакторе нужно:

  • нажать Edit User на одной из панелей инструментов User Manager (в редакторе откроется выделенный пользователь),
  • в общем списке на нужном объекте два раза щелкнуть мышкой.

Удаление пользователя

Чтобы удалить логин нужно:

  • выбрать команду Delete User на одной из панелей инструментов User Manager,
  • или выбрать пункт Delete User в контекстном меню выбранного объекта.

Использование панелей инструментов

Редактор пользователей

Доступность:
Full version | Да
Lite version | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Управление правами


Панели инструментов

Основные инструменты, позволяющие работать с логинами, располагаются на панелях инструментов.

Навигационная панель:

User Manager - Using Navigation bar

Servers

iconHost из раскрывающегося списка Вы можете выбрать сервер. Если Вы не подключены к серверу, то выберите его из этого раскрывающегося списка и введите имя и пароль в появившемся окне. Если хост не зарегистрирован, то воспользуйтесь для регистрации мастером регистрации баз данных.

General

iconRefresh Refresh - обновить содержимое списка

iconAddUser Add user - создать нового пользователя

iconEditUser Edit user - редактировать выделенный объект в редакторе пользователей

iconDeleteUser Delete user - удалить пользователя

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна

Filter

выберите группу привилегий для отображения:

iconAllPrivileges All privileges - все привилегии

iconDataPrivileges Data privileges - на выполнение операций с данными

iconObjectPrivileges Object privileges - на выполнение операций с объектами

iconSystemPrivileges System privileges - на выполнение системных операций

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Редактор пользователей

При создании нового пользователя или при редактировании уже существующего открывается этот редактор, в котором Вы можете задать все свойства пользователя.

В поле Name указываете имя пользователя. Сервер, для которого действуют права редактируемого пользователя, укажите в поле Host. В полях Password и Confirm password задайте пароль и подтверждение пароля соответственно.

SSL Require

В этом разделе можно указать дополнительные требования к аутентификации пользователя.

Require By

На сервере MySQL может проводиться проверка атрибутов сертификата X509 в дополнение к обычной проверке подлинности, которая основана на имени пользователя и пароле.

Из раскрывающегося списка выберите дополнительный метод аутентификации.

SSL

Разрешить только SSL-защищенные соединения для учетной записи.

X509

Клиент должен иметь действительный сертификат X509. Единственным требованием является то, что должна быть возможность проверить подпись одним из сертификатов CA.

Require By Cipher

Требуется для обеспечения достаточно сложных шифра и длины ключа. Протокол SSL сам по себе может быть ненадежным из-за использования старых алгоритмов с короткими ключами шифрования. Воспользовавшись этим параметром, можно указать определенный метод шифрования, разрешающий соединение.

Пример: EDH-RSA-DES-CBC3-SHA

Require By Subject

Требует наличия у клиента действительного сертификата X509 с содержащейся в нем темой "subject". Если у клиента есть действительный сертификат, но другой "subject", то соединение не будет установлено.

Пример: C=EE, ST=Some-State, L=Tallinn, O=MySQL demo client certificate, CN=Tonu Samuel/Email=tonu@mysql.com

Require By Issuer

Делает требования по соединению более определенными: теперь клиент должен предоставить действительный сертификат X509, выданный бюро сертификации "issuer". Использование сертификатов X509 всегда означает применение шифрования, поэтому параметр "SSL" больше не нужен.

Пример:C=FI, ST=Some-State, L=Helsinki, O=MySQL Finland AB, CN=Tonu Samuel/Email=tonu@mysql.com

Задать глобальные привилегии можно в разделе Global privileges, отметив флажками те операции, которые имеет право выполнять пользователь.

CheckBox Если необходимо дать пользователю права на выполнение всех операций, то установите флажок All privileges.

CheckBox Пользователь, для которого установлен флажок With grant option, получает возможность задавать права на все перечисленные действия, для другого пользователя.

Также, для пользователя можно задать следующие ограничения.

  • Max. queries per hour - максимальное число выполнения запросов в час.
  • Max. updates per hour - максимальное число обновлений в час.
  • Max. connections per hour - максимальное число подключения к базам данных в течение часа.
  • Max. users connection - максимально возможное число подключенных к базе данных пользователей. Если счетчик равен 0 (по умолчанию), сервер определяет число одновременных подключений для этой учетной записи из глобального значения системной переменной max_user_connections. Если max_user_connections также равна нулю, нет никаких ограничений.

Права пользователя на выполнение действий с отдельными объектами базы данных Вы можете задавать в редакторе прав.


Администратор прав

С помощью инструмента Grant Manager Вы можете предоставлять пользователям права доступа к защищенным объектам: базам данных, таблицам, функциям, схемам и т.д.

Чтобы открыть Grant Manager выберите Tools | btnGrantManager Grant Manager в главном меню программы.

Использование панелей инструментов и контекстного меню

Управление глобальными привилегиями

Управление правами на объекты базы данных

Отбор объектов

Смотрите также:

Управление пользователями


Панели инструментов и контекстное меню

Основные инструменты для работы с правами располагаются на панелях инструментов и в контекстном меню.

Навигационная панель

Grant Manager - Using Navigation bar

Host or database

iconDB из раскрывающегося списка Вы можете выбрать сервер. Если Вы не подключены к серверу, то выберите его из этого раскрывающегося списка и введите имя и пароль в появившемся окне. Если хост не зарегистрирован, то воспользуйтесь для регистрации мастером регистрации баз данных.

General

iconRefresh Refresh - обновить содержимое списка

iconAddUser Add new user - создать нового пользователя

iconEditUser Edit selected user - редактировать выделенный объект в редакторе пользователей

iconDeleteUser Delete selected user - удалить пользователя

iconExtractUserGrants Extract user's grants - сформировать SQL скрипт, содержащий команды присвоения прав активному пользователю

iconExtractAllUsersGrants Extract all user's grants - сформировать SQL скрипт, содержащий команды присвоения прав всем пользователям

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна

Privileges for

btnGroupManager Из списка User можно выбрать пользователя для которого необходимо задать права

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Контекстное меню

Grant Manager - Using context menu

Контекстное меню открывается при нажатии на ячейку области Grant Manager и позволяет присваивать права на действия над объектами.

Grant - предоставить права

Revoke - не установлены права

Grant GRANT OPTION - предоставить с правами 'GRANT'

  • Revoke GRANT OPTION - не установлены права

Grant All - установлены права на все действия для выделенного объекта

Grant All with GRANT OPTION - предоставить с правами 'GRANT' на все действия для выделенного объекта

Revoke All - не установлены для всех действий данного объекта

Grant on All - предоставить права на это действие для всех объектов

Grant All with GRANT OPTION - предоставить с правами 'GRANT' на это действие для всех объектов

Revoke on All - не установлены права на это действие для всех объектов

  • Grant All on All - предоставить права на все действия для всех объектов
  • Grant All on All with GRANT OPTION - предоставить с правами 'GRANT' на все действия для всех объектов
  • Revoke All on All - не установлены права на все действия для всех объектов


Управление глобальными привилегиями

Глобальные привилегии задаются в Редакторе прав, в верхней его части. которая называется Global privileges. Пользователя, права которого хотите изменить, выберите из списка на Навигационной панели или из раскрывающегося списка на панели инструментов.

Grant Manager - Managing global privileges

Задать глобальные привилегии можно в разделе Global privileges, отметив флажками те операции, которые имеет право выполнять пользователь.

CheckBox Если необходимо дать пользователю права на выполнение всех операций, то установите флажок All privileges.

CheckBox Пользователь, для которого установлен флажок With grant option, получает возможность задавать права на все перечисленные действия, для другого пользователя.

Также, для пользователя можно задать следующие ограничения:

  • Max. queries per hour - максимальное число выполнения запросов в час
  • Max. updates per hour - максимальное число обновлений в час
  • Max. connections per hour - максимальное число подключения к базам данных в течении часа
  • Max. users connection - максимально возможное число подключенных к базе данных пользователей.


Управление правами на объекты базы данных

В окне Database-specific privileges расположена таблица, в которой строки - это объекты базы данных, а столбцы - действия, выполняемые над объектами.

Grant Manager - Managing column permissions

Для задания прав для базы данных необходимо выбрать сервер и базу данных с помощью инструментов, располагающихся на панелях инструментов.

Права на выполнение того или иного действия можно менять тремя способами:

  • с помощью контекстного меню, которое появляется при нажатии правой кнопкой мыши на ячейку.
  • двойным щелчком мыши (при использовании этого метода помните, что смена прав идет в такой последовательности - Revoke->Grant)
  • с помощью одинарного нажатия на активную (выделенную ячейку). При этом появляется раскрывающийся список, из которого можно выбрать один из типов прав.

Grant - Предоставить права на выполнение данного действия,

Revoke - Аннулировать права,

Grant with GRANT OPTION - Предоставить с правами 'GRANT'.


Отбор объектов

В больших базах данных со множеством объектов бывает трудно найти нужный объект. Для этого в Grant Manager предусмотрены несколько инструментов, которые располагаются на панели над основной таблицей.

Grant Manager - Filtering objects in list

  • Из раскрывающегося списка All Objects можно выбрать один из типов объектов базы данных. С помощью этого списка Вы можете оставить в таблице только таблицы, или только представления и.т.д.
  • Специальный фильтр, который позволяет скрыть объекты, для которых не заданы права. Если установлен флажок Granted only, то видимыми останутся только те объекты базы данных, для которых заданы права.
  • Фильтр, который позволяет находить объект по первым буквам названия - это поле Filter.


Настройки

SQL Manager for MySQL располагает набором инструментов, позволяющих полностью изменять настройки окружения, параметров редакторов, внешнего вида.

Настройки окружения

основной инструмент для управления свойствами и внешним видом объектов баз данных.

Настройки редакторов

Параметры редакторов задаются с помощью этого инструмента.

Внешние инструменты

Вы можете добавить к SQL Manager for MySQL некоторое количество внешних программ для более эффективной работы программы.

Шаблоны клавиатуры

С помощью этого инструмента Вы можете создавать шаблоны быстрого ввода текста.

Шаблоны объектов

Шаблоны для названий создаваемых объектов.

Мастер сохранения настроек

Мастер, позволяющий сохранить настройки программы и базы данных в один файл.

Общие сочетания клавиш

С помощью этого инструмента можно просмотреть и при необходимости задать сочетания клавиш для быстрого выполнения операций в SQL Manager.

Локализация

SQL Manager for MySQL позволяет изменять язык интерфейса программы для удобства пользователей.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты базы данных

Инструменты сервера

Обеспечение безопасности

Внешние инструменты

Как...


Настройки окружения

С помощью этого инструменты Вы можете изменять основные настройки программы SQL Manager for MySQL.

Чтобы открыть настройки окружения необходимо в главном меню программы выбрать пункт Options | btnEnvironmentOptions Environment Options.

Предпочтения

Активация режима полной версии

Подтверждения

Внешний вид

Инструменты

Проводник баз данных

Редактор таблиц

Редактор SQL

Монитор SQL

SQL скрипт

Конструктор запросов

Стиль и палитра цветов

Визуальный конструктор баз данных

Печать метаданных

Экспорт данных

Свойства сервера

Шрифты

Параметры сетки

Настройки данных

Настройки печати

Стиль и палитра цветов

Дополнительные настройки

Опции столбцов

Локализация

Общие сочетания клавиш

Поиск опций

Общая для всех вкладок кнопка By default позволяет отменить все изменения, внесенные пользователем в настройки, и вернуться к настройкам, принятым по умолчанию.

Смотрите также:

Настройки редакторов

Настройки внешнего вида


Предпочтения

На вкладке Preferences Вы можете задать следующие свойства программы:

Environment Options - Preferences

CheckBox Show splash screen on startup

Показывать заставку при запуске.

CheckBox Restore desktop on connect

Сохранять состояние рабочего стола при отключении. При следующем запуске программы все редакторы, которые были открыты перед выходом из программы, будут открыты заново.

CheckBox Do not restore if 'Refresh objects on connection' database registration option is off

Открытые окна и их положение не восстанавливаются для БД, у которых выключена опция 'Refresh objects on connection' в Регистрационной информации.

CheckBox Disable multiple instances

Отключить возможность запуска нескольких копий программы.

CheckBox Show desktop panel

Показать панель рабочего стола (активно только для MDI вида, настраиваемого при первом открытии программы).

CheckBox Show Full Version features

Данная опция доступна только в Lite версии SQL Manager. С ее помощью вы можете активировать все опции полной версии в течение первых 30 дней с момента запуска.

Нажав на кнопку Reset all toolbars and menus, Вы восстановите настройки по умолчанию для всех панелей инструментов, навигационных панелей, а также проводника баз данных.


Активация режима полной версии

Если у вас установлена Lite версия программы, то на этом шаге Вы можете установить флажок CheckBox Show Full Version Features и посмотреть, какими возможностями обладает полная версия. Все возможности полной версии будут доступны для работы в течение тридцати дней.

Environment Options - Full mode activation

Сравнительную характеристику Lite и Full версий смотрите в сравнительной таблице возможностей.


Подтверждения

На вкладке Confirmations Вы можете задать следующие свойства программы:

Environment Options - Confirmations

CheckBox Confirm saving the object (or document) upon clothing the editor - подтверждать сохранение объекта (или документации) при закрытии или после внесения изменений.

CheckBox Confirm dropping object - подтверждать удаление объекта.

CheckBox Confirm exit from SQL Manager - подтверждать выход из редактора (если объект изменен).

CheckBox Confirm transaction commit - подтверждать фиксацию транзакции (для просмотрщика данных фиксировать транзакцию нужно при изменении данных).

CheckBox Confirm transaction rollback - подтверждать откат транзакции.

CheckBox Confirm deleting records - подтверждать удаление записей.

CheckBox Confirm additional into spell checking dictionary - подтверждать добавление слова в словарь.

CheckBox Confirm transformation of misprint into substitution - подтверждать замену опечатки.

CheckBox Confirm metadata changing (changing metadata window) - подтверждать изменение метаданных в специальном окне.

CheckBox Confirm reorder fields - подтверждать изменение порядка полей.

CheckBox Confirm flush operation - подтверждать очистку кэша.

CheckBox Notify about potential problems with incorrect client character set during connection - будет проверяться набор символов, указанный для подключения и сообщаться, если оно неправильное.


Внешний вид

На этой вкладке можно задать параметры и количество отображаемых окон, а также общий вид всей программы.

Theme

Выберите основную цветовую схему программы: Light (Светлая), Blue(Голубая) или Dark (Темная).

Environment Options - Windows

Environment style

RadioButton MDI environment - программа будет иметь MDI интерфейс. MDI - многодокументный интерфейс, интерфейс составных документов (спецификация, определяющая интерфейс пользователя с Windows-приложениями. Позволяет ему работать одновременно с несколькими документами, каждый из которых выводится на экран в отдельном порожденном (дочернем) окне главного окна приложения). (Приложения MS Office).

RadioButton Floating windows environment - программа будет отображаться в виде плавающих окон (приложения Borland).

Windows restrictions

CheckBox Установив флажок Number of open editors is restricted, Вы можете ограничить число открытых редакторов, задав их число в поле Number.

Zoom options

В этом разделе можно задать настройки масштаба для плавающих окон:

RadioButton Full screen - во весь экран,

RadioButton Restricted by Main form - ограничено главной формой,

RadioButton Restricted by Main form and DB Explorer - ограничено главной формой и проводником баз данных

RadioButton Justified by Main form and DB Explorer - выровнять по главной форме и проводнику баз данных.

Bar style for child forms

В разделе укажите те панели инструментов, которые должны отображаться в редакторах:

RadioButton Navigation bar - навигационная панель (располагается слева от основного окна редактора),

RadioButton Toolbar - панель инструментов (находится над основным окном редактора),

RadioButton Both - будут отображаться обе панели.

CheckBox Установленный флажок Enable floating toolbars указывает на то, что включены плавающие панели инструментов, то есть положение любой панели инструментов можно изменять по желанию.


Инструменты

На этой вкладке можно задать параметры внешнего окружения программы.

Environment Options - Tools

CheckBox Show only connected databases in drop-down menu - показывать только подключенные базы данных в раскрывающемся меню.

CheckBox Allow using parameters in query text - разрешить использование параметров в тексте процедур и запросов.

CheckBox Show object dependencies from other databases - отображать зависимые объекты из других баз данных.

New tool form should be opened for

Задайте, какая база будет выбрана в окне открываемого инструмента.

RadioButton Database currently selected in DB Explorer

В окне инструмента будет выбрана база, которая выбрана в Проводнике баз данных.

RadioButton Database selected in currently focused form

В окне инструмента будет выбрана база, которая выбрана в текущем открытом окне инструмента.


Таймауты

В данном разделе вы можете задать таймауты для некоторых операций c сервером.

Connect timeout (in seconds) задает время ожидания для подключения к серверу (в секундах).

Metadata lock wait timeout (in seconds) используется для установки таймаута при ожидании блокировки метаданных. Данный таймаут применяется ко всем операциям, которые используют блокировку метаданных: DML и DDL операции над таблицами, представлениями, хранимыми процедурами и функциями, а также операторами LOCK TABLES, FLUSH TABLES WITH READ LOCK и HANDLER.

Environment Options - Tools - Timeouts


Проводник баз данных

Проводник баз данных можно настроить, используя инструменты, расположенные на вкладке DB Explorer.

Environment Options - Tools - DB Explorer

CheckBox Show hosts in DB Explorer - показывать хосты в проводнике баз данных, Если флажок установлен, то базы данных будут разделены на группы по принадлежности к серверу. Если не установлен, то они будут представлены единым списком.

CheckBox Show table subobjects - показывать подобъекты таблицы.

CheckBox Sort by aliases - упорядочить хосты и базы данных в проводнике баз данных по псевдонимам.

CheckBox Rename objects by editing in place - если установлен этот флажок, то объекты можно переименовывать в проводнике баз данных, нажав на выделенный объект мышкой.

CheckBox Refresh object on showing in SQL Assistant - обновлять информацию о подобъектах, в тот момент когда они отображаются в SQL Assistant.

CheckBox Auto expand navigation pane - опция автоматически разворачивает список объектов в дереве БД.

CheckBox Show hint - отображать всплывающие подсказки при наведении курсора на объекты.

Recent objects count - с помощью счетчика можно задать количество объектов, показанных на вкладке недавно использовавшихся объектов.

В разделе Tables' Details in SQL Assistant выберите, какие именно подобъекты таблицы следует отображать в окне SQL Assistant:

RadioButton Fields - Поля,

RadioButton Indices - Индексы,

RadioButton Foreign keys - Внешние ключи,

RadioButton Triggers - триггеры,

RadioButton Table status - статус таблицы,

RadioButton Description - текстовое описание,

RadioButton Definition - DDL описание.

Смотрите также:

Проводник баз данных


Поиск

В данном разделе задаются параметры для поиска в дереве объектов:

Environment Options - Tools - DB Explorer - Search - String

CheckBox Search by categories

Если этот флажок установлен, то поиск в проводнике баз данных можно будет производить внутри одной группы объектов данных.

CheckBox Use case-sensitive search

Если установлен этот флажок, то при поиске будет учитываться регистр символов.

CheckBox Don't search in collapsed nodes

При включенной опции поиск проивзодится только в раскрытых узлах.

CheckBox Start-with search

Включение данной опции позволяет искать объекты, начинающиеся с искомой комбинации.

Environment Options - Tools - DB Explorer - Search


Редактор таблиц

SQL Manager for MySQL
  • На главную
  • « Назад
  • Вперед »

Редакторы объектов

На вкладке Table Editor задайте параметры редактора таблиц.

Environment Options - Tools - Table Editor

CheckBox Always open the Fields tab - всегда открывать редактор таблиц на вкладке "Fields".

CheckBox Show Object Explorer - отображать проводник объектов в навигационной панели.

CheckBox Show table status panel - отображать панель статуса.

CheckBox Do not retrieve record count for a table - не показывать количество записей в таблице, в этом случае количество записей отображается в нижней информационной панели.

CheckBox Allow to edit tables with no keys - разрешить редактирование таблиц без ключей. (Редактирование таблиц, не имеющих уникальных или первичных ключей, может привести к нарушению целостности данных).

В разделе Default storage engine for new tables задайте способ хранения, применяемый по умолчанию к новым таблицам:

RadioButton Use default engine defined on this server - применять способ хранения, используемый на этом сервере.

RadioButton Use the following engine for all databases - использовать следующий тип хранения для всех баз данных.

В этом случае из раскрывающегося списка Default storage engine выберите один из доступных способов хранения.

Смотрите также:

Таблицы


Редактор SQL

На вкладке SQL Editor задайте параметры отображения редакторов SQL.

Environment Options - Tools - SQL Editor

CheckBox Explain query on execution - отображать план запроса в редакторе запросов.

CheckBox Show result for each query - если установлен этот флажок, то при выполнении двух и более запросов результаты будут отображаться для каждого запроса. Если не установлен, то только для того, который был выполнен последним.

CheckBox Execute selected text separately - выполнять выделенный текст отдельно.

CheckBox Write only successfully executed queries to database SQL log file - записывать в файл журнала только успешно выполненные запросы.

CheckBox Show results on Edit tab - показывать результаты на вкладке редактирования, в противном случае результаты будут отображаться на отдельной вкладке.

CheckBox Don't save queries automatically for the next session - не сохранять запросы автоматически до следующего сеанса.

CheckBox Same queries for all database - если установить этот флажок, то Редактор SQL сохраняет все запросы в одном репозитории и переключение баз данных не вызывает загрузку запросов этой БД. Изменение опции не затрагивает текущие открытые копии Редактора SQL. Значение опции можно свободно изменять, это не приводит к потере содержимого репозитория запросов.

CheckBox Always save changes in Favorite Queries before closing - в избранных запросах всегда сохранять изменения перед закрытием.

CheckBox Refresh DB Explorer upon successful DDL statement execution - обновлять проводник баз данных после успешного выполнения операций.

Transaction confirmation

CheckBox Disable transaction confirmation - отключить подтверждение транзакции. Если этот флажок установлен, то транзакции будут закрываться автоматически при выходе из Редактора запросов и Визуального конструктора запросов.

Действие для транзакции, выполняемое по умолчанию, выбирается в списке Default action on closing the editor:

  • Commit - фиксация транзакции,
  • Rollback - откат.

Смотрите также:

Редактор запросов


Монитор SQL

На вкладке SQL Monitor можно задать некоторые параметры SQL монитора.

Environment Options - Tools - SQL Monitor

В разделе Operations отметьте флажками те операции, которые должны отображаться в SQL мониторе.

CheckBox Connect - подключение

CheckBox Disconnect - отключение

CheckBox Start of transaction - начало транзакции

CheckBox Commit - фиксация транзакции

CheckBox Rollback - откат транзакции

CheckBox Show objects - показывать объекты

CheckBox Execute query - выполнение запроса

CheckBox Ping server - выполнение запроса Ping к серверу

CheckBox Если установлен флажок Log SQL Monitor events to file, то вся информация о выполнении запросов, отображаемая в SQL мониторе будет сохраняться в файл. В поле указываете имя файла и путь к нему с помощью кнопки ExplorerButton.

CheckBox Вы можете задать максимальный размер файла журнала, установив флажок Clear log file when it is greater than (Очищать журнал регистрации при размере большем (KB)) и задав c помощью счетчика максимальный размер в KB.

CheckBox Если необходимо регистрировать не только операцию, но и в какое время она была выполнена - установите флажок Show time of operation.

CheckBox Установленный флажок Show always on top позволяет всегда показывать Монитор SQL поверх остальных окон.

Смотрите также:

Монитор SQL


SQL скрипт

Задайте некоторые особенности выполнения SQL скрипта на вкладке SQL Script.

Environment Options - Tools - SQL Script

CheckBox Abort script on error - прекратить выполнение сценария при ошибке.

CheckBox Enable parsing - включить синтаксический анализ.

CheckBox Show message when done - показывать сообщение об окончании выполнения.

CheckBox Execute selected text separately - выполнять выделенный текст отдельно.

CheckBox Don't clear error list on selected text execution - не очищать лист списка ошибок при выполнении выбранной части скрипта.

CheckBox Skip unknown statements - если не установлен этот флажок, то при выполнении неизвестного оператора, выдается ошибка. Если флажок установлен, то неизвестный оператор будет пропущен, а скрипт выполнен.

CheckBox Disable all code features in SQL Script - отключает все опции кода для максимального быстродействия. Отключаются подсветка кода, блоки кода, автодополнение и другие.

Database options

CheckBox Register newly created databases - регистрировать

созданные базы данных.

CheckBox Connect automatically to just created database - подключаться автоматически к созданной базе данных.

Transaction options

CheckBox Rollback on abort - откат операции при ошибке, если опция включена, то весь скрипт выполняется в транзакции, которая откатывается в случае отмены.

CheckBox Start transaction automatically if needed - при необходимости автоматически запускать транзакцию.

Смотрите также:

Редактор SQL скриптов


Конструктор запросов

Задайте некоторые свойства конструктора запросов на вкладке Query Builder.

Environment Options - Tools - Query Builder

CheckBox Allow SELECT queries only - разрешить выполнение только оператора SELECT.

CheckBox Select condition row - выделять другим цветом строку условия.

CheckBox Drag field name - отображать имя поля при перетаскивании.

CheckBox Hide selection when inactive - скрывать выделение полей объектов, когда отсутствует фокус.

CheckBox Show field types - показывать типы полей.

CheckBox Union all by default - связь "UNION ALL" для нескольких запросов по умолчанию

В разделе Visible Tabs отметьте те вкладки, которые должны быть видимыми:

CheckBox Criteria - Критерии,

CheckBox Selection - Выбор,

CheckBox Group criteria - Критерии группы,

CheckBox Sorting - Сортировка,

В разделе Script Format можно задать некоторые особенности формата скрипта:

Из раскрывающегося списка Keywords format выбрать формат ключевых слов.

Вид отображения функций выберите из раскрывающегося списка Function format.

Для ключевых слов и функций предлагается четыре типа написания.

  • As is - Как есть
  • Uppercase - ВСЕ ПРОПИСНЫЕ
  • Lowercase - все строчные
  • First upper - Начинать С Прописных

Смотрите также:

Визуальный конструктор запросов


Стиль и палитра цветов

На этой вкладке Вы имеете возможность задать стили и цвета оформления конструктора запросов

Environment Options - Tools - Query Builder - Style & Color

В разделе Style задайте стиль отображения элементов управления:

Из раскрывающихся списков Condition button style и Object border kind выберите стиль отображения кнопок и вид границ объектов.

CheckBox Flat object's buttons - плоские кнопки.

CheckBox Flat objects - плоские объекты.

CheckBox XP tables style - стиль таблиц XP.

CheckBox Show icons on tabs - показывать значки на вкладках.

Далее в разделе Color palette Вы можете изменить цвета объектов и элементов управления визуального конструктора запросов. Вызвать палитру для выбора цвета можно, нажав на цветной квадрат рядом с наименованием элемента управления.

Элементы, для которых можно задавать цвета:

  • Active condition row - активная строка в окне задания условий отбора.

Environment Options - Tools - QB - Style & Color - Active condition row

  • Condition text - текст заголовка условий отбора.

Environment Options - Tools - QB - Style & Color - Condition text

  • Condition item text - текст кнопок, расположенных рядом с условиями отбора.

Environment Options - Tools - QB - Style & Color - Condition item text

  • Table client area - фон объектов, помещенных в окно диаграммы.

Environment Options - Tools - QB - Style & Color - Table client area

  • Active table caption - заголовок активной таблицы.

Environment Options - Tools - QB - Style & Color - Active table caption

  • Inactive table caption - заголовок неактивной таблицы.
  • Field text - текст поля
  • Selected field text - текст выделенного поля
  • Work space - основной цвет окна диаграммы.
  • Field - текст в окне задания условий отбора.

Environment Options - Tools - QB - Style & Color - Field

  • Operation - знак операции в окне задания условий отбора.

Environment Options - Tools - QB - Style & Color - Operation

  • Group - знак группировки в окне задания условий отбора, на вкладке Grouping criteria.

Environment Options - Tools - QB - Style & Color - Group

  • Predicate - предикат, если создан подзапрос.

Environment Options - Tools - QB - Style & Color - Predicate

  • Subquery - текст подзапроса в строке условия.

Environment Options - Tools - QB - Style & Color - Subquery


Визуальный конструктор баз данных

На этой вкладке задайте параметры Визуального конструктора баз данных.

Environment Options - Tools - VDBD

Инструменты раздела Visual settings.

Из раскрывающегося списка Model notation выберите стандарт отображения информации в диаграмме - IDEF1x или IE,

CheckBox установив флажок Draw PRIMARY KEY fields separately, Вы указываете, что ключевое поле будет отделено горизонтальной линией от всей остальной таблицы,

Environment Options - Tools - VDBD - Draw PRIMARY KEY fields separately

CheckBox если установлен флажок Draw entities icons, то рядом с заголовками таблиц будут отображаться иконки,

CheckBox если установлен флажок Draw attributes icon, то рядом с названием каждого поля будет отображаться иконка,

CheckBox Draw only names of entities - на диаграмме отображать только заголовки объектов,

Environment Options - Tools - VDBD - Draw only names of entities

CheckBox Draw FOREIGN KEY name - показывать имена внешних ключей.

Environment Options - Tools - VDBD - Draw FOREIGN KEY name

CheckBox Draw attribute information - отображать информацию о свойствах поля в скобках после имени и типа аттрибута.

Environment Options - Tools - VDBD - Draw attributes information

CheckBox Draw page borders - отображать границы страниц, которые будут устанавливаться при печати диаграммы.

В разделе Grid options задайте параметры сетки:

CheckBox если установлен флажок Show grid, то будет отображаться сетка окна диаграммы,

CheckBox установить привязку к сетке можно с помощью флажка Snap to grid, в этом случае объекты, расположенные на диаграмме, будут выровнены по линиям сетки.

задать параметры сетки диаграммы можно с помощью счетчиков Grid size. ширина - X, высота - Y.

В разделе Style&Color можно указать параметры шрифта и отображения для различных элементов диаграммы:

Из списка Element выбирается нужный элемент диаграммы.

  • Workspace - рабочая область.

Environment Options - Tools - VDBD - Color Palette - Work area

  • Selected item - выделенный объект.

Environment Options - Tools - VDBD - Color Palette - Selection

  • Relation - связь, или виртуальная связь, созданная на диаграмме с помощью кнопок [image] и [image] на панели инструментов диаграммы.

Environment Options - Tools - VDBD - Color Palette - virtualRelation

  • Table - таблица.

  • Field - поле.

  • Comment - комментарий, созданный с помощью кнопки [image] на панели инструментов диаграммы.

Environment Options - Tools - VDBD - Color Palette - Comment

Для каждого из вышеперечисленных элементов диаграммы можно указать следующие настройки.

Font Name - вид шрифта.

Font Size - размер шрифта.

Font color - цвет шрифта.

Brush color - цвет фона.

Environment Options - Tools - VDBD - Color Palette - Brush color

Pen color - цвет рамки.

Environment Options - Tools - VDBD - Color Palette - Pen color

Вызвать палитру для выбора цвета можно, нажав на цветной прямоугольник рядом с наименованием элемента управления.

Font style Настройки шрифта

CheckBox Bold - жирный

CheckBox Italic - курсив

CheckBox Underline - подчеркнутый

Apply to all

С помощью этой кнопки можно применить настройки цвета и шрифта сразу ко всем элементам.

Смотрите также:

Визуальный конструктор баз данных


Печать метаданных

На этой вкладке из всех параметров печати можно задать только размер бумаги, используемый по умолчанию, при создании отчетов в инструменте Печать метаданных.

Environment Options - Tools - Print Metadata

Смотрите также:

Печать метаданных


Экспорт данных

На этой форме Вы задаете, в каком формате по умолчанию будут отображаться данные разных типов.

Environment Options - Tools - Data Export

Форматы отображения Вы можете задать для следующих форматов данных

  • Integer format - Целое число
  • Float format - Число с плавающей точкой
  • Date format - Дата
  • Time format - Время
  • Date Time format - Дата и время
  • Currency format - Денежный
  • Boolean True - Истина
  • Boolean False - Ложь
  • Null string - Строка NULL

CheckBox Установив флажок Auto save format string, Вы сохраните все внесенные изменения.

Также можно восстановить в полях значения по умолчанию, нажав на кнопку Set defaults.

Также эти форматы можно задать на третьем шаге мастера экспорта данных.

Подробнее о форматах данных читайте в разделе задание форматов данных.

Смотрите также:

Мастер экспорта данных


Свойства сервера

На этой вкладке можно задать дополнительные параметры просмотрщика свойств сервера.

Environment Options - Tools - Server Properties

Process list refresh interval (sec.) - частота обновлений списка процессов (в секундах).

Logs refresh interval (sec.) - частота обновлений журнала событий (в секундах).

CheckBox List log items in descending date order - сортировать журнал запросов по дате в порядке убывания.

В разделе Limit options in General Query Log задайте следующие ограничения для журнала запросов:

RadioButton Select all records from log - выбрать сразу все записи из журнала,

RadioButton Select only Records - выбрать только n записей, количество отображаемых строк указывается в специальном поле.


Шрифты

На вкладке Fonts можно задать вид и размер шрифта для всей программы SQL Manager for MySQL.

Environment Options - Fonts

В поле System font name задается тот шрифт, который используется во всех элементах управления программы SQL Manager for MySQL.

В поле System font size укажите размер шрифта.

Grid font name
Выберите шрифт для отображения табличных данных.

Grid font size
Выберите размер шрифта для отображения табличных данных

В нижнем окне отображается образец текста, показывающий внесенные изменения.


Параметры сетки

На этой вкладке можно задать параметры просмотрщика данных.

Environment Options - Grid

General options

CheckBox Striped grids - другой фон четных строк.

CheckBox Show editor immediately - переход в режим редактирования при получении фокуса ввода ячейкой.

CheckBox Always show editor - всегда использовать режим редактирования ячеек.

CheckBox Enable auto-search in grid - включить автоинкрементный поиск в таблице по записям.

CheckBox Row multi-selection - разрешить выбор нескольких записей.

CheckBox Invert selection - обратить выделение.

CheckBox Column auto-width - автоподбор ширины таблицы по ширине окна.

CheckBox Restore layout and sorting - сохранение настроек отображения колонок и сортировки данных

CheckBox Cell auto-height - автоподбор высоты ячейки, при этом ещё можно указать максимальное количество строк на странице в поле Cell max line count.

Grid layout preference

Задайте некоторые параметры размещения сетки просмотрщика данных:

RadioButton Autofit column widths - автовыбор ширины столбцов.

RadioButton Save and restore layout - сохранение расположения и ширины.

CheckBox Restore sorting (except SQL sort) - сохранять сортировку столбцов.

В разделе Root level options задайте настройки основного уровня:

CheckBox Show "Group by" box - показывать поле группировки.

CheckBox Show indicator - показывать указатель (панель слева от таблицы).

CheckBox Show navigator - показывать навигатор (дополнительная панель перехода по записям внизу таблицы).

CheckBox Show "New item row" - показывать пустую строчку для добавления новой записи.

Далее, в разделе Detail level options задайте параметры отображения для дочернего уровня таблицы.

CheckBox Show "Group by" box - показывать поле группировки.

CheckBox Show indicator - показывать указатель (панель слева от таблицы).

Environment Options - Grid - Show indicator

CheckBox Show navigator - показывать навигатор (дополнительная панель перехода по записям внизу подуровня).

Environment Options - Grid - Show navigator

CheckBox Show "New item row" - показывать пустую строчку для добавления новой записи.

CheckBox Hide tabs for single detail - скрывать вкладки в случае только одного подуровня.

Смотрите также:

Просмотр в виде таблицы


Настройки данных

Параметры отображения данных просмотрщика данных задайте на вкладке Data options.

Environment Options - Grid - Data Options

RadioButton Select all records from a table - загрузить все записи в инструмент просмотра. В этом случае в таблицу загружаются все данные из возвращаемого сервером набора данных.

RadioButton Select only N rows - загрузить только указанное число записей в таблицу из возвращаемого сервером набора данных.

В разделе Advanced - задайте расширенные свойства таблицы.

CheckBox Use separate connections for each data view within database - использовать общее подключение для всех просмотрщиков данных.

CheckBox Asynchronous query execution - асинхронное выполнение запросов (выполнение запроса в отдельном программном потоке). Изменения вступят в силу после следующего запуска.

CheckBox Use transactions - включается режим подтверждения транзакций.

CheckBox Perform data sorting on client in Data View - данные сортируются средствами SQL Manager for MySQL. Если эта опция не включена, данные упорядочиваются на MySQL Server посредством задания ORDER BY части в SQL-запросе.

CheckBox Perform data filtration on client in Data View - отбор данных осуществляется средствами SQL Manager for MySQL. Если не установлен, то используется SQL фильтр при просмотре данных таблиц и представлений. В этом случае фильтрация будет осуществляться на MySQL Server посредством задания условия WHERE в SQL-запросе.

Load visible rows mode if records more than - перейти в режим "только видимые записи", если их больше чем заданное в поле количество.

В поле String fields width (chars) задайте фиксированную ширину строк полей.

Default Grid Mode

RadioButton Load all rows - загрузить все записи в инструмент просмотра. В этом случае в таблицу загружаются все данные из возвращаемого сервером набора данных.

RadioButton Load visible rows - загрузить видимые записи. в таблицу из возвращаемого сервером набора данных загружается только строго определенное количество записей.

Примечание: Чтобы изменения параметров, отмеченных символом «*», вступили в силу, Вы можете открыть окно заново, щелкнуть «Обновить» в редакторе таблиц или заново выполнить запрос в редакторе SQL или конструкторе запроса.


Настройки печати

На этой вкладке задайте те настройки печати, которые будут сохранены и применены при последующем открытии диалогового окна.

Environment Options - Grid - Print Data

CheckBox Card view representation - вид карточного представления

CheckBox Detail view representation - вид представления подуровней

CheckBox Expanding - расширение

CheckBox Formatting - форматирование

CheckBox Level options - настройки уровня

CheckBox "On every page" options - параметры «На каждой странице»

CheckBox Pagination - нумерация страниц

CheckBox Preview options - настройка просмотра

CheckBox Image options (refinements) - параметры изображения (обработка)

CheckBox Selection options - параметры выбора

CheckBox Report size options - настройка размера отчета

CheckBox Showing grid elements - показ элементов сетки

CheckBox Page number format -формат номера страницы

CheckBox Page settings - параметры страницы

CheckBox Report title - заголовок отчета


Цвета и форматы данных

В разделе Display formats укажите или выберите формат отображения для следующих типов данных:

Integer fields - целое число

Float fields - число с плавающей точкой

Datetime fields - дата и время

Date fields - дата

Time fields - время

Environment Options - Grid - Color & Formats

В разделе Colors задайте цвета для следующих объектов:

  • Grid - таблица просмотрщика данных
  • Row - строка
  • Stripy - выделение четных строк

Для значений NULL Вы можете задать собственные цвета в разделе Null Values.

  • Text - текст
  • Font Color - цвет шрифта


Дополнительные настройки

На вкладке Advanced можно задать следующие параметры просмотрщика данных.

CheckBox Cell hints for clipped text - отображать подсказки для обрезанного текста.

CheckBox Focus cell on cycle - фокусировать ячейки циклически при перемещении маркера.

CheckBox Focus first cell on new record - фокусировать ячейку в новой записи.

CheckBox Next cell on pressing Enter - перейти к следующей ячейке при нажатии на Enter.

CheckBox Show navigation hints - показывать подсказки навигатора.

CheckBox MRU list in column filter - список недавно использовавшихся фильтров.

Card width - в поле счетчика указывается ширина карточки.

Environment Options - Grid - Advanced

Form view

CheckBox Large memo Editor - использовать редактор больших записей, если количество строк превышает число, заданное в поле Number of lines.

CheckBox Word wrap in string editor - переносить текст по словам в редактор строк.

CheckBox Word wrap in memo editor - переносить текст по словам в редактор больших записей.

Grid lines - указать, какие линии таблицы будут отображаться.

CheckBox Horizontal - горизонтальные.

CheckBox Vertical - вертикальные.

Detail tabs position - расположение вкладок подуровней.

RadioButton Top - вверху.

RadioButton Left - слева.

Card layout direction - расположение карточек

RadioButton Horizontal - по горизонтали.

RadioButton Vertical - по вертикали.

Show edit buttons - показывать кнопки редактирования.

RadioButton Never - не показывать.

RadioButton For focused record - для активной записи.

RadioButton Always - показывать всегда.


Опции столбцов

Common options

CheckBox Auto-select text - Автовыделение текста при переходе в режим редактирования.

CheckBox Hide selection on losing focus - Скрывать выделение при потере фокуса.

Memo editor options

CheckBox Inserting Return characters - Возможность вставки символов перехода на новую строку.

CheckBox Inserting Tab characters - Возможность вставки символов табуляции.

CheckBox Word wrap in grid - Перенос по словам в редакторе Memo.

CheckBox Popup memo editors - всплывающие редакторы полей этого типа.

Environment Options - Grid - Column Options

Spin editor options

CheckBox Use Ctrl+Up instead of Up to increase spin values - использовать сочетание клавиш Ctrl+Up вместо Up для увеличения значения в ячейке.

CheckBox Show large increment buttons - Показывать кнопки большого приращения.

В поле Increment задайте приращение, большое приращение - в поле Large increment.

Spin editor buttons' position

RadioButton Vertical - вертикально.

RadioButton Horizontal / left and right - горизонтально / слева и справа.

RadioButton Horizontal / right - горизонтально / справа


Локализация

С помощью инструментов, расположенных на этой вкладке Вы можете задавать язык программы.

Вы можете выбрать один из предложенных языков, или создать свой.

В поле Default directory указан путь к папке, в которой по умолчанию находятся все файлы локализации, имеющие формат *.lng.

Из раскрывающегося списка Choose program language выберите язык программы.

CheckBox Если установлен флажок Auto scan languages on startup, то каждый раз при запуске SQL Manager for MySQL папка Default directory будет проверяться на наличие новых файлов *.lng, которые затем автоматически будут добавлены в список доступных языков программы.

Environment Options - Localization

В списке Available languages показан список доступных локализаций, которые можно установить как основной язык программы.

При нажатии на кнопку Add defaults проверяется наличие новых файлов *.lng в папке по умолчанию, которые автоматически добавляются в список доступных языков программы.

Нажав на кнопку Add, Вы можете добавить в список Available languages файл локализации, указав в появившемся окне имя локализации и путь к файлу.

Кнопка Edit позволяет редактировать выбранную локализацию.

Нажав на кнопку Delete, Вы удалите выбранную локализацию из списка доступных.

Смотрите также:

Локализация


Общие сочетания клавиш

На этой вкладке можно просмотреть и при необходимости задать сочетания клавиш для быстрого выполнения операций в SQL Manager.

Environment Options - Global Shortcuts

Для изменения сочетания клавиш необходимо двойным щелчком мышки на нужном пункте вызвать диалоговое окно.

Environment Options - Global Shortcuts_EditShortcut

В этом окне отображаются нажатые в настоящий момент клавиши или сочетания.

Поместив курсор в поле, выберите клавиши, которые следует использовать. В сочетаниях нельзя использовать клавиши TAB и PRINT SCREEN.


Настройки редакторов

С помощью этого инструмента Вы можете задать настройки для всех SQL редакторов.

Открыть окно настройки можно, выбрав пункт Options | btnEditorOptions Editor Options в главном меню программы.

Вкладки:

Общие настройки

Отображение

Форматтер SQL

Задание сочетаний клавиш

Проверка правописания

Поиск опций

Смотрите также:

Настройки окружения

Настройки внешнего вида


Общие настройки

На этой вкладке задайте основные свойства редактора.

CheckBox Auto indent - каждый новый отступ такой же, как в предыдущей строке.

CheckBox Insert mode - включен режим автоматической вставки символов.

CheckBox Find text at cursor - если этот флажок установлен, то поиск будет о начинаться с того места, где стоит курсор.

CheckBox Always show hyperlinks - всегда отображать названия объектов в виде гиперссылок.

CheckBox Double click line - двойной щелчок в любом месте строки выделяет строку полностью.

CheckBox Trim trailing spaces - если флажок установлен, то все пробелы после последнего символа строки будут удалены.

CheckBox Fixed line height - фиксированная высота строки.

CheckBox Persistent blocks - не убирать выделение при перемещении курсора с помощью клавиш.

CheckBox Fixed column move - если установлен этот флажок, то при перемещении курсора в редакторе вверх-вниз он будет сохранять свою горизонтальную позицию, относительно начала строки.

CheckBox Optimal fill - установите этот флажок, если хотите включить автоматическое форматирование текста запроса в редакторе.

CheckBox Unindent keep align - сохранять выравнивание для строк без отступа.

CheckBox Smart caret - при перемещении курсора между строками с помощью клавиш, курсор перемещается на ближайший символ текста.

CheckBox Resolve aliases - разрешить применение псевдонимов.

Editor Options - General

CheckBox Overwrite blocks - заменять выделенный текст текстом вводимым с клавиатуры. Если флажок не установлен, то новый текст будет вводиться сразу после выделенного, также выделенный текст нельзя будет сразу удалить нажатием клавиш Delete, Enter и пробел.

CheckBox Show caret in read only mode - в режиме "только для чтения" показывать курсор.

CheckBox Copy to clipboard as RTF - текст запроса копировать в буфер обмена как текст формата RTF.

CheckBox Drag and drop text - разрешить перетаскивание текста.

CheckBox Group undo - позволяет отменять несколько операций одного вида.

CheckBox Group redo - позволяет возвращать несколько операций одного вида.

CheckBox Cursor beyond EOL - если щелкнуть мышью по пустому пространству после текста в строке, то курсор автоматически переместится в конец текста. Также применяется и при перемещении курсора кнопками Up/Down.

CheckBox Enable column selection - включить возможность выделения столбца.

CheckBox Hide cursor on type - убирать курсор мыши когда пользователь набирает текст.

CheckBox Hide dynamic (no focus) - убирать подсветку, если окно неактивно.

CheckBox Collapse empty lines - автоматически убирать пустые строки.

CheckBox Scroll to last line only- при прокрутке перейти к последней строке.

CheckBox Seek variables - переключает режим поиска переменных для автоподстановки.

CheckBox Word wrap - перенос по словам.

CheckBox Variable horizontal scrollbar - если нет текста, выходящего за границы видимой области, не отображать полосу прокрутки.

CheckBox Float markers - если установлен, то закладки не перемещаются вместе с текстом, а указывают на строку с определенным номером.

CheckBox Undo after save - не очищать список произведенных операций после сохранения, чтобы иметь возможность отменить действие даже после сохранения.

CheckBox Disable selection - отключить возможность выделения при редактировании.

CheckBox Draw current line focus - выделять редактируемую строку не только цветом, но ещё и пунктирной линией.

CheckBox Hide selection (no focus) - скрывать выделение, когда окно редактора становится неактивным.

CheckBox Greedy selection - если установлен этот флажок, то при выделении нескольких строк/столбцов захватывается дополнительно 1 строка/столбец.

CheckBox Keep selection mode - делает возможным выделение при перемещении курсора в тексте.

CheckBox Select search result - выделять результаты поиска.

CheckBox Smart paste - если установлен этот флажок, то в редактор можно вставлять текст кодировок Unicode и ANSI. Весь текст будет приведен в соответствии с действующей кодировкой.

CheckBox Disable all code features - отключить все опции кода.

Collapse level - сворачивать подуровни. В счетчике укажите до какого уровня следует сворачивать подуровни.

В поле Undo limit задайте число сохраненных операций для отмены действия.

Tab mode - из этого раскрывающегося списка выберите действие, выполняемое при нажатии клавиши Tab:

  • Use tab character - использовать символы табуляции,
  • Insert spaces - использовать пробелы,
  • Dialog behaviour - переключение между окнами,
  • Smart tab - преобразует символы табуляции в пробелы и задает отступ для строки такой же, как отступ предыдущей.

Tab Stops - в этом поле задайте размер отступа при табуляции.

Из раскрывающегося списка Comment symbols выбрать сочетание символов, которое будет означать комментарии.

С помощью счетчика Block indent задайте размер отступа для блоков с установленными закладками.

С помощью кнопки Reset to defaults можно отменить внесенные изменения и вернуть настройкам первоначальные значения.


Отображение

Default editor fonts

Font

Задайте шрифт для редактора SQL.

Size

Задайте размер шрифта для редактора SQL.

CheckBox Show only fixed-width fonts - если установлен этот флажок. то в списке выбора шрифтов будут отображаться только те, которые имеют фиксированную ширину символов.

Gutter

В этом разделе вы можете задать параметры левого поля редактора SQL.

CheckBox Show line numbers - отображать номера строк,

CheckBox Gutter auto width - автоматически выравнивать внутренние поля,

CheckBox Display line state - если этот флажок установлен, то в левом поле будет отображаться вертикальная цветная линия, показывающая состояние строк. Состояний у строк существует три: измененная строка показана желтым цветом, новая - зеленым, сохраненная в файл - синим.

CheckBox Use code folding - Вы можете задать иерархическую структуру текста с возможностью скрывать подобъекты.

В счетчике Width задайте ширину левого поля.

Выберите значения Font, Size, Numbering style для задания шрифта и стиля текста в правом поле.

CheckBox Show only fixed-width fonts - если установлен этот флажок. то в списке выбора шрифтов будут отображаться только те, которые имеют фиксированную ширину символов.

Editor Options - Display

Right margin

В этом разделе можно задать свойства правой границы, которая используется при автоматическом форматировании текста запроса. (Задать параметры автоматического форматирования можно на вкладке SQL Formatter).

CheckBox Visible - включает отбражение правой границы

CheckBox Word break - позволяет переносить слова в пределах правого поля.

С помощью счетчика Position задайте отступ от левого края для этой границы.

Из раскрывающегося списка Color выберите цвет границы.

Code staples

Задайте параметры отображения скобок в тексте.

CheckBox Visible - скобки видимы в тексте.

CheckBox Single color - установите этот флажок, если хотите задать единый цвет для всех скобок в тексте.

Offset - задайте значение сдвига для скобок.

С помощью кнопки Reset to defaults можно отменить внесенные изменения и вернуть настройкам первоначальные значения.


Цветовая схема

Scheme

Выберите цветовую схему для всех редакторов:

Default (Light) - Светлая

Dark - Темная

Editor Options - Color

В списке Element list вы можете выбрать любой элемент из Редактора SQL и настроить опции его отображения. Все изменения можно посмотреть в области под списком.

CheckBox Bold

Элемент будет отображаться полужирным шрифтом.

CheckBox Italic

Элемент будет отображаться курсивом.

CheckBox Foreground

Выберите цвет шрифта для выбранного элемента.

CheckBox Background

Выберите цвет фона для выбранного элемента.

CheckBox Effects

Задайте дополнительные настройки для выбранного элемента.

Чтобы сохранить принятые изменения нажмите на кнопку Ok.

С помощью кнопки Reset to defaults можно отменить внесенные изменения и вернуть настройкам первоначальные значения.


Быстрый код

На этой вкладке задайте параметры быстрого ввода текста при написании запроса. Быстрый код - это окно подстановки, которое появляется при введении слова в запрос.

Automatic features

В разделе задайте свойства автоматической подстановки.

CheckBox Code Completion - включает/отключает список автодополнения. При вводе первых символов слова, автоматически будет предложен список из слов, начинающихся с этих символов.

CheckBox Parameters completion - включает/отключает автодополнение списка параметров

Sensitivity (char) - задает количество введенных символов, после которых открывается список.

Delay (sec) - задает время ожидания появления подсказки.

CheckBox Group by type

Объекты в списке автодополнения будут сортироваться по типу, иначе они сортируются по имени.

CheckBox Sort column names

Включите опцию для сортировки полей таблицы.

CheckBox Show information hints - отображать всплывающие подсказки для каждого слова из списка автоподстановки.

CheckBox Auto launch keyboard templates

Шаблоны клавиатуры будут применяться автоматически, если Вы установите флажок.

CheckBox Accept by Space key too

Подходящий элемент списка будет подставляться по нажатию клавиши Пробел.

Editor Options - Quick Code

Completion list object

В данной секции вы можете можно задать цвет и стиль выбранного элемента списка автодополнения. Изменения отразятся на списке справа.

С помощью кнопки Reset to defaults можно отменить внесенные изменения и вернуть настройкам первоначальные значения.


Форматтер SQL

Средства задания настроек автоматического форматирования SQL запросов расположены на вкладке SQL Formatter.

SQL Formatter также используется при форматировании SQL скриптов и в редакторах некоторых объектов.

На вкладке Settings задайте, какие части запроса следует форматировать автоматически.

Editor Options - SQL Formatter - Settings

Установив флажки CheckBox Format SQL query и CheckBox Format subquery, Вы включаете автоматическое форматирование запросов и подзапросов.

Смотрите также:

Редактор запросов


SQL Words

На вкладке SQL Words задайте параметры форматирования текста запроса.

Editor Options - SQL Formatter - SQL Words

В списке Wrap first element выделите флажками те операторы, после которых необходимо выполнить перенос строки.

Params in line/list - в этом списке флажками отмечаются те операторы, для которых нужно изменить вид отображения параметров. Если при открытии запроса параметры отображались в столбец, то после установки этого флажка они будут отображаться в одну строку и наоборот.

В разделе OR - AND задайте положение операторов OR и AND относительно текста:

  • RadioButton Left - слева от текста,

WHERE

AND ...

AND ...

AND ...

RadioButton Separate - операторы выносятся каждый в отдельную строку,

WHERE

...

AND

...

AND

RadioButton Right - справа от текста.

WHERE

... AND

... AND

... AND

В разделах Keyword case и Identifiers case выберите регистр, в котором будут отображаться ключевые слова и идентификаторы в тексте запроса:

RadioButton Default - оставлять как есть,

RadioButton Upper - ВСЕ ПРОПИСНЫЕ,

RadioButton Lower - все строчные,

RadioButton Capitalize - Начинать С Прописных.

CheckBox Space before bracket - вставлять пробелы перед скобками.

CheckBox Space into brackets - автоматическая вставка пробелов между скобками и текстом внутри скобок.

С помощью счетчика Indents in list задайте отступ для элементов списка.

Чтобы форматировать текст запроса с новыми изменениями нужно в редакторе запросов в контекстном меню выбрать пункт Format SQL.


Задание сочетаний клавиш

На вкладке Key Mapping можно задать сочетания клавиш для быстрого выполнения операций в редакторе SQL запросов.

Editor Options - Key Mapping

Определенный набор сочетания клавиш для различных действий можно сохранить в виде схемы сочетания клавиш. После внесения изменений в существующие сочетания и добавления новых нажмите кнопку Save As, чтобы сохранить эти изменения. Чтобы применить схему достаточно из раскрывающегося списка Scheme name выбрать нужную и нажать кнопку OK. Нажав на кнопку Delete, Вы удалите выбранную схему.

Ниже задаются сочетания клавиш для всех действий, производимых в редакторе.

Из списка Commands, выберите действие, для которого хотите задать сочетание клавиш.

В окне Key combinations отображаются уже добавленные сочетания. Выделив сочетание и нажав кнопку Delete, Вы удалите это сочетание. Если нажать кнопку Clear, то удалятся все сочетания для выбранного действия.

Чтобы добавить новое сочетание нажмите кнопку New и в поле Key укажите нужное сочетание. Если такое уже существует для другого действия, то появится предупреждение, в котором будет название той операции, для которой используется нужное сочетание. Для одного действия допустимо создавать несколько сочетаний клавиш, и даже последовательность сочетаний клавиш. Если задана последовательность, то действие будет выполнено только после того как будут нажаты клавиши в указанной последовательности. Каждая строка в списке Key combinations - это сочетание для выполнения одного действия. С помощью кнопки Add Вы добавляете новое сочетание клавиш в уже существующее. Так создается последовательность сочетаний клавиш.

Схему можно экспортировать в файл, нажав на кнопку Export. При этом откроется диалоговое окно, позволяющее выбрать существующий файл или создать новый.

Смотрите также:

Редактор запросов

Сочетания клавиш


Проверка правописания

На вкладке Spell Checking задайте параметры орфографического контроля.

Editor Options - Spell Checking

В разделе Spell checker mode выберите тип проверки правописания:

RadioButton Highlighting - слова с ошибками будут выделены,

RadioButton Autocorrection - ошибки будут автоматически исправляться,

RadioButton None - никаких действий производиться не будет.

Задать параметры учета разряда букв при проверке можно в разделе Case sensitivity:

CheckBox Support case consistency with substitution - разряд подставляемого во время замены слова совпадает с разрядом слова, в котором была допущена ошибка.

CheckBox Ignore case while spell checking - игнорировать разряд при проверке правописания.

CheckBox Keep the misprint case when replacing - сохранять разряд слова при замене опечатки.

В списке Substitutions находятся ключевые слова словаря проверки правописания. На эти слова будут заменяться те, которые написаны с ошибками, если установлена автоматическая замена. Чтобы добавить слово в этот список нужно нажать кнопку Add. Изменить выбранное слово можно с помощью кнопки Edit. Нажатие на кнопку Delete удалит выбранное слово.

Задать параметры проверки опечаток можно в разделе Misprints.

Для слова из списка Substitutions можно задать некоторое количество слов с опечатками, которые будут автоматически заменяться на нужное слово.

В списке Check содержатся варианты ошибок, которые может допустить пользователь в слове.

Чтобы добавить вариант в список нужно нажать на кнопку Add. С помощью кнопки Edit Вы можете изменить выбранный вариант ошибки. С помощью кнопки Auto Вы можете автоматически создать все варианты ошибок, которые могут быть допущены в этом слове. Нажав на кнопку Delete, Вы удалите выбранный вариант опечатки. Кнопка Clear очищает список опечаток полностью.

В список Ignore помещаются те варианты опечаток, которые при автоматической замене будут игнорироваться.

Кнопка Reset to defaults позволяет вернуть все настройки к принятым по умолчанию.


Мастер сохранения настроек

Мастер сохранения настроек позволяет экспортировать все настройки программы SQL Manager for MySQL во внешний файл. Файл настроек имеет расширение *.reg (файл системного реестра Windows). Применить сохраненные настройки Вы можете как для этой программы, так и для заново установленного SQL Manager for MySQL. Чтобы открыть Мастер сохранения настроек в главном меню программы выберите пункт Options | iconSaveToFileAs Save Settings.

Чтобы применить настройки, сохраненные в файл *.reg необходимо открыть этот файл двойным щелчком мыши. В появившемся окне нажать кнопку OK. Все настройки автоматически будут применены (добавлены в системный реестр Windows).

Мастер состоит из следующих шагов:

Задание файла

Выбор настроек для сохранения

Выбор баз данных

Сохранение настроек


Задание файла

На первом шаге необходимо задать имя файла, в который будут сохранены настройки и путь к нему.

В поле Filename с помощью кнопки btnSaveAs, в открывшемся стандартном диалоговом окне укажите имя и адрес создаваемого файла.

Save Settings - Specifying destination file

Следующий шаг>>


Выбор настроек для сохранения

Отметьте флажками те настройки, которые необходимо сохранить:

Save Settings - Selecting settings

CheckBox Database Registration Info - Регистрационная информация баз данных

CheckBox Favorite objects - Избранные объекты

CheckBox Tabs - Вкладки

CheckBox Environment Options - Настройки окружения

CheckBox Visual Options - Настройки внешнего вида

CheckBox Keyboard Templates - Шаблоны клавиатуры

CheckBox External Tools - Внешние инструменты

CheckBox Form placement - расположение открытых окон

CheckBox MRU lists - Списки недавно использовавшихся объектов

CheckBox Favorite queries - Избранные запросы

<<Предыдущий шаг

Следующий шаг>>


Выбор баз данных

На этом шаге необходимо выбрать те базы данных, для которых нужно сохранить регистрационную информацию и настройки.

В списке Available Databases находятся доступные базы данных.

Выберите из списка те, для которых необходимо сохранить регистрационную информацию и настройки и переместите их в список Selected Databases с помощью кнопок.

Save Settings - Selecting databases

<<Предыдущий шаг

Следующий шаг>>


Сохранение настроек

Нажмите кнопку Run для начала создания файла настройки

Save Settings - Saving settings - Completed

Процесс создания отображается в специальном окне.

С помощью этого окна Вы можете проследить выполнение сохранения, а также в увидеть отчет о каждом шаге проделанной операции.

CheckBox Если установлен флажок Close the Wizard, то Мастер сохранения настроек закроется после того, как Вы нажмете кнопку Close в этом окне. Если не установлен, то, не закрывая мастера, можно изменить настройки сохранения.

<<Предыдущий шаг


Локализация

SQL Manager for MySQL позволяет изменять язык интерфейса программы для удобства пользователей. Чтобы изменить это свойство необходимо:

Изменение языка программы

  • выбрать Options | iconSelectLanguage Select Program Language в главном меню программы,
  • выбрать нужный язык интерфейса в окне выбора,
  • нажать OK для сохранения изменений.

Редактирование локализации программы

  • откройте любое окно программы, в котором хотите изменить заголовок или название элементов управления,
  • нажмите Shift+Ctrl+L, чтобы открыть окно редактора локализаций,
  • измените текст по своему усмотрению,
  • сохраните изменения, используя кнопку Save в окне редактирования локализации.

Замечание:

Локализацию можно изменить только в том случае, если она установлена и не является локализацией по умолчанию. Установить локализацию можно с помощью инструмента Environment Options | Localization.

Создание новой локализации

Чтобы создать новую локализацию необходимо:

  • создать новый файл локализации с расширением *.lng и поместить его в папку Languages в директории, в которой установлен SQL Manager for MySQL,
  • выбрать Options | Environment Options в главном меню программы,
  • открыть вкладку Environment Options | Localization,
  • на этой вкладке нажать кнопку Add,
  • в появившемся окне в поле Language name указать название новой локализации, а в поле Language File указать путь до созданного *.lng файла,
  • после нажатия кнопки OK в списке локализаций появится новый язык, который можно редактировать и устанавливать как программный.

Смотрите также:

Локализация


Редактор локализаций

Редактор локализаций позволяет изменять любые заголовки, надписи, названия элементов и подсказки в программе SQL Manager for MySQL, но только в том случае если этот язык не является локализацией по умолчанию.

Файл локализации можно открыть и изменить в любом текстовом редакторе.

Localization - Localization Editor

До знака "=" прописаны названия элементов управления, а после знака "=" - названия этих же элементов, но на языке выбранной локализации. Изменять можно только то, что написано после знака "=".

Для удобства работы с редактором предусмотрено использование стандартного диалогового окна поиска, открывающегося при нажатии клавиш Ctrl+F.

Чтобы сохранить внесенные изменения, нажмите кнопку Save на панели инструментов.

Смотрите также:

Настройки окружения

Локализация


Выбор языка программы

Это диалоговое окно позволит Вам выбрать язык локализации программы SQL Manager for MySQL.

Открыть это окно можно, выбрав Options | Select Program Language в главном меню программы.

В списке представлены все доступные языки программы, установленные с помощью Environment Options | Localization.

Localization - Select Program Language

Доступность:
Full version | Да
Lite version | Да
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.


Шаблоны клавиатуры

С помощью инструмента Keyboard Templates задайте шаблоны для быстрого ввода текста.

Чтобы открыть редактор шаблонов клавиатуры выберите в главном меню пункт Options | Keyboard Templates.

Чтобы создать шаблон нажмите на кнопку Add Template. В появившемся окне укажите последовательность символов, которая должна будет при вводе замениться определенным текстом.

Чтобы изменить уже созданный шаблон выделите его в общем списке и нажмите кнопку Edit Template. Нажав на кнопку Delete Template, Вы удалите выбранный шаблон.

CheckBox Если установлен флажок Old Style, то в тексте шаблона будут использоваться обозначения, использовавшиеся в более ранних версиях SQL Manager for MySQL.

В разделе Expansion укажите тот текст, которым должен быть заменен набор символов шаблона.

С помощью кнопок можно вставить автотекст

  • Cursor - позиция курсора, при применении курсор будет переведен в указанное место
  • Author - имя учетной записи
  • Time - время редактирования
  • Date - дата редактирования
  • Clipboard - содержимое буфера обмена
  • Marker - маркер

Также, в разделе Case of Templates, можно указать регистр, в котором должно вводиться сочетание символов, являющееся шаблоном.

RadioButton As is - оставлять как есть

RadioButton Uppercase - ВСЕ ПРОПИСНЫЕ

RadioButton Lowercase - все строчные

RadioButton First upper - Начинать С Прописных

Чтобы применить шаблон необходимо в редакторе набрать сочетание символов, указанное в шаблоне, а затем нажать пробел или сочетание клавиш Ctrl+J.

Восстановить значения шаблонов, принятые по умолчанию, можно, нажав на кнопку By Default.

Смотрите также:

Быстрый код

Сочетания клавиш


Шаблоны объектов

С помощью инструмента Object Templates задайте шаблоны для названий создаваемых объектов.

Чтобы открыть редактор шаблонов объектов выберите в главном меню пункт Options | iconObjectTemplates Object Templates.

В списке справа можно выбрать нужный тип объектов.

В поле Set template for naming of new <тип объекта> задается текст, который будет автоматически подставляться в название создаваемого объекта выбранного типа.

Insert Tag

С помощью списка, раскрывающегося при нажатии кнопки Insert Tag, можно вставить в имя порядковый номер для копий - [num_for_dup].

Для таблиц дополнительно задаются шаблоны названий для подобъектов.

Подобъекты

Поиск опций


Подобъекты

На этой вкладке Вы можете задать параметры имен, которые автоматически присваиваются создаваемым подобъектам таблицы.

ObjectTemplates - Subobjects

В полях Field и Index задайте шаблоны имен для создаваемых полей и индексов.

С помощью списка, раскрывающегося при нажатии кнопки Insert Tag, Вы можете вставить в имя тег.

ObjectTemplates - Subobjects_Field_Index_naming template

Автоматически можно добавлять в создаваемое имя следующий текст:

  • название таблицы, которой этот объект принадлежит - [OwnerName],
  • порядковый номер для копий - [num_for_dup],

На вкладке Foreign keys задаются шаблоны имен, которые присваиваются при создании внешним ключам.

В поле Foreign key naming template задайте шаблон имени создаваемого объекта.

С помощью списка, раскрывающегося при нажатии кнопки Insert Tag, Вы можете вставить в имя тег.

ObjectTemplates - Subobjects_Foreign_key naming template

Автоматически можно добавлять в создаваемое имя следующий текст:

  • название таблицы, которой этот внешний ключ принадлежит - [OwnerName],
  • порядковый номер для копий - [num_for_dup],
  • имя удаленной таблицы - [ref_table_name],

На вкладке Triggers задайте шаблоны имен триггеров.

ObjectTemplates - Subobjects_Trigger

В поле Trigger naming template задайте шаблон имени триггера.

Теги для триггера можно указать следующие:

ObjectTemplates - Subobjects_Trigger naming template

  • название таблицы, которой этот триггер принадлежит - [OwnerName],
  • порядковый номер для копий - [num_for_dup],
  • тип триггера - [trig_type],
  • событие триггера - [trig_events]

Также можно указать префиксы для разных типов триггеров:

  • Before - перед,
  • After - после,

  • Insert - вставить,
  • Update - обновить,
  • Delete - удалить.

Пример:

Для вновь создаваемого внешнего ключа Вы задаете:

  • префикс "fk_"
  • идентификатор первой таблицы "T1"
  • тег - название таблицы - [table_name]
  • идентификатор связанной таблицы "T2"
  • тег - имя связанной таблицы - [ref_table_name]

Шаблон названия в этом случае выглядит так "fk_T1[OwnerName]_T2[num_for_dup]"

Название внешнего ключа, сформированное по этому шаблону, выглядит так: "fk_T1Lotti_MateriePrime_T2Commesse_Lotti", где Lotti_MateriePrime и Commesse_Lotti имена таблиц.


Внешние инструменты

Вы можете добавить к SQL Manager for MySQL некоторое количество внешних программ для более эффективной работы программы.

Добавление внешнего инструмента

Чтобы добавить другую программу необходимо:

  • выбрать пункт Options | External Tools в главном меню программы,
  • в появившемся окне внешних инструментов нажать кнопку Add,
  • в диалоговом окне указать параметры подключения,
  • нажать OK, чтобы сохранить внесенные изменения.

Эта последовательность действий добавит указанную программу в список внешних инструментов

Теперь программу, добавленную в список, Вы можете запускать с помощью SQL Manager for MySQL, выбирая её из меню Tools | External Tools..

Удаление внешнего инструмента

Чтобы удалить программу из списка внешних инструментов необходимо:

  • выбрать пункт Options | External Tools в главном меню программы,
  • в появившемся окне внешних инструментов выбрать нужную программу
  • нажать кнопку Delete.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты базы данных

Инструменты сервера

Обеспечение безопасности

Настройки

Как...


Окно внешних инструментов

Это окно открывается при выборе пункта Options | External Tools в главном меню программы.

External tools - External Tools dialog

В окне Tools отображается список уже добавленных внешних инструментов.

С помощью кнопки Add можно добавить программу в список.

При нажатии кнопки Edit открывается окно редактирования внешних инструментов, с помощью которого можно изменить свойства подключенной программы.

Нажав на кнопку Delete, Вы удалите программу из списка.

Чтобы изменить порядок программ в списке воспользуйтесь кнопками [image] [image] или сочетанием клавиш Shift+Ctrl+Up / Shift+Ctrl+Down. Также можно менять объекты местами, перетаскивая их мышкой.


Редактирование внешних инструментов

С помощью окна Edit External Tool Info можно добавлять и редактировать внешние инструменты программы SQL Manager for MySQL.

Это окно открывается при нажатии кнопок Add и Edit в окне внешних инструментов.

External tools - External Tool Info editor

В поле Title укажите имя, которое для этой программы будет отображаться в списке внешних инструментов.

В поле Hot Key можно задать сочетание клавиш, при нажатии которых будет открываться программа. Это поле не доступно для обычного редактирования.

Укажите полный путь к программе (файлу с расширением *.exe) в поле Program, или выберите нужный файл с помощью стандартного диалогового окна, открывающего при нажатии на кнопку ExplorerButton .

Working Dir - в этом поле укажите рабочую директорию для этой программы.

Параметры выполнения программы указываются в поле Parameters.


Интерфейс программы

Общими особенностями интерфейса программы SQL Manager for MySQL являются:

Главное меню

С помощью главного меню Вы можете получить доступ ко всем инструментам программы и выполнить все действия над объектами базы данных.

Appendix - Program interface - MainMenu

Дополнительно смотрите страницу Настройка панелей управления.

Сплиттеры

Сплиттеры - разделительные полосы между окнами, позволяющие быстро свернуть и развернуть окно.

Для того чтобы свернуть окно достаточно одного нажатия на сплиттер левой кнопкой мыши.

Настройка внешнего вида и действий можно изменить на вкладке Splitters в окне настроек внешнего вида.

Навигационные панели

Для большего удобства навигационные панели можно сворачивать. Чтобы свернуть/развернуть какую-либо группу навигационной панели, достаточно кликнуть в области её заголовка.

Иконки [image] [image] служат для обозначения текущего состояния группы (свернутая/развернутая соответственно).

Appendix - Program interface - NavBar - Expanded

Appendix - Program interface - NavBar - Collapsed

Панели инструментов

Панель инструментов - строка или столбец, с вынесенными на него кнопками, позволяющими совершать, практически, все операции с открытым объектом.

Appendix - Program interface - Toolbar

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Важно: Вы можете переместить панель инструментов в любое удобное для вас место.

Индикатор прогресса.

Во время длительного выполнения некоторых процессов в нижней части окна программы SQL Manager for MySQL появляется индикатор прогресса, в котором в процентах отображается выполнение операции.

Панель инкрементного поиска

Эта панель доступна на панели статуса некоторых инструментов SQL Manager.

Вы можете вызвать эту панель, используя сочетание клавиш Ctrl+I. В поле поиска введите искомое сочетание символов, и на форме открытого инструмента встречающееся искомое сочетание будет выделено другим цветом.


Поиск опций

С помощью этого инструмента Вы можете найти опции программы по их названию.

Поиск осуществляется для каждого диалогового окна настроек в котором существует вкладка Find Option. Выбор производится только из опций, относящихся к данному диалоговому окну.

Database Registration Info - Find Option

Сочетание символов, содержащееся в названии опции введите в поле Option.

Все опции, в названии которых встречается искомое сочетание символов, выводятся в списке.

В поле Available Options отображается название найденных опций. В поле Option Kind отображается раздел к которому относится указанная функция.

Вкладка на которой расположена искомая функция показана в поле Category. Группа элементов управления, к которой относится искомая опция, отображается в столбце Group.

Чтобы перейти к искомой опции, выберите нужную опцию из списка и нажмите кнопку Show Option или два раза нажмите мышкой на нужной опции в общем списке.

После этого будет совершен переход на вкладку где эта опция находится, а сама опция будет обозначена символом iconFindOption


Настройка подключения

Если нет ни одной подключенной базы данных, то при выполнении SQL скрипта SQL Manager for MySQL предложит ввести параметры подключения к серверу.

Appendix - Login Host

В появившейся форме Вы сможете задать параметры подключения к серверу и к базе данных.


Просмотр зависимостей объектов

В редакторах объектов вкладка Dependencies позволяет просматривать зависимости объектов.

В правой части окна - те объекты, на которые ссылается редактируемый объект.

В левой - те объекты, которые ссылаются на открытый в редакторе объект.

В нижнем окне Вы можете просмотреть DDL выделенного объекта.

Appendix - Browsing object dependencies

Любой объект можно открыть в соответствующем редакторе двойным щелчком мыши.


Диалог выбора объекта

Диалог выбора объекта появляется каждый раз, когда для работы с инструментами приложения Вам необходимо выбрать объект базы данных. Например, такой диалог появляется при выборе корневого объекта при построении Дерева зависимостей или при выборе объекта для добавления в избранные объекты.

Appendix - Select Object

В левой части окна выберите тип объекта. Затем, в правой части окна выберите схему, которой принадлежит необходимый объект (для объектов схем). В основном окне появится список объектов выбранного типа. Выделите нужный объект и нажмите кнопку OK.


Описание объекта

Если Вы хотите добавить (изменить) текстовый комментарий к объекту, то Вы можете его создать (изменить) на вкладке Description.

Appendix - Editing object description

Внесенные изменения вступят в силу только при переходе на другую вкладку, при выборе другого объекта или при нажатии кнопки Save Descriptions на панели инструментов.


Просмотр DDL

На вкладке DDL Вы можете просмотреть DDL объекта.

Appendix - Viewing DDL structure

Текст на этой вкладке нельзя редактировать. Если хотите внести изменения, то скопируйте текст в буфер обмена и вставьте его в SQL Editor или SQL Script Editor.


Шаблоны

В SQL Manager for MySQL для некоторых операций предусмотрена возможность сохранения последовательности действий и параметров в специальных файлах, которые называются шаблоны. Используются шаблоны в мастерах. Например, в мастере экспорта данных или импорта данных и т.п.

Если в мастере в левом нижнем углу расположена кнопка Templates, то все параметры, указанные с помощью мастера можно сохранить в файл соответствующего формата. Для каждого мастера предусмотрен специальный формат шаблона. Это позволяет избежать ошибок при открытии шаблона в другом мастере.

При нажатии на кнопку Templates открывается список действий.

Using templates - menuTemplates

С помощью этого списка можно

  • Load Template - загрузить шаблон
  • Save Template - сохранить шаблон
  • Save Current Settings As Default - сделать эти настройки настройками по умолчанию
  • Reset Saved settings - сбросить настройки


Параметры SSH туннелирования

SSH (Secure Shell Host) протокол используется для повышения компьютерной безопасности при работе Unix-системами в Internet. SSH использует несколько алгоритмов шифрования разной степени надежности. Распространенность SSH связана еще и с тем, что многие Linux-подобные ОС (например, FreeBSD) включают в стандартную комплектацию SSH сервер. Для получения дополнительной информации вы можете посетить http://openssh.org. Опция SSH туннель в SQL Manager представляет собой средство организации безопасного доступа к MySQL серверам при работе по небезопасным каналам связи. Также вы можете использовать SSH туннель для доступа к удаленным MySQL серверам, если по каким-либо причинам порт 3306 закрыт для внешних подключений. Соединение через SSH туннель выглядит следующим образом. Сначала устанавливается соединение и производится процедура аутентификации между встроенным в SQL Manager for MySQL SSH клиентом и удаленным SSH сервером, затем вся исходящая и входящая информация между программой и MySQL сервером передается через SSH сервер с использованием коммуникационного порта (обычно 22), а SSH сервер транслирует информацию уже непосредственно MySQL серверу. Чтобы зарегистрировать базу данных, соединение к которой должно выполняться с использованием SSH туннеля, вы должны задать следующие параметры при регистрации базы данных в MySQL:

SSH Host name - имя машины (IP-адрес), на которой установлен сервер SSH.

SSH Port - порт SSH сервера на удаленном хосте (по умолчанию равен 22).

SSH User Name - имя пользователя на сервере (пользователь SSH сервера, а не сервера MySQL).

SSH Password - пароль пользователя SSH сервера.

Имейте в виду, что в случае использования SSH туннелирования имя хоста MySQL должно быть задано относительно сервера SSH. Например, если MySQL и SSH сервер установлены на одном компьютере, следует указать 'localhost' в качестве имени хоста вместо имени внешнего хоста или IP адреса.

Appendix - SSH tunneling options

Если установлен флажок Use Private Key for authentication, то в поле SSH key file можно указать ключевой файл для аутентификации.

SSH Private Key - Passphrase


Параметры HTTP туннелирования

HTTP туннелирование - это тип подключения, при котором соединение и передача данных между программой и сервером MySQL происходит через протоколы HTTP/HTTPS. Такой способ подходит для соединения с сервером MySQL, расположенном на удаленном сервере хостинг провайдера, когда прямое TCP/IP соединение запрещено из соображений безопасности, но есть "локальный" MySQL аккаунт, который используется в скриптах (PHP, ASP и т.п.) либо в PHPMyAdmin. Для этого подключения используется порт 80, через который работает обычный веб-браузер. На удаленном сервере должен быть установлен HTTP сервер (например, Apache) и PHP с подключенным расширением MySQL. Как правило, это программное обеспечение предлагают все хостинг провайдеры, предоставляющие услуги хостинга на Linux платформах.

Для реализации HTTP-туннеля необходимо загрузить в структуру Вашего сайта скрипт emsproxy.php (поставляется с программой). Этот скрипт служит для пересылки данных через HTTP-протокол нашей программе.

Необходимо разместить emsproxy.php скрипт на вашем веб-сервере так, чтобы к нему был доступ по URL адресу (например, в каталоге, где находятся остальные PHP скрипты). Если ваш веб-сервер удовлетворяет данным требованиям и скрипт установлен правильно, то при открытии http://<your_webserver_name>/emsproxy.php в веб-браузере вы увидите “EmsProxy v1.31” (версия может меняться). Чтобы зарегистрировать базу данных, соединение к которой должно выполняться с использованием HTTP туннеля, необходимо задать следующие параметры в Мастере регистрации баз данных в SQL Manager for MySQL.

URL - это адрес, где находится скрипт emsproxy.php (например, http://mywebserver /emsproxy.php).

Appendix - HTTP tunneling options

Данные авторизации MySQL, задаваемые в SQL Manager передаются скрипту, который в свою очередь и осуществляет подключение к MySQL серверу, используя эти данные. Далее все запросы, выполняемые SQL Manager, также передаются этому скрипту, выполняются самим скриптом, а результат выполнения возвращается в SQL Manager. Сам скрипт (в отличие например от SSH-сервера) не требует дополнительной авторизации. Таким образом, для создания такого HTTP-туннеля Вам требуется только учетная запись MySQL, при этом в качестве хоста, с которого устанавливается подключение с точки зрения MySQL сервера, используется хост, на котором запущен HTTP-сервер – в самых распространенных конфигурациях хоста провайдера – это ‘localhost’ (т.е. HTTP-сервер и MySQL сервер запущены на одной физической машине).

С дополнительными авторизациями для доступа к самому URL дело обстоит следующим образом. Если это стандартная HTTP-авторизация на сайте или на прокси (т.е. если зайти на URL-адрес в браузере - всплывет окно с запросом логина/пароля), то такое же окно всплывет и в SQL Manager при попытке подключения к БД. Если же это авторизация, организованная в виде переадресации на HTML-страничку с вводом пароля и сохранением данных в cookie, то такой случай, к сожалению, не поддерживается.


Задание форматов данных

Форматы данных определяют вид данных разных типов.

Форматы Float/Integer

0 | Цифра от 0 до 9
# | Символ разряда.
. | символ, отделяющий десятичную часть
, | разделитель групп разрядов
E+ | экспоненциальное представление.

Форматы Date/Time format

с помощью следующих команд Вы указываете какую часть даты и в каком виде нужно отображать.

c | Отображает дату, используя краткий формат даты.
d | День отображается в виде числа от 1 до 31 без нулевого старшего разряда.
dd | День отображается в виде числа от 01 до 31 с нулевым старшим разрядом.
ddd | День отображается в виде аббревиатуры (Sun-Sat).
dddd | Отображается полное название дня недели (Sunday-Saturday).
ddddd | Отображать краткий формат.
dddddd | Использовать полный формат даты.
m | Отображать месяц в виде числа без нулевого старшего разряда (1-12).
mm | Отображать месяц в виде числа с нулевым старшим разрядом (01-12)
mmm | Отображать месяц в виде аббревиатуры (Jan-Dec).
mmmm | Отображать полное название месяца (January-December).
yy | Отображать год в виде последних двух цифр (00-99).
yyyy | Отображать год в четырех цифр (0000-9999).
h | Отображать час в виде числа без нулевого старшего разряда (0-23).
hh | Отображать час в виде числа с нулевым старшим разрядом (00-23).
n | Отображать минуты в виде числа без нулевого старшего разряда (0-59).
nn | Отображать минуты в виде числа с нулевым старшим разрядом (00-59).
s | Отображать секунды в виде числа без нулевого старшего разряда (0-59).
ss | Отображать секунды в виде числа с нулевым старшим разрядом (00-59).
z | Отображать миллисекунды в виде числа без нулевого старшего разряда (0-999).
zzz | Отображать миллисекунды в виде числа с нулевым старшим разрядом (000-999).
t | Отображать время используя Short Time Format.
tt | Отображать время используя Long Time Format.
a/p | Использовать двенадцатичасовой формат даты с префиксом a/p.
am/pm | Использовать двенадцатичасовой формат даты с префиксом am/pm.
/ | Использовать этот разделитель даты (mm/dd/yy).
: | Использовать этот разделитель времени (hh:mm).
'xx'/"xx" | Символы, заключенные в одинарные или двойные кавычки не подлежат форматированию.


Окно поиска

С помощью окна Find Text можно найти сочетание символов в тексте.

В поле Text to Find укажите искомую последовательность символов или выберите одну з предыдущих.

Case Sensitive - при поиске учитывать регистр.

Whole words only - учитывать слово целиком.

Regular Expressions

Если отмечена эта опция, то введенный текст будет распознаваться как регулярное выражение.

Например, если Вы введете "empl*", то будет произведен поиск по метаданным всех строк, содержащих подстроку "empl". При вводе "^emp" результатом поиска будут объекты, в метаданных которых есть строки, начинающиеся на "emp", а при поиске

"^emp|emp$" - строки, содержащие "emp" в начале или конце строки.

Важно: Синтаксис регулярных выражений, которые могут быть использованы в поле Text to find, соответствует синтаксису регулярных выражений языка Perl. Более подробная информация может быть найдена по ссылке: http://perldoc.perl.org/perlre.html#Regular-Expressions.

В разделе Direction укажите направление поиска:

  • Forward - вниз
  • Backward - вверх

Global - искать во всем тексте

Selected text - искать только в выделенном тексте

From cursor - поиск начинается с того места где стоит курсор.

Entire scope - поиск с начала текста.

Find in metadata

На этой вкладке можно задать параметры поиска по метаданным.

Из раскрывающегося списка Database можно выбрать базу данных, в которой будет производиться поиск.


Окно замены

Диалоговое окно Replace Text предназначено для поиска и замены текста в рабочей области редакторов SQL Manager.

В поле Text to Find укажите искомую последовательность символов или выберите одну из предыдущих.

Text to replace

В это поле необходимо ввести строку, которой будет заменена строка поиска. Из раскрывающегося списка можно выбрать любую из ранее введенных строк. Чтобы заменить строку поиска пустой строкой, оставьте это поле пустым.

Options

CheckBox Case Sensitive - при поиске учитывать регистр.

CheckBox Whole words only - учитывать слово целиком.

CheckBox Regular Expressions - распознавание регулярных выражений в поле Text to find.

CheckBox Replace with template

Эта опция активна, если установлен флажок CheckBox Regular Expressions.

Включите этот параметр, чтобы использовать регулярные выражения в поле Text to replace. Выражение, используемое в этой области, будет применяться к каждой строке, которая соответствует тексту в поле Text to find.

Важно: Синтаксис регулярных выражений, которые могут быть использованы в полях Text to find и Text to replace аналогичен синтаксису регулярных выражений, используемых в Perl. Дополнительную информацию по ним можно найти на http://perldoc.perl.org/perlre.html#Regular-Expressions.

CheckBox Prompt on replace - подтверждать каждую замену.

Direction

В разделе Direction укажите направление поиска:

RadioButton Forward - вниз.

RadioButton Backward - вверх.

Scope

RadioButton Global

Поиск и замена проводятся в пределах всей рабочей области, в направления, указанного в разделе Direction.

RadioButton Selected text

Поиск и замена проводятся только в пределах выделенного текста.

Origin

RadioButton From cursor

Процесс поиска и замены начинается с текущей позиции курсора, а затем переходит вперед или назад к началу текста, в зависимости от направлении, указанного в разделе Direction.

RadioButton Entire scope

Процесс поиска и замены охватывает весь блок выделенного текста или весь скрипт (неважно, где находится курсор в области редактирования) в зависимости от настроек, указанных в разделе Scope.

CheckBox Mark search result with stack marker

Если установлен этот флажок, то каждый новый результат отмечается.

Нажмите кнопку Replace All, чтобы заменить все найденные строки.


Список задач

Инструмент To-Do List позволяет создавать список задач базы данных. Чтобы открыть этот список выберите в главном меню пункт View | To-Do List.

Чтобы добавить в список новую задачу нажмите кнопку Add Item на одной из панелей управления или выберите пункт Add Item в контекстном меню.

Appendix - To-Do List

Для создания откроется окно редактора заданий.

Appendix - To-Do List - Edit To-Do item

В поле Text задаете описание задачи.

С помощью счетчика Priority задайте приоритет задачи.

В поле User Name укажите пользователя для которого предназначена эта задача.

В поле Category можно задать категорию создаваемой или редактируемой задачи.

Нажмите кнопку OK чтобы добавить задачу в общий список.

Открыть для редактирования уже созданную задачу можно нажав на ней два раза мышью, или выбрать пункт Edit Item на одной из панелей инструментов или выбрав пункт Edit Item в контекстном меню.

Выбрав на панели инструментов или в контекстном меню пункт Delete Item Вы удалите задачу.

Можно удалить все задачи нажав кнопку Delete All и подтвердив удаление в появившемся окне.

Выберите базу данных для которой создаете задачу из раскрывающегося списка Database на одной из панелей инструментов.

Все инструменты для работы располагаются на панелях инструментов и в контекстном меню, которое открывается при нажатии правой кнопкой мыши на задаче.


Настройка панелей управления

Любую панель инструментов можно настроить.

Её можно настраивать, используя функцию Add or Remove Buttons, открывающуюся при нажатии на кнопку More Buttons btnMoreButtons в правом углу панели.

В появившемся окне выбираете те кнопки, которые нужны Вам для работы.

Нажав на любую панель управления правой кнопкой мыши и выбрав пункт Customize.

Если на панели инструментов нажать правой кнопкой мыши, то тоже появится кнопка Customize.

При нажатии на эту кнопку открывается окно редактирования панели инструментов.

Вкладка Toolbars:

Appendix - Customize - Toolbars

На этой вкладке можно создавать, редактировать и удалять панели инструментов.

New - добавить панель инструментов

Rename - переименовать

Delete - удалить

Вкладка Commands:

На этой вкладке выберите кнопки, которые будут отображаться на панели инструментов.

Appendix - Customize - Commands

В списке Categories выберите категорию, а в списке Commands - команду, относящуюся к выбранной категории.

Чтобы поместить нужную кнопку на панель её нужно перетащить из списка Commands на панель инструментов.

Вкладка Options

Appendix - Customize - Options

CheckBox Menus show recently used command first - всегда показывать полные меню.

CheckBox Show full menus after a short delay - показывать полные меню после небольшой задержки.

Reset my usage data - сброс.

CheckBox Large icons - крупные значки.

CheckBox Show ToolTips on Toolbars - отображать подсказки для кнопок.

CheckBox Show shortcut keys in ToolTips - включить в подсказки сочетания клавиш.

Menu animations - анимация при выборе меню.


Маркеры

Маркеры предназначены для навигации по тексту. Необходимо установить курсор в нужное место и нажать клавишу F2, В этом месте появляется маркер. Теперь при нажатии клавиши Esc курсор возвращается на указанную метку. Метки организованы по принципу стека LIFO.


Механизмы хранения

MySQL предлагает несколько механизмов (типов) хранения, которые действуют как обработчики для различных типов таблиц. Все механизмы хранения делятся на:

  • поддерживающие транзакции;
  • не поддерживающие транзакции.

Тип хранения задается на вкладке Properties редактора таблиц при создании таблицы. При необходимости его можно изменить с помощью Мастера изменения механизма хранения таблиц.

ISAM

В таблицах ISAM используется индекс B-tree. Индекс хранится в файле с расширением .ISM, а данные - в файле с расширением .ISD. Таблицы ISAM можно проверять/восстанавливать при помощи утилиты isamchk. ISAM является устаревшим и не поддерживается в последних версиях сервера. ISAM был заменен MyISAM.

MyISAM

Тип таблиц MyISAM принят по умолчанию в MySQL версии 3.23. Он основывается на коде ISAM и обладает в сравнении с ним большим количеством полезных дополнений.

Каждая таблица MyISAM хранится на диске в трех файлах:

*.frm - файл, который хранит формат таблицы;

*.MYD (MYData) - файл данных;

*.MYI (MYIndex) - файл индекса.

HEAP (также известный как MEMORY)

Для HEAP-таблиц используются хеш-индексы; эти таблицы хранятся в памяти. Благодаря этому обработка их осуществляется очень быстро, однако в случае сбоя MySQL будут утрачены все данные, которые в них хранились. Тип HEAP очень хорошо подходит для временных таблиц!

Для внутренних HEAP-таблиц в MySQL используется 100%-ное динамическое хеширование без областей переполнения; дополнительное пространство для свободных списков не требуется. Отсутствуют при использовании HEAP-таблиц и проблемы с командами удаления и вставки, которые часто применяются в хешированных таблицах:

каждой таблице MEMORY соответствует один файл на диске. Имя файла начинается с имени таблицы и имеет расширение *.frm.

MERGE (также известный как MRG_MyISAM)

MRG_MyISAM

Таблица MERGE (или таблица MRG_MyISAM) представляет собой совокупность идентичных таблиц MyISAM, которые могут использоваться как одна таблица. К совокупности таблиц можно применять только команды SELECT, DELETE и UPDATE. Если же попытаться применить к таблице MERGE команду DROP, она подействует только на определение MERGE.

При создании таблицы MERGE на диске создается два файла:

*.frm - файл, который хранит формат таблицы;

*.MRG - файл, который содержит имена таблиц, которые должны быть использованы как единое целое..

InnoDB

Таблицы InnoDB в MySQL снабжены обработчиком таблиц (начиная с MySQL версии 3.23.44), обеспечивающим безопасные транзакции (уровня ACID) с возможностями фиксации транзакции, отката и восстановления после сбоя. Для таблиц InnoDB осуществляется блокировка на уровне строки, а также используется метод чтения без блокировок в команде SELECT.

Внешние ключи, поддерживаемые технологией InnoDB, могут свободно сочетать таблицы InnoDB с другими таблицами, даже в рамках одного оператора.

InnoDB предназначается для получения максимальной производительности при обработке больших объемов данных. Таблицы и индексы хранятся в табличном пространстве, которое может состоять из нескольких файлов. По эффективности использования процессора этот тип намного превосходит другие модели реляционных баз данных с памятью на дисках.

Таблицы InnoDB могут быть любого размера даже в тех операционных системах, где размер файла ограничен 2 Гб.

BDB (также известный как BerkeleyDB)

Использование BerkeleyDB повышает для ваших таблиц шансы уцелеть после сбоев, а также предоставляет возможность осуществлять операции COMMIT и ROLLBACK для транзакций. Дистрибутив исходного кода MySQL поставляется с дистрибутивом BDB, содержащим несколько небольших исправлений, которые позволяют устранить определенные проблемы при работе с MySQL. Неисправленные версии BDB при работе с MySQL использовать нельзя.

BerkeleyDB не поддерживается в последних версиях сервера.

EXAMPLE

Это незавершенный механизм хранения. Это пример в исходном коде MySQL, который иллюстрирует, как начать писать новые механизмы хранения.

Таблицы EXAMPLE хранятся в файле табличного формата (*.frm) на диске. Данные не сохраняются в этих таблицах. Индексирование не поддерживается.

Механизм EXAMPLE, в первую очередь, представляет интерес для разработчиков.

FEDERATED

В MySQL 5.0 можно использовать таблицы, расположенные на удалённом сервере, как будто они локальны. В этом случае нет транзакций.

ARCHIVE

Этот механизм хранения используется для хранения больших объемов данных без индексов.

Когда создается таблица ARCHIVE, то вместе с ней создаются следующие файлы в директории базы данных.

*.frm - файл формата таблицы;

*.ARZ - файл данных;

*.ARM - файл метаданных;

*.ARN - файл, который появляется в процессе оптимизации операций.

CSV

Этот механизм хранит данные в текстовых файлах, используя CSV формат.

При создании таблицы CSV, сервер создает два файла в каталоге базы данных:

*.frm - файл формата таблицы;

*.CSV - файл данных;

*.CSM - метафайл, который хранит состояние таблицы и число строк, которые существуют в таблице (в MySQL 5.1.9 и выше).

Механизм хранения CSV не поддерживает индексацию.

BLACKHOLE

Этот механизм хранения позволяет вносить данные, но данные не сохраняются. Запросы на извлечение всегда возвращают пустой результат.

Когда создается таблица типа BLACKHOLE, сервер создает файл табличного формата (*.frm) в директории базы данных.

Формат BLACKHOLE поддерживает все виды индексов.

Данные не сохраняются в таблице типа BLACKHOLE, но если включен бинарный журнал, то операторы SQL заносятся в журнал.

FALCON

Этот механизм хранения был разработан для удовлетворения требований современных баз данных. Для использования в качестве веб-служб или в другой среде, которая требует высокой производительности, поддержку транзакций и протоколирование функций, необходимых в этой среде. FALCON был специально разработан для систем, которые способны поддерживать большие архитектуры памяти и многопоточные и многоядерные среды.

Большинство 64-битных архитектур являются идеальными платформами для механизма Falcon, где есть больше свободного пространства в памяти и доступны 2 -, 4 - или 8- ядерные процессоры. Falcon поддерживает все стандартные типы данных, поддерживаемые MySQL.

NDB Cluster

Механизм хранения, используемый MySQL Cluster для работы с таблицами, расположенными на нескольких компьютерах.

GEMINI

Тип таблиц, разработанный компанией NuSphere. Не поддерживается последними версиями MySQL.

Для получения более подробной информации обращайтесь к официальной документации.


Поддерживаемые форматы файлов

MS Excel 97-2003

Наиболее популярный формат файлов для хранения электронных таблиц, разработанный Microsoft.

(*.xls)

MS Access 97-2003

Файл этого формата представляет собой базу данных Access, с возможностью использования ADO connection.

(*.mdb)

MS Access

Файл формата Microsoft® Access (*.accdb).

MS Word 97-2003

Наиболее популярный формат текстовых документов, разработанный Microsoft.

(*.doc)

RTF

Межплатформенный формат хранения размеченных текстовых документов, предложенный Microsoft. RTF-документы поддерживаются большинством современных текстовых редакторов.

(*.rtf)

HTML

(от англ. Hypertext Markup Language — «язык разметки гипертекста»)

Формат для отображения web страниц

(*.html, *.htm)

PDF

Межплатформенный формат электронных документов, предназначен для представления в электронном виде полиграфической продукции.

(*.pdf)

Text file

Текстовый файл

(*.txt)

CSV

(от англ. Comma Separated Values — значения, разделенные запятыми)

Текстовый формат, предназначенный для представления табличных данных. Каждая строка файла — это одна строка таблицы. Значения отдельных колонок разделяются разделительным символом (delimiter), например, запятой (,), точкой с запятой(;), символом табуляции. Текстовые значения обрамляются символом двойные кавычки ("); если в значении встречаются кавычки — они представляются в файле в виде двух кавычек подряд.

(*.csv)

DIF

Стандарт для файлов обмена данными

(*.dif)

SYLK

Формат Символической Связи.

(*.slk)

LaTeX

Специфический формат файлов макрорасширений к TeX.

(*.tex)

XML

Расширяемый язык разметки. Предназначен для хранения структурированных данных

(*.xml).

DBF

Формат хранения данных, используемый в качестве одного из стандартных способов хранения и передачи информации системами управления базами данных, электронными таблицами и т.д.

(*.dbf)

MS Excel

Разработанный Microsoft формат файлов для хранения электронных таблиц. Формат представляет собой zip-архив, содержащий текст в виде XML, необходимую графику и другие данные

(*.xlsx)

MS Word

Разработанный Microsoft формат файлов для хранения электронных документов. Формат представляет собой zip-архив, содержащий текст в виде XML, необходимую графику и другие данные

(*.docx)

ODF Spreadsheets

Открытый формат файлов документов для хранения и обмена редактируемыми офисными документами - электронными таблицами.

(*.ods)

ODF text

Открытый формат файлов документов для хранения и обмена редактируемыми текстовыми офисными документами

(*.odt)


Изменение метаданных

В SQL Manager for MySQL существует специальный инструмент, с помощью которого можно выявить ошибки и проследить выполнение SQL скрипта изменения метаданных.

Окно изменения метаданных по умолчанию появляется всегда, когда производится изменение метаданных. Если Вы хотите, чтобы оно появлялось только тогда, когда при исполнении будут обнаружены ошибки, то отключите флажок Confirm metadata changing на вкладке Confirmations в Options | Environment Options, или установите флажок Don't show this window on success в самом окне Changing Metadata.

Appendix - Changing Metadata window

В главном окне - Compile SQL - показан SQL скрипт, который был сгенерирован в результате изменения метаданных. В этом окне Вы можете его редактировать по своему усмотрению. Если скрипт содержит ошибки, то становится видна область Error, в которой показано описание возникших при компиляции ошибок.

Оператор, который отображается в окне, уже выполнен в запущенной транзакции на изменение метаданных.

Применить эту транзакцию можно с помощью кнопки Commit, которая активна только в случае, если скрипт был выполнен успешно (т.е. транзакция может быть применена). Если Вы не хотите применять изменения, то воспользуйтесь кнопкой Rollback, которая откатит текущую транзакцию.

Если в операторе есть ошибки, то кнопка Commit будет недоступна. В этом случае необходимо исправить все ошибки и нажать кнопку Rollback and Recompile, которая применит внесенные Вами изменения.

Текст операторов и описание ошибок можно полностью скопировать в буфер обмена с помощью кнопки Copy information to clipboard.

Доступность:
Full version | Да
Lite version | Да
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.


Сочетания клавиш

Управление базами данных:

Shift+Ctrl+R | Зарегистрировать сервер MySQL с помощью Мастера регистрации баз данных
Shift+Alt+R | Зарегистрировать базу данных с помощью Мастера регистрации баз данных
Shift+Alt+U | Удалить регистрацию выбранной базы данных
Shift+Ctrl+C | Подключиться к базе данных
Shift+Ctrl+D | Отключиться от базы данных

Управление объектами баз данных:

Ctrl+N | Создать новый объект.
Ctrl+O | Открыть выбранный объект в соответствующем редакторе
Ctrl+R | Переименовать выбранный объект
Shift+Del | Удалить выбранный объект
Ctrl+Shift+C | Свернуть текущую ветвь в Проводнике баз данных

Инструменты SQL Manager:

F11 | Открыть/закрыть Проводник баз данных
Ctrl+F | Открыть окно поиска в Проводнике баз данных
Shift+Ctrl+T | Открыть список заданий
F12 | Открыть Редактор запросов
Shift+F12 | Создать новый запрос в Редакторе запросов
Shift+Ctrl+M | Открыть Монитор SQL
Shift+Ctrl+S | Открыть Редактор SQL скриптов
Shift+Ctrl+L | Открыть Редактор локализаций
Ins | Добавить новый подобъект в таблицу (Тип подобъекта определяется открытой вкладкой редактора)
Ctrl+Ins | Добавить параметр в Редакторе процедур
Ctrl+Del | Удалить параметр в Редакторе процедур

Работа с редактором запросов и редактором SQL скриптов:

F9 | Выполнить запрос/скрипт
Alt+F9 | Выполнить только выделенную часть кода
Ctrl+Alt+F9 | Выполнить ту часть кода, на которой стоит курсор
Ctrl+Alt+F2 | Удалить контрольную точку (Только для редактора запросов)
Shift+Ctrl+<digit> | Установить закладку #<digit>
Ctrl+<digit> | Перейти к закладке #<digit>
Ctrl+Q,N | Перейти к следующей закладке
Ctrl+Q,P | Перейти к предыдущей закладке
F2 | Поставить маркер на текущую позицию
Esc | Убрать маркер (вернуться назад)
Shift+Esc | Заменить маркер (сохранить позицию, вернуться назад)
Ctrl+Z; Alt+BkSp | Отменить
Shift+Ctrl+Z; Shift+Alt+BkSp | Вернуть
Ctrl+F | Открыть окно поиска
Ctrl+R | Найти и заменить
F3 | Продолжить поиск
Ctrl+I | Начать инкрементный поиск
Alt+G | Перейти к строке под номером. Номер введите в появившемся диалоговом окне.
Ctrl+L | Загрузить скрипт из внешнего файла
Ctrl+S | Выгрузить скрипт во внешний файл
Shift+Ctrl+F | Форматировать текст SQL с помощью Форматтера SQL
Alt+<symbol> | Перейти к запросу с символом <&symbol> в имени (только для редактора запросов)
Ctrl+J | Вставить шаблон клавиатуры
Сtrl+D | Переключение режимов отображения результатов запроса (на вкладке Edit или на отдельной вкладке)
Ctrl+Alt+Left | Перейти к следующей вкладке Редактора запросов
Ctrl+Alt+Right | Перейти к предыдущей вкладке Редактора запросов
Ctrl+Alt+PgUp | Перейти к последней вкладке Редактора запросов
Ctrl+Alt+PgDown | Перейти к первой вкладке Редактора запросов
Ctrl+Q,S | Переместить курсор на начало строки
Ctrl+Q,D | Переместить курсор в конец строки
Ctrl+Q,R | Переместить курсор в начало текста
Ctrl+Q,C | Переместить курсор в конец текста
Ctrl+O,N | Обычный режим выделения
Ctrl+O,L | Построчный режим выделения
Ctrl+O,C | Выделение по столбцам
Shift+Ctrl+Left | Выделить символы до предыдущего слова
Shift+Ctrl+Right | Выделить символы до следующего слова
Shift+Home | Выделить текст до начала строки
Shift+End | Выделить текст до конца строки
Shift+PageUp | Выделить текст до начала страницы
Shift+PageDown | Выделить текст до конца страницы
Shift+Ctrl+PageUp | Выделить текст до первой строки на странице
Shift+Ctrl+PageDown | Выделить текст до последней строки на странице
Shift+Ctrl+Home | Выделить текст до начала
Shift+Ctrl+End | Выделить текст до конца
Shift+Alt+Left | Выделить колонку символа слева
Shift+Alt+Right | Выделить колонку символа справа
Shift+Alt+Up | Выделить колонку на строку вверх
Shift+Alt+Down | Выделить колонку на строку вниз
Shift+Ctrl+Alt+Left | Выделить колонку слова слева
Shift+Ctrl+Alt+Right | Выделить колонку слова справа
Shift+Alt+Home | Выделить колонку до начала строки
Shift+Alt+End | Выделить колонку до конца строки
Shift+Alt+PageUp | Выделить колонку на страницу вверх
Shift+Alt+PageDown | Выделить колонку на страницу вниз
Shift+Ctrl+Alt+Home | Выделить колонку до самого начала
Shift+Ctrl+Alt+End | Выделить колонку до самого конца
Ctrl+Up | Прокрутить страницу вверх на строку, не меняя позиции курсора
Ctrl+Down | Прокрутить страницу вниз на строку, не меняя позиции курсора
Alt+Down, Alt+Up | Переключить регистр слова
Ctrl+Alt+Up | Сменить регистр текущего или выделенного символа на верхний
Ctrl+Alt+Down | Сменить регистр текущего или выделенного символа на нижний
Ctrl+G,Ctrl+T | Включить/отключить сворачивание блоков
Ctrl+G,Ctrl+F | Свернуть блок в текущей строке
Ctrl+G,Ctrl+E | Развернуть блок на текущей строке
Ctrl+G,Ctrl+C | Свернуть/развернуть блок на текущей строке
Ctrl+G,Ctrl+M | Свернуть все блоки в тексте
Ctrl+G,Ctrl+P | Развернуть все свернутые блоки в тексте
Ctrl+= | Свернуть/развернуть ближайший блок
Shift+Ctrl+B | Перейти к закрывающей/открывающей скобке
Shift+Ctrl+I | Сместить выделенный блок
Shift+Ctrl+U; Shift+Tab | Убрать отступ выделенного блока
Ctrl+/ | Закомментировать/раскомменитровать выделенные строки
Ctrl+Space | Автозаполнение кода
Ctrl+Alt+Space | Показать таблицу символов
Ctrl+Alt+P | Показать список процедур
Ctrl+Alt+N | Показать список функций
Ctrl+Alt+V | Показать список представлений
Ctrl+Alt+S | Показать ключевые слова SQL
Ctrl+Alt+T | Показать список таблиц
Ctrl+Alt+U | Показать список UDF
Ctrl+Alt+G | Показать список триггеров
Ctrl+Alt+E | Показать список событий
Ctrl+Alt+Enter | Выделить таблицу в проводнике баз данных
Shift+Ctrl+Space | Показать параметры кода
Ctrl+C; Ctrl+Ins | Скопировать выделенный текст в буфер обмена
Ctrl+X; Shift+Del | Вырезать выделенный текст в буфер обмена
Ctrl+V; Shift+Ins | Вставить текст из буфера обмена в текущую позицию
Ctrl+Del | Удалить текст от текущей позиции курсора до следующего слова
Ctrl+BkSp | Удалить текст от текущей позиции курсора до конца предыдущего слова
Ctrl+B | Удалить все от курсора до начала строки
Shift+Ctrl+Y | Удалить все от курсора до конца строки
Ctrl+Y | Удалить текущую строку
Ctrl+M; Enter; Shift+Enter | Разбить строку в текущей позиции, переместить каретку на следующую строку
Ctrl+Alt+I | Вставить символ табуляции Tab
Shift+Ctrl+R | Начать запись макро
Shift+Ctrl+P | Запустить макро
Alt+End | Пропустить опечатку
Ctrl+Alt+End | Пропустить все опечатки
Alt+Home | Исправить все опечатки
F5 | Добавить точку останова в текущей строке
Shift+F5 | Переключить точку останова
Ctrl+F1 | Открыть документацию по серверу

Работа с отчетами:

Ctrl+O | Загрузить отчет из файла
Ctrl+S | Сохранить отчет в файл
Ctrl+P | Открыть диалоговое окно Print
Ctrl+Home | Перейти к первой странице
Ctrl+Up | Перейти к предыдущей странице
Ctrl+Down | Перейти к следующей странице
Ctrl+End | Перейти к последней странице
Ctrl+D | Открыть Настройщик отчетов
Ctrl+\ | Масштаб 100%
Ctrl+0 | Масштаб по ширине страницы
Ctrl+1 | Целая страница
Ctrl+2 | Две страницы
Ctrl+4 | Четыре страницы
Ctrl+W | Выровнять по ширине
Ctrl+M | Отобразить/скрыть поля
Ctrl+K | Задать цвет фона для отчета

Работа с окнами и вкладками

Ctrl+Tab | Перейти к следующей вкладке
Ctrl+Alt-0 | Открыть список окон
Ctrl+Alt+D | Задать значения по умолчанию для всех окон
Ctrl+F6 | Перейти к предыдущему окну
F6 | Перейти к следующему окну
Ctrl+W | Закрыть активное окно


SQL Manager Direct

SQL Manager Direct позволит Вам получить быстрый доступ к соответствующим ресурсам Интернета и загрузить последнюю версию SQL Manager.

Чтобы открыть SQL Manager Direct выберите пункт Help | SQL Manager Direct в главном меню программы.

При открытии SQL Manager Direct и/или нажатии кнопки Update происходит проверка наличия обновлений SQL Manager на сервере EMS Database Management Solutions, Inc.

Ссылки на ресурсы sqlmanager.net объединены в несколько групп:

  • SQL Manager for MySQL News - Новости
  • General Information - Основная информация
  • Downloads - Загрузки
  • Related Products - Сопутствующие продукты

Appendix - SQL Manager Direct

SQL Manager for MySQL News

В этом разделе Вы можете открыть страницу новостей по продукту на сайте sqlmanager.net.

General Information

В этом разделе предлагается ряд ссылок на продукт - Новости, Таблица характеристик, Системные требования и т.д.

Downloads

Используя эту ссылку, Вы можете загрузить SQL Manager последней версии и документацию со страницы загрузки.

Related Products

Этот раздел позволяет вам просматривать список связанных продуктов, разработанных EMS Database Management Solutions, Inc.

Используйте кнопки btnBack btnForward для перемещения между страницами так же, как в веб-браузере.

Нажатие на кнопку Update позволит обновить программу.

Если существует более новая версия SQL Manager, то отобразится диалоговое окно, сообщающее о наличии новой версии. С его помощью Вы можете сразу загрузить эту версию с сервера.

Appendix - SQL Manager Direct - Question

После загрузки и установки SQL Manager будет запущен заново.

CheckBox Automatically poll network in interval (in days)

Если установлен этот флажок, то страница будет обновляться автоматически через указанное в соответствующем поле число дней. В Lite версии эту опцию отключить нельзя.

Важно: Корректность отображения данной страницы зависит от настроек подключения к интернету, задаваемых в Панели управления Windows. Если для подключения к интернету используется прокси-сервер, требующий авторизации, то при открытии страницы SQL Manager Direct, или при нажатии кнопки Update появится диалоговое окно, в котором необходимо задать параметры авторизации.


Преобразование скрипта

После завершения операции появляется диалоговое окно, в котором можно выбрать кодировку скрипта, загружаемого в Редактор запросов или Редактор SQL скриптов.

Appendix - Script conversion

RadioButton Windows default - кодировка, используемая в операционной системе по умолчанию.

RadioButton Database default - кодировка, используемая в базе данных по умолчанию.

RadioButton Other encoding - другая кодировка, которая выбирается из общего списка.

Текст в выбранной кодировке Вы можете увидеть в поле Preview.


Как...

В этом разделе содержится краткая информация по основным операциям, которые можно выполнить в программе SQL Manager for MySQL.

Работать с базами данных

Подключиться к базе данных

Создать базу данных

Изменить параметры подключения к базе данных

Ускорить работу с базой данных

Визуально спроектировать базу данных

Посмотреть ER-диаграмму базы данных

Создать копию базы данных

Задокументировать базу данных

Сохранить отчет о метаданных в файл другого формата

Вести журнал изменений метаданных и запросов

Получить SQL-дамп базы данных

Как сравнить две БД

Работать с объектами базы данных

Группировать объекты

Найти объект

Посмотреть зависимости объектов

Получить DDL объекта

Работать с данными

Просматривать таблицы с большим количеством записей

Фильтровать данные

Сортировать и группировать данные

Экспортировать/импортировать данные

Экспортировать в виде SQL скрипта

Экспортировать отфильтрованные данные

Редактировать данные многоуровневых таблиц

Добавить изображение в таблицу

Настроить формат отображения данных

Работать с запросами и скриптами

Быстро создать SQL запрос

Контролировать производительность запроса

Работать с несколькими запросами одновременно

Сохранить часто используемые запросы

Выполнять запросы с параметрами

Экспорт результатов запроса в файл

Выполнять скрипты (сценарии)

Выполнить большой SQL скрипт

Ускорить работу SQL скрипта

Работать с текстом запроса/скрипта

Просмотреть все выполненные запросы и скрипты

Управлять правами на уровне базы данных

Предотвратить разрыв соединения по тайм-ауту

Подключиться к базе данных хостинг провайдера

Создать простой отчет в Конструкторе отчетов

Перенести настройки программы

Обновить программу

Сообщить об ошибках и предложениях

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами

Запросы

Управление данными

Средства импорта и экспорта данных

Инструменты базы данных

Инструменты сервера

Обеспечение безопасности

Персонализация


Подключиться к базе данных

Чтобы подключиться к незарегистрированной базе данных выполните следующую последовательность действий:

  1. Запустите Мастер регистрации баз данных, выбрав пункт Database | btnRegisterDB Register Database... в главном меню программы.
  2. Если база данных находится на сервере, который еще не был зарегистрирован, то на первом шаге Мастера введите имя этого сервера в поле Host name, если же сервер уже зарегистрирован, то выберите его имя из выпадающего списка.

Важно: Если Вы хотите зарегистрировать несколько баз данных сразу, то убедитесь, что не отмечена флажком опция CheckBox Register a single database. В этом случае на следующем шаге выберите базы данных, которые Вы хотите зарегистрировать.

  3. На заключительном шаге Мастера выберите базу данных из выпадающего списка всех баз, находящихся на сервере и установите параметры регистрации.

Зарегистрированная база данных отобразится в Проводнике БД. Чтобы подключиться к ней, дважды щелкните по псевдониму БД или выберите пункт btnConnectToDB Connect to Database из контекстного меню.


Создать базу данных

Чтобы создать базу данных на зарегистрированном сервере выполните следующие действия:

  1. Запустите Мастер создания баз данных, выбрав пункт Database | btnCreateDB Create Database главного меню программы.
  2. На первом шаге задайте имя для новой базы данных.
  3. На втором шаге определите необходимые параметры соединения для новой базы: Host name, User name и Password.
  4. Нажмите на кнопку Next, чтобы просмотреть SQL запрос создания новой базы данных. Если Вы на первом шаге установили флажок CheckBox Register after creating, то после создания базы откроется окно Database Registration Info, в котором можно будет указать регистрационную информацию базы данных.


Изменить параметры подключения к базе данных

Если при создании и регистрирации базы данных была допущена ошибка, или указана неполная информация, то её можно исправить при помощи инструмента Database Registration Info. Регистрационную информацию можно посмотреть как для подключенной, так и для неподключенной базы.

Чтобы посмотреть Регистрационную информацию базы данных, необходимо выбрать базу данных в проводнике баз данных, затем в контекстном меню базы данных или в главном меню программы выбрать пункт btnDBRegistrationInfo Database Registration Info.

На вкладке Connection можно изменить следующие настройки подключения базы данных к серверу: имя хоста (Host name), порт подключения (Port), имя пользователя (User name), пароль (Password), именованный канал (Named pipe), базу данных (Database name), псевдоним базы данных (Database alias), кодировку (Client charset) и набор шрифтов (Font charset).


Ускорить работу с базой данных

Если Ваша база данных содержит большое количество объектов или, если соединение с сервером слишком медленное, Вы можете ускорить работу с БД отключив опцию CheckBox Refresh objects on connection при регистрации базы данных или при редактировании Регистрационной информации баз данных.

Кроме того, Вы можете отключить опцию CheckBox Restore desktop on connect в Предпочтениях.


Визуально спроектировать базу данных

Чтобы спроектировать БД визуально, можно использовать Визуальный конструктор баз данных. Он позволяет создавать, редактировать и удалять таблицы и поля, устанавливать связи между таблицами и выполнять другие операции.

Чтобы создать объект щелкните правой копной мыши в окне конструктора и выберите пункт Create из контекстного меню. После этого новый объект отобразится на диаграмме.

После того, как Вы закончите проектирование, Вы можете создать структуру физически, выбрав пункт Compile на Панели инструментов.


Посмотреть ER-диаграмму базы данных

Построение диаграммы отношений происходит с помощью операции Обратного проектирования.

Чтобы просмотреть ER-диаграмму выбранной схемы выполните следующую последовательность действий:

  1. Запустите Визуальный конструктор баз данных;
  2. На панели инструментов выберите пункт btnReverseEngineer Reverse Engineer или соответствующий пункт контекстного меню.
  3. Выберите схему для обратного проектирования.

Полученную диаграмму можно сохранить как файл формат *.myd (кнопка btnSave Save Diagram) или как изображение (кнопка btnSaveAsPicture Save as Image).


Создать копию базы данных

Чтобы создать копию базы данных или отдельных объектов необходимо выполнить одно из следующих действий:

  1. Извлечь структуру объектов базы данных и сами данные в SQL скрипт используя Мастер извлечения баз данных. Полученный скрипт можно использовать для копирования и восстановления базы данных.

Если опция CheckBox Generate CREATE DATABASE statement не была выбрана при задании свойств скрипта, то перед выполнением скрипта необходимо создать базу данных и после этого выполнить на ней скрипт. Скрипт лучше всего выполнять из файла используя Редактор SQL скриптов.

  2. Создать копию БД с помощью Мастера копирования баз данных.
  3. Создать копии отдельных объектов, используя Мастер копирования объекта.


Задокументировать базу данных

Есть несколько способов документации базы данных:

  1. Вы можете сгенерировать подробный HTML отчет о метаданных объектов выбранной базы данных с помощью Мастера создания HTML отчетов.
  2. Вы можете создать и распечатать отчет о метаданных любого объекта БД. Отчет может быть сохранен в любом из следующих форматов:HTML file, Excel file, Text file, RTF file, CSV file, HTML file, BMP image, Excel table (OLE), JPEG image, TIFF image.
  3. Вы можете сохранить диаграмму, созданную в Визуальном конструкторе баз данных, в файл с расширением *.myd. При необходимости диаграмму можно сохранить как рисунок.


Сохранить отчет о метаданных в файл другого формата

Чтобы сохранить отчет о метаданных в файл другого формата, необходимо:

  1. Открыть инструмент Печать метаданных, выбрав пункт главного меню программы Tools | iconPrint Print Metadata.
  2. Нажать кнопку btnPrintPreview Preview на одной из панелей инструментов.
  3. На панели инструментов просмотрщика выбрать пункт btnPreviewExport Export -> из раскрывшегося списка выбрать формат файла, в который будет произведен экспорт.
  4. В появившемся окне выбрать директорию и указать имя файла.


Вести журнал изменений метаданных и запросов

Если вы хотите вести журнал изменений метаданных и журнал SQL запросов, то:

  1. Установите флажок CheckBox Enable log of metadata changes и укажите, в какой файл следует записывать изменения.
  2. Установите флажок CheckBox Enable log of SQL Editor queries и укажите, , в какой файл сохранять эту статистику.

Задание этих опций производится в окне Регистрационная информация баз данных | Журналы.


Получить SQL-дамп базы данных

Чтобы получить SQL-дамп (файл с расширением *.sql) базы данных используйте Мастер извлечения баз данных. С его помощью можно извлечь структуру объектов базы данных и сами данные в SQL скрипт. Полученный скрипт можно использовать для копирования и восстановления базы данных.


Как сравнить две БД

Вы можете сравнить и синхронизировать структуры двух баз данных с помощью Мастера сравнения баз данных. Мастер позволяет выявить различия и применить соотвтествующий скрипт для внесения изменений.

Запустить мастер можно из главного меню:

Tools | iconCompare Compare Databases...


Группировать объекты

Объекты можно сгруппировать с помощью Избранных объектов и вкладок проводника баз данных.

Группировка с помощью проектов

В проводнике баз данных, в дереве объектов, есть папка Favorite objects. Если в ней нет вложенных папок, то поместить туда объекты невозможно.

Объединить объекты в проект можно следующими способами:

  1. В проводнике баз данных создать вложенную папку внутри папки Favorite objects, выбрав пункт контекстного меню New Sub Folder.-> в появившемся окне указать имя папки -> в эту папку мышкой перетащить нужные объекты.
  2. В проводнике баз данных создать вложенную папку внутри папки Favorite objects, выбрав пункт контекстного меню New Sub Folder -> в появившемся окне указать имя папки -> в контекстном меню созданной папки выбрать пункт Add Object -> в появившемся окне выбрать нужный объект.

Группировка с помощью вкладок

Поместить объект на отдельную вкладку можно следующим образом:

  1. В контекстном меню объекта выбрать пункт btnNewTabFromHere New Tab from Here.

Важно: Если объект не является узлом дерева, то эта опция не доступна.


Найти объект

Чтобы найти нужный объект Вы можете:

  1. Пунктом Find Object контекстного меню проводника или сочетанием клавиш Ctrl + F вызывать стандартное окно поиска, в котором указывается искомое слово.
  2. Введите первые символы искомого слова в поле Search. Все объекты, содержащие искомые символы, будут выделены цветом в проводнике баз данных.

Важно: объекты по которым происходит поиск должны быть обновлены и узел объектов раскрыт.

  3. Запустите операцию поиска по метаданным. Для этого выберите пункт Tools | Search in Metadata в главном меню программы или используйте сочетание клавиш Ctrl+Alt+F. На навигационной панели, в разделе Explorer отобразятся все объекты, в метаданных которых встречается искомое слово и словосочетание.


Посмотреть зависимости объектов

Посмотреть зависимости объектов можно одним из способов:

  1. Используя вкладку Dependencies в редакторе таблиц.
  2. Используя Дерево зависимостей.

Эти инструменты могут быть особенно полезны, когда Вы не можете определить из-за какого объекта не удаляется таблица.


Получить DDL объекта

Просмотреть DDL объекта можно одним из следующих способов:

  1. Дважды щелкните по объекту, чтобы открыть редактор объекта, затем перейдите на вкладку DDL.
  2. Выберите Script to New SQL Editor | Create в контекстном меню объекта.

Для редактирования DDL объекта можно открыть в редакторе запросов, нажав на панели инструментов btnShowSQLEditor Open DDL in SQL Editor.


Просматривать таблицы с большим количеством записей

Если Ваша таблица содержит большой объем данных, Вы можете уменьшить время ее загрузки посредством:

  1. Задания количества выбираемых записей;
  2. Установления опции RadioButton Load visible records для загрузки фиксированного числа записей в память.

Эти опции могут быть настроены для определенной БД на странице Свойства данных при редактировании Регистрационной информации баз данных.

Настройки по умолчанию для только что зарегистрированной БД могут быть заданы на странице Параметры сетки | Настройки данных в Настройках окружения.

На панели инструментов просмотрщика данных в счетчике Record Limit HowTo - Grid View - Set Record Limit можно указать максимальное число отображаемых записей -> нажать Enter или щелкнуть мышкой по сетке данных.

Если число записей больше указанного максимального числа, то становится активна кнопка Move all to Selected Fetch All, с помощью которой отображаются все записи.

Выбрав пункт Grid mode в контекстном меню просмотрщика данных можно установить режим отображения данных - отображать все записи (Load All Rows), отображать фиксированное количество записей (Load Visible Rows) или выбрать режим отображения данных по умолчанию (Default).


Фильтровать данные

Быстрая фильтрация (по текущему значению в ячейке)

Вызовите контекстное меню для столбца с данными -> выберите пункт контекстного меню Quick Filter -> выберите из открывшегося дочернего меню условие фильтрации.

Фильтрация по столбцам

HowTo - Grid View - Quick Filter

Нажать раскрывающийся список в заголовке столбца -> выбрать из списка условие фильтрации.

Более сложные условия задайте с помощью пункта списка значений Custom...

При выборе этого пункта открывается специальное окно для задания условий фильтрации.

Подробная фильтрация

Нажать кнопку btnSetFilter на панели инструментов просмотрщика данных -> задать параметры отбора в конструкторе фильтров -> применить условия фильтрации, нажав кнопку Apply.

Если для таблицы установлен фильтр, то в нижней её части появляется специальная панель, на которой отображаются условия фильтра и история модификации фильтра, которая открывается при нажатии на раскрывающийся список.

Data View - Grid View - Filtering records - Filtering panel

Убрать фильтрацию

Вызвать контекстное меню для столбца с данными -> выбрать пункт Disable filter.

Нажать кнопку btnClose на панели инструментов фильтра.


Сортировать и группировать данные

Чтобы отсортировать данные необходимо:

Открыть данные на вкладке Data или Results -> выбрать столбец, по которому хотите отсортировать данные -> нажать на заголовок этого столбца мышкой.

Если столбец не был отсортирован, то одно нажатие отсортирует его по возрастанию, следующее - по убыванию.

Важно: Чтобы отменить сортировку, вызовите контекстное меню правой кнопкой мыши на нужном столбце -> выберите пункт Clear Sorting, или нажмите клавишу Ctrl и щелкните по полю, по которому была отсортирована таблица.

Чтобы сгруппировать данные перетащите мышкой заголовок столбца на специальную панель группировки над таблицей.

HowTo - Data View - Grid View - Grouping data by two columns_Small

Важно: Чтобы убрать группировку перетащите заголовок столбца с панели группировки обратно в таблицу.


Экспортировать/импортировать данные

Копировать данные из таблицы базы данных во внешний файл допустимого формата (экспортировать) можно одним из следующих способов:

  1. Открыть вкладку Data или Results -> нажать кнопку [image] Export Data на одной из панелей инструментов просмотрщика данных -> задать параметры экспорта в открывшемся Мастере экспорта данных.
  2. Открыть вкладку Data или Results -> в контекстном меню сетки данных выбрать пункт Data Manipulation | [image] Export Data -> задать параметры экспорта в открывшемся Мастере экспорта данных.
  3. В проводнике баз данных открыть контекстное меню таблицы -> в нем выбрать пункт [image] Export Data задать параметры экспорта в открывшемся Мастере экспорта данных.
  4. Открыть вкладку Data или Results -> использовать сочетание клавиш Ctrl+E.

Копировать данные из внешних источников в таблицу или представление (импортировать) можно одним из следующих способов:

  1. Открыть вкладку Data -> нажать кнопку [image] Import Data на одной из панелей инструментов просмотрщика данных -> задать параметры импорта в открывшемся Мастере импорта данных.
  2. Открыть вкладку Data -> в контекстном меню сетки данных выбрать пункт Data Manipulation | [image] Import Data -> задать параметры импорта в открывшемся Мастере импорта данных.
  3. В проводнике баз данных открыть контекстное меню таблицы -> в нем выбрать пункт [image] Import Data -> задать параметры импорта в открывшемся Мастере импорта данных.
  4. Открыть вкладку Data -> использовать сочетание клавиш Ctrl+I.

Важно: Инструменты экспорта и импорта данных доступны только в полной версии SQL Manager for MySQL.


Экспортировать в виде SQL скрипта

Копировать данные из таблицы базы данных в виде скрипта, содержащего операторы INSERT INTO, можно одним из следующих способов:

  1. Открыть вкладку Data или Results -> нажать кнопку [image] Export Data as SQL Script на одной из панелей инструментов просмотрщика данных -> задать параметры экспорта в открывшемся Мастере экспорта данных в виде SQL скрипта.
  2. Открыть вкладку Data или Results -> в контекстном меню сетки данных выбрать пункт Data Manipulation | [image] Export Data as SQL Script -> задать параметры экспорта в открывшемся Мастере экспорта данных в виде SQL скрипта.
  3. В проводнике баз данных открыть контекстное меню таблицы -> в нем выбрать пункт Data Manipulation | [image] Export Data as SQL Script -> задать параметры экспорта в открывшемся Мастере экспорта данных в виде SQL скрипта.

Важно: Для извлечения DDL таблицы (оператор CREATE TABLE) установите флажок Add CREATE TABLE statement на первом шаге.


Экспортировать отфильтрованные данные

Если Вы установили фильтр в просмотрщике данных и хотите осуществить экспорт только этих данных, тогда отключите опцию CheckBox Perform data filtration on client in data view на вкладке Настройка отображения данных в Регистрационной информации баз данных. В этом случае фильтрация будет осуществляться на MySQL Server посредством задания условия WHERE в SQL-запросе.


Редактировать данные многоуровневых таблиц

Вы можете работать с данными в многоуровневом режиме, то есть Вы можете просматривать и редактировать их в нескольких связанных таблицах одновременно. Чтобы добавить уровень таблицы щелкните правой кнопкой мыши в таблице и выберите пункт Grid Levels из контекстного меню. Далее выберите пункт Add Grid Level, чтобы запустить Мастер создания уровней. После того, как новый уровень будет добавлен, Вы можете редактировать данные в связанных таблицах.


Добавить изображение в таблицу

Это возможно сделать только при наличии в таблице поля типа BLOB.

Открыть таблицу на вкладке Data -> перейти в раздел BLOB View (кнопки перехода расположены в нижней части окна) -> перейти на вкладку Image -> если BLOB поле не одно, то из раскрывающегося списка Select BLOB Column на панели инструментов вкладки Blob View выбрать нужное поле ->

HowTo - Grid View - BLOBView - Select BLOB Column

-> на панели инструментов вкладки Blob View нажать кнопку iconLoadFromFile Load from File -> открывшемся диалоговом окне выбрать файл изображения.


Настроить формат отображения данных

Чтобы настроить формат отображения данных выберите пункт Options | btnEnvironmentOptions Environment Options в главном меню программы -> перейдите на вкладку Color & Formats -> в разделе Display formats укажите или выберите формат отображения для некоторых типов данных.


Быстро создать SQL запрос

Есть два способа быстрого создания SQL запроса:

В проводнике баз данных:

  1. Щелкните павой кнопкой мыши по имени объекта в проводнике баз данных.
  2. Выберите Script to New SQL Editor в контекстном меню объекта.
  3. Определите тип запроса.

В Визуальном конструкторе запросов:

  1. Откройте Визуальный конструктор запросов.
  2. На вкладке Builder перетащите таблицу или представление из проводника баз данных или из списка на панели Object в рабочую область.
  3. Выберите отображаемые поля, установив флажки напротив нужных. Чтобы добавить в запрос сразу все поля объекта необходимо установить флажок, находящийся перед названием объекта в строке заголовка.
  4. Установите связь между объектами. Чтобы установить связь между таблицами по двум полям необходимо поле из одной таблицы перетащить в другую (поля представлены в виде списка, в котором каждая строчка - поле). После перетаскивания связь будет отображена в виде черной линии, соединяющей желаемые поля.
  5. Задайте свойства связи. Для этого необходимо открыть редактор связи, два раза щелкнув на ней мышкой, или выбрать пункт контекстного меню связи Property. В появившемся окне указываете желаемые свойства редактируемой связи.
  6. На вкладке Edit Вы можете просмотреть и отредактировать свой запрос.


Контролировать производительность запроса

Посмотреть производительность запроса можно на плане запроса. На нем показана последовательность действий, выполняемых сервером базы данных, и объем системных ресурсов, используемых в процессе выполнения запроса.

Чтобы посмотреть план запроса откройте запрос в Редакторе запросов и выберите пункт btnExplainQuery Show estimated execution plan на панели инструментов.

Если включить опцию CheckBox Show actual execution plan on query execution в настройках окружения, то вкладка Plan будет появляться автоматически при выполнении запроса.


Работать с несколькими запросами одновременно

В btnShowSQLEditor SQL Editor Вы можете одновременно открывать и редактировать несколько запросов.

В нижней части окна редактирования запроса можно создавать вкладки. На каждой вкладке - отдельный запрос.

Создать вкладку можно следующими способами:

  1. Открыть btnShowSQLEditor SQL Editor -> на одной из панелей инструментов выбрать пункт btnNewSQLEditor Add New Query.
  2. Открыть btnShowSQLEditor SQL Editor -> в контекстном меню существующей вкладки выбрать пункт btnNewSQLEditor Add New Query HowTo - WorkWithQueries - AddNewQuery.
  3. Использовать сочетание клавиш Ctrl + N.

Важно: Каждую вкладку можно переименовывать, или для удобства добавлять запросы в Избранные.


Сохранить часто используемые запросы

Используйте инструмент Избранные запросы чтобы хранить часто выполняемые запросы. Чтобы получить доступ к списку избранных запросов используйте узел Favorite Queries проводника БД или создайте для них отдельную вкладку.

С помощью контекстного меню Вы можете создать новый избранный запрос, редактировать уже существующий в редакторе избранных запросов или удалить запрос при необходимости.


Выполнять запросы с параметрами

Если вы хотите использовать параметризованные запросы, установите флажок CheckBox Allow using of parameters in query text в окне Настройки окружения | Инструменты.

Эта функция позволяет устанавливать различные значения параметров в окне ввода параметров перед выполнением запроса. Используйте двоеточие перед идентификатором, чтобы указать параметр в запросе.


Экспорт результатов запроса в файл

При выполнении запроса таблица результатов может отображаться на вкладке Edit или на вкладке Result в просмотрщике данных.

Копировать данные из таблицы базы данных во внешний файл допустимого формата можно одним из следующих способов:

  1. Открыть вкладку Data или Results -> нажать кнопку [image] Export Data на одной из панелей инструментов просмотрщика данных -> задать параметры экспорта в открывшемся Мастере экспорта данных.
  2. Открыть вкладку Data или Results -> в контекстном меню сетки данных выбрать пункт Data Manipulation | [image] Export Data -> задать параметры экспорта в открывшемся Мастере экспорта данных.
  3. В проводнике баз данных открыть контекстное меню таблицы -> в нем выбрать пункт [image] Export Data задать параметры экспорта в открывшемся Мастере экспорта данных.
  4. Открыть вкладку Data или Results -> использовать сочетание клавиш Ctrl+E.


Выполнять скрипты (сценарии)

Используя Редактор SQL скриптов Вы можете создавать, просматривать, редактировать и выполнять SQL скрипты (сценарии). Чтобы открыть редактор SQL скриптов выберите Tools | btnShowSQLScript SQL Script в главном меню программы. Этот инструмент предназначен для работы с большим количеством команд и работы со скриптами из файлов. Например, Вы можете выполнить скрипт из файла, не загружая его в редактор, что позволит сократить потребление памяти. Однако SQL Script позволяет оценить лишь успешность выполнения команд скрипта, но не возвращает результаты запросов.

Важно: Выполнять скрипты необходимо именно в btnShowSQLScript Редакторе SQL скриптов, а не в btnShowSQLEditor Редакторе запросов.

Последний предназначен для создания, редактирования и выполнения запросов. Из его окна можно перейти к редактированию запроса в Query Builder. Также он предоставляет возможность просмотра результата запроса, проведения различных операций с ним (импорт, экспорт и др.), управления транзакциями.


Выполнить большой SQL скрипт

Если вам надо выполнить большой SQL скрипт, необязательно загружать его из файла в окно редактора SQL скриптов, так как это может занять много времени. Вместо этого, Вы можете выполнить этот скрипт напрямую из файла с расширением *.sql, *.zsql или *.txt. Чтобы сделать это, выберите пункт iconCompile Execute script from file на панели инструментов в редакторе SQL скриптов.


Ускорить работу SQL скрипта

Чтобы ускорить работу скрипта можно отключить некоторые функции:

Парсинг

На одной из панелей инструментов редактора SQL скриптов выбрать и отключить пункт iconDBExplorer Disable Parsing.

Автоматическое создание иерархической структуры текста

В главном меню программы выбрать пункт Options | Editor options -> перейти на вкладку Display -> убрать флажок CheckBox Use code folding.

Подсветку синтаксиса и быстрый ввод текста для алиасов

В главном меню программы выбрать пункт Options | Editor options -> перейти на вкладку General -> убрать флажок CheckBox Resolve aliases - отключить подсветку синтаксиса и быстрый ввод текста для алиасов.


Работать с текстом запроса/скрипта

Перейти по внутренней ссылке

В тексте запроса/скрипта имя объекта, существующего в базе данных, выделено цветом. Открыть объект, на который есть ссылка в тексте, можно щелкнув по нему левой кнопкой мыши, удерживая при этом клавишу Ctrl.

Вставить шаблон текста

Шаблоны используются для быстрого ввода текста. Чтобы применить шаблон клавиатуры необходимо в редакторе набрать сочетание символов, указанное в шаблоне, а затем нажать пробел или сочетание клавиш Ctrl+J.

Автоматическая подстановка (список объектов)

Вызвать список автоматической подстановки можно используя сочетание клавиш Ctrl + пробел.

Настроить параметры автоматической подстановки

В главном меню программы выбрать пункт Options | Editor options -> перейти на вкладку Quick Code -> настроить список и параметры списка автоматической подстановки.

Автоматически форматировать запрос/скрипт

В контекстном меню редактора SQL выбрать пункт Quick Code | Format или использовать сочетание клавиш Shift+Ctrl+F.

Настроить шрифт и формат скрипта на вкладке Display

В главном меню программы выбрать пункт Options | Editor options -> перейти на вкладку Display -> настроить общие параметры формата и шрифта редактора.

Настроить шрифт и формат скрипта на вкладке Highlight

В главном меню программы выбрать пункт Options | Editor options -> перейти на вкладку Highlight -> настроить параметры шрифта для каждого отдельного элемента.

Важно: Если заданы параметры шрифта на вкладке Highlight, то к тексту будут применены именно они, а не те, которые заданы на вкладке Display.


Просмотреть все выполненные запросы и скрипты

Монитор SQL позволяет увидеть все скрипты, отправленные SQL Manager for MySQL на сервер, а также результаты их выполнения. Содержимое окна нельзя редактировать, но можно копировать в буфер обмена, сохранять в файл и распечатывать.

Все инструменты для работы с SQL монитором располагаются на панелях инструментов и в контекстном меню.

Чтобы открыть SQL монитор необходимо:

  1. В главном меню программы выбрать пункт Tools | btnSQLMonitor SQL Monitor,
  2. На основной панели инструментов нажать кнопку btnSQLMonitor SQL Monitor,
  3. В контекстном меню базы данных выбрать пункт Tasks | btnSQLMonitor SQL Monitor.

Важно: В SQL монитор попадают те скрипты и запросы, которые были выполнены в SQL Manager for MySQL, в течение того времени, когда он был запущен.

Важно: Постоянно открытый монитор замедляет работу программы.


Управлять правами на уровне базы данных

Чтобы назначить и изменить права пользователя, выберите пункт главного меню программы Tools | btnGrantManager Grant Manager -> на панели инструментов выберите пользователя. В разделе Global privileges установите флажки для тех действий, которые будут разрешены данному пользователю. Эти разрешения распространяются на все объекты.

В разделе Database specific privileges задайте права на выполнения действий с каждым объектом базы данных. Дополнительно можно назначить права на выполнение некоторых действий с полями таблиц и представлений. Строки - это объекты базы данных, а столбцы - действия, выполняемые над объектами.

В столбце Object name выбрать нужный объект (это проще сделать, если из раскрывающегося списка, расположенного над столбцом, выбрать нужный тип объекта), -> в нужной ячейке на определенное действие задать необходимые права для выбранного пользователя на выбранный объект.

Важно: Серым отмечены ячейки действий, права на которые невозможно задать выбранному объекту.

Права на выполнение того или иного действия можно менять тремя способами:

  • с помощью контекстного меню, которое появляется при нажатии правой кнопкой мыши на ячейку.
  • двойным щелчком мыши (при использовании этого метода помните, что смена прав идет в такой последовательности - [image] Grant -> [image] Grant with GRANT OPTION)
  • с помощью одинарного нажатия на активную (выделенную ячейку). При этом появляется раскрывающийся список, из которого можно выбрать один из типов прав.


Предотвратить разрыв соединения по тайм-ауту

Для того чтобы предотвратить разрыв соединения по тайм-ауту, а также, чтобы значительно ускорить просмотр данных таблицы и предотвратить зависание, необходимо включить режим “Выбрать только” ( RadioButton Select only) при в настройках данных при редактировании настроек окружения.


Подключиться к базе данных хостинг провайдера

Для соединения с сервером MySQL, расположенном на удаленном сервере хостинг провайдера, когда прямое TCP/IP соединение запрещено из соображений безопасности, но есть "локальный" MySQL аккаунт, который используется в скриптах (PHP, ASP и т.п.) либо в PHPMyAdmin, можно использовать HTTP-туннелирование. Это такой тип подключения, при котором соединение и передача данных между программой и сервером MySQL происходит через протоколы HTTP/HTTPS. На удаленном сервере должен быть установлен HTTP сервер (например, Apache) и PHP с подключенным расширением MySQL. Как правило, это программное обеспечение предлагают все хостинг провайдеры,предоставляющие услуги хостинга на Linux платформах.

Для реализации HTTP-туннеля необходимо загрузить в структуру Вашего сайта скрипт emsproxy.php (поставляется с программой). Этот скрипт служит для пересылки данных через HTTP-протокол нашей программе.

Необходимо разместить emsproxy.php скрипт на вашем веб-сервере так, чтобы к нему был доступ по URL адресу (например, в каталоге, где находятся остальные PHP скрипты). Если ваш веб-сервер удовлетворяет данным требованиям и скрипт установлен правильно, то при открытии http://<your_webserver_name>/emsproxy.php в веб-браузере вы увидите “EmsProxy v1.31” (версия может меняться).

Чтобы зарегистрировать базу данных, соединение к которой должно выполняться с использованием HTTP туннеля, в Мастере регистрации баз данных необходимо:

  1. Выбрать опции CheckBox Use tunneling и RadioButton HTTP tunneling;

  2. Указать URL (адрес, где находится скрипт emsproxy.php)

Данные авторизации MySQL, задаваемые в SQL Manager передаются скрипту, который в свою очередь и осуществляет подключение к MySQL серверу, используя эти данные. Далее все запросы, выполняемые SQL Manager, также передаются этому скрипту, выполняются самим скриптом, а результат выполнения возвращается в SQL Manager. Сам скрипт (в отличие например от SSH-сервера) не требует дополнительной авторизации. Таким образом, для создания такого HTTP-туннеля Вам требуется только учетная запись MySQL, при этом в качестве хоста, с которого устанавливается подключение с точки зрения MySQL сервера, используется хост, на котором запущен HTTP-сервер.


Создать простой отчет в Конструкторе отчетов

Чтобы создать отчет в Конструкторе отчетов необходимо выполнить следующую последовательность действий:

  1. В главном меню программы выбрать пункт Tools | [image] Report Designer.
  2. В открывшемся Конструкторе отчетов, в главном меню выбрать пункт File | New Report. или на панели инструментов нажать кнопку [image] New Report. На печатную форму отчета будут помещены автоматически ReportTitle, MasterData и PageFooter.
  3. Подключиться к источнику данных.
  4. Добавить элементы ADOTable или ADOQuery.
  5. Подключить ADOTable или ADOQuery к ADODatabase.
  6. На странице Page1 разместите поля базы данных. Из DataTree перетащите нужные поля в Band MasterData.


Перенести настройки программы

Если вы хотите применить текущие настройки (частично или полностью) для программы SQL Manager for MySQL установленной на другой машине, Вы можете сохранить их в *.reg файл с помощью Мастера сохранения настроек. Чтобы применить настройки, сохраненные в файл *.reg, необходимо открыть этот файл двойным щелчком мыши. В появившемся окне нажать кнопку OK.

Важно: Избранные запросы не сохраняются в *.reg файл. Чтобы получить доступ к ним с другого устройства необходимо, чтобы они хранились в БД. Чтобы сохранить избранные запросы в базе данных необходимо выбрать пункт Database в поле Storage при создании или редактировании запроса.


Обновить программу

Обновить программу можно одним из следующих способов:

  1. Загрузите установочный файл со страницы загрузки сайта -> разархивируйте полученный файл в нужную директорию (например, c:\unzipped) -> закройте программу SQL Manager for MySQL, если она запущена -> откройте файл MsManagerFullSetup.exe и следуйте инструкциям мастера обновления.
  2. В главном меню программы выберите пункт Help | SQL Manager Direct -> при наличии на сайте новой версии программы появится окно сообщений -> в этом окне нажмите Yes. Программа обновится автоматически.


Сообщить об ошибках и предложениях

  1. Перед тем как отсылать предложения и отчеты об ошибках, убедитесь, что Вы используете последнюю версию SQL Manager for MySQL.
  2. Свяжитесь с нами через личный кабинет на сайте http://www.sqlmanager.net/ или отправьте нам электронное письмо по адресу support@sqlmanager.net. Также Вы может воспользоваться меню Help | Send bug reports to....
  3. Пожалуйста, не забудьте указать версию Вашей ОС, версию MySQL и версию программы.
  4. Пошагово опишите свои действия перед появлением ошибки и проиллюстрируйте их скриншотами.


Панели и меню

Используйте вкладку Bars and menus для настройки внешнего вида панелей инструментов и меню программы SQL Manager for MySQL.

Visual Options - Bars and menus

Из раскрывающегося списка Bar style выберите один из стандартных стилей панели инструментов.

Из списка Menu Animation можно выбрать один из вариантов анимации при открытии меню.

CheckBox Sunken border - утопленная рамка.

CheckBox Use F10 for menu - использовать F10 для меню.

CheckBox Menu shows recent command first - в сокращенном меню показывать недавно использовавшиеся операции.

CheckBox Show full menus after delay - показать всё меню после задержки.

CheckBox Flat close buttons - использовать плоские закрывающие кнопки.

CheckBox Gray-scale disabled images - полутоновые заблокированные изображения.


Деревья и списки

На вкладке Trees and Lists настройте внешний вид списков.

Visual Options - Trees and lists

Из раскрывающегося списка Look & Feel выберите один из стандартных стилей оформления списков.

Standard - стандартные,

Flat - плоские с тенью,

Ultraflat - плоские.

CheckBox Hide selection - скрыть выделение.

CheckBox Hide focus rectangle - прятать прямоугольник фокуса.

CheckBox Native style - Этот параметр определяет, будет ли к деревьям и спискам применен стиль, установленный в ОС Windows. Этот параметр имеет наивысший приоритет. Если выбрана эта опция, то к деревьям и спискам применен стиль, установленный в ОС Windows, независимо от других параметров.


Элементы управления редактирования

На вкладке Edit controls задайте стиль элементов управления и редактирования.

Visual Options - Edit controls

Из раскрывающегося списка Border style выберите стиль рамки:

None - без рамки,

Single - одинарная тонкая линия,

Thick - одинарная широкая линия,

Flat - плоская с тенью,

3D - трехмерная,

Ultraflat - плоская.

Из списка Button style - стиль кнопок.

3D - трехмерные

Flat - плоские с тенью

Simple - простые

Hotflat - плоские в рамке

Ultraflat - плоские

Стиль кнопок, расположенных в пределах поля, можно задать с помощью раскрывающегося списка Button transparency.

None - непрозрачные

Inactive - прозрачные, когда неактивные

Always - прозрачные

Hide inactive - показывать при редактировании

Hide unselected - показывать при наведении курсора

CheckBox Hot track - подсветка элементов управления

CheckBox Shadow - тень

CheckBox Native style - стиль, примененный в ОС Windows

CheckBox Autosize - автоподбор ширины поля по размеру содержимого.

Edges - границы:

CheckBox Left - слева;

CheckBox Right - справа;

CheckBox Top - сверху;

CheckBox Bottom - снизу.


Флажки

На вкладке Check boxes задайте вид флажков и переключателей.

Visual Options - Check boxes

Из раскрывающегося списка Border style выберите стиль рамки:

None - без рамки,

Single - одинарная тонкая линия,

Thick - одинарная широкая линия,

Flat - плоская с тенью,

3D - трехмерная,

Ultraflat - плоская.

CheckBox Hot track - подсветка элементов управления.

CheckBox Shadow - тень.

CheckBox Native style - стиль, примененный в ОС Windows.


Кнопки

На этой вкладке настройте внешний вид кнопок.

Visual Options - Buttons

Из списка Button kind выберите вид кнопок.

Standard - стандартные,

Flat - плоские с тенью,

Ultraflat - плоские.

CheckBox Native style - стиль, примененный в ОС Windows.


Вкладки

В этом окне задайте стиль оформления вкладок.

Visual Options - Page controls

Из списка Tab Style выберите нужный стиль вкладок.

Tabs - в виде вкладок,

Buttons - в виде кнопок

Flat - плоские.

CheckBox Hot track - подсветка элементов управления.

CheckBox Multiline pages

Этот параметр определяет, будут ли вкладки расположены в несколько строк.

Если эта опция включена, вкладки автоматически выстраиваются в минимальное количество строк, необходимых для размещения всех вкладок в области видимости. Если эта опция выключена, то на экране появляются вкладки в одну строку. При этом часть вкладок может быть скрыта.

CheckBox Native style - стиль, примененный в ОС Windows.

CheckBox Slants - наклонные значки вкладок.

Slants position

Сторона значка вкладки, с которой будет наклон при выборе вида Slants.

CheckBox Left - левая

CheckBox Right - правая.


Группа кнопок

Задайте стиль отображения групп кнопок на вкладке Group boxes.

Visual Options - Group boxes

Из раскрывающегося списка Border style выберите стиль рамки.

None - без рамки,

Single - одинарная тонкая линия,

Thick - одинарная широкая линия,

Flat - плоская с тенью,

3D - трехмерная,

Ultraflat - плоская.

CheckBox Shadow - тень.

CheckBox Native style - Этот параметр определяет, будет ли стиль, принятый в Windows, применяться к элементам управления. Эта опция имеет самый высокий приоритет для группы элементов. Если выбрана эта опция, элементы управления окрашены в соответствии со стилем Windows, независимо от других настроек.

Важно: опция Native style действует только для ОС Windows® XP.


Разделители

На вкладке Splitters задайте стиль разделителей (сплиттеров).

Visual Options - Splitters

Из раскрывающегося списка Hot zone style выберите стиль отображения разделителей.

Windows XP task bar - стиль Windows XP,

Media Player 8 - стиль Media Player 8,

Media Player 9 - стиль Media Player 9,

Simple - простой,

None - нет.

CheckBox Если установлен флажок Hot zone drags a splitter, то разделитель можно перемещать, потянув за среднюю рабочую область Splitter . Если не установлен, то по нажатию на эту область окно, ограниченное сплиттером будет сворачиваться и разворачиваться.


Панель навигации

Задайте внешний вид навигационной панели на этой вкладке.

Visual Options - Navigation bar

Из раскрывающегося списка View style выберите стиль представления навигационной панели.

Office 11 - стиль Office,

XP - стиль Windows XP,

Simple - обычный,

Advanced - улучшенный стиль.

CheckBox Если установлен флажок Border, то будет отображаться граница навигационной панели.


Выбор сервера и задание файла резервной копии

Из раскрывающегося списка Host необходимо выбрать один из зарегистрированных серверов.

Backup database - Specify Source Host

В поле File name, с помощью диалогового окна, открывающегося при нажатии кнопки btnSaveAs , задать путь к файлу резервной копии и имя самого файла.

Следующий шаг>>

Шаблоны


Выбор сервера и задание файла резервной копии

Из раскрывающегося списка Host необходимо выбрать один из зарегистрированных серверов для того, чтобы на нем восстановить одну из баз.

Restore database - Specify Source Host

В поле File name, с помощью диалогового окна, открывающегося при нажатии кнопки ExplorerButton , задать путь к файлу резервной копии и имя самого файла.

Следующий шаг>>

Шаблоны


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Run, для начала выполнения операции.

В строке состояния, расположенной в верхней части, в процентах отображается ход выполнения операции.

Restore Database - Restore Database

В текстовом поле показаны все производимые действия и результат их выполнения.

CheckBox Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.

<<Предыдущий шаг

Шаблоны


Выбор баз данных

На этом шаге необходимо выбрать базы данных для резервного копирования.

Если установлен флажок With compression, то создаваемый файл резервной копии будет сжат. Алгоритм сжатия выбирается из раскрывающегося списка Compression algorithm.

Backup Database - Select databases for backup

Из списка Available databases выберите доступные базы данных и с помощью кнопок переместите их в список выбранных - Selected databases.

<<Предыдущий шаг

Следующий шаг>>

Шаблоны


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Run, для начала выполнения операции.

В строке состояния, расположенной в верхней части, в процентах отображается ход выполнения операции.

Backup Database - Backup Database

В текстовом поле показаны все производимые действия и результат их выполнения.

CheckBox Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.

<<Предыдущий шаг